<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Const_delivery_notes extends Model
{
    protected $fillable = [
        'fitter_id',
        'storekeeper_id',
        'acceptor',
        'company',
        'id_no',
        'reg_no'
    ];

    public function delivery_notes(){
        $query = DB::table('const_delivery_notes as dn')
            ->leftJoin('users as u', 'u.id', '=', 'storekeeper_id')
            ->select('dn.acceptor', 'dn.created_at', 'dn.id', 'u.ime as storekeeper_name', 'u.prezime as storekeeper_surname', 'dn.reg_no', 'dn.id_no', 'dn.company')
            ->orderBy('dn.id', 'DESC');

        $result = $query->paginate(50);
        return $result;
    }

    public function delivery_note_data($id){
        $query = DB::table('const_delivery_notes as dn')
            ->leftJoin('users as u', 'u.id', '=', 'storekeeper_id')
            ->leftJoin('users as f', 'f.id', '=', 'fitter_id')
            ->select('dn.acceptor', 'dn.created_at', 'dn.id', 'u.ime as storekeeper_name', 'u.prezime as storekeeper_surname', 'dn.reg_no', 'dn.id_no', 'dn.company')
            ->where('dn.id', '=', $id);

        $result = $query->get();
        return $result[0];
    }
}
