<?php

namespace App\Http\Controllers;

use App\Models\Fuel_types;
use App\Models\Vehicle_cards;
use App\Models\Vehicle_owners;
use App\Models\Areas;
use App\Models\Salaries;
use App\Models\Terrain_ammounts;
use App\Models\Settings;
use App\Models\Vehicle_types;
use App\Roles;
use App\Klijenti_prodaja;
use App\Models\Clusters;
use App\Models\Companies;
use App\Models\Providers;
use App\Models\User_cluster;
use App\Models\Vehicle_card_links;
use App\Montirani_uredjaji;
use App\Pomocnici;
use App\Razlozi_intervencije;
use App\Traits\Util;
use App\Ugovori;
use App\User;
use App\Models\User_provider;
use App\Vozila;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\Hash;

class AdministracijaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        $roles = Roles::all()->where('id', '<', 1000);
        $users = Util::allActiveUsers();
        $userArr = [];

        foreach($roles as $role){
            foreach ($users as $num => $user){
                if($user->role_id == $role->id){
                    $userArr[$role->description][$num]['id'] = $user->id;
                    $userArr[$role->description][$num]['name'] = $user->ime.' '.$user->prezime;
                    $userArr[$role->description][$num]['email'] = $user->email;
                    $userArr[$role->description][$num]['online_status'] = $user->online_status;
                    $userArr[$role->description][$num]['last_login'] = $user->last_login;
                }
            }
        }

        return view('administracija.index', [
            'userArr' => $userArr
        ]);
    }

    public function edit_user(Request $request){
        $userId = $request->input('id_user');
        $userMod = new User();
        $user = $userMod->podaciUser($userId);
        $ugovori = Ugovori::all();
        $areas = Areas::all();
        $roles = Roles::all();
        $isDeveloper = Util::isDeveloper();
        $clusterMod = new User_cluster();
        $currentClusters = $clusterMod->clustersForUser($userId);
        $providerMod = new User_provider();
        $currentProviders = $providerMod->providersForUser($userId);

        return view('administracija.edit_user', [
            'user' => $user,
            'ugovori' => $ugovori,
            'areas' => $areas,
            'isDeveloper' => $isDeveloper,
            'roles' => $roles,
            'providers' => Providers::all(),
            'clusters' => Clusters::all(),
            'currentClusters' => $currentClusters,
            'currentProviders' => $currentProviders
        ]);
    }

    public function update_user(Request $request){
        $userId = $request->input('id_user');
        $jmbg = $request->input('jmbg');
        $zanimanje = $request->input('zanimanje');
        $datumStart = $request->input('datum_pocetka_osiguranja');
        $datumEnd = $request->input('datum_prestanka_osiguranja');
        $ugovor = $request->input('ugovor')[0];
        $oprema = $request->input('oprema')[0];
        $password = $request->input('password');
        $area = $request->input('area');
        $role = $request->input('role');
        $providers = $request->input('provider');
        $clusters = $request->input('cluster');
        $isSubcontractor = $request->input('is_subcontractor');
        if($isSubcontractor)
            $isSubcontractor = 1;
        else
            $isSubcontractor = 0;

        if ($datumStart)
            $datumPocetka = date('Y-m-d', strtotime($datumStart));
        else
            $datumPocetka = null;

        if ($datumEnd)
            $datumPrestanka = date('Y-m-d', strtotime($datumEnd));
        else
            $datumPrestanka = null;

        if(!$password) {
            $update = User::where('id', $userId)->update([
                'jmbg' => trim($jmbg),
                'zanimanje' => trim($zanimanje),
                'datum_pocetka_osiguranja' => $datumPocetka,
                'datum_prestanka_osiguranja' => $datumPrestanka,
                'id_ugovor' => $ugovor,
                'oprema' => $oprema,
                'area_id' => $area,
                'role_id' => $role,
                'is_subcontractor' => $isSubcontractor
            ]);
        }
        else {
            $update = User::where('id', $userId)->update([
                'jmbg' => trim($jmbg),
                'zanimanje' => trim($zanimanje),
                'datum_pocetka_osiguranja' => $datumPocetka,
                'datum_prestanka_osiguranja' => $datumPrestanka,
                'id_ugovor' => $ugovor,
                'oprema' => $oprema,
                'area_id' => $area,
                'password' => Hash::make($password),
                'role_id' => $role,
                'is_subcontractor' => $isSubcontractor
            ]);
        }

        if($update){
            if(is_array($clusters)){
                foreach($clusters as $cluster){
                    $dbData = User_cluster::where('user_id', $userId)->where('cluster_id', $cluster)->get()->first();
                    if(!$dbData){
                        User_cluster::create([
                            'user_id' => $userId,
                            'cluster_id' => $cluster
                        ]);
                    }
                }
            }
            if(is_array($providers)){
                foreach($providers as $provider){
                    $dbData = User_provider::where('user_id', $userId)->where('provider_id', $provider)->get()->first();
                    if(!$dbData){
                        User_provider::create([
                            'user_id' => $userId,
                            'provider_id' => $provider
                        ]);
                    }
                }
            }
        }

        return redirect()->route('show_user', ['id_user' => $userId])->with('success', __("Data successfully changed"));
}

    public function show_user(Request $request){
        $userId = $request->input('id_user');
        $userMod = new User();
        $user = $userMod->podaciUser($userId);
        $clusterMod = new User_cluster();
        $clusters = $clusterMod->clustersForUser($userId);
        $clusterMod = new User_cluster();
        $currentClusters = $clusterMod->clustersForUser($userId);
        $providerMod = new User_provider();
        $currentProviders = $providerMod->providersForUser($userId);

        return view('administracija.show_user', [
            'user' => $user,
            'clusters' => $clusters,
            'currentClusters' => $currentClusters,
            'currentProviders' => $currentProviders
        ]);
    }

    /*---------------------------------------------pomocnici---------------------------------------------*/

    public function pomocnici_index(){
        $pomMod = new Pomocnici();
        $pomocnici = $pomMod->pomocnici();
        return view('administracija.pomocnici_index', [
            'pomocnici' => $pomocnici
        ]);
    }

    public function pomocnik_create(){
        $monteri = Util::monteri();
        $ugovori = Ugovori::all();
        return view('administracija.pomocnik_create', [
            'monteri' => $monteri,
            'ugovori' => $ugovori
        ]);
    }

    public function pomocnik_store(Request $request){
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $jmbg = $request->input('jmbg');
        $email = $request->input('email');
        $telefon = $request->input('telefon');
        $adresa = $request->input(__("Address"));
        $ugovor = $request->input('ugovor')[0];
        $monter = $request->input('monter')[0];
        $datumStart = $request->input('datum_pocetka_osiguranja');
        $datumEnd = $request->input('datum_prestanka_osiguranja');
        $oprema = $request->input('oprema')[0];
        $zanimanje = $request->input('zanimanje');

        if ($datumStart)
            $datumPocetka = date('Y-m-d', strtotime($datumStart));
        else
            $datumPocetka = null;

        if ($datumEnd)
            $datumPrestanka = date('Y-m-d', strtotime($datumEnd));
        else
            $datumPrestanka = null;

        $this->validate($request, [
            'ime' => 'bail|required',
            'prezime' => 'required',
            'jmbg' => 'required|digits:13'
        ]);

        Pomocnici::create([
            'ime' => $ime,
            'prezime' => $prezime,
            'jmbg' => $jmbg,
            'email' => $email,
            'telefon' => $telefon,
            'adresa' => $adresa,
            'id_ugovor' => $ugovor,
            'id_user' => $monter,
            'datum_pocetka_osiguranja' => $datumPocetka,
            'datum_prestanka_osiguranja' => $datumPrestanka,
            'oprema' => $oprema,
            'zanimanje' => $zanimanje
        ]);

        return redirect()->route('pomocnici_index')->with('success', __("Data successfully added"));
    }

    public function pomocnik_edit(Request $request){
        $pomId = $request->input('id_pomocnik');
        $pomMod = new Pomocnici();
        $pomocnik = $pomMod->podaciPomocnik($pomId);
        $monteri = Util::monteri();
        $ugovori = Ugovori::all();
        return view('administracija.pomocnik_edit', [
            'monteri' => $monteri,
            'ugovori' => $ugovori,
            'pomocnik' => $pomocnik
        ]);
    }

    public function pomocnik_update(Request $request){
        $idPom = $request->input('id_pomocnik');
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $jmbg = $request->input('jmbg');
        $email = $request->input('email');
        $telefon = $request->input('telefon');
        $adresa = $request->input('adresa');
        $ugovor = $request->input('ugovor')[0];
        $monter = $request->input('monter')[0];
        $datumStart = $request->input('datum_pocetka_osiguranja');
        $datumEnd = $request->input('datum_prestanka_osiguranja');
        $oprema = $request->input('oprema')[0];
        $zanimanje = $request->input('zanimanje');

        if ($datumStart)
            $datumPocetka = date('Y-m-d', strtotime($datumStart));
        else
            $datumPocetka = null;

        if ($datumEnd)
            $datumPrestanka = date('Y-m-d', strtotime($datumEnd));
        else
            $datumPrestanka = null;

        $this->validate($request, [
            'ime' => 'bail|required',
            'prezime' => 'required',
        ]);

        Pomocnici::where('id', $idPom)->update([
            'ime' => $ime,
            'prezime' => $prezime,
            'jmbg' => $jmbg,
            'email' => $email,
            'telefon' => $telefon,
            'adresa' => $adresa,
            'id_ugovor' => $ugovor,
            'id_user' => $monter,
            'datum_pocetka_osiguranja' => $datumPocetka,
            'datum_prestanka_osiguranja' => $datumPrestanka,
            'oprema' => $oprema,
            'zanimanje' => $zanimanje
        ]);

        return redirect()->route('pomocnik_show', ['id_pomocnik' => $idPom])->with('success', __("Data successfully changed"));
    }

    public function pomocnik_show(Request $request){
        $pomId = $request->input('id_pomocnik');
        $pomMod = new Pomocnici();
        $pomocnik = $pomMod->podaciPomocnik($pomId);

        return view('administracija.pomocnik_show', [
            'pomocnik' => $pomocnik
        ]);
    }

    public function pomocnik_delete(Request $request){
        $idPomocnik = $request->input('id_pomocnik');
        $findPomocnik = Pomocnici::find($idPomocnik);
        if ($findPomocnik->delete()){
            return redirect()->route('pomocnici_index')->with('success', __("Data successfully deleted"));
        }
        return back()->withInput()->with('error', __("Data cannot be deleted"));
    }

    /*---------------------------------------------zarada---------------------------------------------*/
    public function obracun_zarada(){
        $employees = Util::employees();
        return view('administracija.obracun_zarada', [
            'employees' => $employees
        ]);
    }

    public function obracun_bodovi_zarada(Request $request){
        $od = $request->input('start');
        $do = $request->input('end');
        $start = date('Y-m-d', strtotime($od));
        $end = date('Y-m-d', strtotime($do));
        $employees = $request->input('employees');
        if (!$employees){
            $employees = Util::employees();
            $employees = Arr::pluck($employees, 'id');
        }

        $mntModel = new Montirani_uredjaji();
        $data = array();
        $dataSell = array();
        $dataRest = array();
        $razlozi = Razlozi_intervencije::all();
        $razlozi = Arr::pluck($razlozi, 'id');
        //montage
        foreach($employees as $emp){
            $hasHelper = false;
            $userModel = new User();
            $userData = $userModel->podaciUser($emp);
            if ($userData->role_id != 3) continue;
            $terrainModel = new Terrain_ammounts();
            $terrainAmmount = $terrainModel->ammount($start, $emp);
            if ($userData->id_pomocnik) {
                $hasHelper = true;
                $pomocnik = $userData->pomocnik_ime . ' ' . $userData->pomocnik_prezime;
            }
            else {
                $pomocnik = '';
            }
            $employee = $userData->ime.' '.$userData->prezime;
            $complaintPoints = 0;
            $reclamation = 0;
            $mountLnb = $mntModel->monterDevice($emp, 1, 'klijent', 'id_klijent', $start, $end);
            $mountStb = $mntModel->monterDevice($emp, 2, 'klijent', 'id_klijent', $start, $end);
            $mountVdsl = $mntModel->monterDevice($emp, 4, 'klijent', 'id_klijent', $start, $end);
            $mountOnt = $mntModel->monterDevice($emp, 7, 'klijenti_optika', 'id_opticki_klijent', $start, $end);
            $copper = $mntModel->copper($emp, $start, $end);
            $supernova = $mntModel->supernova($emp, $start, $end);

            $setting = Settings::find(1);
            if ($hasHelper){
                //dth and optics
                $lnbMP = $mountLnb->kol*$setting->lnb_monter;
                $lnbHP = $mountLnb->kol*$setting->lnb_helper;
                $stbMP = $mountStb->kol*$setting->stb_monter;
                $stbHP = $mountStb->kol*$setting->stb_helper;
                $vdslMP = $mountVdsl->kol*$setting->vdsl_monter;
                $vdslHP = $mountVdsl->kol*$setting->vdsl_helper;
                $ontMP = $mountOnt->kol*$setting->ont_monter;
                $ontHP = $mountOnt->kol*$setting->ont_helper;

                //supernova
                $supernovaMP = $supernova->kol*$setting->supernova_monter;
                $supernovaHP = $supernova->kol*$setting->supernova_helper;

                //bakar
                $copperMP = $copper->kol*$setting->copper_monter;
                $copperHP = $copper->kol*$setting->copper_helper;
                $monterTerrain = $terrainAmmount/2;
                $helperTerrain = $terrainAmmount/2;
            }
            else {
                $lnbMP = $mountLnb->kol*($setting->lnb_monter + $setting->lnb_helper);
                $stbMP = $mountStb->kol*($setting->stb_monter + $setting->stb_helper);
                $vdslMP = $mountVdsl->kol*($setting->vdsl_monter + $setting->vdsl_helper);
                $ontMP = $mountOnt->kol*($setting->ont_monter + $setting->ont_helper);
                $lnbHP = 0; $stbHP = 0; $vdslHP = 0; $ontHP = 0;

                //supernova
                $supernovaMP = $supernova->kol*$setting->supernova_monter + $supernova->kol*$setting->supernova_helper;
                $supernovaHP = 0;

                //bakar
                $copperMP = $copper->kol*($setting->copper_monter + $setting->copper_helper);
                $copperHP = 0;
                $monterTerrain = $terrainAmmount;
                $helperTerrain = 0;
            }

            $monterPoints = $lnbMP+$stbMP+$vdslMP+$ontMP+$supernovaMP+$copperMP;
            $helperPoints = $lnbHP+$stbHP+$vdslHP+$ontHP+$supernovaHP+$copperHP;
            $totalMountPoints = $monterPoints+$helperPoints;
            $totalMonterAmmount = $totalMountPoints*config('app.vrednost_boda')+$terrainAmmount;

            //reklamacija
            if ($hasHelper) {
                foreach ($razlozi as $razlog) {
                    $comp = $mntModel->reklamacija($emp, $start, $end, $razlog);
                    $reclamation += $comp->kol;
                    if ($razlog == 1) {
                        $monterPoints += $comp->kol * $setting->setting_monter;
                        $helperPoints += $comp->kol * $setting->setting_helper;
                        $complaintPoints += $comp->kol * ($setting->setting_monter + $setting->setting_helper);
                    } elseif ($razlog == 2) {
                        $monterPoints += $comp->kol * $setting->displacment_monter;
                        $helperPoints += $comp->kol * $setting->displacment_helper;
                        $complaintPoints += $comp->kol * ($setting->displacment_monter + $setting->displacement_helper);
                    }
                }
                //optika
                $complainOptika = $mntModel->reklamacijaOptika($emp, $start, $end);
                $reclamation += $complainOptika->kol;
                $monterPoints += $complainOptika->kol*$setting->optics_intervention_monter;
                $helperPoints += $complainOptika->kol*$setting->optics_intervention_helper;
                $complaintPoints += $complainOptika->kol*($setting->optics_intervention_monter + $setting->optics_intervention_helper);
            } else {
                foreach ($razlozi as $razlog) {
                    $comp = $mntModel->reklamacija($emp, $start, $end, $razlog);
                    $reclamation += $comp->kol;
                    if ($razlog == 1) {
                        $complaintPoints += $comp->kol * ($setting->setting_monter + $setting->setting_helper);
                        $monterPoints += $complaintPoints;
                    } elseif ($razlog == 2) {
                        $complaintPoints += $comp->kol * ($setting->displacement_monter + $setting->displacement_helper);
                        $monterPoints += $complaintPoints;
                    }
                }
                //optika
                $complainOptika = $mntModel->reklamacijaOptika($emp, $start, $end);
                $reclamation += $complainOptika->kol;
                $monterPoints += $complainOptika->kol*($setting->optics_intervention_monter + $setting->optics_intervention_helper);
                $complaintPoints += $complainOptika->kol*($setting->optics_intervention_monter + $setting->optics_intervention_helper);
            }

            $data[$employee] = array(
                'user_id' => $emp,
                'lnb' => $mountLnb->kol,
                'stb' => $mountStb->kol,
                'vdsl' => $mountVdsl->kol,
                'ont' => $mountOnt->kol,
                'lnb_bodovi' => $lnbMP+$lnbHP,
                'stb_bodovi' => $stbMP+$stbHP,
                'vdsl_bodovi' => $vdslMP+$vdslHP,
                'ont_bodovi' => $ontMP+$ontHP,
                'supernova' => $supernova->kol,
                'supernova_bodovi' => $supernovaMP+$supernovaHP,
                'bakar' => $copper->kol,
                'bakar_bodovi' => $copperMP+$copperHP,
                'reklamacije' => $reclamation,
                'montirano_bodovi'=>$totalMountPoints,
                'montirano_iznos'=>$totalMonterAmmount,
                'reklamirano_bodovi'=>$complaintPoints,
                'reklamirano_iznos'=>$complaintPoints*config('app.vrednost_boda'),
                'monter_bodovi' => $monterPoints,
                'monter_iznos' => $monterPoints*config('app.vrednost_boda')+$monterTerrain,
                'pomocnik_bodovi' => $helperPoints,
                'pomocnik_iznos' => $helperPoints*config('app.vrednost_boda')+$helperTerrain,
                'pomocnik' => $pomocnik,
                'terrain_ammount' => $terrainAmmount
            );
        }

        //sellers, admins and storekeepers
        $tables = ['klijent', 'klijenti_optika', 'klijenti_supernova', 'klijenti_bakar'];
        foreach($employees as $emp) {
            $points = 0;
            $userModel = new User();
            $userData = $userModel->podaciUser($emp);

            if(Util::firmaId() == 1){
                if(in_array($userData->role_id, config('app.sellers')) || $userData->id == 5){
                    $kpModel = new Klijenti_prodaja();
                    foreach($tables as $table){
                        $bodovi = $kpModel->bodovi($emp, $table, $start, $end);
                        $points += $bodovi->kol;
                    }
                    $employee = $userData->ime.' '.$userData->prezime;
                    $dataSell[$employee]['bodovi'] = $points;
                    $dataSell[$employee]['rola'] = 'prodavac';
                    $dataSell[$employee]['iznos'] = number_format($points*config('app.vrednost_boda_prodaja'), 2, ',', '.');
                }
            }
            else {
                if(in_array($userData->role_id, config('app.sellers'))){
                    $kpModel = new Klijenti_prodaja();
                    foreach($tables as $table){
                        $bodovi = $kpModel->bodovi($emp, $table, $start, $end);
                        $points += $bodovi->kol;
                    }
                    $employee = $userData->ime.' '.$userData->prezime;
                    $dataSell[$employee]['bodovi'] = $points;
                    $dataSell[$employee]['rola'] = 'prodavac';
                    $dataSell[$employee]['iznos'] = number_format($points*config('app.vrednost_boda_prodaja'), 2, ',', '.');
                }
            }

            if(in_array($userData->role_id, [2,4])){
                $salaryModel = new Salaries();
                $salary = $salaryModel->salary_for_date($emp, $end);
                $employee = $userData->ime.' '.$userData->prezime;
                $dataRest[$employee]['rola'] = $userData->rola;
                $dataRest[$employee]['iznos'] = number_format($salary, 2, ',', '.');
            }
        }

        return view('administracija.zarada_pregled', [
            'data' => $data,
            'od'=>$od,
            'do'=>$do,
            'dataSell' => $dataSell,
            'dataRest' => $dataRest
        ]);

    }

    public function zarada_unos(){
        $userModel = new User();
        $userData = $userModel->user_salary();
        return view ('administracija.zarada_unos', ['userData' => $userData]);
    }
/*---------------------------------------------vozila---------------------------------------------*/
    public function vozila_pregled(){
        $vozMod = new Vozila();
        $vozila = $vozMod->vozila();
        $cardMod = new Vehicle_card_links();
        return view('administracija.vozila_pregled', [
            'vozila' => $vozila,
            'cardMod' => $cardMod
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $monteri = Util::employees();
        $companies = Companies::all();
        $owners = Vehicle_owners::all();
        $cardMod = new Vehicle_cards();
        $cards = $cardMod->cards();
        $fuelTypes = Fuel_types::all();
        $vehicleTypes = Vehicle_types::all();
        return view('administracija.create', [
            'monteri' => $monteri,
            'companies' => $companies,
            'owners' => $owners,
            'cards' => $cards,
            'fuelTypes' => $fuelTypes,
            'vehicleTypes' => $vehicleTypes
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'marka' => 'required',
            'tip' => 'required',
            'reg_br' => 'required',
            'company' => 'required',
            'owner' => 'required'
        ]);

        $cards = $request->input('card');

        $vehicle = Vozila::create([
            'marka' => $request->input('marka'),
            'tip' => $request->input('tip'),
            'reg_br' => $request->input('reg_br'),
            'id_user' => $request->input('monter')[0],
            'owner_id' => $request->input('owner'),
            'company_id' => $request->input('company'),
            'fuel_type' => $request->input('fuel_type'),
            'vehicle_type' => $request->input('vehicle_type')
        ]);

        if($cards && $vehicle){
            foreach($cards as $card){
                Vehicle_card_links::create([
                    'vehicle' => $vehicle->id,
                    'card' => $card
                ]);
            }
        }

        if ($vehicle){
            return redirect()->route('vozila_pregled')->with('success', __("Data successfully deleted"));
        }
    }


    public function edit($vozilo)
    {
        $vozilo = Vozila::find($vozilo);
        $monteri = Util::employees();
        $companies = Companies::all();
        $owners = Vehicle_owners::all();
        $cardMod = new Vehicle_cards();
        $cards = $cardMod->cards();
        $fuelTypes = Fuel_types::all();
        $vehicleTypes = Vehicle_types::all();
        $cardLinksMod = new Vehicle_card_links();
        $cardList = $cardLinksMod->cards_for_vehicle($vozilo->id);
        return view('administracija.edit', [
            'monteri' => $monteri,
            'vozilo' => $vozilo,
            'cards' => $cards,
            'fuelTypes' => $fuelTypes,
            'vehicleTypes' => $vehicleTypes,
            'owners' => $owners,
            'companies' => $companies,
            'cardList' => $cardList
        ]);
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'marka' => 'required',
            'tip' => 'required',
            'reg_br' => 'required',
        ]);
        $cards = $request->input('cards');
        $update = Vozila::where('id', $id)->update([
            'marka' => $request->input('marka'),
            'tip' => $request->input('tip'),
            'reg_br' => $request->input('reg_br'),
            'id_user' => $request->input('monter')[0],
            'owner_id' => $request->input('owner'),
            'company_id' => $request->input('company'),
            'fuel_type' => $request->input('fuel_type'),
            'vehicle_type' => $request->input('vehicle_type')
        ]);

        if($update && $cards){
            foreach($cards as $card){
                $hasCard = Vehicle_card_links::where('vehicle', $id)->where('card', $card)->get();
                if($hasCard->isEmpty()){
                    Vehicle_card_links::create([
                        'vehicle' => $id,
                        'card' => $card
                    ]);
                }
            }
        }

        return redirect()->route('vozila_pregled')->with('success', __("Data successfully changed"));
    }


    public function destroy(Request $request)
    {
        $findVozilo = Vozila::find($request->input('id_vozilo'));

        if ($findVozilo->delete()){
            return redirect()->route('vozila_pregled')->with('success', __("Data successfully deleted"));
        }

        return back()->withInput()->with('error', __("Data cannot be deleted"));
    }

    public function card_delete(Request $request){
        $cardId = $request->input('card_id');
        $vehicleId = $request->input('vehicle_id');
        $deleteCard = Vehicle_card_links::where('vehicle', $vehicleId)->where('card', $cardId)->delete();
        if ($deleteCard)
            return back()->withInput()->with('success', __("Data successfully deleted"));
        else
            return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }

    public function vehicle_search(){
        $vehicles = Vozila::all();
        return view('administracija.vehicle_search', ['vehicles' => $vehicles]);
    }

    public function vehicle_search_result(Request $request){
        $marka = $request->input('marka');
        $tip = $request->input('tip');
        $regBr = $request->input('reg_br');

        $vMod = new Vozila();
        $vozila = $vMod->vehicles_search($marka, $tip, $regBr);
        $cardMod = new Vehicle_card_links();
        return view('administracija.vehicle_search_result', ['vozila' => $vozila, 'cardMod' => $cardMod]);
    }

    
    public function destroy_provider(Request $request){
        $id = $request->input('id_provider');
        $find = User_provider::find($id);
        if ($find->delete())
            return back()->withInput()->with('success', __("Data successfully deleted"));
        else
            return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
    
    public function destroy_cluster(Request $request){
        $id = $request->input('id_cluster');
        $find = User_cluster::find($id);
        if ($find->delete())
            return back()->withInput()->with('success', __("Data successfully deleted"));
        else
            return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
