<?php

namespace App\Http\Controllers\Auth;

use App\User;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;


class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;
    

    protected function authenticated(){
        $user = auth()->user();
        if($user->role_id == 1)
            return redirect()->route('scoreboard');
        elseif($user->role_id == 13)
            return redirect()->route('de_construction_sites.create');
        else
            return redirect()->route('home');
    }

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    protected function credentials(Request $request)
    {
        return ['email' => $request->{$this->username()}, 'password' => $request->password, 'is_active' => 1];
    }

    public function logout()
    {
        $user = auth()->user();
        if(isset($user->id))
            User::where('id', '=', $user->id)->update(['online_status'=>0]);
        session(['odlozen'=>false]);
        session(['vraceno'=>false]);
        session(['zahtevi'=>false]);
        Auth::logout();
        return redirect('/login');
    }

}
