<?php

namespace App\Http\Controllers;

use App\Models\Callisto_bills;
use Illuminate\Http\Request;
use App\Traits\Util;

class BillController extends Controller
{
    public function bills(){
        $bills = Callisto_bills::all()->sortByDesc('date');
        return view('bill.bills', ['bills' => $bills, 'isDeveloper' => Util::isDeveloper()]);
    }

    public function create(){
        return view('bill.create');
    }

    public function store(Request $request){
        $request->validate([
            'number' => 'required',
            'date' => 'required',
            'ammount' => 'required',
            'invoice' => 'mimes:pdf,xlx,csv|max:3076'
        ]);

        $number = $request->input('number');
        $date = $request->input('date');
        $ammount = (float)$request->input('ammount');
        $paymentDate = $request->input('payment_date');
        $payed = $request->input('payed');
        $file = $request->file('invoice');

        $folder = 'uploads/bills';

        $billCreate = Callisto_bills::create([
            'number' => $number,
            'date' => database_date($date),
            'ammount' => $ammount,
            'payment_date' => database_date($paymentDate),
            'status' => $payed?1:0
        ]);

        if($request->hasFIle('invoice') && $billCreate){
            if (!file_exists($folder)){
                mkdir($folder, 0755, true);
            }
            $fileName = $file->getClientOriginalName();
            $file->move(public_path($folder), $fileName);
            $findBill = Callisto_bills::where('id', $billCreate->id)->update([
                'pdf_url' => $folder.'/'.$fileName
            ]);
        }
        
        return redirect()->route('callisto_bills')->with('success', 'it is done');

    }

    public function edit(Request $request){
        $id = $request->input('id');
        $bill = Callisto_bills::where('id', $id)->get();

        return view ('bill.edit', ['bill' => $bill[0]]);
    }

    public function update(Request $request){
        $request->validate([
            'number' => 'required',
            'date' => 'required',
            'ammount' => 'required',
            'invoice' => 'mimes:pdf,xlx,csv|max:3076'
        ]);

        $id = $request->input('id');
        $number = $request->input('number');
        $date = $request->input('date');
        $ammount = (float)$request->input('ammount');
        $paymentDate = $request->input('payment_date');
        $payed = $request->input('payed');
        $file = $request->file('invoice');

        $folder = 'uploads/bills';

        $billUpdate = Callisto_bills::where('id', $id)->update([
            'number' => $number,
            'date' => database_date($date),
            'ammount' => $ammount,
            'payment_date' => database_date($paymentDate),
            'status' => $payed?1:0
        ]);

        if($request->hasFIle('invoice') && $billUpdate){
            if (!file_exists($folder)){
                mkdir($folder, 0755, true);
            }
            $fileName = $file->getClientOriginalName();
            $file->move(public_path($folder), $fileName);
            $findBill = Callisto_bills::where('id', $id)->update([
                'pdf_url' => $folder.'/'.$fileName
            ]);
        }
        
        return redirect()->route('callisto_bills')->with('success', 'it is done');
    }
}
