<?php

namespace App\Http\Controllers;

use App\Models\Clusters;
use Illuminate\Http\Request;

class ClusterController extends Controller
{
    public function index()
    {
        $clusters = Clusters::all();
        return view('cluster.index', ['clusters' => $clusters]);
    }

    public function create()
    {
        return view('cluster.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'cluster' => 'required'
        ]);
        $create = Clusters::create([
            'cluster' => trim($request->input('cluster'))
        ]);

        $clusters = Clusters::all();
        if ($create){
            return view('cluster.index', ['clusters' => $clusters]);
        }
    }

    public function show(Clusters $cluster)
    {
        $cluster = Clusters::find($cluster->id);
        return view('cluster.show', ['cluster' => $cluster]);
    }

    public function edit(Clusters $cluster)
    {
        return view('cluster.edit', ['cluster' => $cluster]);
    }

    public function update(Request $request, Clusters $cluster)
    {
        $request->validate([
            'cluster' => 'required'
        ]);
        $update = Clusters::where('id', $cluster->id)->update([
            'cluster'=>trim($request->input('cluster'))
        ]);

        if ($update){
            return redirect()->route('cluster.show', ['cluster' => $cluster->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    public function destroy(Request $request)
    {
        $find = Clusters::find($request->input('id_cluster'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Item can't be deleted because it's in use"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
