<?php

namespace App\Http\Controllers;

use App\Klijenti_prodaja;
use App\Models\Commissions;
use App\Paketi;
use App\Vrste_paketa;
use Illuminate\Http\Request;

class CommissionController extends Controller
{
    public function commissions(){
        $comMod = new Commissions();
        $commissions = $comMod->comData();
        return view('commissions.index', ['commissions' => $commissions]);
    }

    public function create(){
        $packets = Paketi::all();
        $packetTypes = Vrste_paketa::all();
        return view('commissions.create', ['packets' => $packets, 'packetTypes'=>$packetTypes]);
    }

    public function store(Request $request){
        $request->validate([
            'packet' => 'required',
            'packet_type' => 'required',
            'commission' => 'required|numeric'
        ]);
        $create = Commissions::create([
            'packet' => $request->input('packet'),
            'packet_type' => $request->input('packet_type'),
            'commission' => $request->input('commission')
        ]);

        if($create)
            return redirect()->route('commissions')->with('success', __('Data successfully added'));
        else
            return back()->with('error', __("Error"));
    }

    public function destroy(Request $request){
        $find = Commissions::find($request->input('id_com'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Data cannot be deleted"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }

    public function statistic(Request $request){
        $od = database_date($request->input('start'));
        $do = database_date($request->input('end'));
        $kMod = new Klijenti_prodaja();
        $potentialCom = $kMod->potentialCommission($od,$do);
        $realizedSale = $kMod->realizedSale($od,$do);
        $unrealizedSale = $kMod->unrealizedSale($od,$do);
        return view ('commissions.statistic', [
            'potentialCom' => $potentialCom,
            'realizedSale' => $realizedSale,
            'unrealizedSale' => $unrealizedSale,
            'from' => $od?$od:date('01.m.Y.'),
            'to' => $do?$do:date('t.m.Y.')
        ]);
    }
    
}
