<?php

namespace App\Http\Controllers;

use App\Models\DistributiveKnot;
use Illuminate\Http\Request;

class DistributiveKnotController extends Controller
{
    public function index()
    {
        $knots = DistributiveKnot::all();
        return view('distributiveKnot.index', ['knots' => $knots]);
    }

    public function create()
    {
        return view('distributiveKnot.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'knot' => 'required'
        ]);
        $create = DistributiveKnot::create([
            'knot' => trim($request->input('knot'))
        ]);

        $knots = DistributiveKnot::all();
        if ($create){
            return view('distributiveKnot.index', ['knots' => $knots]);
        }
    }

    public function show(DistributiveKnot $knot)
    {
        $knot = DistributiveKnot::find($knot->id);
        return view('distributiveKnot.show', ['knot' => $knot]);
    }

    public function edit(DistributiveKnot $knot)
    {
        return view('distributiveKnot.edit', ['knot' => $knot]);
    }

    public function update(Request $request, DistributiveKnot $knot)
    {
        $request->validate([
            'knot' => 'required'
        ]);
        $update = DistributiveKnot::where('id', $knot->id)->update([
            'knot'=>trim($request->input('knot'))
        ]);

        if ($update){
            return redirect()->route('distributiveKnot.show', ['knot' => $knot->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    public function destroy(Request $request)
    {
        $find = DistributiveKnot::find($request->input('id_knot'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Item can't be deleted because it's in use"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
