<?php

namespace App\Http\Controllers;

use App\Models\Kir_required_equipment;
use App\Models\Required_equipment;
use App\Models\Kir;
use App\Models\Equipment;
use App\Models\Huawei;
use App\Models\Huawei_comments;
use App\Const_delivery_notes;
use App\Const_equipment_delivery;
use App\Models\Construction_comments;
use App\Models\Hw_site_equipment;
use App\Povratna_roba;
use App\Klijenti_supernova;
use App\Models\Construction_prices;
use App\Models\Construction_sites;
use App\Models\Equipment_categories;
use App\Models\Site_equipment;
use App\Models\Site_work;
use App\Models\Work_categories;
use App\Montirani_uredjaji;
use App\Napomene;
use App\Oprema_otpremnica;
use App\Oprema_povratnica;
use App\Klijent;
use App\Klijenti_prodaja;
use App\Magacin;
use App\Oprema_revers;
use App\Otpremnice;
use App\Povratnice;
use App\Revers;
use App\Statusi_uredjaja;
use App\Traits\Util;
use App\Uredjaji;
use App\Vraceni_uredjaji;
use Illuminate\Http\Request;
use PhpOffice\PhpSpreadsheet\Cell\DataType;
use setasign\Fpdi\Fpdi;
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use Symfony\Component\HttpFoundation\StreamedResponse;

class ExportController extends Controller
{
    //
    public function export_pdf(Request $request){
        require_once ('../vendor/setasign/fpdf/fpdf.php');
        require_once ('../vendor/setasign/fpdi/src/autoload.php');

        $idKlijent = $request->input('id');
        $type = $request->input('type');

        $klijentModel = new Klijent();
        $klijent = $klijentModel->pdfUgovor($idKlijent);
        $ime = iconv('UTF-8', 'Windows-1250', $klijent->ime.' '.$klijent->prezime);
        $monter = iconv('UTF-8', 'Windows-1250', $klijent->monter_ime.' '.$klijent->monter_prezime);
        $brojUgovora = $klijent->br_ugovora;
        $jmbg = $klijent->jmbg;
        $adresaInstalacije =  iconv('UTF-8', 'Windows-1250', $klijent->adresa_instalacije);
        $tel1 = $klijent->tel1;
        $tel2 = $klijent->tel2;
        $tel3 = $klijent->tel3;
        $paket = iconv('UTF-8', 'Windows-1250', $klijent->paket);
        $tisId = $klijent->tis_id;
        $mreznaGrupa = $klijent->mrezna_grupa.($klijent->tel1?'/'.$klijent->tel1:'');
        $telefon = ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : '');
        if ($klijent->datum_zakazivanja)
             $datumZakazivanja = date('d.m.Y.', strtotime($klijent->datum_zakazivanja));
        else
            $datumZakazivanja = null;

        switch ($type){
            case  1:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/msat.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $pdf->SetXY(129.5, 38.3);
                $x = 70;
                $pdf->SetFont('DejaVu','',8);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, 49.7);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 55);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 60);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 65.5);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 70.8);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $pdf->SetXY(123, 257.5);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output('ugovor_msat_'.$brojUgovora.'.pdf', 'D');
                break;

            case 2:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/box2.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $pdf->SetFont('DejaVu','',8);
                $pdf->SetXY(160, 22.2);
                $x = 41;
                $y = 33.2;
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 37.6);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 41.8);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 46.3);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 51);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $pdf->SetXY(118, 255);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output(__("contract").'_box2_msat_'.$brojUgovora.'.pdf', 'D');
            break;

            case 3:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/box3.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',9);
                $pdf->SetTextColor(0,0,0);
                $x = 53;
                $pdf->SetXY(89, 22);
                $pdf->SetFont('DejaVu','',8);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, 46.8);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 51.5);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 56);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 60.4);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 64.5);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));

                $pdf->SetXY(85.5, 106.5);
                $pdf->Write(0, $mreznaGrupa);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);
                $pdf->SetXY(122, 232);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output(__("contract").'_box3_msat_'.$brojUgovora.'.pdf', 'D');
            break;

            case 4:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/box4.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',9);
                $pdf->SetTextColor(0,0,0);
                $x = 53;
                $pdf->SetXY(88, 22);
                $pdf->SetFont('DejaVu','',8);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, 46.3);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 51);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 55.4);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 59.8);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 64.5);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));

                $pdf->SetXY(96.5, 106);
                $pdf->Write(0, $mreznaGrupa);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);
                $pdf->SetXY(121, 230);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output(__("contract").'_box4_msat_'.$brojUgovora.'.pdf', 'D');
            break;

            case 5:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/radni_nalog.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',9);
                $pdf->SetTextColor(0,0,0);
                $pdf->SetXY(40, 70.8);
                $pdf->Write(0, $paket);
                $pdf->SetXY(28, 76.6);
                $pdf->Write(0, $ime);
                $pdf->SetXY(155, 71);
                $pdf->Write(0, $datumZakazivanja);
                $pdf->SetXY(155, 81.2);
                $pdf->Write(0, $mreznaGrupa);
                $pdf->SetXY(155, 85.8);
                $pdf->Write(0, ($tel2 ? $tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));

                $pdf->SetXY(35, 95.4);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetXY(125, 95.8);
                $pdf->Write(0, $tisId);
                $pdf->SetXY(125, 100.2);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY(42, 110.7);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY(170, 110.6);
                $pdf->Write(0, date('d.m.Y.'));
                $pdf->SetXY(42, 115.7);
                $pdf->Write(0, $paket);

                $pdf->SetXY(35, 168);
                $pdf->Write(0, $datumZakazivanja);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY(35, 177);
                $pdf->Write(0, $monter);

                $pdf->Output(__("work_order").'_'.date('d.m.Y.').'.pdf', 'D');
            break;
            case  6:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/promocija.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $pdf->SetXY(128.5, 38.3);
                $x = 70;
                $pdf->Write(0, $brojUgovora);
                $pdf->SetXY($x, 49.7);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 55);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 60);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 65.5);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 70.8);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $pdf->SetXY(123, 250.5);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output(__("promotion").'_'.$brojUgovora.'.pdf', 'D');
            break;
            case 7:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/dodatni_stb.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 60;
                $y = 55.5;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $ime);
                $y += 6;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $jmbg);
                $y += 6;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $adresaInstalacije);
                $y += 6.5;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $adresaInstalacije);
                $y += 6.5;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $y += 12;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $datumZakazivanja);
                $pdf->SetXY(108, 245);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->Output(__("extra_stb").'_'.$brojUgovora.'.pdf', 'D');
                break;
            case 8:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/mobilni_net.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',8);
                $pdf->SetXY(148, 38);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 90;
                $y = 54;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $ime);
                $y += 7;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $jmbg);
                $y += 7;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $adresaInstalacije);
                $y += 7;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $adresaInstalacije);
                $y += 7;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $y += 12;
                $pdf->SetXY(117.5, 249);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/mobilni_net.pdf');
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->SetFont('DejaVu','',8);
                $pdf->SetXY(78, 46);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY(117.5, 256);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->Output(__("mobile_net").'_'.$brojUgovora.'.pdf', 'D');
            break;

            case 9:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/msat_2022.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $pdf->SetXY(131, 38.3);
                $x = 70;
                $pdf->SetFont('DejaVu','',8);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, 49.7);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 55);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 60);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 65.5);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 70.8);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $pdf->SetXY(123, 257.5);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output('ugovor_msat_'.$brojUgovora.'.pdf', 'D');
            break;
            case 10:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/box2_2022.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $pdf->SetFont('DejaVu','',8);
                $pdf->SetXY(162, 22.2);
                $pdf->Write(0, $brojUgovora);
                $x = 45;
                $y = 33.2;
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 37.6);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 41.8);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 46.3);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 51);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $pdf->SetXY(118, 255);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output(__("contract").'_box2_msat_'.$brojUgovora.'.pdf', 'D');
            break;
            case 11:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/box3_2022.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',9);
                $pdf->SetTextColor(0,0,0);
                $x = 53;
                $pdf->SetXY(91, 22);
                $pdf->SetFont('DejaVu','',8);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, 46.8);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 51.5);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 56);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 60.4);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 64.5);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));

                $pdf->SetXY(85.5, 106.5);
                $pdf->Write(0, $mreznaGrupa);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);
                $pdf->SetXY(122, 232);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output(__("contract").'_box3_msat_'.$brojUgovora.'.pdf', 'D');
            break;
            case 12:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/box4_2022.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',9);
                $pdf->SetTextColor(0,0,0);
                $x = 53;
                $pdf->SetXY(91, 22);
                $pdf->SetFont('DejaVu','',6);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, 46.3);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 51);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 55.4);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 59.8);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 64.5);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));

                $pdf->SetXY(96.5, 109);
                $pdf->Write(0, $mreznaGrupa);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);
                $pdf->SetXY(121, 230);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output(__("contract").'_box4_msat_'.$brojUgovora.'.pdf', 'D');
            break;
            case 13:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/promocija_2022.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',8);
                $pdf->SetTextColor(0,0,0);
                $pdf->SetXY(130, 38.3);
                $x = 70;
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY($x, 49.7);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 55);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 60);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 65.5);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 70.8);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $pdf->SetXY(119, 250.5);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output(__("promotion").'_'.$brojUgovora.'.pdf', 'D');
            break;
            case 14:
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/mobilni_net_2022.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',8);
                $pdf->SetXY(146, 38);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 90;
                $y = 54;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $ime);
                $y += 7;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $jmbg);
                $y += 7;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $adresaInstalacije);
                $y += 7;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, $adresaInstalacije);
                $y += 7;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $y += 12;
                $pdf->SetXY(117.5, 249);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/mobilni_net.pdf');
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->SetFont('DejaVu','',8);
                $pdf->SetXY(78, 46);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetXY(117.5, 256);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->Output(__("mobile_net").'_'.$brojUgovora.'.pdf', 'D');
            break;
            case 15 :
                $pdf = new Fpdi();
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/solo_msat.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $pdf->SetFont('DejaVu','',8);
                $pdf->SetXY(131, 38.3);
                $pdf->Write(0, $brojUgovora);
                $pdf->SetFont('DejaVu','',10);
                $x = 70;
                $pdf->SetXY($x, 49.7);
                $pdf->Write(0, $ime);
                $pdf->SetXY($x, 55);
                $pdf->Write(0, $jmbg);
                $pdf->SetXY($x, 60);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 65.5);
                $pdf->Write(0, $adresaInstalacije);
                $pdf->SetXY($x, 70.8);
                $pdf->Write(0, ($tel1 ? $mreznaGrupa : ''). ($tel2 ? ($tel1 ? ' | ' : '') .$tel2 : ''). ($tel3 ? ($tel2 ? ' | ' : '').$tel3 : ''));
                $pdf->SetXY(123, 257.5);
                $pdf->Write(0, $datumZakazivanja);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/odustanak.pdf');
                $tplIdx = $pdf->importPage(1);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);
                $x = 159;
                $y = 41;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);
                $x = 73;
                $y += 83;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(2);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->addPage();
                $tplIdx = $pdf->importPage(3);
                $pdf->useTemplate($tplIdx, null, null, null,null, true);

                $pdf->AddFont('DejaVu','','DejaVuSans.php');
                $pdf->SetFont('DejaVu','',10);
                $pdf->SetTextColor(0,0,0);

                $x = 73;
                $y = 73;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $ime);
                $y += 9;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 10;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $adresaInstalacije);
                $y += 11;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $telefon);

                $x = 63;
                $y = 196;
                $pdf->SetXY($x, $y);
                $pdf->write(0, $datumZakazivanja);

                $pdf->Output('ugovor_msat_'.$brojUgovora.'.pdf', 'D');
            break;
        }
    }

    public function otpremnica_pdf(Request $request)
    {
        require_once('../vendor/setasign/fpdf/fpdf.php');
        require_once('../vendor/setasign/fpdi/src/autoload.php');

        $idOtpr = $request->input('id_otpremnice');

        $otpMod = new Otpremnice();
        $otp = $otpMod->otpremnica($idOtpr);
        $stavke = $otpMod->robaStavke($idOtpr);
        $robaCount = $otpMod->robaCount($idOtpr);
        $magacioner = iconv('UTF-8', 'Windows-1250', $otp->magacioner_ime . ' ' . $otp->magacioner_prezime);
        $robuPreuzeo = iconv('UTF-8', 'Windows-1250', $otp->robu_preuzeo);
        $datumIzrade = date('d.m.Y.', strtotime($otp->created_at));
        $vremeIzrade = date('H:i', strtotime($otp->created_at));

        $pdf = new Fpdi();
        $pdf->addPage();
        $pdf->setSourceFile('../public/templates/memo.pdf');
        $tplIdx = $pdf->importPage(1);
        $pdf->useTemplate($tplIdx, null, null, null, null, true);

        $pdf->AddFont('DejaVu', '', 'DejaVuSans.php');
        $pdf->SetFont('DejaVu', '', 11);
        $pdf->SetTextColor(0, 0, 0);
        $pdf->SetXY(25, 70);
        $pdf->SetFont('DejaVu', '', 11);
        $pdf->Write(0, __("Delivery note").' '.__("No.").' '. $otp->id);
        $pdf->SetXY(25, 76);
        $pdf->Write(0, __("Date").' '. $datumIzrade);
        $pdf->SetXY(25, 82);
        $pdf->Write(0, __("Time").' ' . $vremeIzrade);
        $pdf->SetXY(25, 88);
        $pdf->Write(0, __("Storekeeper").' ' . $magacioner);

        $tbWdth = 70;
        $y = 99;
        $x = 25;
        $pdf->SetXY($x, 94);
        $pdf->Cell($tbWdth, 5, __("Goods"), 1, 0, 'L', 0);
        $pdf->Cell($tbWdth, 5, iconv('UTF-8', 'Windows-1250', __("Quantity")), 1, 0, 'L', 0);

        foreach ($robaCount as $roba) {
            $pdf->SetXY($x, $y);
            $pdf->Cell($tbWdth, 5, $roba->uredjaj, 1, 0, 'L', 0);
            $pdf->Cell($tbWdth, 5, $roba->count, 1, 0, 'L', 0);
            $y += 5;
        }

        $pdf->SetXY($x, 222);
        $pdf->SetFont('DejaVu', '', 10);
        $pdf->Write(0, __("Goods taken by").': ');
        if(strlen($robuPreuzeo) > 70)
            $pdf->SetFont('DejaVu', '', 9);
        $pdf->SetXY($x+29, 222);
        $y = 222;
        $pdf->Write(0, $robuPreuzeo);
        $pdf->SetFont('DejaVu', '', 10);
        $y += 6;
        $pdf->SetXY($x, $y);
        $pdf->Write(0, __("JMBG").': ' . $otp->jmbg);
        $y += 6;
        $pdf->SetXY($x, $y);
        $pdf->Write(0, __("Phone").': ' . $otp->tel);
        $y += 6;
        $pdf->SetXY($x, $y);
        $pdf->Write(0, __("Plate number").': ' . $otp->reg_br);
        $y += 6;
        $pdf->SetXY($x, $y);
        $pdf->Write(0, iconv('UTF-8', 'Windows-1250', __("Seal and signature").': _________________________'));
        /*--------------------------------------druga strana------------------------------------------------------------------*/
        if (!$stavke->isEmpty()) {
            $pdf->addPage();
            $pdf->setSourceFile('../public/templates/memo.pdf');
            $pdf->useTemplate($tplIdx, null, null, null, null, true);

            $y = 65;
            $x = 10;
            $pageSplitter = 0;
            $changeY = true;

            foreach ($stavke as $br => $st) {
                $y += 4;
                if ($br == 0) {
                    $pdf->SetFont('DejaVu', '', 12);
                    $pdf->SetXY($x, $y);
                    $pdf->Write(0, iconv('UTF-8', 'Windows-1250', '(' . strtoupper($st->uredjaj) . ')'));
                    $y += 6;
                } else {
                    if ($st->id_uredjaj != $stavke[$br - 1]->id_uredjaj) {
                        $y += 2;
                        $pdf->SetFont('DejaVu', '', 12);
                        $pdf->SetXY($x, $y);
                        $pdf->Write(0, iconv('UTF-8', 'Windows-1250', '(' . strtoupper($st->uredjaj) . ')'));
                        $y += 6;
                    }
                }

                $pdf->SetFont('DejaVu', '', 7);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, iconv('UTF-8', 'Windows-1250', $st->serijski_broj));

                $pageSplitter++;
                if ($pageSplitter > 45) {
                    if ($changeY) {
                        $y = 68;
                        $changeY = false;
                    }
                    $x = 100;
                }
                if ($pageSplitter > 90) {
                    $pdf->addPage();
                    $pdf->setSourceFile('../public/templates/memo.pdf');
                    $pdf->useTemplate($tplIdx, null, null, null, null, true);
                    $y = 65;
                    $x = 10;
                    $pageSplitter = 0;
                    $changeY = true;
                }
            }
        }
        $opModel = new Oprema_otpremnica();
        $oprema = $opModel->oprema($idOtpr);
        if (!$oprema->isEmpty()){
            $pdf->addPage();
            $pdf->setSourceFile('../public/templates/memo.pdf');
            $pdf->useTemplate($tplIdx, null, null, null, null, true);

            $y = 80;
            $x = 10;
            $pdf->SetFont('DejaVu', '', 12);
            $pdf->SetXY($x, $y);
            $pdf->Write(0, __("Accessories").': ');
            $pdf->SetFont('DejaVu', '', 10);
            $y+=5;
            foreach ($oprema as $opr) {
                $y += 5;
                $x = 10; // Assuming starting X position
            
                // Splitting the text into multiple lines if it exceeds the cell width
                $lines = wordwrap($opr->naziv, 80, "\n", true); // 20 is the maximum characters per line, adjust as needed
            
                // Writing each line separately
                $linesArray = explode("\n", $lines);
                foreach ($linesArray as $line) {
                    $pdf->SetXY($x, $y);
                    $pdf->Write(0, iconv('UTF-8', 'Windows-1250', $line));
                    $y += 5; // Adjust this value according to your font size and line spacing
                }

                $pdf->Line(10, $y, $pdf->GetPageWidth()-10, $y);
            
                // Writing the second cell
                $pdf->SetXY($x + 160, $y - 5); // Adjust the X position accordingly
                $pdf->Write(0, '('.$opr->kol.')');
            }

        }
        $pdf->Output('memorandum_' . time() . '.pdf', 'D');
    }

    public function revers_pdf(Request $request){
        require_once ('../vendor/setasign/fpdf/fpdf.php');
        require_once ('../vendor/setasign/fpdi/src/autoload.php');

        $idRev = $request->input('id_revers');

        $revMod = new Revers();
        $rev = $revMod->revers($idRev);
        $stavke = $revMod->robaStavke($idRev);
        $robaCount = $revMod->robaCount($idRev);
        $magacioner = iconv('UTF-8', 'Windows-1250', $rev->magacioner_ime.' '. $rev->magacioner_prezime);
        if($rev->text)
            $monter = iconv('UTF-8', 'Windows-1250', $rev->text);
        else
            $monter = iconv('UTF-8', 'Windows-1250', $rev->monter_ime.' '. $rev->monter_prezime);
        $datumIzrade = date('d.m.Y.', strtotime($rev->created_at));
        $vremeIzrade = date('H:i', strtotime($rev->created_at));

        $pdf = new Fpdi();
        $pdf->addPage();
        $pdf->setSourceFile('../public/templates/memo.pdf');
        $tplIdx = $pdf->importPage(1);
        $pdf->useTemplate($tplIdx, null, null, null,null, true);

        $pdf->AddFont('DejaVu','','DejaVuSans.php');
        $pdf->SetFont('DejaVu','',11);
        $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(25, 70); //this
        $pdf->SetFont('DejaVu','',11);
        $pdf->Write(0, __("Reverse").' '.__("No.").' '.$rev->id);
        $pdf->SetXY(25, 76);
        $pdf->Write(0, __("Date").' '.$datumIzrade);
        $pdf->SetXY(25, 82);
        $pdf->Write(0, __("Time").' '.$vremeIzrade);
        $pdf->SetXY(25, 88);
        $pdf->Write(0, __("Storekeeper").' '.$magacioner);

        $tbWdth = 70;
        $y = 99; $x = 25;
        $pdf->SetXY($x, 94);
        $pdf->Cell($tbWdth,5,__("Goods"),1,0,'L',0);
        $pdf->Cell($tbWdth,5,iconv('UTF-8', 'Windows-1250', __("Quantity")),1,0,'L',0);

        foreach ($robaCount as $roba) {
            $pdf->SetXY($x, $y);
            $pdf->Cell($tbWdth, 5, $roba->uredjaj,1,0,'L',0);
            $pdf->Cell($tbWdth, 5, $roba->count, 1, 0, 'L', 0);
            $y += 5;
        }

        $pdf->SetXY($x, 222);
        $pdf->Write(0, __("Goods taken by").': '.$monter);
        $pdf->SetXY($x, 228);
        $pdf->Write(0, __("Plate number").': '.$rev->reg_br);
        $pdf->SetXY($x, 236);
        $pdf->Write(0, iconv('UTF-8', 'Windows-1250', __("Seal and signature").': _________________________'));
        /*--------------------------------------druga strana------------------------------------------------------------------*/
        $pdf->addPage();
        $pdf->setSourceFile('../public/templates/memo.pdf');
        $pdf->useTemplate($tplIdx, null, null, null,null, true);

        $y = 65; $x = 10;
        $pageSplitter = 0;
        $changeY = true;
        foreach ($stavke as $br => $st) {
            $y+=4;
            if ($br == 0) {
                $pdf->SetFont('DejaVu', '', 12);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, iconv('UTF-8', 'Windows-1250', '(' . strtoupper($st->uredjaj) . ')'));
                $y+=6;
            }
            else {
                if ($st->id_uredjaj != $stavke[$br-1]->id_uredjaj){
                    $y+=2;
                    $pdf->SetFont('DejaVu', '', 12);
                    $pdf->SetXY($x, $y);
                    $pdf->Write(0, iconv('UTF-8', 'Windows-1250', '('.strtoupper($st->uredjaj).')'));
                    $y+=6;
                }
            }

            $pdf->SetFont('DejaVu', '', 7);
            $pdf->SetXY($x, $y);
            $pdf->Write(0, iconv('UTF-8', 'Windows-1250', $st->serijski_broj));

            $pageSplitter++;
            if ($pageSplitter > 45){
                if ($changeY) {
                    $y = 68;
                    $changeY = false;
                }
                $x = 100;
            }
            if ($pageSplitter > 90){
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/memo.pdf');
                $pdf->useTemplate($tplIdx, null, null, null, null, true);
                $y = 65;
                $x = 10;
                $pageSplitter = 0;
                $changeY = true;
            }
        }

        $opModel = new Oprema_revers();
        $oprema = $opModel->oprema($idRev);
        if (!$oprema->isEmpty()){
            $pdf->addPage();
            $pdf->setSourceFile('../public/templates/memo.pdf');
            $pdf->useTemplate($tplIdx, null, null, null, null, true);

            $y = 80;
            $x = 10;
            $pdf->SetFont('DejaVu', '', 12);
            $pdf->SetXY($x, $y);
            $pdf->Write(0, __("Accessories").': ');
            $pdf->SetFont('DejaVu', '', 10);
            $y+=5;
            foreach ($oprema as $opr){
                $y+=10;
                $pdf->SetXY($x, $y);
                $pdf->Write(0, iconv('UTF-8', 'Windows-1250', $opr->naziv).': ');

                $pdf->SetXY($x+50, $y);
                $pdf->Write(0, $opr->kol.' '.__("PCs"));
            }
        }

        $pdf->Output('memorandum_'.time().'.pdf', 'D');
    }

    public function export_magacin(Request $request){
        $ids = $request->input('ids');
        require '../vendor/autoload.php';

        $magacinModel = new Magacin();

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);

        foreach ($ids as $key=>$id) {
            $good = $magacinModel->device_export($id);
            $serial = (string) $good->serial;
            $device = (string) $good->device;
            $sheet->setCellValueExplicit('A'.($key+1), $serial, DataType::TYPE_STRING);
            $sheet->setCellValueExplicit('B'.($key+1), $device, DataType::TYPE_STRING);
        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="izvestaj_magacin.xlsx"');
        return $streamedResponse->send();
    }

    public function zahteviExport(Request $request){
        $ids = json_decode(session('saleIds'));
        require '../vendor/autoload.php';

        $zahModel = new Klijenti_prodaja();
        $zahtevi = $zahModel->export($ids);

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);
        $sheet->getColumnDimension('I')->setAutoSize(true);
        $sheet->getColumnDimension('J')->setAutoSize(true);
        $sheet->getColumnDimension('K')->setAutoSize(true);
        $sheet->getColumnDimension('L')->setAutoSize(true);
        $sheet->getColumnDimension('M')->setAutoSize(true);
        $sheet->getColumnDimension('N')->setAutoSize(true);
        $sheet->getColumnDimension('O')->setAutoSize(true);
        $sheet->getColumnDimension('P')->setAutoSize(true);
        $sheet->getColumnDimension('Q')->setAutoSize(true);
        $sheet->getColumnDimension('R')->setAutoSize(true);
        $sheet->getColumnDimension('S')->setAutoSize(true);
        $sheet->getColumnDimension('T')->setAutoSize(true);
        $sheet->getColumnDimension('U')->setAutoSize(true);


        $sheet->setCellValue('A1', __("Contract number"));
        $sheet->setCellValue('B1', __("Full name"));
        $sheet->setCellValue('C1', __("JMBG"));
        $sheet->setCellValue('D1', __("Landline phone"));
        $sheet->setCellValue('E1', __("Phone").' 1');
        $sheet->setCellValue('F1', __("Phone").' 2');
        $sheet->setCellValue('G1', __("Address of residence"));
        $sheet->setCellValue('H1', __("Packet"));
        $sheet->setCellValue('I1', __("Network group"));
        $sheet->setCellValue('J1', __("Instalation address"));
        $sheet->setCellValue('K1', __("Date of issuance of ID card"));
        $sheet->setCellValue('L1', __("Place of issuance of ID card"));
        $sheet->setCellValue('M1', __("ID card number"));
        $sheet->setCellValue('N1', __("Nov service"));
        $sheet->setCellValue('O1', __("Extra STB"));
        $sheet->setCellValue('P1', __("Contractor seller"));
        $sheet->setCellValue('Q1', 'TIS ID');
        $sheet->setCellValue('R1', __("Packet type"));
        $sheet->setCellValue('S1', __("Number of points"));
        $sheet->setCellValue('T1', __("Seller"));
        $sheet->setCellValue('U1', __("Status"));


        $sheet->getStyle('A1:U1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:U1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');


        foreach ($zahtevi as $br=>$zahtev){
            if (in_array($zahtev->id_status, [3,4]))
                $sheet->getStyle('A'.($br+2).':U'.($br+2))->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ebe134');

            $sheet->setCellValue('A'.($br+2), $zahtev->br_ugovora);
            $sheet->setCellValue('B'.($br+2), $zahtev->ime.' '.$zahtev->prezime);
            $sheet->setCellValue('C'.($br+2), $zahtev->jmbg);
            $sheet->setCellValue('D'.($br+2), $zahtev->tel1);
            $sheet->setCellValue('E'.($br+2), $zahtev->tel2);
            $sheet->setCellValue('F'.($br+2), $zahtev->tel3);
            $sheet->setCellValue('G'.($br+2), $zahtev->adresa_prebivalista);
            $sheet->setCellValue('H'.($br+2), $zahtev->paket);
            $sheet->setCellValue('I'.($br+2), $zahtev->mrezna_grupa);
            $sheet->setCellValue('J'.($br+2), $zahtev->adresa_instalacije);
            $sheet->setCellValue('K'.($br+2), $zahtev->datum_izdavanja_lk ? date('d.m.Y.', strtotime($zahtev->datum_izdavanja_lk)) : null);
            $sheet->setCellValue('L'.($br+2), $zahtev->mesto_izdavanja_lk);
            $sheet->setCellValue('M'.($br+2), $zahtev->broj_lk);
            $sheet->setCellValue('N'.($br+2), $zahtev->nov_servis);
            $sheet->setCellValue('O'.($br+2), $zahtev->dodatni_stb);
            $sheet->setCellValue('P'.($br+2), $zahtev->izvodjac_prodavac);
            $sheet->setCellValue('Q'.($br+2), $zahtev->tis_id);
            $sheet->setCellValue('R'.($br+2), $zahtev->vrsta_paketa);
            $sheet->setCellValue('S'.($br+2), $zahtev->broj_bodova);
            $sheet->setCellValue('T'.($br+2), $zahtev->prodavac_ime.' '.$zahtev->prodavac_prezime);
            $sheet->setCellValue('U'.($br+2), $zahtev->status);
        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="zahtevi.xlsx"');
        return $streamedResponse->send();
    }

    public function povratnica_pdf(Request $request){
        require_once('../vendor/setasign/fpdf/fpdf.php');
        require_once('../vendor/setasign/fpdi/src/autoload.php');

        $idPov = $request->input('id_povratnice');

        $povMod = new Povratnice();
        $otp = $povMod->povratnica($idPov);
        $stavke = $povMod->robaStavke($idPov);

        $magacioner = iconv('UTF-8', 'Windows-1250', $otp->magacioner_ime . ' ' . $otp->magacioner_prezime);
        $robuPreuzeo = iconv('UTF-8', 'Windows-1250', $otp->robu_preuzeo);
        $datumIzrade = date('d.m.Y.', strtotime($otp->created_at));
        $vremeIzrade = date('H:i', strtotime($otp->created_at));

        $statusi = Statusi_uredjaja::all();
        $uredjaji = Uredjaji::all()->where('category_id', '=', 1);

        $pdf = new Fpdi();
        $pdf->addPage();
        $pdf->setSourceFile('../public/templates/memo.pdf');
        $tplIdx = $pdf->importPage(1);
        $pdf->useTemplate($tplIdx, null, null, null, null, true);

        $pdf->AddFont('DejaVu', '', 'DejaVuSans.php');
        $pdf->SetFont('DejaVu', '', 11);
        $pdf->SetTextColor(0, 0, 0);
        $pdf->SetXY(25, 70);
        $pdf->SetFont('DejaVu', '', 11);
        $pdf->Write(0, __("Return note").' '.__("No.").' ' . $otp->id);
        $pdf->SetXY(25, 76);
        $pdf->Write(0, __("Date").' ' . $datumIzrade);
        $pdf->SetXY(25, 82);
        $pdf->Write(0, __("Time").' ' . $vremeIzrade);
        $pdf->SetXY(25, 88);
        $pdf->Write(0, __("Storekeeper").' ' . $magacioner);

        $tbWdth = 28;
        $tbWdthHorizontal = 40;
        $y = 99;
        $x = 15;

        $pdf->SetXY($x, 94);
        $pdf->Cell(40, 5, '', 1, 0, 'L', 0);

        foreach($statusi as $stat){
            $pdf->SetFont('DejaVu', '', 7);
            $pdf->Cell($tbWdth, 5, iconv('UTF-8', 'Windows-1250', $stat->status), 1, 0, 'C', 0);
        }
        foreach($uredjaji as $ur){
            $pdf->SetFont('DejaVu', '', 10);
            $pdf->SetXY($x, $y);
            if(strlen($ur->uredjaj) > 20)
                $pdf->SetFont('DejaVu', '', 8);
            else
                $pdf->SetFont('DejaVu', '', 10);
            $pdf->Cell($tbWdthHorizontal, 5, iconv('UTF-8', 'Windows-1250', $ur->uredjaj), 1, 0, 'C', 0);
            foreach($statusi as $stat){
                $good = $povMod->robaCount($idPov, $ur->id, $stat->id);
                if ($good->isEmpty())
                    $good = '';
                else
                    $good = $good[0]->count;
                $pdf->Cell($tbWdth, 5, iconv('UTF-8', 'Windows-1250', $good), 1, 0, 'C', 0);
            }

            $y+=5;
        }

        $pdf->SetXY($x, 222);
        $pdf->Write(0, __("Goods taken by").': ' . $robuPreuzeo);
        $pdf->SetXY($x, 228);
        $pdf->Write(0, __("Plate number").': ' . $otp->reg_br);
        $pdf->SetXY($x, 236);
        $pdf->Write(0, iconv('UTF-8', 'Windows-1250', __("Seal and signature").': _________________________'));
        /*--------------------------------------druga strana------------------------------------------------------------------*/
        $pdf->addPage();
        $pdf->setSourceFile('../public/templates/memo.pdf');
        $pdf->useTemplate($tplIdx, null, null, null, null, true);

        $y = 65;
        $x = 10;
        $reklamacijaHeading = true;
        $adslvdslHeading = true;
        $fabrickineispravnoHeading = true;
        $demontazaHeading = true;
        $ostaloHeading = true;
        $pageSplitter = 0;
        $changeY = true;
        foreach ($stavke as $st) {
            $y+=4;
            if ($st->id_status_uredjaja == 1 && $reklamacijaHeading){
                $y+=2;
                $pdf->SetFont('DejaVu', '', 10);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, iconv('UTF-8', 'Windows-1250', __("RECLAMATION")));
                $reklamacijaHeading = false;
                $y+=5;
            }
            if ($st->id_status_uredjaja == 2 && $adslvdslHeading){
                $y+=2;
                $pdf->SetFont('DejaVu', '', 10);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, iconv('UTF-8', 'Windows-1250', 'ADSL-VDSL'));
                $adslvdslHeading = false;
                $y+=5;
            }
            if ($st->id_status_uredjaja == 3 && $fabrickineispravnoHeading){
                $y+=2;
                $pdf->SetFont('DejaVu', '', 10);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, iconv('UTF-8', 'Windows-1250', __("FACTORY DEFECTIVE")));
                $fabrickineispravnoHeading = false;
                $y+=5;
            }
            if ($st->id_status_uredjaja == 4 && $demontazaHeading){
                $y+=3;
                $pdf->SetFont('DejaVu', '', 10);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, iconv('UTF-8', 'Windows-1250', __("DISASSEMBLY")));
                $demontazaHeading = false;
                $y+=5;
            }
            if ($st->id_status_uredjaja == 5 && $ostaloHeading){
                $y+=2;
                $pdf->SetFont('DejaVu', '', 10);
                $pdf->SetXY($x, $y);
                $pdf->Write(0, iconv('UTF-8', 'Windows-1250', __("OTHER")));
                $ostaloHeading = false;
                $y+=5;
            }

            $pdf->SetFont('DejaVu', '', 7);
            $pdf->SetXY($x, $y);
            $pdf->Write(0, iconv('UTF-8', 'Windows-1250', '('.$st->uredjaj.') '.$st->serijski_broj.($st->stanje?' ('.$st->stanje.')':'').
                ($st->zamena?' --'.__("Replacement"):'')));

            $pageSplitter++;
            if ($pageSplitter > 45){
                if ($changeY) {
                    $y = 68;
                    $changeY = false;
                }
                $x = 100;
            }
            if ($pageSplitter > 90){
                $pdf->addPage();
                $pdf->setSourceFile('../public/templates/memo.pdf');
                $pdf->useTemplate($tplIdx, null, null, null, null, true);
                $y = 65;
                $x = 10;
                $pageSplitter = 0;
                $changeY = true;
            }
        }

        $opModel = new Oprema_povratnica();
        $oprema = $opModel->oprema($idPov);
        if (!$oprema->isEmpty()){
            $pdf->addPage();
            $pdf->setSourceFile('../public/templates/memo.pdf');
            $pdf->useTemplate($tplIdx, null, null, null, null, true);

            $y = 80;
            $x = 10;
            $pdf->SetFont('DejaVu', '', 12);
            $pdf->SetXY($x, $y);
            $pdf->Write(0, __("Accessories").': ');
            $pdf->SetFont('DejaVu', '', 10);
            $y+=5;
            foreach ($oprema as $opr) {
                $y += 5;
                $x = 10; // Assuming starting X position
            
                // Splitting the text into multiple lines if it exceeds the cell width
                $lines = wordwrap($opr->naziv, 80, "\n", true); // 20 is the maximum characters per line, adjust as needed
            
                // Writing each line separately
                $linesArray = explode("\n", $lines);
                foreach ($linesArray as $line) {
                    $pdf->SetXY($x, $y);
                    $pdf->Write(0, iconv('UTF-8', 'Windows-1250', $line));
                    $y += 5; // Adjust this value according to your font size and line spacing
                }

                $pdf->Line(10, $y, $pdf->GetPageWidth()-10, $y);
            
                // Writing the second cell
                $pdf->SetXY($x + 160, $y - 5); // Adjust the X position accordingly
                $pdf->Write(0, '('.$opr->kol.')');
            }
        }

        $pdf->Output(__("return_note").'_' . time() . '.pdf', 'D');
    }

    public function supernova_export(){
        require '../vendor/autoload.php';
        $ids = session('ids_export');
        $ids = json_decode($ids);

        $klijentModel = new Klijenti_supernova();
        $klijenti = $klijentModel->export($ids);

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);
        $sheet->getColumnDimension('I')->setAutoSize(true);
        $sheet->getColumnDimension('J')->setAutoSize(true);
        $sheet->getColumnDimension('K')->setAutoSize(true);
        $sheet->getColumnDimension('L')->setAutoSize(true);
        $sheet->getColumnDimension('M')->setAutoSize(true);
        $sheet->getColumnDimension('N')->setAutoSize(true);
        $sheet->getColumnDimension('O')->setAutoSize(true);
        $sheet->getColumnDimension('P')->setAutoSize(true);
        $sheet->getColumnDimension('Q')->setAutoSize(true);
        $sheet->getColumnDimension('R')->setAutoSize(true);
        $sheet->getColumnDimension('S')->setAutoSize(true);
        $sheet->getColumnDimension('T')->setAutoSize(true);
        $sheet->getColumnDimension('U')->setAutoSize(true);
        $sheet->getColumnDimension('V')->setAutoSize(true);
        $sheet->getColumnDimension('W')->setAutoSize(true);
        $sheet->getColumnDimension('X')->setAutoSize(true);
        $sheet->getColumnDimension('Y')->setAutoSize(true);

        $sheet->setCellValue('A1', __("Regional center"));
        $sheet->setCellValue('B1', __("Agent").' '.__("Full name"));
        $sheet->setCellValue('C1', __("Number of points"));
        $sheet->setCellValue('D1', __("Provider"));
        $sheet->setCellValue('E1', __("Agency"));
        $sheet->setCellValue('F1', __("Month of signing the general offer"));
        $sheet->setCellValue('G1', __("Date of tour"));
        $sheet->setCellValue('H1', __("Client").' '.__("Full name"));
        $sheet->setCellValue('I1', __("Street"));
        $sheet->setCellValue('J1', __("Home number"));
        $sheet->setCellValue('K1', __("City"));
        $sheet->setCellValue('L1', 'Email');
        $sheet->setCellValue('M1', __("Mobile phone"));
        $sheet->setCellValue('N1', __("Landline phone"));
        $sheet->setCellValue('O1', __("Contract type"));
        $sheet->setCellValue('P1', __("Packet"));
        $sheet->setCellValue('Q1', __("Contract number"));
        $sheet->setCellValue('R1', __("Request date"));
        $sheet->setCellValue('S1', __("Montage date"));
        $sheet->setCellValue('T1', __("Withdrawal date"));
        $sheet->setCellValue('U1', __("Delay date"));
        $sheet->setCellValue('V1', __("Appointment date"));
        $sheet->setCellValue('W1', __("Reclamation fitter"));
        $sheet->setCellValue('X1', __("Fitter"));
        $sheet->setCellValue('Y1', __("Status"));

        $sheet->getStyle('A1:Y1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:Y1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');


        foreach ($klijenti as $br=>$klijent){
            if (in_array($klijent->id_status, [3,4]))
                $sheet->getStyle('A'.($br+2).':Y'.($br+2))->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ebe134');

            $sheet->getStyle('A'.($br+2).':AQ'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), $klijent->regionalni_centar);
            $sheet->setCellValue('B'.($br+2), $klijent->agent_ime.' '.$klijent->agent_prezime);
            $sheet->setCellValue('C'.($br+2), $klijent->br_bodova);
            $sheet->setCellValue('D'.($br+2), $klijent->provajder);
            $sheet->setCellValue('E'.($br+2), $klijent->agencija);
            $sheet->setCellValue('F'.($br+2), $klijent->mesec);
            $sheet->setCellValue('G'.($br+2), $klijent->datum_obilaska ? date('d.m.Y.', strtotime($klijent->datum_obilaska)) : null);
            $sheet->setCellValue('H'.($br+2), $klijent->ime.' '.$klijent->prezime);
            $sheet->setCellValue('I'.($br+2), $klijent->ulica);
            $sheet->setCellValue('J'.($br+2), $klijent->kucni_broj);
            $sheet->setCellValue('K'.($br+2), $klijent->mesto);
            $sheet->setCellValue('L'.($br+2), $klijent->email);
            $sheet->setCellValue('M'.($br+2), $klijent->tel1);
            $sheet->setCellValue('N'.($br+2), $klijent->tel2);
            $sheet->setCellValue('O'.($br+2), $klijent->tip_ugovora);
            $sheet->setCellValue('P'.($br+2), $klijent->paket);
            $sheet->setCellValue('Q'.($br+2), $klijent->broj_ugovora);
            $sheet->setCellValue('R'.($br+2), $klijent->datum_zahteva ? date('d.m.Y.', strtotime($klijent->datum_zahteva)) : null);
            $sheet->setCellValue('S'.($br+2), $klijent->datum_montaze ? date('d.m.Y.', strtotime($klijent->datum_montaze)) : null);
            $sheet->setCellValue('T'.($br+2), $klijent->datum_odustajanja ? date('d.m.Y.', strtotime($klijent->datum_odustajanja)) : null);
            $sheet->setCellValue('U'.($br+2), $klijent->datum_odlaganja ? date('d.m.Y.', strtotime($klijent->datum_odlaganja)) : null);
            $sheet->setCellValue('V'.($br+2), $klijent->datum_zakazivanja ? date('d.m.Y.', strtotime($klijent->datum_zakazivanja)) : null);
            $sheet->setCellValue('W'.($br+2), $klijent->nomen.' '.$klijent->surnomen);
            $sheet->setCellValue('X'.($br+2), $klijent->user_ime.' '.$klijent->user_prezime);
            $sheet->setCellValue('Y'.($br+2), $klijent->status);

        }

        $montMod = new Montirani_uredjaji();
        $montirani = $montMod->montiraniSupernovaList($klijent->id);
        $vraceniMod = new Vraceni_uredjaji();
        $vraceni = $vraceniMod->vraceniList('id_supernova_klijent', $klijent->id);
        $letter = 'A';
        foreach($montirani as $mont){
            $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
            $sheet->setCellValue('A'.$letter.($br+2), '('.$mont->uredjaj.') '.$mont->serijski_broj);
            $letterAscii = ord($letter);
            $letterAscii++;
            $letter = chr($letterAscii);
        }
        if (!$vraceni->isEmpty()){
            $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
            $sheet->setCellValue('A'.$letter.($br+2), 'vraćeno: ');
            $letterAscii = ord($letter);
            $letterAscii++;
            $letter = chr($letterAscii);
            foreach ($vraceni as $vra){
                $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
                $sheet->setCellValue('A'.$letter.($br+2), '('.$vra->uredjaj.') '.$vra->serijski_broj);
                $letterAscii = ord($letter);
                $letterAscii++;
                $letter = chr($letterAscii);
            }
        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="izvestaj_supernova.xlsx"');
        return $streamedResponse->send();
    }

    public function sale_pdf(Request $request){
        $client = $request->input('client');
        $pdf = new Fpdi();
        $pdf->addPage();
        $pdf->setSourceFile('../public/templates/zahtev_prodaja.pdf');
        $tplIdx = $pdf->importPage(1);
        $pdf->useTemplate($tplIdx, null, null, null,null, true);

        $napModel = new Napomene();
        $comments = $napModel->napomeneProdaja($client['id']);

        $name = null;
        $contractNo = rand(1,100);
        $surname = null;
        $jmbg = null;
        $address = null;
        $installAddress = null;
        $idNo = null;
        $idCity = null;
        $idDate = null;
        $tel1 = null;
        $tel2 = null;
        $sellerName = null;
        $sellerSurname = null;
        $jmbgArr = null;
        $network = null;

        if (isset($client['ime'])){
            $name = iconv('UTF-8', 'Windows-1250',$client['ime']);
        }
        if (isset($client['prezime'])){
            $surname = iconv('UTF-8', 'Windows-1250',$client['prezime']);
        }
        if (isset($client['jmbg'])){
            $jmbg = $client['jmbg'];
        }
        if (isset($client['adresa_instalacije'])){
            $installAddress = iconv('UTF-8', 'Windows-1250',$client['adresa_instalacije']);
        }
        if (isset($client['adresa_prebivalista'])){
            $address = iconv('UTF-8', 'Windows-1250',$client['adresa_prebivalista']);
        }
        if (isset($client['ime'])){
            $name = iconv('UTF-8', 'Windows-1250',$client['ime']);
        }
        if (isset($client['tel1'])){
            $tel1 = $client['tel1'];
        }
        if (isset($client['tel2'])){
            $tel2 = $client['tel2'];
        }
        if (isset($client['broj_lk'])){
            $idNo = $client['broj_lk'];
        }
        if (isset($client['datum_izdavanja_lk'])){
            $idDate = date('d.m.Y', strtotime($client['datum_izdavanja_lk']));
        }
        if (isset($client['mesto_izdavanja_lk'])){
            $idCity = iconv('UTF-8', 'Windows-1250//IGNORE', $client['mesto_izdavanja_lk']);
        }
        if (isset($client['mrezna_grupa'])){
            $network = $client['mrezna_grupa'];
        }
        if (isset($client['br_ugovora'])){
            $contractNo = $client['br_ugovora'];
        }
        if (isset($client['prodavac_ime'])){
            $sellerName = iconv('UTF-8', 'Windows-1250',$client['prodavac_ime']);
        }
        if (isset($client['prodavac_prezime'])){
            $sellerSurname = iconv('UTF-8', 'Windows-1250',$client['prodavac_prezime']);
        }

        if($jmbg){
            $jmbgArr = str_split($jmbg);
        }


        $pdf->AddFont('DejaVu','','DejaVuSans.php');
        $pdf->SetFont('DejaVu','',10);
        $pdf->SetTextColor(0,0,0);
        $y = 57.3;
        $pdf->SetXY(53.5, $y);
        $pdf->Write(0, $name.' '.$surname);
        $pdf->SetXY(169, $y+0.5);
        $pdf->SetFont('DejaVu','',9);
        $pdf->Write(0, $tel2);
        $xIncrement = 0;
        $y+=9;
        $x=50.5;
        foreach($jmbgArr as $mb){
            $pdf->SetXY($x + $xIncrement, $y);
            $pdf->Write(0, $mb);
            $xIncrement+=6.4;
        }
        $y+=7.8;
        $pdf->SetFont('DejaVu','',10);
        $pdf->setXY($x+44.5, $y);
        $pdf->Write(0, $installAddress);

        $y+=5.6;
        $x-=1.5;
        $pdf->setXY($x, $y);
        $pdf->Write(0, $address);

        $y+=6.8;
        $pdf->setXY($x, $y);
        $pdf->Write(0, $idNo);
        $pdf->setXY($x+55, $y);
        $pdf->Write(0, $idCity);
        $pdf->setXY($x+123, $y);
        $pdf->Write(0, $idDate);

        $y+=6.4;
        $pdf->setXY($x, $y);
        $pdf->Write(0, $network);
        $pdf->setXY($x+25, $y);
        $pdf->Write(0, $tel1);

        $pdf->SetFont('DejaVu','',7);
        $pdf->setXY(15, 243.5);
        $comment = '';
        foreach($comments as $com){
            $comment .= $com->napomena.'. ';
        }
        $comment .= '('.$client['paket'].')';
        $comment = iconv('UTF-8', 'Windows-1250//IGNORE', $comment);
        $pdf->MultiCell(177, 6.7, $comment, 0);

        $pdf->SetFont('DejaVu','',10);
        $pdf->setXY(35, 271);
        $pdf->Write(0, date('d.m.Y.', strtotime($client['created_at'])));

        $pdf->setXY(95, 271);
        $pdf->Write(0, date('H:i', strtotime($client['created_at'])));

        $pdf->setXY(40, 277);
        $pdf->Write(0, $sellerName.' '.$sellerSurname);


        $pdf->Output(__("request").'_'.$contractNo.'.pdf', 'D');
    }

    public function construction_export(Request $request){
        $id = $request->input('id');
        require '../vendor/autoload.php';

        $file_url = public_path().'/templates/kir_template.xlsx';
        $spreadsheet = \PhpOffice\PhpSpreadsheet\IOFactory::load($file_url);

        $sheet = $spreadsheet->getActiveSheet();

        $site = Construction_sites::find($id);

        $seModel = new Site_equipment();
        $swModel = new Site_work();
        $eCategoryIds = Equipment_categories::categoryData();
        $wCategoryIds = Work_categories::categoryData();

        $borderStyle = [
            'font' => [
                'bold' => true,
            ],
            'borders' => [
                'top' => [
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
                ],
                'bottom' => [
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
                ],
                'left' => [
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
                ],
                'right' => [
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
                ],
            ],
            $boldText = [
                'font' => [
                    'bold' => true,
                ],
            ],
            $groupBorderStyle = [
                'borders' => [
                    'top' => [
                        'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
                    ],
                ]
            ]
        ];
        $groupBorderStyle2 = [
            'borders' => [
                'bottom' => [
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM,
                ],
            ]
        ];

        $br = 7;
        $no = 1;
        $equipmentSum = 0;
        $worksSum = 0;
        $priceModel = new Construction_prices();
        $spreadsheet->getActiveSheet()->getStyle('A2:D2')
                ->getAlignment()->setWrapText(true);
        $sheet->setCellValue('A2', $site->name." \n".$site->address);
        $groupNum = 1;
        $restSum = 0;
        foreach ($eCategoryIds as $cat) {
            $groupSum = 0;
            $equipment = $seModel->equipmentGroup($id, $cat->id);
            foreach($equipment as $equip){
                $price = $priceModel->price($site->id_area, $site->id_currency, $equip->id_equipment, null, $site->created_at);
                $equip->price = $price;
                $equip->sum = $price*$equip->quantity;
                $equipmentSum += $equip->sum;
                $groupSum += $equip->sum;
            }
            if(!$equipment->isEmpty()) {
                $sheet->getStyle('A'.$br)->applyFromArray($groupBorderStyle2);
                $sheet->getStyle('B'.$br)->applyFromArray($borderStyle);
                $sheet->getStyle('C'.$br)->applyFromArray($borderStyle);
                $sheet->getStyle('B'.$br.':C'.$br)->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ccffff');
                $sheet->setCellValue('B' . $br, $groupNum);
                $sheet->setCellValue('C' . $br, $cat->category);
                $groupNum++;
                $br++;
            }
            foreach($equipment as $key=>$equip) {
                $sheet->getStyle('A'.$br.':G'.$br)->getAlignment()->setVertical('center');
                $sheet->getStyle('D'.$br.':G'.$br)->getAlignment()->setHorizontal('right');
                $sheet->setCellValue('A' . $br, $no);
                $sheet->setCellValue('B' . $br, $equip->code);
                $sheet->setCellValue('C' . $br, $equip->equipment);
                $sheet->setCellValue('E' . $br, $equip->quantity);
                $sheet->setCellValue('F' . $br, number_format($equip->price, 2, ',', '.'));
                $sheet->setCellValue('G' . $br, number_format($equip->sum, 2, ',', '.'));
                if (count($equipment)-1 == $key) {
                    $br++;
                    $sheet->getStyle('A'.$br)->applyFromArray($groupBorderStyle);
                    $sheet->getStyle('B'.$br)->applyFromArray($groupBorderStyle);
                    $sheet->getStyle('C'.$br)->applyFromArray($borderStyle);
                    $sheet->getStyle('D'.$br.':G'.$br)->getAlignment()->setVertical('center');
                    $sheet->getStyle('D'.$br.':G'.$br)->getAlignment()->setHorizontal('right');
                    $sheet->setCellValue('C' . $br, __("TOTAL").' ' . strtoupper($equip->category));
                    $sheet->setCellValue('G' . $br, number_format($groupSum, 2, ',', '.'));
                }
                $br++;
                $no++;
            }
        }
        $sheet->getStyle('C'.$br)->applyFromArray($borderStyle);
        $sheet->setCellValue('C' . $br, __("TOTAL").' '.__("MATERIALS AND CABLES"));
        $sheet->setCellValue('G' . $br, $equipmentSum);

        $br++;
        $sheet->getStyle('C'.$br)->applyFromArray($borderStyle);
        $sheet->getStyle('C'.$br)->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('00ffff');
        $sheet->setCellValue('C' . $br, __("WORKS"));
        $br++;
        foreach ($wCategoryIds as $cat) {
            $groupSum = 0;
            $works = $swModel->worksGroup($id, $cat->id);
            foreach($works as $work){
                $price = $priceModel->price($site->id_area, $site->id_currency, null, $work->id_construction_work, $site->created_at);
                $work->price = $price;
                $work->sum = $price*$work->quantity;
                $worksSum += $work->sum;
                $groupSum += $work->sum;
                if ($cat->id == 25)
                    $restSum += $work->sum;
            }
            if(!$works->isEmpty()) {
                $sheet->getStyle('A'.$br)->applyFromArray($groupBorderStyle2);
                $sheet->getStyle('B'.$br)->applyFromArray($borderStyle);
                $sheet->getStyle('C'.$br)->applyFromArray($borderStyle);
                $sheet->getStyle('B'.$br.':C'.$br)->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ccffff');
                $sheet->setCellValue('B' . $br, $groupNum);
                $sheet->setCellValue('C' . $br, $cat->category);
                $groupNum++;
                $br++;
            }
            foreach($works as $key=>$work) {
                $sheet->getStyle('A'.$br.':G'.$br)->getAlignment()->setVertical('center');
                $sheet->getStyle('D'.$br.':G'.$br)->getAlignment()->setHorizontal('right');
                $sheet->setCellValue('A' . $br, $no);
                $sheet->setCellValue('B' . $br, $work->code);
                $sheet->setCellValue('C' . $br, $work->work);
                $sheet->setCellValue('D' . $br, $work->unit_short);
                $sheet->setCellValue('E' . $br, $work->quantity);
                $sheet->setCellValue('F' . $br, number_format($work->price, 2, ',', '.'));
                $sheet->setCellValue('G' . $br, number_format($work->sum, 2, ',', '.'));
                if (count($works)-1 == $key) {
                    $br++;
                    $sheet->getStyle('A'.$br)->applyFromArray($groupBorderStyle);
                    $sheet->getStyle('B'.$br)->applyFromArray($groupBorderStyle);
                    $sheet->getStyle('C'.$br)->applyFromArray($borderStyle);
                    $sheet->getStyle('D'.$br.':G'.$br)->getAlignment()->setVertical('center');
                    $sheet->getStyle('D'.$br.':G'.$br)->getAlignment()->setHorizontal('right');
                    $sheet->setCellValue('C' . $br, __("TOTAL").' ' . strtoupper($work->category));
                    $sheet->setCellValue('G' . $br, number_format($groupSum, 2, ',', '.'));
                }
                $br++;
                $no++;
            }
        }
        $sheet->getStyle('C'.$br)->applyFromArray($borderStyle);
        $sheet->setCellValue('C' . $br, __("TOTAL"). ' '.__("WORKS"));
        $sheet->setCellValue('G' . $br, $worksSum);

        $br += 2;
        $sheet->getStyle('A'.$br)->applyFromArray($boldText);
        $sheet->getStyle('C'.$br)->applyFromArray($boldText);
        $sheet->setCellValue('A' . $br, 'A');
        $sheet->setCellValue('C' . $br, __("RECAPITULATION"));
        $br += 2;
        $sheet->getStyle('A'.$br)->applyFromArray($boldText);
        $sheet->getStyle('C'.$br)->applyFromArray($boldText);
        $sheet->setCellValue('A' . $br, 'I');
        $sheet->setCellValue('C' . $br, __("MATERIALS AND WORKS"));
        $sheet->getStyle('D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->setCellValue('D' . $br, number_format($equipmentSum, 2, ',', '.'));
        $br++;
        $sheet->getStyle('A'.$br)->applyFromArray($boldText);
        $sheet->getStyle('C'.$br)->applyFromArray($boldText);
        $sheet->setCellValue('A' . $br, 'II');
        $sheet->setCellValue('C' . $br, __("WORKS"));
        $sheet->getStyle('D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->setCellValue('D' . $br, number_format($worksSum-$restSum, 2, ',', '.'));
        $br++;
        $sheet->getStyle('A'.$br)->applyFromArray($boldText);
        $sheet->getStyle('C'.$br)->applyFromArray($boldText);
        $sheet->setCellValue('A' . $br, 'III');
        $sheet->setCellValue('C' . $br, __("SERVICES OF OTHERS"));
        $sheet->getStyle('D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->setCellValue('D' . $br, number_format($restSum, 2, ',', '.'));
        $br++;
        $sheet->getStyle('C'.$br.':D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->getStyle('C'.$br)->applyFromArray($boldText);
        $sheet->setCellValue('C' . $br, __("TOTAL").' A:');
        $sheet->getStyle('D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->setCellValue('D' . $br, number_format($equipmentSum+$worksSum, 2, ',', '.'));
        $br++;
        $sheet->getStyle('C'.$br.':D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->getStyle('C'.$br)->applyFromArray($boldText);
        $sheet->setCellValue('C' . $br, __("FOR CONTRACTING").':');
        $sheet->getStyle('D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->setCellValue('D' . $br, number_format($equipmentSum+$worksSum + ($equipmentSum+$worksSum-$restSum)*$site->transport_costs/100, 2, ',', '.'));
        $br += 2;
        $sheet->getStyle('C'.$br.':D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->getStyle('C'.$br)->applyFromArray($boldText);
        $sheet->setCellValue('C' . $br, __("DISCOUNT").':');
        $sheet->setCellValue('D' . $br, ($site->discount_percent?$site->discount_percent:0).'%');
        $br += 1;
        $sheet->getStyle('C'.$br.':D'.$br)->getAlignment()->setHorizontal('right');
        $sheet->getStyle('C'.$br)->applyFromArray($boldText);
        $sheet->setCellValue('C' . $br, __("TRANSPORT").':');
        $sheet->setCellValue('D' . $br, $site->transport_costs.'%');

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $filename = $site->address.'.xlsx';

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', "attachment; filename=$filename");
        return $streamedResponse->send();
    }

    public function device_list_export(Request $request){
        $ids = $request->input('ids');
        require '../vendor/autoload.php';

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $povMod = new Povratna_roba();
        $returnDevices = $povMod->returnDevices($ids);

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);

        $sheet->setCellValue('A1', __("No."));
        $sheet->setCellValue('B1', __("Serial"));
        $sheet->setCellValue('C1', __("Device"));
        $sheet->setCellValue('D1', __("Status"));
        $sheet->setCellValue('E1', __("Device state"));

        $sheet->getStyle('A1:E1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:E1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');

        foreach ($returnDevices as $br=>$pov){
            $sheet->getStyle('A'.($br+2).':E'.($br+2))->getAlignment()->setHorizontal('center');
            $sheet->setCellValue('A'.($br+2), $br);
            $sheet->setCellValue('B'.($br+2), $pov->serijski_broj);
            $sheet->setCellValue('C'.($br+2), $pov->uredjaj);
            $sheet->setCellValue('D'.($br+2), $pov->status);
            $sheet->setCellValue('E'.($br+2), $pov->stanje);

        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="povratnice_izvestaj.xlsx"');
        return $streamedResponse->send();
        
    }

    public function construction_sites_export(Request $request){
        require '../vendor/autoload.php';
        $ids = session('ids_export');
        $ids = json_decode($ids);
        $hasComment = $request->input('comments');

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);
        $sheet->getColumnDimension('I')->setAutoSize(true);
        $sheet->getColumnDimension('J')->setAutoSize(true);
        $sheet->getColumnDimension('K')->setAutoSize(true);
        $sheet->getColumnDimension('L')->setAutoSize(true);
        $sheet->getColumnDimension('M')->setAutoSize(true);
        $sheet->getColumnDimension('N')->setAutoSize(true);
        $sheet->getColumnDimension('O')->setAutoSize(true);
        $sheet->getColumnDimension('P')->setAutoSize(true);
        $sheet->getColumnDimension('Q')->setAutoSize(true);
        $sheet->getColumnDimension('R')->setAutoSize(true);
        $sheet->getColumnDimension('S')->setAutoSize(true);
        $sheet->getColumnDimension('T')->setAutoSize(true);
        $sheet->getColumnDimension('U')->setAutoSize(true);
        $sheet->getColumnDimension('V')->setAutoSize(true);


        $sheet->setCellValue('A1', __("Construction site"));
        $sheet->setCellValue('B1', "TIS ID");
        $sheet->setCellValue('C1', __("Contact person"));
        $sheet->setCellValue('D1', __("Phones"));
        $sheet->setCellValue('E1', __("Address"));
        $sheet->setCellValue('F1', __("State"));
        $sheet->setCellValue('G1', __("City"));
        $sheet->setCellValue('H1', __("Area"));
        $sheet->setCellValue('I1', __("Status"));
        $sheet->setCellValue('J1', __("Contractor"));
        $sheet->setCellValue('K1', __("Worker"));
        $sheet->setCellValue('L1', __("Appointment date"));
        $sheet->setCellValue('M1', __("Delay date"));
        $sheet->setCellValue('N1', __("Realization date"));
        $sheet->setCellValue('O1', __("Withdrawal date"));
        $sheet->setCellValue('P1', __("Project manager"));
        $sheet->setCellValue('Q1', __("Created at"));
        $sheet->setCellValue('R1', __("Cluster"));
        $sheet->setCellValue('S1', 'Odo');
        $sheet->setCellValue('T1', 'Izvod');
        $sheet->setCellValue('U1', __("Connector"));
        $sheet->setCellValue('V1', __("Comments"));


        $sheet->getStyle('A1:AV1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:AV1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');

        $commentModel = new Construction_comments();
        foreach ($ids as $br=>$id){
            $constModel = new Construction_sites();
            $site = $constModel->construction_data($id);
            $commentText = '';
            if($hasComment){
                $comments = $commentModel->comments($id);
                if($comments) {
                    foreach ($comments as $comment)
                        $commentText .= $comment->comment . " (" . $comment->ime . ' ' . $comment->prezime . ' ' . date('d.m.Y H:i:s', strtotime($comment->created_at)) . ') ';
                }
            }
            if (in_array($site->id_status, [3,4]))
                 $sheet->getStyle('A'.($br+2).':AV'.($br+2))->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ebe134');

            $sheet->getStyle('A'.($br+2).':AN'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), $site->name);
            $sheet->setCellValue('B'.($br+2), $site->tis_id);
            $sheet->setCellValue('C'.($br+2), $site->contact_person);
            $sheet->setCellValue('D'.($br+2), ($site->tel1?$site->tel1:''. ($site->tel2?' '.$site->tel2:'') .($site->tel3?' '.$site->tel3:'')));
            $sheet->setCellValue('E'.($br+2), $site->address);
            $sheet->setCellValue('F'.($br+2), $site->state);
            $sheet->setCellValue('G'.($br+2), $site->city);
            $sheet->setCellValue('H'.($br+2), $site->area);
            $sheet->setCellValue('I'.($br+2), $site->status);
            $sheet->setCellValue('j'.($br+2), $site->project_manager);
            $sheet->setCellValue('K'.($br+2), $site->builder_name.' '.$site->builder_surname);
            $sheet->setCellValue('L'.($br+2), $site->appointment_date ? date('d.m.Y.', strtotime($site->appointment_date)) : null);
            $sheet->setCellValue('M'.($br+2), $site->delay_date ? date('d.m.Y.', strtotime($site->delay_date)) : null);
            $sheet->setCellValue('N'.($br+2), $site->realization_date ? date('d.m.Y.', strtotime($site->realization_date)) : null);
            $sheet->setCellValue('O'.($br+2), $site->withdrawal_date ? date('d.m.Y.', strtotime($site->withdrawal_date)) : null);
            $sheet->setCellValue('P'.($br+2), $site->project_manager);
            $sheet->setCellValue('Q'.($br+2), $site->created_at ? date('d.m.Y.', strtotime($site->created_at)) : null);
            $sheet->setCellValue('R'.($br+2), $site->cluster);
            $sheet->setCellValue('S'.($br+2), $site->odo);
            $sheet->setCellValue('T'.($br+2), $site->izvod);
            $sheet->setCellValue('U'.($br+2), $site->connector);
            $sheet->setCellValue('V'.($br+2), $commentText);

        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="izgradnja.xlsx"');
        return $streamedResponse->send();
    }

    public function construction_pdf(Request $request){
        require_once('../vendor/setasign/fpdf/fpdf.php');
        require_once('../vendor/setasign/fpdi/src/autoload.php');

        $id = $request->input('id');

        $eqModel = new Const_equipment_delivery();
        $delModel = new Const_delivery_notes();
        $equipment = $eqModel->equipment_list($id);
        $data = $delModel->delivery_note_data($id);


        $storekeeper = iconv('UTF-8', 'Windows-1250', $data->storekeeper_name . ' ' . $data->storekeeper_surname);
        $acceptor = iconv('UTF-8', 'Windows-1250', $data->acceptor);
        $creationDate = date('d.m.Y.', strtotime($data->created_at));
        $creationTime = date('H:i', strtotime($data->created_at));

        $pdf = new Fpdi();
        $pdf->addPage();
        $pdf->setSourceFile('../public/templates/memo.pdf');
        $tplIdx = $pdf->importPage(1);
        $pdf->useTemplate($tplIdx, null, null, null, null, true);

        $pdf->AddFont('DejaVu', '', 'DejaVuSans.php');
        $pdf->SetFont('DejaVu', '', 11);
        $pdf->SetTextColor(0, 0, 0);
        $pdf->SetXY(25, 70);
        $pdf->SetFont('DejaVu', '', 11);
        $pdf->Write(0, __("Return note").' '.__("No.") . $data->id);
        $pdf->SetXY(25, 76);
        $pdf->Write(0, __("Date").' ' . $creationDate);
        $pdf->SetXY(25, 82);
        $pdf->Write(0, __("Time").' ' . $creationTime);
        $pdf->SetXY(25, 88);
        $pdf->Write(0, __("Storekeeper").' ' . $storekeeper);

        $tbWdthEquipment = 35;
        $tbWdthQuantity = 30;
        $cellHeight = 5;
        $y = 99;
        $x = 15;

        $pdf->SetXY($x, 94);
        $pdf->SetFont('DejaVu', '', 8);
        $pdf->Cell($tbWdthEquipment, $cellHeight, iconv('UTF-8', 'Windows-1250', __("Code")), 1, 0, 'C', 0);
        $pdf->Cell($tbWdthEquipment+70, $cellHeight, __("Equipment"), 1, 0, 'C', 0);
        $pdf->Cell($tbWdthQuantity, $cellHeight, __("Qty"), 1, 0, 'C', 0);

        foreach($equipment as $num){

            $pdf->SetXY($x, $y);
            $pdf->SetFont('DejaVu', '', 8);
            $pdf->Cell($tbWdthEquipment, $cellHeight, iconv('UTF-8', 'Windows-1250', $num->code), 1, 0, 'C', 0);
            if(strlen($num->equipment) > 35)
                $pdf->SetFont('DejaVu', '', 5);
            elseif(strlen($num->equipment) > 30)
                $pdf->SetFont('DejaVu', '', 6);
            else
                $pdf->SetFont('DejaVu', '', 8);
            $pdf->Cell($tbWdthEquipment+70, $cellHeight, iconv('UTF-8', 'Windows-1250//IGNORE', $num->equipment), 1, 0, 'C', 0);
            $pdf->SetFont('DejaVu', '', 8);
            $pdf->Cell($tbWdthQuantity, $cellHeight, iconv('UTF-8', 'Windows-1250', $num->quantity), 1, 0, 'C', 0);

            $y+=5;
        }

        if(Util::firmaId() == 2){
            $x = 148;
            $y = 238;
        }
        else{
            $x = 12;
            $y = 238;
        }
        $pdf->SetXY($x, $y);
        $pdf->Write(0, __("Goods taken by").': ' . $acceptor);
        $pdf->SetXY($x, $y+6);
        $pdf->Write(0, __("Plate number").': ' . $data->reg_no);
        $pdf->SetXY($x, $y+12);
        $pdf->Write(0, iconv('UTF-8', 'Windows-1250', __("Seal and signature").': _________________________'));

        $pdf->Output(__("return_note").'_' . time() . '.pdf', 'D');
    }

    public function returned_devices_export(Request $request){
        require '../vendor/autoload.php';
        $ids = $request->input('ids');
        $ids = json_decode($ids);

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);

        $sheet->setCellValue('A1', __("No."));
        $sheet->setCellValue('B1', __("Device"));
        $sheet->setCellValue('C1', __("Serial"));
        $sheet->setCellValue('D1', __("Return reason"));
        $sheet->setCellValue('E1', __("Return date"));

        $sheet->getStyle('A1:E1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:E1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');

        $returnModel = new Vraceni_uredjaji();
        foreach ($ids as $br=>$id){
            $device = $returnModel->vraceniList('vr.id', $id);
            $sheet->getStyle('A'.($br+2).':E'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), ($br+1).'.');
            $sheet->setCellValue('B'.($br+2), $device[0]->uredjaj);
            $sheet->setCellValue('C'.($br+2), $device[0]->serijski_broj);
            $sheet->setCellValue('D'.($br+2), $device[0]->razlog);
            $sheet->setCellValue('E'.($br+2), $device[0]->created_at ? date('d.m.Y.', strtotime($device[0]->created_at)) : null);
        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="vraceni_uredjaji.xlsx"');
        return $streamedResponse->send();
    }

    public function huawei_export(Request $request){
        require '../vendor/autoload.php';
        $ids = session('ids_export');
        $ids = json_decode($ids);
        $hasComment = $request->input('comments');

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $equipmentId = session('hw_equipment_id');

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);
        $sheet->getColumnDimension('I')->setAutoSize(true);
        $sheet->getColumnDimension('J')->setAutoSize(true);
        $sheet->getColumnDimension('K')->setAutoSize(true);
        $sheet->getColumnDimension('L')->setAutoSize(true);
        $sheet->getColumnDimension('M')->setAutoSize(true);
        $sheet->getColumnDimension('N')->setAutoSize(true);
        $sheet->getColumnDimension('O')->setAutoSize(true);
        $sheet->getColumnDimension('P')->setAutoSize(true);
        $sheet->getColumnDimension('Q')->setAutoSize(true);
        $sheet->getColumnDimension('R')->setAutoSize(true);
        $sheet->getColumnDimension('S')->setAutoSize(true);
        $sheet->getColumnDimension('T')->setAutoSize(true);
        $sheet->getColumnDimension('U')->setAutoSize(true);
        $sheet->getColumnDimension('V')->setAutoSize(true);
        $sheet->getColumnDimension('W')->setAutoSize(true);
        $sheet->getColumnDimension('X')->setAutoSize(true);
        $sheet->getColumnDimension('Y')->setAutoSize(true);
        $sheet->getColumnDimension('Z')->setAutoSize(true);
        $sheet->getColumnDimension('AA')->setAutoSize(true);
        $sheet->getColumnDimension('AB')->setAutoSize(true);
        $sheet->getColumnDimension('AC')->setAutoSize(true);
        $sheet->getColumnDimension('AD')->setAutoSize(true);
        $sheet->getColumnDimension('AE')->setAutoSize(true);
        $sheet->getColumnDimension('AF')->setAutoSize(true);
        $sheet->getColumnDimension('AG')->setAutoSize(true);
        $sheet->getColumnDimension('AH')->setAutoSize(true);
        $sheet->getColumnDimension('AJ')->setAutoSize(true);
        $sheet->getColumnDimension('AI')->setAutoSize(true);
        $sheet->getColumnDimension('AJ')->setAutoSize(true);
        $sheet->getColumnDimension('AK')->setAutoSize(true);
        $sheet->getColumnDimension('AL')->setAutoSize(true);
        $sheet->getColumnDimension('AM')->setAutoSize(true);
        $sheet->getColumnDimension('AN')->setAutoSize(true);
        $sheet->getColumnDimension('AO')->setAutoSize(true);
        $sheet->getColumnDimension('AP')->setAutoSize(true);
        $sheet->getColumnDimension('AQ')->setAutoSize(true);
        $sheet->getColumnDimension('AR')->setAutoSize(true);
        $sheet->getColumnDimension('AS')->setAutoSize(true);
        $sheet->getColumnDimension('AT')->setAutoSize(true);
        $sheet->getColumnDimension('AU')->setAutoSize(true);
        $sheet->getColumnDimension('AV')->setAutoSize(true);
        $sheet->getColumnDimension('AW')->setAutoSize(true);
        $sheet->getColumnDimension('AX')->setAutoSize(true);
        $sheet->getColumnDimension('AY')->setAutoSize(true);
        $sheet->getColumnDimension('AZ')->setAutoSize(true);
        $sheet->getColumnDimension('BA')->setAutoSize(true);
        $sheet->getColumnDimension('BB')->setAutoSize(true);
        $sheet->getColumnDimension('BC')->setAutoSize(true);
        $sheet->getColumnDimension('BD')->setAutoSize(true);
        $sheet->getColumnDimension('BE')->setAutoSize(true);
        $sheet->getColumnDimension('BF')->setAutoSize(true);
        $sheet->getColumnDimension('BG')->setAutoSize(true);
        $sheet->getColumnDimension('BH')->setAutoSize(true);
        $sheet->getColumnDimension('BI')->setAutoSize(true);
        $sheet->getColumnDimension('BJ')->setAutoSize(true);
        $sheet->getColumnDimension('BK')->setAutoSize(true);
        $sheet->getColumnDimension('BL')->setAutoSize(true);
        $sheet->getColumnDimension('BM')->setAutoSize(true);
        $sheet->getColumnDimension('BN')->setAutoSize(true);

        $sheet->setCellValue('A1', __("Construction site"));
        $sheet->setCellValue('B1', __("Seller"));
        $sheet->setCellValue('C1', __("Seller contact"));
        $sheet->setCellValue('D1', 'HUAWEI ID');
        $sheet->setCellValue('E1', 'Tel1');
        $sheet->setCellValue('F1', 'Tel2');
        $sheet->setCellValue('G1', 'Tel3');
        $sheet->setCellValue('H1', __("Manager"));
        $sheet->setCellValue('I1', 'Tel1 ('.__("Manager").')');
        $sheet->setCellValue('J1', 'Tel2 ('.__("Manager").')');
        $sheet->setCellValue('K1', 'Tel3 ('.__("Manager").')');
        $sheet->setCellValue('L1', __("State"));
        $sheet->setCellValue('M1', __("City"));
        $sheet->setCellValue('N1', __("Municipality"));
        $sheet->setCellValue('O1', __("Address"));
        $sheet->setCellValue('P1', __("Number of floors"));
        $sheet->setCellValue('Q1', __("Number of flats"));
        $sheet->setCellValue('R1', __("Area"));
        $sheet->setCellValue('S1', __("Status (access)"));
        $sheet->setCellValue('T1', __("Status (vertical)"));
        $sheet->setCellValue('U1', __("Status (splicing)"));
        $sheet->setCellValue('V1', __("Lght"));
        $sheet->setCellValue('W1', __("Final status"));
        $sheet->setCellValue('X1', __("Project manager"));
        $sheet->setCellValue('Y1', __("Worker access"));
        $sheet->setCellValue('Z1', __("Worker vertical"));
        $sheet->setCellValue('AA1', __("Worker splicing"));
        $sheet->setCellValue('AB1', __("Construction manager"));
        $sheet->setCellValue('AC1', __("Appointment date (access)"));
        $sheet->setCellValue('AD1', __("Appointment date (vertical)"));
        $sheet->setCellValue('AE1', __("Appointment date (splicing)"));
        $sheet->setCellValue('AF1', __("Delay date"));
        $sheet->setCellValue('AG1', __("Realization date (access)"));
        $sheet->setCellValue('AH1', __("Realization date (vertical)"));
        $sheet->setCellValue('AI1', __("Realization date (splicing)"));
        $sheet->setCellValue('AJ1', __("Withdrawal date"));
        $sheet->setCellValue('AK1', __("Correction date start"));
        $sheet->setCellValue('AL1', __("Correction date end"));
        $sheet->setCellValue('AM1', __("Sending date").' HUAWEI');
        $sheet->setCellValue('AN1', __("Cluster"));
        $sheet->setCellValue('AO1', 'Odo');
        $sheet->setCellValue('AP1', 'Izvod');
        $sheet->setCellValue('AQ1', __("Connector"));
        $sheet->setCellValue('AR1', __("Technical solution date"));
        $sheet->setCellValue('AS1', 'ATC/MSAN/OLT');
        $sheet->setCellValue('AT1', 'ODF/Modul');
        $sheet->setCellValue('AU1', __("Connector number"));
        $sheet->setCellValue('AV1', __("Connection point"));
        $sheet->setCellValue('AW1', __("Fiber"));
        $sheet->setCellValue('AX1', __("Numeration odo"));
        $sheet->setCellValue('AY1', __("DIS start date"));
        $sheet->setCellValue('AZ1', __("DIS end date"));
        $sheet->setCellValue('BA1', __("Created at"));
        $sheet->setCellValue('BB1', __("Set DIS"));
        if(Util::isSuperAdmin()){
            $sheet->setCellValue('BE1', __("Sent BoQ"));
            $sheet->setCellValue('BF1', __("Approved BoQ"));
            $sheet->setCellValue('BG1', __("BoQ send date"));
            $sheet->setCellValue('BH1', __("BoQ date of approval"));
            $sheet->setCellValue('BI1', __("Order number"));
        }

        $sheet->getStyle('A1:BZ1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:BZ1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');

        $commentModel = new Huawei_comments();
        foreach ($ids as $br=>$id){
            $hModel = new Huawei();
            $site = $hModel->huawei_data($id);

            if (in_array(2, [$site->id_status_vertical, $site->id_status_access]))
                 $sheet->getStyle('A'.($br+2).':AT'.($br+2))->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ebe134');

            $sheet->getStyle('A'.($br+2).':AT'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), $site->name);
            $sheet->setCellValue('B'.($br+2), $site->seller);
            $sheet->setCellValue('C'.($br+2), $site->contact_seller);
            $sheet->setCellValue('D'.($br+2), $site->id);
            $sheet->setCellValue('E'.($br+2), $site->tel1);
            $sheet->setCellValue('F'.($br+2), $site->tel2);
            $sheet->setCellValue('G'.($br+2), $site->tel3);
            $sheet->setCellValue('H'.($br+2), $site->manager);
            $sheet->setCellValue('I'.($br+2), $site->m_tel1);
            $sheet->setCellValue('J'.($br+2), $site->m_tel2);
            $sheet->setCellValue('K'.($br+2), $site->m_tel3);
            $sheet->setCellValue('L'.($br+2), $site->state);
            $sheet->setCellValue('M'.($br+2), trim($site->city));
            $sheet->setCellValue('N'.($br+2), trim($site->municipality));
            $sheet->setCellValue('O'.($br+2), $site->address);
            $sheet->setCellValue('P'.($br+2), $site->number_of_floors);
            $sheet->setCellValue('Q'.($br+2), $site->number_of_flats);
            $sheet->setCellValue('R'.($br+2), $site->area);
            $sheet->setCellValue('S'.($br+2), $site->status_access);
            $sheet->setCellValue('T'.($br+2), $site->status_vertical);
            $sheet->setCellValue('U'.($br+2), $site->status_splicing);
            $sheet->setCellValue('V'.($br+2), $site->lght == 1 ? __('YES') : __('NO'));
            $sheet->setCellValue('W'.($br+2), $site->final_status);
            $sheet->setCellValue('X'.($br+2), $site->project_manager_name.' '.$site->project_manager_surname);
            $sheet->setCellValue('Y'.($br+2), $site->access_name.' '.$site->access_surname);
            $sheet->setCellValue('Z'.($br+2), $site->vertical_name.' '.$site->vertical_surname);
            $sheet->setCellValue('AA'.($br+2), $site->splicing_name.' '.$site->splicing_surname);
            $sheet->setCellValue('AB'.($br+2), $site->construction_manager_name.' '.$site->construction_manager_surname);
            $sheet->setCellValue('AC'.($br+2), $site->appointment_date_access ? date('d.m.Y.', strtotime($site->appointment_date_access)) : null);
            $sheet->setCellValue('AD'.($br+2), $site->appointment_date_vertical ? date('d.m.Y.', strtotime($site->appointment_date_vertical)) : null);
            $sheet->setCellValue('AE'.($br+2), $site->appointment_date_splicing ? date('d.m.Y.', strtotime($site->appointment_date_splicing)) : null);
            $sheet->setCellValue('AF'.($br+2), $site->delay_date ? date('d.m.Y.', strtotime($site->delay_date)) : null);
            $sheet->setCellValue('AG'.($br+2), $site->realization_date_access ? date('d.m.Y.', strtotime($site->realization_date_access)) : null);
            $sheet->setCellValue('AH'.($br+2), $site->realization_date_vertical ? date('d.m.Y.', strtotime($site->realization_date_vertical)) : null);
            $sheet->setCellValue('AI'.($br+2), $site->realization_date_splicing ? date('d.m.Y.', strtotime($site->realization_date_splicing)) : null);
            $sheet->setCellValue('AJ'.($br+2), $site->withdrawal_date ? date('d.m.Y.', strtotime($site->withdrawal_date)) : null);
            $sheet->setCellValue('AK'.($br+2), $site->correction_date_start ? date('d.m.Y.', strtotime($site->correction_date_start)) : null);
            $sheet->setCellValue('AL'.($br+2), $site->correction_date_end ? date('d.m.Y.', strtotime($site->correction_date_end)) : null);
            $sheet->setCellValue('AM'.($br+2), $site->sending_date_huawei ? date('d.m.Y.', strtotime($site->sending_date_huawei)) : null);
            $sheet->setCellValue('AN'.($br+2), $site->cluster);
            $sheet->setCellValue('AO'.($br+2), $site->odo);
            $sheet->setCellValue('AP'.($br+2), $site->izvod);
            $sheet->setCellValue('AQ'.($br+2), $site->connector);
            $sheet->setCellValue('AR'.($br+2), $site->technical_solution_date ? date('d.m.Y.', strtotime($site->technical_solution_date)) : null);
            $sheet->setCellValue('AS'.($br+2), $site->atc_msan_olt);
            $sheet->setCellValue('AT'.($br+2), $site->odf_modul);
            $sheet->setCellValue('AU'.($br+2), $site->connector_number);
            $sheet->setCellValue('AV'.($br+2), $site->connection_point);
            $sheet->setCellValue('AW'.($br+2), $site->fiber);
            $sheet->setCellValue('AX'.($br+2), $site->numeration_odo);
            $sheet->setCellValue('AY'.($br+2), $site->dis_start_date ? date('d.m.Y.', strtotime($site->dis_start_date)) : null);
            $sheet->setCellValue('AZ'.($br+2), $site->dis_end_date ? date('d.m.Y.', strtotime($site->dis_end_date)) : null);
            $sheet->setCellValue('BA'.($br+2), $site->created_at ? date('d.m.Y.', strtotime($site->created_at)) : null);
            $sheet->setCellValue('BB'. ($br+2), $site->set_dis);

            //equipment id je iz sesije, oprema koja se izabere u pretrazi treba da se stampa ovde, a ne i da se filtrira
            $hwEqMod = new Hw_site_equipment();
            $equipmentQuantity = $hwEqMod->specificEquipmentById($id, $equipmentId);
            $equipment = Equipment::find($equipmentId);
            if($equipment){
                $sheet->setCellValue('BC' . ($br + 2), $equipment->equipment . ' (' . $equipment->code . ') ');
            }
            if($equipmentQuantity) {
                $sheet->setCellValue('BD'. ($br+2), $equipmentQuantity);
            }

            if(Util::isSuperAdmin()){
                $sheet->setCellValue('BE'. ($br+2), $site->sent_boq);
                $sheet->setCellValue('BF'. ($br+2), $site->approved_boq);
                $sheet->setCellValue('BG'. ($br+2), $site->boq_send_date);
                $sheet->setCellValue('BH'. ($br+2), $site->boq_approve_date);
                $sheet->setCellValue('BI'. ($br+2), $site->order_number);
            }

            $letter2 = 'J';
            $letter1 = 'B';
            if($hasComment){
                $comments = $commentModel->comments($id);
                if($comments) {
                    foreach ($comments as $comment) {
                        $sheet->getColumnDimension($letter1.$letter2)->setAutoSize(true);
                        $sheet->setCellValue($letter1.$letter2.($br+2), $comment->comment . " (" . $comment->ime . ' ' . $comment->prezime . ' ' . date('d.m.Y H:i:s', strtotime($comment->created_at)) . ') ');
                        $letterAscii = ord($letter2);
                        $letterAscii++;
                        $letter2 = chr($letterAscii);
                        if($letter2 == 'Z'){
                            $letter2 = 'A';
                            $letterAscii = ord($letter1);
                            $letterAscii ++;
                            $letter1 = chr($letterAscii);
                        }
                    }
                }
            }

            $sheet->setCellValue($letter1.$letter2.($br+2), $site->id);

        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="huawei.xlsx"');
        return $streamedResponse->send();
    }

    public function kir_export(Request $request){
        require '../vendor/autoload.php';
        $ids = session('ids_export');
        $ids = json_decode($ids);
        $hasComment = $request->input('comments');

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $equipmentId = session('kir_equipment_id');

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);
        $sheet->getColumnDimension('I')->setAutoSize(true);
        $sheet->getColumnDimension('J')->setAutoSize(true);
        $sheet->getColumnDimension('K')->setAutoSize(true);
        $sheet->getColumnDimension('L')->setAutoSize(true);
        $sheet->getColumnDimension('M')->setAutoSize(true);
        $sheet->getColumnDimension('N')->setAutoSize(true);
        $sheet->getColumnDimension('O')->setAutoSize(true);
        $sheet->getColumnDimension('P')->setAutoSize(true);
        $sheet->getColumnDimension('Q')->setAutoSize(true);
        $sheet->getColumnDimension('R')->setAutoSize(true);
        $sheet->getColumnDimension('S')->setAutoSize(true);
        $sheet->getColumnDimension('T')->setAutoSize(true);
        $sheet->getColumnDimension('U')->setAutoSize(true);
        $sheet->getColumnDimension('V')->setAutoSize(true);
        $sheet->getColumnDimension('W')->setAutoSize(true);
        $sheet->getColumnDimension('X')->setAutoSize(true);
        $sheet->getColumnDimension('Y')->setAutoSize(true);
        $sheet->getColumnDimension('Z')->setAutoSize(true);
        $sheet->getColumnDimension('AA')->setAutoSize(true);
        $sheet->getColumnDimension('AB')->setAutoSize(true);
        $sheet->getColumnDimension('AC')->setAutoSize(true);
        $sheet->getColumnDimension('AD')->setAutoSize(true);
        $sheet->getColumnDimension('AE')->setAutoSize(true);
        $sheet->getColumnDimension('AF')->setAutoSize(true);
        $sheet->getColumnDimension('AG')->setAutoSize(true);
        $sheet->getColumnDimension('AJ')->setAutoSize(true);
        $sheet->getColumnDimension('AI')->setAutoSize(true);
        $sheet->getColumnDimension('AJ')->setAutoSize(true);
        $sheet->getColumnDimension('AK')->setAutoSize(true);
        $sheet->getColumnDimension('AL')->setAutoSize(true);
        $sheet->getColumnDimension('AM')->setAutoSize(true);
        $sheet->getColumnDimension('AN')->setAutoSize(true);
        $sheet->getColumnDimension('AO')->setAutoSize(true);
        $sheet->getColumnDimension('AP')->setAutoSize(true);
        $sheet->getColumnDimension('AQ')->setAutoSize(true);
        $sheet->getColumnDimension('AR')->setAutoSize(true);
        $sheet->getColumnDimension('AS')->setAutoSize(true);
        $sheet->getColumnDimension('AT')->setAutoSize(true);
        $sheet->getColumnDimension('AU')->setAutoSize(true);
        $sheet->getColumnDimension('AV')->setAutoSize(true);

        $sheet->setCellValue('A1', __("Construction site"));
        $sheet->setCellValue('B1', __("Seller"));
        $sheet->setCellValue('C1', __("Seller contact"));
        $sheet->setCellValue('D1', 'Tel1');
        $sheet->setCellValue('E1', 'Tel2');
        $sheet->setCellValue('F1', 'Tel3');
        $sheet->setCellValue('G1', __("Manager"));
        $sheet->setCellValue('H1', 'Tel1 ('.__("Manager").')');
        $sheet->setCellValue('I1', 'Tel2 ('.__("Manager").')');
        $sheet->setCellValue('J1', 'Tel3 ('.__("Manager").')');
        $sheet->setCellValue('K1', __("State"));
        $sheet->setCellValue('L1', __("City"));
        $sheet->setCellValue('M1', __("Municipality"));
        $sheet->setCellValue('N1', __("Address"));
        $sheet->setCellValue('O1', __("Number of floors"));
        $sheet->setCellValue('P1', __("Number of flats"));
        $sheet->setCellValue('Q1', __("Area"));
        $sheet->setCellValue('R1', __("Status (access)"));
        $sheet->setCellValue('S1', __("Status (vertical)"));
        $sheet->setCellValue('T1', __("Status (splicing)"));
        $sheet->setCellValue('U1', __("Status (final)"));
        $sheet->setCellValue('V1', __("Project manager"));
        $sheet->setCellValue('W1', __("Worker access"));
        $sheet->setCellValue('X1', __("Worker vertical"));
        $sheet->setCellValue('Y1', __("Construction manager"));
        $sheet->setCellValue('Z1', __("Appointment date (access)"));
        $sheet->setCellValue('AA1', __("Appointment date (vertical)"));
        $sheet->setCellValue('AB1', __("Appointment date (splicing)"));
        $sheet->setCellValue('AC1', __("Delay date"));
        $sheet->setCellValue('AD1', __("Realization date (access)"));
        $sheet->setCellValue('AE1', __("Realization date (vertical)"));
        $sheet->setCellValue('AF1', __("Realization date (splicing)"));
        $sheet->setCellValue('AG1', __("Withdrawal date"));
        $sheet->setCellValue('AH1', __("Cluster"));
        $sheet->setCellValue('AI1', 'Odo');
        $sheet->setCellValue('AJ1', 'Izvod');
        $sheet->setCellValue('AK1', __("Connector"));
        $sheet->setCellValue('AL1', __("Technical solution date"));
        $sheet->setCellValue('AM1', 'ATC/MSAN/OLT');
        $sheet->setCellValue('AN1', 'ODF/Modul');
        $sheet->setCellValue('AO1', __("Connector number"));
        $sheet->setCellValue('AP1', __("Connection point"));
        $sheet->setCellValue('AQ1', __("Fiber"));
        $sheet->setCellValue('AR1', __("Numeration odo"));
        $sheet->setCellValue('AS1', __("Created at"));
        $sheet->setCellValue('AT1', __("Final status"));
        $sheet->setCellValue('AU1', __("Set DIS"));
        $sheet->setCellValue('AV1', __("Sent BoQ"));
        $sheet->setCellValue('AW1', __("Approved BoQ"));
        if(Util::isSuperAdmin())
            $sheet->setCellValue('BA1', __("Price"));


        $sheet->getStyle('A1:AS1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:AZ1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');

        $commentModel = new Construction_comments();
        foreach ($ids as $br=>$id){
            $kMod = new Kir();
            $site = $kMod->kir_data($id);
            $commentText = '';
            if($hasComment){
                $comments = $commentModel->comments($id);
                if($comments) {
                    foreach ($comments as $comment)
                        $commentText .= $comment->comment . " (" . $comment->ime . ' ' . $comment->prezime . ' ' . date('d.m.Y H:i:s', strtotime($comment->created_at)) . ') ';
                }
            }
            if (in_array(2, [$site->id_status_vertical, $site->id_status_access]))
                $sheet->getStyle('A'.($br+2).':AR'.($br+2))->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ebe134');

            $sheet->getStyle('A'.($br+2).':AT'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), $site->name);
            $sheet->setCellValue('B'.($br+2), $site->seller);
            $sheet->setCellValue('C'.($br+2), $site->contact_seller);
            $sheet->setCellValue('D'.($br+2), $site->tel1);
            $sheet->setCellValue('E'.($br+2), $site->tel2);
            $sheet->setCellValue('F'.($br+2), $site->tel3);
            $sheet->setCellValue('G'.($br+2), $site->manager);
            $sheet->setCellValue('H'.($br+2), $site->m_tel1);
            $sheet->setCellValue('I'.($br+2), $site->m_tel2);
            $sheet->setCellValue('J'.($br+2), $site->m_tel3);
            $sheet->setCellValue('K'.($br+2), $site->state);
            $sheet->setCellValue('L'.($br+2), trim($site->city));
            $sheet->setCellValue('M'.($br+2), trim($site->municipality));
            $sheet->setCellValue('N'.($br+2), $site->address);
            $sheet->setCellValue('O'.($br+2), $site->number_of_floors);
            $sheet->setCellValue('P'.($br+2), $site->number_of_flats);
            $sheet->setCellValue('Q'.($br+2), $site->area);
            $sheet->setCellValue('R'.($br+2), $site->status_access);
            $sheet->setCellValue('S'.($br+2), $site->status_vertical);
            $sheet->setCellValue('T'.($br+2), $site->status_splicing);
            $sheet->setCellValue('U'.($br+2), $site->final_status);
            $sheet->setCellValue('V'.($br+2), $site->project_manager_name.' '.$site->project_manager_surname);
            $sheet->setCellValue('W'.($br+2), $site->access_name.' '.$site->access_surname);
            $sheet->setCellValue('X'.($br+2), $site->vertical_name.' '.$site->vertical_surname);
            $sheet->setCellValue('Y'.($br+2), $site->construction_manager_name.' '.$site->construction_manager_surname);
            $sheet->setCellValue('Z'.($br+2), $site->appointment_date_access ? date('d.m.Y.', strtotime($site->appointment_date_access)) : null);
            $sheet->setCellValue('AA'.($br+2), $site->appointment_date_vertical ? date('d.m.Y.', strtotime($site->appointment_date_vertical)) : null);
            $sheet->setCellValue('AB'.($br+2), $site->appointment_date_splicing ? date('d.m.Y.', strtotime($site->appointment_date_splicing)) : null);
            $sheet->setCellValue('AC'.($br+2), $site->delay_date ? date('d.m.Y.', strtotime($site->delay_date)) : null);
            $sheet->setCellValue('AD'.($br+2), $site->realization_date_access ? date('d.m.Y.', strtotime($site->realization_date_access)) : null);
            $sheet->setCellValue('AE'.($br+2), $site->realization_date_vertical ? date('d.m.Y.', strtotime($site->realization_date_vertical)) : null);
            $sheet->setCellValue('AF'.($br+2), $site->realization_date_splicing ? date('d.m.Y.', strtotime($site->realization_date_splicing)) : null);
            $sheet->setCellValue('AG'.($br+2), $site->withdrawal_date ? date('d.m.Y.', strtotime($site->withdrawal_date)) : null);
            $sheet->setCellValue('AH'.($br+2), $site->cluster);
            $sheet->setCellValue('AI'.($br+2), $site->odo);
            $sheet->setCellValue('AJ'.($br+2), $site->izvod);
            $sheet->setCellValue('AK'.($br+2), $site->connector);
            $sheet->setCellValue('AL'.($br+2), $site->technical_solution_date ? date('d.m.Y.', strtotime($site->technical_solution_date)) : null);
            $sheet->setCellValue('AM'.($br+2), $site->atc_msan_olt);
            $sheet->setCellValue('AN'.($br+2), $site->odf_modul);
            $sheet->setCellValue('AO'.($br+2), $site->connector_number);
            $sheet->setCellValue('AP'.($br+2), $site->connection_point);
            $sheet->setCellValue('AQ'.($br+2), $site->fiber);
            $sheet->setCellValue('AR'.($br+2), $site->numeration_odo);
            $sheet->setCellValue('AS'.($br+2), $site->created_at ? date('d.m.Y.', strtotime($site->created_at)) : null);
            $sheet->setCellValue('AT'.($br+2), $site->final_status);
            $sheet->setCellValue('AU'.($br+2), $site->set_dis);
            $sheet->setCellValue('AV'.($br+2), $site->sent_boq);
            $sheet->setCellValue('AW'.($br+2), $site->approved_boq);
            $sheet->setCellValue('AX'.($br+2), $commentText);
            $hwEqMod = new Hw_site_equipment();
            $equipmentQuantity = $hwEqMod->specificEquipmentById($id, $equipmentId);
            $equipment = Equipment::find($equipmentId);
            if($equipmentQuantity) {
                $sheet->setCellValue('AY' . ($br + 2), $equipment->equipment . ' (' . $equipment->code . ') ');
                $sheet->setCellValue('AZ'. ($br+2), $equipmentQuantity);
            }
            if(Util::isSuperAdmin()){
                $sheet->setCellValue('BA'.($br+2), $site->price);
            }

        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="kir.xlsx"');
        return $streamedResponse->send();
    }

    public function requirement_export(Request $request){
        require_once ('../vendor/setasign/fpdf/fpdf.php');
        require_once ('../vendor/setasign/fpdi/src/autoload.php');
        $site = $request->input('site');
        $ids = json_decode(session('requirement_ids'));
        $pdf = new Fpdi();
        $pdf->addPage();
        $pdf->setSourceFile('../public/templates/memo.pdf');
        $tplIdx = $pdf->importPage(1);
        $pdf->useTemplate($tplIdx, null, null, null,null, true);

        $pdf->AddFont('DejaVu','','DejaVuSans.php');
        $pdf->SetFont('DejaVu','',10);
        $pdf->SetTextColor(0,0,0);

        if($site == 'huawei')
            $rMod = new Required_equipment();
        elseif($site == 'kir')
            $rMod = new Kir_required_equipment();

        $constructionSite = $rMod->data($ids[0])->construction_site;

        $pdf->setXY(20,45);
        $pdf->Write(0, iconv('UTF-8', 'Windows-1250', $constructionSite. ' ('.date('d.m.Y.').')'));

        $pdf->SetFont('DejaVu','',6);

        $x = 20;
        $y = 50;


        $counter=0;

        $pdf->SetXY($x, $y);
        $pdf->Cell(25, 5, iconv('UTF-8', 'Windows-1250',__('Code')), 1);
        $pdf->Cell(115, 5, __('Equipment'), 1);
        $pdf->Cell(32, 5, __('Worker'), 1);
        $pdf->Cell(0, 5, iconv('UTF-8', 'Windows-1250',__('Qty')), 1);
        $y+=5;
        foreach($ids as $br=>$id){
//            $fitter = '';
            $data = $rMod->data($id);
            if($data->edited_quantity > 0)
                $quantity = $data->edited_quantity;
            else
                $quantity = $data->quantity;
//            if($data->fitter_name){
//                $fitter = '('.__("vertical").') '.$data->fitter_name.' '.$data->fitter_surname.' ';
//            }
//            if($data->splicing_name){
//                $fitter .= '('.__("splicing").') '.$data->splicing_name.' '.$data->splicing_surname;
//            }

            $pdf->SetXY($x, $y);
            $pdf->Cell(25, 5, $data->code, 1);
            $pdf->Cell(115, 5, iconv('UTF-8', 'Windows-1250//IGNORE', $data->equipment), 1);
            $pdf->Cell(32, 5, iconv('UTF-8', 'Windows-1250', $data->supplied_to_name.' '.$data->supplied_to_surname), 1);
            $pdf->Cell(0, 5, $quantity, 1);
            $y+=5;
            $counter++;
            if($counter==43){
                $y=40;
                $pdf->addPage();
                $pdf->useTemplate($tplIdx, null, null, null,null, true);
                $counter=0;
            }

//            $sheet->getStyle('A'.($br+2).':J'.($br+2))->getAlignment()->setHorizontal('left');
//            $sheet->setCellValue('A'.($br+2), $data->code);
//            $sheet->setCellValue('B'.($br+2), $data->equipment);
//            $sheet->setCellValue('C'.($br+2), $data->require_name.' '.$data->require_surname);
//            $sheet->setCellValue('D'.($br+2), $fitter);
//            $sheet->setCellValue('E'.($br+2), $data->appointment_date_vertical?date('d.m.Y. H:i:s', strtotime($data->appointment_date_vertical)):null);
//            $sheet->setCellValue('F'.($br+2), $quantity);
//            $sheet->setCellValue('G'.($br+2), $data->supplied_quantity);
//            $sheet->setCellValue('H'.($br+2), $data->construction_site);
//            $sheet->setCellValue('I'.($br+2), $data->supply_name.' '.$data->supply_surname);
//            $sheet->setCellValue('J'.($br+2), $data->created_at?date('d.m.Y. H:i:s', strtotime($data->created_at)):null);
        }

        $pdf->Output(__("Requirement").'.pdf', 'D');
    }

    public function equipment_logs_export(Request $request){
        require '../vendor/autoload.php';
        $equipmentLogs = json_decode(session('equipment_logs'));
        // $request->session()->pull('equipment_logs');

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);

        $sheet->setCellValue('A1', __("Code"));
        $sheet->setCellValue('B1', __("Equipment"));
        $sheet->setCellValue('C1', __("Added by"));
        $sheet->setCellValue('D1', __("Issued to fitter"));
        $sheet->setCellValue('E1', __("Receiver number"));
        $sheet->setCellValue('F1', __("From the warehouse"));
        $sheet->setCellValue('G1', __("Quantity"));
        $sheet->setCellValue('H1', __("Creation date"));


        $sheet->getStyle('A1:AH1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:AH1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');

        foreach ($equipmentLogs as $br=>$log){
            $sheet->getStyle('A'.($br+2).':AT'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), $log->code);
            $sheet->setCellValue('B'.($br+2), $log->equipment);
            $sheet->setCellValue('C'.($br+2), $log->user_name.' '.$log->user_surname);
            $sheet->setCellValue('D'.($br+2), $log->fitter_name.' '.$log->fitter_surname);
            $sheet->setCellValue('E'.($br+2), $log->receive_number);
            $sheet->setCellValue('F'.($br+2), $log->from);
            $sheet->setCellValue('G'.($br+2), $log->quantity);
            $sheet->setCellValue('H'.($br+2), date('d.m.Y. H:i:s', strtotime($log->created_at)));
        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="equipment_logs.xlsx"');
        return $streamedResponse->send();
    }
}
