<?php

namespace App\Http\Controllers;

use App\Models\Folders;
use Illuminate\Http\Request;

class FolderController extends Controller
{

    public function index()
    {
        $folders = Folders::orderBy('folder')->get();
        return view('folders.index', ['folders' => $folders]);
    }


    public function create()
    {
        return view('folders.create');
    }

    public function store(Request $request)
    {
        $request->validate(['folder' => 'required']);
        $folderName = $request->input('folder');
        $folderPath = 'uploads/documentation/'.$folderName;
        create_folder($folderPath);
        $create = Folders::create([
            'folder' => $folderName
        ]);

        if($create)
            return redirect()->route('folder.index')->with('success', __("Data successfully added"));
        else
            return back()->with('error', __("Error"));
    }

    public function edit(Folders $folder)
    {
        return view('folders.edit');
    }

    public function update(Request $request, Folders $folder)
    {
        //
    }


    public function destroy(Request $request)
    {
        $find = Folders::find($request->input('id_folder'));
        $folderPath = 'uploads/documentation/'.$find->folder;

        try{
            $find->delete();
            rmdir($folderPath);
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('error', __("Data cannot be deleted"));
        }


        return back()->withInput()->with('error', __("Data cannot be deleted"));
    }
}
