<?php

namespace App\Http\Controllers;

use App\Traits\Util;
use App\Nov_servis;
use Illuminate\Http\Request;

class NovServisController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $servisi = Nov_servis::all();
        return view('servisi.index', ['servisi' => $servisi, 'admin' => Util::isSuperAdmin()]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('servisi.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'servis' => 'required'
        ]);
        $servis = Nov_servis::create([
            'naziv' => trim($request->input('servis'))
        ]);

        $servisi = Nov_servis::all();
        if ($servis){
            return view('servisi.index', ['servisi' => $servisi, 'admin' => Util::isSuperAdmin()]);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Nov_servis  $nov
     * @return \Illuminate\Http\Response
     */
    public function show(Nov_servis $nov)
    {
        $servis = Nov_servis::find($nov->id);
        return view('servisi.show', ['servis' => $servis]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Nov_servis  $nov
     * @return \Illuminate\Http\Response
     */
    public function edit(Nov_servis $nov)
    {
        $servis = Nov_servis::find($nov->id);

        return view('servisi.edit', ['servis' => $servis]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Nov_servis  $nov
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Nov_servis $nov)
    {
        $request->validate([
            'servis' => 'required'
        ]);
        $servisUpdate = Nov_servis::where('id', $nov->id)->update([
            'naziv'=>trim($request->input('servis'))
        ]);

        if ($servisUpdate){
            return redirect()->route('nov_servis.show', ['nov' => $nov->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Nov_servis  $nov
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request)
    {
        $findServis = Nov_servis::find($request->input('id_servis'));

        try{
            $findServis->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Data cannot be deleted"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
