<?php

namespace App\Http\Controllers;

use App\Pans;
use Illuminate\Http\Request;

class PanController extends Controller
{
    public function index()
    {
        $pans = Pans::all();
        return view('pan.index', ['pans' => $pans]);
    }

    public function create()
    {
        return view('pan.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'pan' => 'required',
            'pan_id' => 'nullable|numeric'
        ]);
        $create = Pans::create([
            'pan' => trim($request->input('pan')),
            'pan_id'=>trim($request->input('pan_id'))
        ]);

        $pans = Pans::all();
        if ($create){
            return view('pan.index', ['pans' => $pans]);
        }
    }

    public function show(Pans $pan)
    {
        $pan = Pans::find($pan->id);
        return view('pan.show', ['pan' => $pan]);
    }

    public function edit(Pans $pan)
    {
        return view('pan.edit', ['pan' => $pan]);
    }

    public function update(Request $request, Pans $pan)
    {
        $request->validate([
            'pan' => 'required',
            'pan_id' => 'nullable|numeric'
        ]);
        $update = Pans::where('id', $pan->id)->update([
            'pan'=>trim($request->input('pan')),
            'pan_id'=>trim($request->input('pan_id'))
        ]);

        if ($update){
            return redirect()->route('pan.show', ['pan' => $pan->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    public function destroy(Request $request)
    {
        $find = Pans::find($request->input('id_pan'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Item can't be deleted because it's in use"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
