<?php

namespace App\Http\Controllers;

use App\User;
use App\Models\Salaries;
use Illuminate\Http\Request;

class SalariesController extends Controller
{

    public function index(Request $request)
    {
        $userId = $request->input('user_id');
        $username = $request->input('username');
        $salaryModel = new Salaries();
        $salaries = $salaryModel->salaries_for_user($userId);
        return view('administracija.salaries_user', [
            'salaries' => $salaries,
            'username' => $username,
            'userId' => $userId
        ]);
    }

    public function store(Request $request)
    {
        $salary = $request->input('salary');
        $dateOfEntry = database_date($request->input('date_of_entry'));
        $userId = $request->input('user_id');

        $request->validate([
            'salary' => 'required',
            'date_of_entry' => 'required',
        ]);
        $create = Salaries::create([
            'salary' => $salary,
            'user_id' => $userId,
            'date_of_entry' => $dateOfEntry
        ]);

        if($create){
            return back()->withInput()->with('success', __("Data successfully added"));
        }
        else{
            return back()->withInput()->with('error', __("Error"));
        }
    }

    public function destroy(Request $request)
    {
        $id = $request->input('salary_id');
        $delete = Salaries::where('id', $id)->delete();
        if($delete){
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        else {
            return back()->withInput()->with('error', __("Error"));
        }
    }
}
