<?php

namespace App\Http\Controllers;
use App\Device_history;
use App\Klijenti_bakar;
use App\Klijenti_supernova;
use App\Models\Companies;
use App\Models\Origin;
use App\Montirani_uredjaji;
use App\Napomene;
use App\Pomocnici;
use App\Razlozi_intervencije;
use App\Klijenti_optika;
use App\Statusi_intervencije;
use App\Klijent;
use App\Tip_montaze;
use App\Traits\Util;
use App\Uredjaji;
use App\Vraceni_uredjaji;
use Illuminate\Http\Request;
use App\Statusi;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use Symfony\Component\HttpFoundation\StreamedResponse;

class SearchController extends Controller
{
    public function index()
    {
        $status = Statusi::all();
        $users = Util::monteri();
        return view('search.index', [
            'statusi' => $status,
            'users' => $users
        ]);
    }

    public function optika_search(){
        $status = Statusi::all();
        $user = Util::monteri();
        return view('search.optika_search', [
            'statusi' => $status,
            'users' => $user
        ]);
    }


    public function show(Request $request){

        $brUgovora = $request->input('br_ugovora');
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $jmbg = $request->input('jmbg');
        $id_user = $request->input('user');
        $statusIds = $request->input('status');
        $created_at = $request->input('created_at');
        $datumOdustajanja = $request->input('datum_odustajanja');
        $datumMontaze = $request->input('datum_montaze');
        $datumZakazivanja = $request->input('datum_zakazivanja');
        $datumOdlaganja =$request->input('datum_odlaganja');
        $bezStatusa = $request->input('bez_statusa');
        $append = $request->input('append');
        $tisId = $request->input('tis_id');
        $fitterReclamation = $request->input('fitter_reclamation');

        if ($created_at)
            $created_at = date('Y-m-d', strtotime($created_at));
        if ($datumOdustajanja)
            $datumOdustajanja = date('Y-m-d', strtotime($datumOdustajanja));
        if ($datumMontaze)
            $datumMontaze = date('Y-m-d', strtotime($datumMontaze));
        if ($datumZakazivanja)
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja));
        if ($datumOdlaganja)
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja));

        $klijentModel = new Klijent();
        $result = $klijentModel->pretragaAdmin($brUgovora, $ime, $prezime, $jmbg, $id_user, $fitterReclamation, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa, $tisId, $append, true);
        $noPagination = $klijentModel->pretragaAdmin($brUgovora, $ime, $prezime, $jmbg, $id_user, $fitterReclamation, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa, $tisId, $append);

        $ids = Arr::pluck($noPagination, 'id');
        $count = count($ids);
        $ids = json_encode($ids);
        session(['ids_export'=>$ids]);

        $comCheck = new Napomene();

        session(['search_route' => url()->full()]);

        return view('search.show', [
            'klijenti' => $result,
            'isSuperAdmin' => Util::isSuperAdmin(),
            'count' => $count,
            'comCheck' => $comCheck,
            'ids' => $ids
        ]);

    }

    public function optika_result(Request $request){
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $id_user = $request->input('user')[0];
        $statusIds = $request->input('status');
        $created_at = $request->input('created_at');
        $datumOdustajanja = $request->input('datum_odustajanja');
        $datumMontaze = $request->input('datum_montaze');
        $datumZakazivanja = $request->input('datum_zakazivanja');
        $datumOdlaganja =$request->input('datum_odlaganja');
        $bezStatusa = $request->input('bez_statusa');
        $append = $request->input('append');

        if ($created_at)
            $created_at = date('Y-m-d', strtotime($created_at));
        if ($datumOdustajanja)
            $datumOdustajanja = date('Y-m-d', strtotime($datumOdustajanja));
        if ($datumMontaze)
            $datumMontaze = date('Y-m-d', strtotime($datumMontaze));
        if ($datumZakazivanja)
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja));
        if ($datumOdlaganja)
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja));

        $klijentModel = new Klijenti_optika();
        $result = $klijentModel->pretragaOptika($ime, $prezime, $id_user, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa, $append, true);
        $noPagination = $klijentModel->pretragaOptika($ime, $prezime, $id_user, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa, $append);
        $ids = Arr::pluck($noPagination, 'id');
        $count = count($ids);
        $ids = json_encode($ids);
        session(['ids_export'=>$ids]);

        session(['search_route' => url()->full()]);
        return view('search.optika_result', [
            'klijenti' => $result,
            'isSuperAdmin' => Util::isSuperAdmin(),
            'count' => $count,
            'ids' => $ids
        ]);
    }

    public function advanced_search ()
    {
        $status = Statusi::all();
        $monteri = Util::monteri();
        $statusiIntervencije = Statusi_intervencije::all();
        $razloziIntervencije = Razlozi_intervencije::all();
        $sellers = Util::allSellers();
        $admins = Util::admini();
        $helpers = Pomocnici::all();
        $companies = Companies::all();
        return view('search.advanced_search', [
            'statusi' => $status,
            'monteri' => $monteri,
            'statusiIntervencije' => $statusiIntervencije,
            'razloziIntervencije' => $razloziIntervencije,
            'sellers' => $sellers,
            'admins' => $admins,
            'helpers' => $helpers,
            'companies' => $companies
        ]);

    }

    public function optika_advanced_search(){
        $status = Statusi::all();
        $monteri = Util::monteri();
        $statusiIntervencije = Statusi_intervencije::all();
        $tipoviMontaze = Tip_montaze::all();
        $sellers = Util::allSellers();
        $origin = Origin::all();
        $devices = Uredjaji::all()->where('category_id', '=', 1);
        $helpers = Pomocnici::all();
        $companies = Companies::all();
        return view('search.optika_advanced_search', [
            'statusi' => $status,
            'monteri' => $monteri,
            'statusiIntervencije' => $statusiIntervencije,
            'tipoviMontaze' => $tipoviMontaze,
            'sellers' => $sellers,
            'origin' => $origin,
            'devices' => $devices,
            'helpers' => $helpers,
            'companies' => $companies
        ]);
    }

    public function advanced_search_result (Request $request)
    {
        $brUgovora = $request->input('br_ugovora');
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $jmbg = $request->input('jmbg');
        $tel1 = $request->input('tel1');
        $tel2 = $request->input('tel2');
        $tel3 = $request->input('tel3');
        $tisId = $request->input('tis_id');
        $brLk = $request->input('broj_lk');
        $mreznaGrupa = $request->input('mrezna_grupa');
        $datumIzdavanjaLk = $request->input('datum_izdavanja_lk');
        $mestoIzdavanjaLk = $request->input('mesto_izdavanja_lk');
        $adresaPrebivalista = $request->input('adresa_prebivalista');
        $adresaInstalacije = $request->input('adresa_instalacije');
        $paket = $request->input('paket');
        $vrstaPaketa = $request->input('vrsta_paketa');
        $novServis = $request->input('nov_servis');
        $dodatniStb = $request->input('dodatni_stb');
        $brojBodova = $request->input('broj_bodova');
        $izvodjacProdavac = $request->input('izvodjac_prodavac');
        $prodavac = $request->input('prodavac');
        $izvodjac = $request->input('izvodjac');
        $datumMontaze = $request->input('datum_montaze');
        $lnb = $request->input('lnb');
        $stb1 = $request->input('stb1');
        $stb2 = $request->input('stb2');
        $adsl = $request->input('adsl');
        $vdsl = $request->input('vdsl');
        $mifiimei = $request->input('mifi_imei');
        $mifiiccd = $request->input('mifi_iccd');
        $datumOdustajanja = $request->input('datum_odustajanja');
        $razlogOdustajanja = $request->input('razlog_odustajanja');
        $napomena = $request->input('napomena');
        $statusIds = $request->input('status');
        $datumZakazivanja = $request->input('datum_zakazivanja');
        $datumOdlaganja = $request->input('datum_odlaganja');
        $idUser = $request->input('user')[0];
        $createdAt = $request->input('created_at');
        $bezStatusa = $request->input('bez_statusa');
        $serial = $request->input('serijski_broj');
        $statusIntIds = $request->input('status_intervencije');
        $razlogIntervencije = $request->input('razlog_intervencije')[0];
        $datumIntervencije = $request->input('datum_intervencije');
        $reklamacijaMonter = $request->input('monter_reklamacije')[0];
        $datumReklamacije = $request->input('datum_reklamacije');
        $od = $request->input('start');
        $do = $request->input('end');
        $intOd = $request->input('intervencija_start');
        $intDo = $request->input('intervencija_end');
        $forPayment = $request->input('for_payment');
        $seller = $request->input('seller');
        $callistoId = $request->input('callisto_id');
        $append = $request->input('append');
        $createdBy = $request->input('created_by');
        $imported = $request->input('imported');
        $helper = $request->input('helper');
        $hasHelper = $request->input('has_helper');
        $company = $request->input('company');

        if($request->input('terrain'))
            $terrain = 1;
        else
            $terrain = null;

        if ($forPayment)
            $forPayment = 1;

        if ($od && $do){
            $start = date('Y-m-d', strtotime($od));
            $end = date('Y-m-d', strtotime($do));
        }
        else {
            $start = null;
            $end = null;
        }

        if ($intOd && $intDo){
            $intStart = date('Y-m-d', strtotime($intOd));
            $intEnd = date('Y-m-d', strtotime($intDo));
        }
        else {
            $intStart = null;
            $intEnd = null;
        }

        if ($datumZakazivanja)
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja));
        if ($datumOdlaganja)
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja));
        if ($datumIzdavanjaLk)
            $datumIzdavanjaLk = date('Y-m-d', strtotime($datumIzdavanjaLk));
        if ($datumMontaze)
            $datumMontaze = date('Y-m-d', strtotime($datumMontaze));
        if ($datumOdustajanja)
            $datumOdustajanja = date('Y-m-d', strtotime($datumOdustajanja));
        if ($createdAt)
            $createdAt = date('Y-m-d', strtotime($createdAt));
        if ($datumIntervencije)
            $datumIntervencije = date('Y-m-d', strtotime($datumIntervencije));
        if ($datumReklamacije)
            $datumReklamacije = date('Y-m-d', strtotime($datumReklamacije));


        $klijentModel = new Klijent();
        $result = $klijentModel->naprednaPretragaAdmin($brUgovora, $ime, $prezime, $jmbg, $mreznaGrupa, $tel1, $tel2, $tel3,
            $tisId, $brLk, $datumIzdavanjaLk, $mestoIzdavanjaLk, $adresaPrebivalista, $adresaInstalacije, $paket,
            $vrstaPaketa, $novServis, $dodatniStb, $brojBodova, $izvodjacProdavac, $prodavac, $izvodjac, $datumMontaze,
            $lnb, $stb1, $stb2, $adsl, $vdsl, $mifiimei, $mifiiccd, $datumOdustajanja, $razlogOdustajanja,
            $napomena, $statusIds, $datumZakazivanja, $datumOdlaganja, $idUser, $createdAt, $bezStatusa,
            $statusIntIds, $datumIntervencije, $reklamacijaMonter, $datumReklamacije, $start, $end, $intStart, $intEnd,
            $razlogIntervencije, $serial, $forPayment, $seller, $callistoId, $append, $createdBy, $imported, $helper, $terrain, $hasHelper, $company, true);
        $noPagination = $klijentModel->naprednaPretragaAdmin($brUgovora, $ime, $prezime, $jmbg, $mreznaGrupa, $tel1, $tel2, $tel3,
            $tisId, $brLk, $datumIzdavanjaLk, $mestoIzdavanjaLk, $adresaPrebivalista, $adresaInstalacije, $paket,
            $vrstaPaketa, $novServis, $dodatniStb, $brojBodova, $izvodjacProdavac, $prodavac, $izvodjac, $datumMontaze,
            $lnb, $stb1, $stb2, $adsl, $vdsl, $mifiimei, $mifiiccd, $datumOdustajanja, $razlogOdustajanja,
            $napomena, $statusIds, $datumZakazivanja, $datumOdlaganja, $idUser, $createdAt, $bezStatusa,
            $statusIntIds, $datumIntervencije, $reklamacijaMonter, $datumReklamacije, $start, $end, $intStart, $intEnd,
            $razlogIntervencije, $serial, $forPayment, $seller, $callistoId, $append, $createdBy, $imported, $helper, $terrain, $hasHelper, $company);


        $ids = Arr::pluck($noPagination, 'id');
        $count = count($ids);
        $ids = json_encode($ids);
        session(['ids_export' => $ids]);

        //search url is stored in session for redirection after client edit
        session(['search_route' => url()->full()]);

        $comCheck = new Napomene();

        return view('search.show', ['klijenti' => $result, 'isSuperAdmin'=>Util::isSuperAdmin(), 'ids' => $ids, 'count' => $count, 'comCheck' => $comCheck]);


    }

    public function optika_advanced_search_result(Request $request){
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $zahtevUneo = $request->input('zahtev_uneo');
        $tel1 = $request->input('tel1');
        $tel2 = $request->input('tel2');
        $tel3 = $request->input('tel3');
        $tisId = $request->input('tis_id');
        $podrucje = $request->input('project');
        $adresa = $request->input('adresa');
        $prodavac = $request->input('prodavac');
        $datumZahteva = $request->input('datum_zahteva');
        $zahtev = $request->input('direction');
        $datumMontaze = $request->input('datum_montaze');
        $tipoviMontazeIds = $request->input('tip_montaze');
        $datumOdustajanja = $request->input('datum_odustajanja');
        $razlogOdustajanja = $request->input('razlog_odustajanja');
        $napomena = $request->input('napomena');
        $statusIds = $request->input('status');
        $datumZakazivanja = $request->input('datum_zakazivanja');
        $datumOdlaganja = $request->input('datum_odlaganja');
        $idUser = $request->input('user');
        $createdAt = $request->input('created_at');
        $bezStatusa = $request->input('bez_statusa');
        $statusIntIds = $request->input('status_intervencije');
        $datumIntervencije = $request->input('datum_intervencije');
        $reklamacijaMonter = $request->input('monter_reklamacije');
        $datumReklamacije = $request->input('datum_reklamacije');
        $serial = $request->input('serijski_broj');
        $od = $request->input('start');
        $do = $request->input('end');
        $seller = $request->input('seller');
        $callistoId = $request->input('callisto_id');
        $append = $request->input('append');
        $origin = $request->input('origin');
        $deviceId = $request->input('device');
        $company = $request->input('company');
        if ($od && $do){
            $start = date('Y-m-d', strtotime($od));
            $end = date('Y-m-d', strtotime($do));
        }
        else {
            $start = null;
            $end = null;
        }

        if ($datumZakazivanja)
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja));
        if ($datumZahteva)
            $datumZahteva = date('Y-m-d', strtotime($datumZahteva));
        if ($datumOdlaganja)
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja));
        if ($datumMontaze)
            $datumMontaze = date('Y-m-d', strtotime($datumMontaze));
        if ($datumOdustajanja)
            $datumOdustajanja = date('Y-m-d', strtotime($datumOdustajanja));
        if ($createdAt)
            $createdAt = date('Y-m-d', strtotime($createdAt));
        if ($datumIntervencije)
            $datumIntervencije = date('Y-m-d', strtotime($datumIntervencije));
        if ($datumReklamacije)
            $datumReklamacije = date('Y-m-d', strtotime($datumReklamacije));

        $reportDate = database_date($request->input('report_date'));

        $helper = $request->input('helper');
        $hasHelper = $request->input('has_helper');

        if($request->input('terrain'))
            $terrain = 1;
        else
            $terrain = null;

        $klijentModel = new Klijenti_optika();
        $result = $klijentModel->naprednaPretragaOptika($ime, $prezime, $zahtevUneo, $podrucje, $adresa, $tel1, $tel2, $tel3, $tisId, $zahtev, $datumZahteva, $prodavac,
            $datumMontaze, $tipoviMontazeIds, $datumOdustajanja, $razlogOdustajanja, $napomena, $statusIds, $datumZakazivanja, $datumOdlaganja, $idUser,
            $createdAt, $bezStatusa, $statusIntIds, $datumIntervencije, $reklamacijaMonter, $datumReklamacije, $start, $end, $serial, $reportDate, $seller, $callistoId, $append, $origin, $deviceId,
            $helper, $terrain, $hasHelper, $company, true);
        $noPagination = $klijentModel->naprednaPretragaOptika($ime, $prezime, $zahtevUneo, $podrucje, $adresa, $tel1, $tel2, $tel3, $tisId, $zahtev, $datumZahteva, $prodavac,
            $datumMontaze, $tipoviMontazeIds, $datumOdustajanja, $razlogOdustajanja, $napomena, $statusIds, $datumZakazivanja, $datumOdlaganja, $idUser,
            $createdAt, $bezStatusa, $statusIntIds, $datumIntervencije, $reklamacijaMonter, $datumReklamacije, $start, $end, $serial, $reportDate, $seller, $callistoId, $append, $origin, $deviceId,
            $helper, $terrain, $hasHelper, $company);

        $ids = Arr::pluck($noPagination, 'id');
        $count = count($ids);
        $ids = json_encode($ids);
        session(['ids_export' => $ids]);

        session(['search_route' => url()->full()]);
        return view('search.optika_result', ['klijenti' => $result, 'isSuperAdmin'=>Util::isSuperAdmin(), 'count' => $count, 'ids' => $ids]);
    }

    public function export(Request $request){
        require '../vendor/autoload.php';
        $ids = session('ids_export');
        $ids = json_decode($ids);
        $comments = $request->input('comments');

        $klijentModel = new Klijent();
        $klijenti = $klijentModel->export($ids);

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);
        $sheet->getColumnDimension('I')->setAutoSize(true);
        $sheet->getColumnDimension('J')->setAutoSize(true);
        $sheet->getColumnDimension('K')->setAutoSize(true);
        $sheet->getColumnDimension('L')->setAutoSize(true);
        $sheet->getColumnDimension('M')->setAutoSize(true);
        $sheet->getColumnDimension('N')->setAutoSize(true);
        $sheet->getColumnDimension('O')->setAutoSize(true);
        $sheet->getColumnDimension('P')->setAutoSize(true);
        $sheet->getColumnDimension('Q')->setAutoSize(true);
        $sheet->getColumnDimension('R')->setAutoSize(true);
        $sheet->getColumnDimension('S')->setAutoSize(true);
        $sheet->getColumnDimension('T')->setAutoSize(true);
        $sheet->getColumnDimension('U')->setAutoSize(true);
        $sheet->getColumnDimension('V')->setAutoSize(true);
        $sheet->getColumnDimension('W')->setAutoSize(true);
        $sheet->getColumnDimension('X')->setAutoSize(true);
        $sheet->getColumnDimension('Y')->setAutoSize(true);
        $sheet->getColumnDimension('Z')->setAutoSize(true);
        $sheet->getColumnDimension('AA')->setAutoSize(true);
        $sheet->getColumnDimension('AB')->setAutoSize(true);
        $sheet->getColumnDimension('AC')->setAutoSize(true);
        $sheet->getColumnDimension('AD')->setAutoSize(true);
        $sheet->getColumnDimension('AE')->setAutoSize(true);
        $sheet->getColumnDimension('AF')->setAutoSize(true);
        $sheet->getColumnDimension('AG')->setAutoSize(true);
        $sheet->getColumnDimension('AH')->setAutoSize(true);
        $sheet->getColumnDimension('AI')->setAutoSize(true);
        $sheet->getColumnDimension('AJ')->setAutoSize(true);
        $sheet->getColumnDimension('AK')->setAutoSize(true);
        $sheet->getColumnDimension('AL')->setAutoSize(true);
        $sheet->getColumnDimension('AM')->setAutoSize(true);
        $sheet->getColumnDimension('AN')->setAutoSize(true);
        $sheet->getColumnDimension('AO')->setAutoSize(true);



        $sheet->setCellValue('A1', __("No."));
        $sheet->setCellValue('B1', __("Contract number"));
        $sheet->setCellValue('C1', __("Date of signing the request"));
        $sheet->setCellValue('D1', 'Ime i prezime korisnika');
        $sheet->setCellValue('E1', __("Identification number"));
        $sheet->setCellValue('F1', __("Network group"));
        $sheet->setCellValue('G1', __("Landline phone"));
        $sheet->setCellValue('H1', 'TIS ID');
        $sheet->setCellValue('I1', __("ID card number"));
        $sheet->setCellValue('J1', __("Date of issuance of ID card"));
        $sheet->setCellValue('K1', __("Place of issuance of ID card"));
        $sheet->setCellValue('L1', __("Address of residence"));
        $sheet->setCellValue('M1', __("Address"));
        $sheet->setCellValue('N1', __("Contact phone"));
        $sheet->setCellValue('O1', __("Packet"));
        $sheet->setCellValue('P1', __("Packet type"));
        $sheet->setCellValue('Q1', __("Nov service"));
        $sheet->setCellValue('R1', __("Extra STB"));
        $sheet->setCellValue('S1', __("Number of points"));
        $sheet->setCellValue('T1', __("Contractor seller"));
        $sheet->setCellValue('U1', __("Seller"));
        $sheet->setCellValue('V1', __("Contractor"));
        $sheet->setCellValue('W1', __("Montage date"));
        $sheet->setCellValue('X1', 'LNB TWIN');
        $sheet->setCellValue('Y1', 'LNB QUAD');
        $sheet->setCellValue('Z1', 'STB 1');
        $sheet->setCellValue('AA1', 'STB 2');
        $sheet->setCellValue('AB1', 'STB 3');
        $sheet->setCellValue('AC1', 'STB 4');
        $sheet->setCellValue('AD1', 'ADSL');
        $sheet->setCellValue('AE1', 'VDSL');
        $sheet->setCellValue('AF1', 'MIFI IMEI');
        $sheet->setCellValue('AG1', 'MIFI ICCID');
        $sheet->setCellValue('AH1', __("Withdrawal date"));
        $sheet->setCellValue('AI1', __("Withdrawal reason"));
        $sheet->setCellValue('AJ1', __("Note"));
        $sheet->setCellValue('AK1', __("Status"));
        $sheet->setCellValue('AL1', __("Fitter"));
        $sheet->setCellValue('AM1', __("Intervention reason"));
        $sheet->setCellValue('AN1', __("Returned devices"));
        $sheet->setCellValue('AO1', __("For payment"));


        $sheet->getStyle('A1:AO1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:AO1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');

        $returnedModal = new Vraceni_uredjaji();

        $napModel = new Napomene();
        foreach ($klijenti as $br=>$klijent){
            $napomene = $napModel->napomene($klijent->id);
            $napomenaText = '';
            if($comments) {
                foreach ($napomene as $napomena)
                    $napomenaText .= $napomena->napomena . " (" . $napomena->ime . ' ' . $napomena->prezime . ' ' . date('d.m.Y H:i:s', strtotime($napomena->created_at)) . ') ';
            }
            if (in_array($klijent->id_status, [3,4]))
                 $sheet->getStyle('A'.($br+2).':AO'.($br+2))->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ebe134');

            $sheet->getStyle('A'.($br+2).':AN'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), ($br+1).'.');
            $sheet->setCellValue('B'.($br+2), $klijent->br_ugovora);
            $sheet->setCellValue('C'.($br+2), $klijent->datum_zahteva ? date('d.m.Y.', strtotime($klijent->datum_zahteva)) : null);
            $sheet->setCellValue('D'.($br+2), $klijent->ime.' '.$klijent->prezime);
            $sheet->setCellValue('E'.($br+2), $klijent->jmbg);
            $sheet->setCellValue('F'.($br+2), $klijent->mrezna_grupa);
            $sheet->setCellValue('G'.($br+2), $klijent->tel1);
            $sheet->setCellValue('H'.($br+2), $klijent->tis_id);
            $sheet->setCellValue('I'.($br+2), $klijent->broj_lk);
            $sheet->setCellValue('j'.($br+2), $klijent->datum_izdavanja_lk ? date('d.m.Y.', strtotime($klijent->datum_izdavanja_lk)) : null);
            $sheet->setCellValue('K'.($br+2), $klijent->mesto_izdavanja_lk);
            $sheet->setCellValue('L'.($br+2), $klijent->adresa_prebivalista);
            $sheet->setCellValue('M'.($br+2), $klijent->adresa_instalacije);
            $sheet->setCellValue('N'.($br+2), ($klijent->tel1?$klijent->tel1:''. ($klijent->tel2?' '.$klijent->tel2:'') .($klijent->tel3?' '.$klijent->tel3:'')));
            $sheet->setCellValue('O'.($br+2), $klijent->paket);
            $sheet->setCellValue('P'.($br+2), $klijent->vrsta_paketa);
            $sheet->setCellValue('Q'.($br+2), $klijent->nov_servis);
            $sheet->setCellValue('R'.($br+2), $klijent->dodatni_stb);
            $sheet->setCellValue('S'.($br+2), $klijent->broj_bodova);
            $sheet->setCellValue('T'.($br+2), $klijent->izvodjac_prodavac);
            $sheet->setCellValue('U'.($br+2), $klijent->prodavac);
            $sheet->setCellValue('V'.($br+2), $klijent->izvodjac);
            $sheet->setCellValue('W'.($br+2), $klijent->datum_montaze ? date('d.m.Y.', strtotime($klijent->datum_montaze)) : null);
            $sheet->setCellValue('AH'.($br+2), $klijent->datum_odustajanja ? date('d.m.Y.', strtotime($klijent->datum_odustajanja)) : null);
            $sheet->setCellValue('AI'.($br+2), $klijent->razlog_odustajanja);
            $sheet->setCellValue('AJ'.($br+2), $napomenaText);
            $sheet->setCellValue('AK'.($br+2), $klijent->status);
            $sheet->setCellValue('AL'.($br+2), $klijent->user_ime.' '.$klijent->user_prezime);
            if($comments) {
                $sheet->setCellValue('AM' . ($br + 2), $klijent->razlog);
                $returned = $returnedModal->vraceniList('id_klijent', $klijent->id);
                $devices = '';
                foreach ($returned as $device) {
                    $devices .= '(' . $device->uredjaj . ') ' . $device->serijski_broj . ' (' . $device->razlog . ') ';
                }
                if ($klijent->for_payment == 1)
                    $forPayment = 'DA';
                else
                    $forPayment = 'NE';
                $sheet->setCellValue('AN' . ($br + 2), $devices);
                $sheet->setCellValue('AO' . ($br + 2), $forPayment);
            }

            $montMod = new Montirani_uredjaji();
            $montirani = $montMod->montiraniList($klijent->id);
            $stbNo = 1;
            if(Util::firmaId() == 1 || Util::firmaId() == 2) {
                $lnbQuad = 15;
            }
            else{
                $lnbQuad = 15;
            }
            foreach($montirani as $k=>$mont){
                switch ($mont->id_uredjaj){
                    case 1 :
                        $sheet->setCellValue('X'.($br+2), $mont->serijski_broj.' ');
                        break;
                    case 2 :
                        if ($stbNo == 1)
                            $sheet->setCellValue('Z'.($br+2), $mont->serijski_broj.' ');
                        elseif ($stbNo == 2)
                            $sheet->setCellValue('AA'.($br+2), $mont->serijski_broj.' ');
                        elseif ($stbNo == 3)
                            $sheet->setCellValue('AB'.($br+2), $mont->serijski_broj.' ');
                        elseif ($stbNo == 4)
                            $sheet->setCellValue('AC'.($br+2), $mont->serijski_broj.' ');
                        $stbNo++;
                        break;
                    case 3 :
                        $sheet->setCellValue('AD'.($br+2), $mont->serijski_broj.' ');
                        break;
                    case 4 :
                        $sheet->setCellValue('AE'.($br+2), $mont->serijski_broj.' ');
                        break;
                    case 5 :
                        $sheet->setCellValue('AF'.($br+2), $mont->serijski_broj.' ');
                        break;
                    case 6 :
                        $sheet->setCellValue('AG'.($br+2), $mont->serijski_broj.' ');
                        break;
                    case $lnbQuad :
                        $sheet->setCellValue('Y'.($br+2), $mont->serijski_broj.' ');
                        break;

                }
            }
        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="izvestaj.xlsx"');
        return $streamedResponse->send();

    }

    public function optika_export(Request $request){
        require '../vendor/autoload.php';
        $ids = session('ids_export');
        $ids = json_decode($ids);

        $withComments = $request->input('comments');

        $klijentModel = new Klijenti_optika();
        $klijenti = $klijentModel->export($ids);

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);
        $sheet->getColumnDimension('I')->setAutoSize(true);
        $sheet->getColumnDimension('J')->setAutoSize(true);
        $sheet->getColumnDimension('K')->setAutoSize(true);
        $sheet->getColumnDimension('L')->setAutoSize(true);
        $sheet->getColumnDimension('M')->setAutoSize(true);
        $sheet->getColumnDimension('N')->setAutoSize(true);
        $sheet->getColumnDimension('O')->setAutoSize(true);
        $sheet->getColumnDimension('P')->setAutoSize(true);
        $sheet->getColumnDimension('Q')->setAutoSize(true);
        $sheet->getColumnDimension('R')->setAutoSize(true);
        $sheet->getColumnDimension('S')->setAutoSize(true);
        $sheet->getColumnDimension('T')->setAutoSize(true);
        $sheet->getColumnDimension('U')->setAutoSize(true);
        $sheet->getColumnDimension('V')->setAutoSize(true);
        $sheet->getColumnDimension('W')->setAutoSize(true);
        $sheet->getColumnDimension('X')->setAutoSize(true);
        $sheet->getColumnDimension('Y')->setAutoSize(true);
        $sheet->getColumnDimension('Z')->setAutoSize(true);


        $sheet->setCellValue('A1', __("Date of entry"));
        $sheet->setCellValue('B1', __("Contract number"));
        $sheet->setCellValue('C1', __("Status"));
        $sheet->setCellValue('D1', __("Request created by"));
        $sheet->setCellValue('E1', __("Area"));
        $sheet->setCellValue('F1', 'TIS ID');
        $sheet->setCellValue('G1', __("Address"));
        $sheet->setCellValue('H1', __("Full name"));
        $sheet->setCellValue('I1', __("Line number"));
        $sheet->setCellValue('J1', __("Request"));
        $sheet->setCellValue('K1', __("Phone").' 1');
        $sheet->setCellValue('L1', __("Phone").' 2');
        $sheet->setCellValue('M1', __("Phone").' 3');
        $sheet->setCellValue('N1', __("Withdrawal reason"));
        $sheet->setCellValue('O1', __("Seller data"));
        $sheet->setCellValue('P1', __("Number of points"));
        $sheet->setCellValue('Q1', __("Reclamation fitter"));
        $sheet->setCellValue('R1', __("Montage type"));
        $sheet->setCellValue('S1', __("Status"));
        $sheet->setCellValue('T1', __("Montage date"));
        $sheet->setCellValue('U1', __("Withdrawal date"));
        $sheet->setCellValue('V1', __("Delay date"));
        $sheet->setCellValue('W1', __("Appointment date"));
        $sheet->setCellValue('X1', __("Fitter"));
        $sheet->setCellValue('Y1', __("Extra STB"));
        $sheet->setCellValue('Z1', __("Origin"));
        $sheet->setCellValue('AA1', __("Note"));

        $sheet->getStyle('A1:AA1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:AA1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');

        $commentText = '';
        foreach ($klijenti as $br=>$klijent){
            if($withComments) {
                $napModel = new Napomene();
                $comments = $napModel->napomeneOptika($klijent->id);
                foreach ($comments as $comment)
                    $commentText .= $comment->napomena . " (" . $comment->ime . ' ' . $comment->prezime . ' ' . date('d.m.Y H:i:s', strtotime($comment->created_at)) . ') ';
            }
            if (in_array($klijent->id_status, [3,4]))
                $sheet->getStyle('A'.($br+2).':L'.($br+2))->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ebe134');

            $sheet->getStyle('A'.($br+2).':AK'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), $klijent->datum_zahteva ? date('d.m.Y.', strtotime($klijent->datum_zahteva)) : null);
            $sheet->setCellValue('B'.($br+2), $klijent->br_ugovora);
            $sheet->setCellValue('C'.($br+2), $klijent->status);
            $sheet->setCellValue('D'.($br+2), $klijent->zahtev_uneo);
            $sheet->setCellValue('E'.($br+2), $klijent->podrucje);
            $sheet->setCellValue('F'.($br+2), $klijent->tis_id);
            $sheet->setCellValue('G'.($br+2), $klijent->adresa);
            $sheet->setCellValue('H'.($br+2), $klijent->ime.' '.$klijent->prezime);
            $sheet->setCellValue('I'.($br+2), $klijent->tel1);
            $sheet->setCellValue('J'.($br+2), $klijent->zahtev);
            $sheet->setCellValue('K'.($br+2), $klijent->tel1);
            $sheet->setCellValue('L'.($br+2), $klijent->tel2);
            $sheet->setCellValue('M'.($br+2), $klijent->tel3);
            $sheet->setCellValue('N'.($br+2), $klijent->razlog_odustajanja);
            $sheet->setCellValue('O'.($br+2), $klijent->prodavac);
            $sheet->setCellValue('P'.($br+2), $klijent->broj_bodova);
            $sheet->setCellValue('Q'.($br+2), $klijent->inter_ime.' '.$klijent->inter_prezime);
            $sheet->setCellValue('R'.($br+2), $klijent->tip_montaze);
            $sheet->setCellValue('S'.($br+2), $klijent->status);
            $sheet->setCellValue('T'.($br+2), $klijent->datum_montaze ? date('d.m.Y.', strtotime($klijent->datum_montaze)) : null);
            $sheet->setCellValue('U'.($br+2), $klijent->datum_odustajanja ? date('d.m.Y.', strtotime($klijent->datum_odustajanja)) : null);
            $sheet->setCellValue('V'.($br+2), $klijent->datum_odlaganja ? date('d.m.Y.', strtotime($klijent->datum_odlaganja)) : null);
            $sheet->setCellValue('W'.($br+2), $klijent->datum_zakazivanja ? date('d.m.Y.', strtotime($klijent->datum_zakazivanja)) : null);
            $sheet->setCellValue('X'.($br+2), $klijent->user_ime.' '.$klijent->user_prezime);
            $sheet->setCellValue('Y'.($br+2), $klijent->extra_stb);
            $sheet->setCellValue('Z'.($br+2), $klijent->origin);
            $sheet->setCellValue('AA'.($br+2), $commentText);

            $montMod = new Montirani_uredjaji();
            $montirani = $montMod->montiraniOptikaList($klijent->id);
            $vraceniMod = new Vraceni_uredjaji();
            $vraceni = $vraceniMod->vraceniList('id_opticki_klijent', $klijent->id);
            $letter = 'B';
            foreach($montirani as $mont){
                $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
                $sheet->setCellValue('A'.$letter.($br+2), '('.$mont->uredjaj.') '.$mont->serijski_broj);
                $letterAscii = ord($letter);
                $letterAscii++;
                $letter = chr($letterAscii);
            }
            if (!$vraceni->isEmpty()){
                $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
                $sheet->setCellValue('A'.$letter.($br+2), 'vraćeno: ');
                $letterAscii = ord($letter);
                $letterAscii++;
                $letter = chr($letterAscii);
                foreach ($vraceni as $vra){
                    $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
                    $sheet->setCellValue('A'.$letter.($br+2), '('.$vra->uredjaj.') '.$vra->serijski_broj);
                    $letterAscii = ord($letter);
                    $letterAscii++;
                    $letter = chr($letterAscii);
                }
            }
        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="izvestaj_optika.xlsx"');
        return $streamedResponse->send();
    }

    public function bakar_export(){
        require '../vendor/autoload.php';
        $ids = session('ids_export');
        $ids = json_decode($ids);

        $klijentModel = new Klijenti_bakar();
        $klijenti = $klijentModel->export($ids);

        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();

        $sheet->getColumnDimension('A')->setAutoSize(true);
        $sheet->getColumnDimension('B')->setAutoSize(true);
        $sheet->getColumnDimension('C')->setAutoSize(true);
        $sheet->getColumnDimension('D')->setAutoSize(true);
        $sheet->getColumnDimension('E')->setAutoSize(true);
        $sheet->getColumnDimension('F')->setAutoSize(true);
        $sheet->getColumnDimension('G')->setAutoSize(true);
        $sheet->getColumnDimension('H')->setAutoSize(true);
        $sheet->getColumnDimension('I')->setAutoSize(true);
        $sheet->getColumnDimension('J')->setAutoSize(true);
        $sheet->getColumnDimension('K')->setAutoSize(true);
        $sheet->getColumnDimension('L')->setAutoSize(true);
        $sheet->getColumnDimension('M')->setAutoSize(true);
        $sheet->getColumnDimension('N')->setAutoSize(true);
        $sheet->getColumnDimension('O')->setAutoSize(true);
        $sheet->getColumnDimension('P')->setAutoSize(true);
        $sheet->getColumnDimension('Q')->setAutoSize(true);
        $sheet->getColumnDimension('R')->setAutoSize(true);
        $sheet->getColumnDimension('S')->setAutoSize(true);
        $sheet->getColumnDimension('T')->setAutoSize(true);
        $sheet->getColumnDimension('U')->setAutoSize(true);
        $sheet->getColumnDimension('V')->setAutoSize(true);
        $sheet->getColumnDimension('W')->setAutoSize(true);
        $sheet->getColumnDimension('X')->setAutoSize(true);
        $sheet->getColumnDimension('Y')->setAutoSize(true);
        $sheet->getColumnDimension('Z')->setAutoSize(true);


        $sheet->setCellValue('A1', __("Date of entry"));
        $sheet->setCellValue('B1', __("Status"));
        $sheet->setCellValue('C1', __("Request created by"));
        $sheet->setCellValue('D1', __("Area"));
        $sheet->setCellValue('E1', 'TIS ID');
        $sheet->setCellValue('F1', __("Address"));
        $sheet->setCellValue('G1', __("Name"));
        $sheet->setCellValue('H1', __("Line number"));
        $sheet->setCellValue('I1', __("Request"));
        $sheet->setCellValue('J1', __("Contact phone").' 1');
        $sheet->setCellValue('K1', __("Contact phone").' 2');
        $sheet->setCellValue('L1', __("Seller data"));
        $sheet->setCellValue('M1', __("Number of points"));
        $sheet->setCellValue('N1', __("Montage date"));
        $sheet->setCellValue('O1', __("Withdrawal date"));
        $sheet->setCellValue('P1', __("Delay date"));
        $sheet->setCellValue('Q1', __("Appointment date"));
        $sheet->setCellValue('R1', __("Withdrawal reason"));
        $sheet->setCellValue('S1', __("Intervention status"));
        $sheet->setCellValue('T1', __("Intervention date"));
        $sheet->setCellValue('U1', __("Reclamation fitter"));
        $sheet->setCellValue('V1', __("Reclamation date"));
        $sheet->setCellValue('W1', __("Montage type"));
        $sheet->setCellValue('X1', __("Equipment").'/'.__("Contract"));
        $sheet->setCellValue('Y1', __("Contract number"));
        $sheet->setCellValue('Z1', __("Fitter"));

        $sheet->getStyle('A1:Z1')->getAlignment()->setHorizontal('center');

        $sheet->getStyle('A1:Z1')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('8c8c8c');


        foreach ($klijenti as $br=>$klijent){
            if (in_array($klijent->id_status, [3,4]))
                $sheet->getStyle('A'.($br+2).':Z'.($br+2))->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ebe134');

            $sheet->getStyle('A'.($br+2).':AK'.($br+2))->getAlignment()->setHorizontal('left');
            $sheet->setCellValue('A'.($br+2), $klijent->datum_zahteva ? date('d.m.Y.', strtotime($klijent->datum_zahteva)) : null);
            $sheet->setCellValue('B'.($br+2), $klijent->status);
            $sheet->setCellValue('C'.($br+2), $klijent->zahtev_uneo);
            $sheet->setCellValue('D'.($br+2), $klijent->podrucje);
            $sheet->setCellValue('E'.($br+2), $klijent->tis_id);
            $sheet->setCellValue('F'.($br+2), $klijent->adresa);
            $sheet->setCellValue('G'.($br+2), $klijent->ime.' '.$klijent->prezime);
            $sheet->setCellValue('H'.($br+2), $klijent->tel1);
            $sheet->setCellValue('I'.($br+2), $klijent->zahtev);
            $sheet->setCellValue('J'.($br+2), $klijent->tel1);
            $sheet->setCellValue('K'.($br+2), $klijent->tel2);
            $sheet->setCellValue('L'.($br+2), $klijent->prodavac);
            $sheet->setCellValue('M'.($br+2), $klijent->br_bodova);
            $sheet->setCellValue('N'.($br+2), $klijent->datum_montaze ? date('d.m.Y.', strtotime($klijent->datum_montaze)) : null);
            $sheet->setCellValue('O'.($br+2), $klijent->datum_odustajanja ? date('d.m.Y.', strtotime($klijent->datum_odustajanja)) : null);
            $sheet->setCellValue('P'.($br+2), $klijent->datum_odlaganja ? date('d.m.Y.', strtotime($klijent->datum_odlaganja)) : null);
            $sheet->setCellValue('Q'.($br+2), $klijent->datum_zakazivanja ? date('d.m.Y.', strtotime($klijent->datum_zakazivanja)) : null);
            $sheet->setCellValue('R'.($br+2), $klijent->razlog_odustajanja);
            $sheet->setCellValue('S'.($br+2), $klijent->status_intervencije);
            $sheet->setCellValue('T'.($br+2), $klijent->datum_intervencije ? date('d.m.Y.', strtotime($klijent->datum_intervencije)) : null);
            $sheet->setCellValue('U'.($br+2), $klijent->inter_ime.' '.$klijent->inter_prezime);
            $sheet->setCellValue('V'.($br+2), $klijent->datum_reklamacije ? date('d.m.Y.', strtotime($klijent->datum_reklamacije)) : null);
            $sheet->setCellValue('W'.($br+2), $klijent->tip);
            $sheet->setCellValue('X'.($br+2), $klijent->oprema_ugovor);
            $sheet->setCellValue('Y'.($br+2), $klijent->broj_ugovora);
            $sheet->setCellValue('Z'.($br+2), $klijent->user_ime.' '.$klijent->user_prezime);
        }

        $montMod = new Montirani_uredjaji();
        $montirani = $montMod->montiraniBakarList($klijent->id);
        $vraceniMod = new Vraceni_uredjaji();
        $vraceni = $vraceniMod->vraceniList('id_bakar_klijent', $klijent->id);
        $letter = 'A';
        foreach($montirani as $mont){
            $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
            $sheet->setCellValue('A'.$letter.($br+2), '('.$mont->uredjaj.') '.$mont->serijski_broj);
            $letterAscii = ord($letter);
            $letterAscii++;
            $letter = chr($letterAscii);
        }
        if (!$vraceni->isEmpty()){
            $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
            $sheet->setCellValue('A'.$letter.($br+2), 'vraćeno: ');
            $letterAscii = ord($letter);
            $letterAscii++;
            $letter = chr($letterAscii);
            foreach ($vraceni as $vra){
                $sheet->getColumnDimension('A'.$letter)->setAutoSize(true);
                $sheet->setCellValue('A'.$letter.($br+2), '('.$vra->uredjaj.') '.$vra->serijski_broj);
                $letterAscii = ord($letter);
                $letterAscii++;
                $letter = chr($letterAscii);
            }
        }

        $streamedResponse = new StreamedResponse();
        $streamedResponse->setCallback(function() use ($spreadsheet){
            $writter = new Xlsx($spreadsheet);
            $writter->save('php://output');
        });

        $streamedResponse->setStatusCode(200);
        $streamedResponse->headers->set('Content-Type', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        $streamedResponse->headers->set('Content-Disposition', 'attachment; filename="izvestaj_bakar.xlsx"');
        return $streamedResponse->send();
    }

    public function napomena_search(Request $request){
        $param = $request->input('param');
        return view('search.napomena_search', ['param' => $param]);
    }

    public function napomena_result(Request $request){
        $tipKlijenta = $request->input('param');
        $text = trim($request->input('napomena'));
        $napModel = new Napomene();
        $klijenti = $napModel->napomenaSearch($text, $tipKlijenta);

        switch ($tipKlijenta){
            case 'msat' :
                return view('search.napomena_result', [
                    'klijenti' => $klijenti,
                    'isSuperAdmin' => Util::isSuperAdmin()
                ]);
                break;
            case 'optika' :
                return view('search.napomena_optika_result', [
                    'klijenti' => $klijenti,
                    'isSuperAdmin' => Util::isSuperAdmin()
                ]);
                break;
            case 'supernova' :
                return view('search.napomena_optika_result', [
                    'klijenti' => $klijenti,
                    'isSuperAdmin' => Util::isSuperAdmin()
                ]);
            case 'bakar' :
                return view('search.napomena_optika_result', [
                    'klijenti' => $klijenti,
                    'isSuperAdmin' => Util::isSuperAdmin()
                ]);
        }
    }

    public function supernova_search(){
        $status = Statusi::all();
        $monteri = Util::monteri();
        session(['supernova_search_type' => 'simple']);
        return view('search.supernova_search', [
            'statusi' => $status,
            'users' => $monteri
        ]);
    }

    public function supernova_advanced_search(){
        $status = Statusi::all();
        $monteri = Util::monteri();
        session(['supernova_search_type' => 'advanced']);
        $sellers = Util::allSellers();
        return view('search.supernova_advanced_search', [
            'statusi' => $status,
            'monteri' => $monteri,
            'sellers' => $sellers
        ]);
    }

    public function supernova_result(Request $request){
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $id_user = $request->input('user')[0];
        $statusIds = $request->input('status');
        $created_at = $request->input('created_at');
        $datumOdustajanja = $request->input('datum_odustajanja');
        $datumMontaze = $request->input('datum_montaze');
        $datumZakazivanja = $request->input('datum_zakazivanja');
        $datumOdlaganja =$request->input('datum_odlaganja');
        $bezStatusa = $request->input('bez_statusa');
        $datumObilaska = $request->input('datum_obilaska');
        $seller = $request->input('seller');

        if ($created_at)
            $created_at = date('Y-m-d', strtotime($created_at));
        if ($datumOdustajanja)
            $datumOdustajanja = date('Y-m-d', strtotime($datumOdustajanja));
        if ($datumMontaze)
            $datumMontaze = date('Y-m-d', strtotime($datumMontaze));
        if ($datumZakazivanja)
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja));
        if ($datumOdlaganja)
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja));
        if ($datumObilaska)
            $datumObilaska = date('Y-m-d', strtotime($datumObilaska));

        $klijentModel = new Klijenti_supernova();

        if (session('supernova_search_type') == 'advanced'){
            $brojUgovora = $request->input('broj_ugovora');
            $ulica = $request->input('ulica');
            $kucniBroj = $request->input('kucni_broj');
            $tel1 = $request->input('tel1');
            $tel2 = $request->input('tel2');
            $brojBodova = $request->input('broj_bodova');
            $mesec = $request->input('mesec');
            $agentIme = $request->input('agent_ime');
            $agentPrezime = $request->input('agent_prezime');
            $agencija = $request->input('agencija');
            $regionalniCentar = $request->input('regionalni_centar');
            $paket = $request->input('paket');
            $mesto = $request->input('mesto');
            $email = $request->input('email');
            $tipUgovora = $request->input('tip_ugovora');
            $od = $request->input('start');
            $do = $request->input('end');
            if ($od && $do){
                $start = date('Y-m-d', strtotime($od));
                $end = date('Y-m-d', strtotime($do));
            }
            else {
                $start = null;
                $end = null;
            }
            $callistoId = $request->input('callisto_id');

            $result = $klijentModel->advancedSearch($ime, $prezime, $id_user, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa,
                                                    $brojUgovora, $ulica, $kucniBroj, $tel1, $tel2, $brojBodova, $mesec, $agentIme, $agentPrezime, $agencija, $regionalniCentar, $datumObilaska,
                                                    $paket, $mesto, $email, $tipUgovora, $start, $end, $seller, $callistoId, true);
            $noPagination = $klijentModel->advancedSearch($ime, $prezime, $id_user, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa,
                $brojUgovora, $ulica, $kucniBroj, $tel1, $tel2, $brojBodova, $mesec, $agentIme, $agentPrezime, $agencija, $regionalniCentar, $datumObilaska,
                $paket, $mesto, $email, $tipUgovora, $start, $end, $seller, $callistoId);
        }
        else {
            $result = $klijentModel->search($ime, $prezime, $id_user, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa, true);
            $noPagination = $klijentModel->search($ime, $prezime, $id_user, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa);
        }

        $ids = Arr::pluck($noPagination, 'id');
        $count = count($ids);
        $ids = json_encode($ids);
        session(['ids_export' => $ids]);

        session(['search_route' => url()->full()]);
        return view('search.supernova_result', [
            'klijenti' => $result,
            'isSuperAdmin' => Util::isSuperAdmin(),
            'ids' => $ids,
            'count' => $count
        ]);
    }

    public function bakar_search(){
        $status = Statusi::all();
        $monteri = Util::monteri();
        return view('search.bakar_search', [
            'statusi' => $status,
            'users' => $monteri
        ]);
    }

    public function bakar_advanced_search(){
        $status = Statusi::all();
        $monteri = Util::monteri();
        $statusiIntervencije = Statusi_intervencije::all();
        $tipoviMontaze = Tip_montaze::all();
        $sellers = Util::allSellers();
        return view('search.bakar_advanced_search', [
            'statusi' => $status,
            'monteri' => $monteri,
            'statusiIntervencije' => $statusiIntervencije,
            'tipoviMontaze' => $tipoviMontaze,
            'sellers' => $sellers
        ]);
    }

    public function bakar_advanced_search_result(Request $request){
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $zahtevUneo = $request->input('zahtev_uneo');
        $tel1 = $request->input('tel1');
        $tel2 = $request->input('tel2');
        $tel3 = $request->input('tel3');
        $tisId = $request->input('tis_id');
        $podrucje = $request->input('podrucje');
        $adresa = $request->input('adresa');
        $prodavac = $request->input('prodavac');
        $datumZahteva = $request->input('datum_zahteva');
        $zahtev = $request->input('zahtev');
        $datumMontaze = $request->input('datum_montaze');
        $tipoviMontazeIds = $request->input('tip_montaze');
        $datumOdustajanja = $request->input('datum_odustajanja');
        $razlogOdustajanja = $request->input('razlog_odustajanja');
        $napomena = $request->input('napomena');
        $statusIds = $request->input('status');
        $datumZakazivanja = $request->input('datum_zakazivanja');
        $datumOdlaganja = $request->input('datum_odlaganja');
        $idUser = $request->input('user')[0];
        $createdAt = $request->input('created_at');
        $bezStatusa = $request->input('bez_statusa');
        $statusIntIds = $request->input('status_intervencije');
        $datumIntervencije = $request->input('datum_intervencije');
        $reklamacijaMonter = $request->input('monter_reklamacije')[0];
        $datumReklamacije = $request->input('datum_reklamacije');
        $serial = $request->input('serijski_broj');
        $opremaUgovor = $request->input('oprema_ugovor');
        $od = $request->input('start');
        $do = $request->input('end');
        $seller = $request->input('seller');
        $callistoId = $request->input('callisto_id');
        if ($od && $do){
            $start = date('Y-m-d', strtotime($od));
            $end = date('Y-m-d', strtotime($do));
        }
        else {
            $start = null;
            $end = null;
        }
        if ($datumZakazivanja)
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja));
        if ($datumZahteva)
            $datumZahteva = date('Y-m-d', strtotime($datumZahteva));
        if ($datumOdlaganja)
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja));
        if ($datumMontaze)
            $datumMontaze = date('Y-m-d', strtotime($datumMontaze));
        if ($datumOdustajanja)
            $datumOdustajanja = date('Y-m-d', strtotime($datumOdustajanja));
        if ($createdAt)
            $createdAt = date('Y-m-d', strtotime($createdAt));
        if ($datumIntervencije)
            $datumIntervencije = date('Y-m-d', strtotime($datumIntervencije));
        if ($datumReklamacije)
            $datumReklamacije = date('Y-m-d', strtotime($datumReklamacije));

        $klijentModel = new Klijenti_bakar();
        $result = $klijentModel->naprednaPretraga($ime, $prezime, $zahtevUneo, $podrucje, $adresa, $tel1, $tel2, $tel3, $tisId, $zahtev, $datumZahteva, $prodavac,
            $datumMontaze, $tipoviMontazeIds, $datumOdustajanja, $razlogOdustajanja, $napomena, $statusIds, $datumZakazivanja, $datumOdlaganja, $idUser,
            $createdAt, $bezStatusa, $statusIntIds, $datumIntervencije, $reklamacijaMonter, $datumReklamacije, $start, $end, $serial, $opremaUgovor, $seller, 
            $callistoId, true);
        $noPagination = $klijentModel->naprednaPretraga($ime, $prezime, $zahtevUneo, $podrucje, $adresa, $tel1, $tel2, $tel3, $tisId, $zahtev, $datumZahteva, $prodavac,
            $datumMontaze, $tipoviMontazeIds, $datumOdustajanja, $razlogOdustajanja, $napomena, $statusIds, $datumZakazivanja, $datumOdlaganja, $idUser,
            $createdAt, $bezStatusa, $statusIntIds, $datumIntervencije, $reklamacijaMonter, $datumReklamacije, $start, $end, $serial, $opremaUgovor, $seller, $callistoId);

        $ids = Arr::pluck($noPagination, 'id');
        $count = count($ids);
        $ids = json_encode($ids);
        session(['ids_export' => $ids]);

        session(['search_route' => url()->full()]);
        return view('search.bakar_result', ['klijenti' => $result, 'isSuperAdmin'=>Util::isSuperAdmin(), 'count' => $count]);
    }

    public function bakar_result(Request $request){
        $ime = $request->input('ime');
        $prezime = $request->input('prezime');
        $id_user = $request->input('user')[0];
        $statusIds = $request->input('status');
        $created_at = $request->input('created_at');
        $datumOdustajanja = $request->input('datum_odustajanja');
        $datumMontaze = $request->input('datum_montaze');
        $datumZakazivanja = $request->input('datum_zakazivanja');
        $datumOdlaganja =$request->input('datum_odlaganja');
        $bezStatusa = $request->input('bez_statusa');

        if ($created_at)
            $created_at = date('Y-m-d', strtotime($created_at));
        if ($datumOdustajanja)
            $datumOdustajanja = date('Y-m-d', strtotime($datumOdustajanja));
        if ($datumMontaze)
            $datumMontaze = date('Y-m-d', strtotime($datumMontaze));
        if ($datumZakazivanja)
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja));
        if ($datumOdlaganja)
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja));

        $klijentModel = new Klijenti_bakar();
        $result = $klijentModel->pretraga($ime, $prezime, $id_user, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa, true);
        $noPagination = $klijentModel->pretraga($ime, $prezime, $id_user, $statusIds, $created_at, $datumMontaze, $datumOdustajanja, $datumZakazivanja, $datumOdlaganja, $bezStatusa);
        $ids = Arr::pluck($noPagination, 'id');
        $count = count($ids);
        $ids = json_encode($ids);
        session(['ids_export' => $ids]);

        session(['search_route' => url()->full()]);
        return view('search.bakar_result', [
            'klijenti' => $result,
            'isSuperAdmin' => Util::isSuperAdmin(),
            'count' => $count
        ]);
    }

    public function session_ids(Request $request){
        $param = $request->input('param');
        if($param == 'msat')
            session(['ids_dth' => session('ids_export')]);
        elseif($param == 'optics')
            session(['ids_optics' => session('ids_export')]);
        elseif($param == 'rune')
            session(['ids_rune' => session('ids_export')]);
        elseif($param == 'de_sites')
            session(['ids_de_sites' => session('ids_export')]);

        return back()->with('success', __("Clients successfully added to session"));
    }

    public function redirector(){
        return Redirect::intended(session('search_route'));
    }

    public function device_history(Request $request){
        $devModel = new Device_history();
        $logs = $devModel->logSearch($request->input('serijski_broj'));
        return view('search.logs', [
            'logs' => $logs
        ]);
    }

    public function msat_search_shortcut(Request $request){
        $param = $request->input('param');
        $kMod = new Klijent();
        switch ($param) {
            case 'intervention-open' :
                $result = $kMod->shortcut(true, false, false,1);
                break;
            case 'intervention-closed' :
                $result = $kMod->shortcut(true, false, false,2);
                break;
            case 'dismantling-open' :
                $result = $kMod->shortcut(false, true, false, 1);
                break;
            case 'dismantling-closed' :
                $result = $kMod->shortcut(false, true, false, 2);
                break;
            case 'debt-open' :
                $result = $kMod->shortcut(false, false, true, 1);
                break;
            case 'debt-closed' :
                $result = $kMod->shortcut(false, false, true, 2);
                break;
            default:
                $result = array();
        }
        Session::put('shortcut_result', $result);
    }

    public function msat_shortcut_result(Request $request){
        $result = Session::get('shortcut_result');
        $ids = Arr::pluck($result, 'id');
        $count = count($ids);
        $ids = json_encode($ids);
        session(['ids_export'=>$ids]);

        $comCheck = new Napomene();
        return view('search.shortcut_result', [
            'klijenti' => $result,
            'isSuperAdmin' => Util::isSuperAdmin(),
            'count' => $count,
            'comCheck' => $comCheck,
            'ids' => $ids
        ]);
    }
}
