<?php

namespace App\Http\Controllers;

use App\Stanje_uredjaja;
use Illuminate\Http\Request;

class StanjeUredjajaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $stanja = Stanje_uredjaja::all();
        return view('stanje.index', ['stanja' => $stanja]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('stanje.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'stanje' => 'required'
        ]);
        $stanje = Stanje_uredjaja::create([
            'stanje' => trim($request->input('stanje'))
        ]);

        $stanja = Stanje_uredjaja::all();
        if ($stanje){
            return view('stanje.index', ['stanja' => $stanja]);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\stanje_uredjaja  $stanje_uredjaja
     * @return \Illuminate\Http\Response
     */
    public function show(Stanje_uredjaja $stanje_uredjaja)
    {
        $stanje = Stanje_uredjaja::find($stanje_uredjaja->id);
        return view('stanje.show', ['stanje' => $stanje]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\stanje_uredjaja  $stanje_uredjaja
     * @return \Illuminate\Http\Response
     */
    public function edit(Stanje_uredjaja $stanje_uredjaja)
    {
        $stanje = Stanje_uredjaja::find($stanje_uredjaja->id);

        return view('stanje.edit', ['stanje' => $stanje]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\stanje_uredjaja  $stanje_uredjaja
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Stanje_uredjaja $stanje_uredjaja)
    {
        $request->validate([
            'stanje' => 'required'
        ]);
        $stanjeUpdate = Stanje_uredjaja::where('id', $stanje_uredjaja->id)->update([
            'stanje'=>trim($request->input('stanje'))
        ]);

        if ($stanjeUpdate){
            return redirect()->route('stanje_uredjaja.show', ['stanje' => $stanje_uredjaja->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\stanje_uredjaja  $stanje_uredjaja
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request)
    {
        $findStanje = Stanje_uredjaja::find($request->input('id_stanje'));

        try{
            $findStanje->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Data cannot be deleted"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
