<?php

namespace App\Http\Controllers;

use App\Statusi_uredjaja;
use Illuminate\Http\Request;

class StatusiUredjajaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $statusi = Statusi_uredjaja::all();
        return view('statusi_uredjaja.index', ['statusi' => $statusi]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('statusi_uredjaja.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'status' => 'required'
        ]);
        $status = Statusi_uredjaja::create([
            'status' => trim($request->input('status'))
        ]);

        $statusi = Statusi_uredjaja::all();
        if ($statusi){
            return view('statusi_uredjaja.index', ['statusi' => $statusi]);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\statusi_uredjaja  $statusi_uredjaja
     * @return \Illuminate\Http\Response
     */
    public function show(statusi_uredjaja $statusi_uredjaja)
    {
        $status = Statusi_uredjaja::find($statusi_uredjaja->id);
        return view('statusi_uredjaja.show', ['status' => $status]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\statusi_uredjaja  $statusi_uredjaja
     * @return \Illuminate\Http\Response
     */
    public function edit(statusi_uredjaja $statusi_uredjaja)
    {
        $status = Statusi_uredjaja::find($statusi_uredjaja->id);

        return view('statusi_uredjaja.edit', ['status' => $status]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\statusi_uredjaja  $statusi_uredjaja
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, statusi_uredjaja $statusi_uredjaja)
    {
        $request->validate([
            'status' => 'required'
        ]);
        $statusUpdate = Statusi_uredjaja::where('id', $statusi_uredjaja->id)->update([
            'status'=>trim($request->input('status'))
        ]);

        if ($statusUpdate){
            return redirect()->route('statusi_uredjaja.show', ['statusi' => $statusi_uredjaja->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\statusi_uredjaja  $statusi_uredjaja
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request)
    {
        $findStatus = Statusi_uredjaja::find($request->input('id_status'));

        try{
            $findStatus->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Item can't be deleted because it's in use"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
