<?php

namespace App\Http\Controllers;

use App\Models\Tool_providers;
use Illuminate\Http\Request;

class ToolProvidersController extends Controller
{
    public function index()
    {
        $providers = Tool_providers::all();
        return view('toolProviders.index', ['providers' => $providers]);
    }

    public function create()
    {
        return view('toolProviders.create');
    }

    public function store(Request $request)
    {
        $request->validate(['provider' => 'required']);
        $create = Tool_providers::create([
            'provider' => trim($request->input('provider'))
        ]);
        if ($create){
            return redirect()->route('tool_provider.show', ['tool_provider' => $create->id])->with('success', __("Item successfully added"));
        }
    }

    public function show(Tool_providers $tool_provider)
    {
        return view('toolProviders.show', ['provider' => $tool_provider]);
    }

    public function edit(Tool_providers $tool_provider)
    {
        return view('toolProviders.edit', ['provider' => $tool_provider]);
    }

    public function update(Request $request, Tool_providers $tool_provider)
    {
        $request->validate(['provider' => 'required']);
        $update = Tool_providers::where('id', $tool_provider->id)->update([
            'provider' => trim($request->input('provider'))
        ]);
        if ($update){
            return redirect()->route('tool_provider.show', ['tool_provider' => $tool_provider->id])->with('success', __("Item successfully added"));
        }
    }

    public function destroy(Request $request)
    {
        $find = Tool_providers::find($request->input('id_provider'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Item successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('error', __("Item can't be deleted because it's in use"));
        }

        return back()->withInput()->with('error', __("Error"));
    }
}
