<?php

namespace App\Http\Controllers;

use App\Models\Vehicle_equipment;
use Illuminate\Http\Request;

class VehicleEquipmentController extends Controller
{
    public function index()
    {
        $equipment = Vehicle_equipment::all();
        return view('vehicleEquipment.index', ['equipment' => $equipment]);
    }

    public function create()
    {
        return view('vehicleEquipment.create');
    }

    public function store(Request $request)
    {
        $request->validate(['equipment' => 'required']);
        Vehicle_equipment::create([
            'equipment' => trim($request->input('equipment'))
        ]);
        return redirect()->route('vehicleEquipment.index')->with('success', __('Data successfully added'));
    }

    public function show(Vehicle_equipment $vehicleEquipment)
    {
        return view('vehicleEquipment.show', ['equipment' => $vehicleEquipment]);
    }

    public function edit(Vehicle_equipment $vehicleEquipment)
    {
        $equipment = Vehicle_equipment::find($vehicleEquipment->id);
        return view('vehicleEquipment.edit', ['equipment' => $equipment]);
    }

    public function update(Request $request, Vehicle_equipment $vehicleEquipment)
    {
        $request->validate(['equipment' => 'required']);
        Vehicle_equipment::where('id', $vehicleEquipment->id)->update([
            'equipment' => trim($request->input('equipment'))
        ]);
        return redirect()->route('vehicleEquipment.show', $vehicleEquipment->id)->with('success', __('Data successfully added'));
    }

    public function destroy(Request $request)
    {
        $row = Vehicle_equipment::find($request->input('id_equipment'));
        try{
            $row->delete();
            return back()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->with('error', __("Data cannot be deleted"));
        }
    }
}
