<?php

namespace App\Http\Controllers;

use App\Vrste_paketa;
use Illuminate\Http\Request;

class VrstePaketaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $vrstePaketa = Vrste_paketa::all();
        return view('vrstePaketa.index', ['vrstePaketa' => $vrstePaketa]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('vrstePaketa.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'vrsta_paketa' => 'required'
        ]);
        $vrsta = Vrste_paketa::create([
            'vrsta' => trim($request->input('vrsta_paketa'))
        ]);

        $vrstePaketa = Vrste_paketa::all();
        if ($vrsta){
            return view('vrstePaketa.index', ['vrstePaketa' => $vrstePaketa]);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Vrste_paketa  $vrste_paketa
     * @return \Illuminate\Http\Response
     */
    public function show(Vrste_paketa $vrste_paketa)
    {
        $vrstaPaketa = Vrste_paketa::find($vrste_paketa->id);
        return view('vrstePaketa.show', ['vrstaPaketa' => $vrstaPaketa]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Vrste_paketa  $vrste_paketa
     * @return \Illuminate\Http\Response
     */
    public function edit(Vrste_paketa $vrste_paketa)
    {
        $vrstaPaketa = Vrste_paketa::find($vrste_paketa->id);

        return view('vrstePaketa.edit', ['vrstaPaketa' => $vrstaPaketa]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Vrste_paketa  $vrste_paketa
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Vrste_paketa $vrste_paketa)
    {
        $request->validate([
            'vrsta_paketa' => 'required'
        ]);
        $vrstaUpdate = Vrste_paketa::where('id', $vrste_paketa->id)->update([
            'vrsta'=>trim($request->input('vrsta_paketa'))
        ]);

        if ($vrstaUpdate){
            return redirect()->route('vrste_paketa.show', ['vrstaPaketa' => $vrste_paketa->id])->with('success', __("Item successfully changed"));
        }
        return back()->withInput();
    }

    /**
     * @param Request $request
     * @return $this
     */
    public function destroy(Request $request)
    {
        $findVrsta = Vrste_paketa::find($request->input('id_vrsta'));

        try{
            $findVrsta->delete();
            return back()->withInput()->with('success', __("Item successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Item can't be deleted because it's in use"));
        }


        return back()->withInput()->with('errors', __("Error"));
    }
}
