<?php

namespace App\Http\Controllers;

use App\Klijent;
use App\Klijenti_bakar;
use App\Klijenti_optika;
use App\Klijenti_prodaja;
use App\Klijenti_supernova;
use App\Napomene;
use App\Traits\Util;
use Illuminate\Http\Request;
use App\Paketi;
use App\Vrste_paketa;
use App\Nov_servis;
use Illuminate\Support\Arr;

class ZahteviController extends Controller
{
    public function index(){
        $zahtevModel = new Klijenti_prodaja();
        $zahtevi = $zahtevModel->zahtevi();
        session(['zahtevi' => false]);
        return view ('zahtevi.index', [
            'zahtevi' => $zahtevi
        ]);
    }

    public function vrati(Request $request){
        $id = $request->input('id_vrati');
        Klijenti_prodaja::where('id', $id)->update([
            'ekspedovano' => 0,
            'na_cekanju' => 0,
            'vraceno' => 1
        ]);

        return redirect()->route('zahtevi')->with('success', __("Request returned"));
    }

    public function prihvati(Request $request){
        $zahtevModel = new Klijenti_prodaja();
        $id = $request->input('id_prihvati');
        $z = $zahtevModel->zahtev($id);
        $points = $request->input('points');
        if($z->datum_zahteva)
            $datumZahteva = $z->datum_zahteva;
        else
            $datumZahteva = date('Y-m-d', strtotime($z->created_at));
        if (!$points) {
            return back()->with('error', __("You must enter a number of points to continue importing"));
        }
        if ($request->input('tip_klijenta') == 0){
            $klijent = Klijent::create([
                'br_ugovora' => $z->br_ugovora,
                'ime' => $z->ime,
                'prezime' => $z->prezime,
                'jmbg' => $z->jmbg,
                'tel1' => $z->tel1,
                'tel2' => $z->tel2,
                'tel3' => $z->tel3,
                'prodavac' => $z->prodavac_ime.' '.$z->prodavac_prezime,
                'adresa_prebivalista' => $z->adresa_prebivalista,
                'paket' => $z->paket,
                'mrezna_grupa' => $z->mrezna_grupa,
                'adresa_instalacije' => $z->adresa_instalacije,
                'datum_izdavanja_lk' => $z->datum_izdavanja_lk,
                'mesto_izdavanja_lk' => $z->mesto_izdavanja_lk,
                'vrsta_paketa' => $z->vrsta_paketa,
                'nov_servis' => $z->nov_servis,
                'dodatni_stb' => $z->dodatni_stb,
                'izvodjac_prodavac' => $z->izvodjac_prodavac,
                'tis_id' => $z->tis_id,
                'broj_lk' => $z->broj_lk,
                'id_klijent_prodaja' => $id,
                'broj_bodova' => $z->broj_bodova,
                'datum_zahteva' => $datumZahteva
            ]);

            Napomene::where('id_klijent_prodaja', $id)->update([
                'id_klijent' => $klijent->id
            ]);
        }
        elseif ($request->input('tip_klijenta') == 1){
            $klijentOptika = Klijenti_optika::create([
                'br_ugovora' => $z->br_ugovora,
                'ime' => $z->ime,
                'prezime' => $z->prezime,
                'tel1' => $z->tel1,
                'tel2' => $z->tel2,
                'tel3' => $z->tel3,
                'prodavac' => $z->prodavac_ime.' '.$z->prodavac_prezime,
                'adresa_prebivalista' => $z->adresa_prebivalista,
                'zahtev' => $z->paket,
                'adresa' => $z->adresa_instalacije,
                'datum_izdavanja_lk' => $z->datum_izdavanja_lk,
                'tis_id' => $z->tis_id,
                'broj_lk' => $z->broj_lk,
                'id_klijent_prodaja' => $id,
                'broj_bodova' => $z->broj_bodova,
                'datum_zahteva' => $datumZahteva
            ]);

            Napomene::where('id_klijent_prodaja', $id)->update([
                'id_opticki_klijent' => $klijentOptika->id
            ]);
        }
        elseif ($request->input('tip_klijenta') == 2) {
            $klijentSupernova = Klijenti_supernova::create([
                'broj_ugovora' => $z->br_ugovora,
                'klijent_ime' => $z->ime,
                'klijent_prezime' => $z->prezime,
                'tel1' => $z->tel1,
                'tel2' => $z->tel2,
                'agent_ime' => $z->prodavac_ime,
                'agent_prezime' => $z->prodavac_prezime,
                'zahtev' => $z->paket,
                'ulica' => $z->adresa_instalacije,
                'id_klijent_prodaja' => $id,
                'br_bodova' => $z->broj_bodova,
                'paket' => $z->paket,
                'datum_zahteva' => $datumZahteva
            ]);

            Napomene::where('id_klijent_prodaja', $id)->update([
                'id_supernova_klijent' => $klijentSupernova->id
            ]);
        }
        elseif ($request->input('tip_klijenta') == 3) {
            $klijentSupernova = Klijenti_bakar::create([
                'broj_ugovora' => $z->br_ugovora,
                'ime' => $z->ime,
                'prezime' => $z->prezime,
                'tel1' => $z->tel1,
                'tel2' => $z->tel2,
                'tel3' => $z->tel3,
                'prodavac' => $z->prodavac_ime.' '.$z->prodavac_prezime,
                'zahtev' => $z->paket,
                'adresa' => $z->adresa_instalacije,
                'tis_id' => $z->tis_id,
                'id_klijent_prodaja' => $id,
                'br_bodova' => $z->broj_bodova,
                'datum_zahteva' => $datumZahteva
            ]);

            Napomene::where('id_klijent_prodaja', $id)->update([
                'id_bakar_klijent' => $klijentSupernova->id
            ]);
        }

        Klijenti_prodaja::where('id', $id)->update([
            'na_cekanju' => 0,
            'prihvaceno' => 1
        ]);

        return redirect()->route('zahtevi')->with('success', __("Request approved"));
    }

    public function edit(Request $request)
    {
        $klijent = Klijenti_prodaja::find($request->input('id'));
        $paketi = Paketi::all();
        $vrste_paketa = Vrste_paketa::all();
        $nov_servisi = Nov_servis::all();
        $napModel = new Napomene();
        $napomene = $napModel->napomeneProdaja($request->input('id'));
        $kpModel = new Klijenti_prodaja();
        $prodavac = $kpModel->prodavac($request->input('id'));

        return view('zahtevi.edit', [
            'klijent' => $klijent,
            'vrste_paketa' => $vrste_paketa,
            'paketi' => $paketi,
            'nov_servisi' => $nov_servisi,
            'id_user' => Util::userId(),
            'isProdavac' => Util::isProdavac(),
            'napomene' => $napomene,
            'prodavac' => $prodavac->ime.' '.$prodavac->prezime,
            'isSuperAdmin' => Util::isSuperAdmin()
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Klijenti_prodaja  $klijentiProdaja
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $request->validate([
            'ime' => 'required',
            'prezime' => 'required',
            'jmbg' => 'required|digits:13',
            'tel2' => 'required',
            'datum_izdavanja_lk' => 'required',
            'mesto_izdavanja_lk' => 'required',
            'adresa_prebivalista' => 'required',
            'adresa_instalacije' => 'required'
        ]);

        $datumIzdavanjaLk = null;
        if ($request->input('datum_izdavanja_lk'))
            $datumIzdavanjaLk = date('Y-m-d', strtotime($request->input('datum_izdavanja_lk')));


        $brojBodova = str_replace(',', '.', $request->input('broj_bodova'));
        if (Util::isAdmin()){
            $klijentUpdate = Klijenti_prodaja::where('id', $request->input('id'))->update([
                'br_ugovora' => $request->input('br_ugovora'),
                'ime' => $request->input('ime'),
                'prezime' => $request->input('prezime'),
                'jmbg' => $request->input('jmbg'),
                'mrezna_grupa' => $request->input('mrezna_grupa'),
                'tel1' => $request->input('tel1'),
                'tel2' => $request->input('tel2'),
                'tel3' => $request->input('tel3'),
                'tis_id' => $request->input('tis_id'),
                'broj_lk' => $request->input('broj_lk'),
                'datum_izdavanja_lk' => $datumIzdavanjaLk,
                'mesto_izdavanja_lk' => $request->input('mesto_izdavanja_lk'),
                'adresa_prebivalista' => $request->input('adresa_prebivalista'),
                'adresa_instalacije' => $request->input('adresa_instalacije'),
                'id_paket' => $request->input('paket'),
                'id_vrsta_paketa' => $request->input('vrsta_paketa'),
                'id_nov_servis' => $request->input('nov_servis'),
                'dodatni_stb' => $request->input('dodatni_stb'),
                'broj_bodova' => $brojBodova,
                'izvodjac_prodavac' => $request->input('izvodjac_prodavac'),
                'created_by' => Util::userId(),
                'updated_by' => Util::userId()
            ]);
        }
        else {
            $klijentUpdate = Klijenti_prodaja::where('id', $request->input('id'))->update([
                'ime' => $request->input('ime'),
                'prezime' => $request->input('prezime'),
                'jmbg' => $request->input('jmbg'),
                'mrezna_grupa' => $request->input('mrezna_grupa'),
                'tel1' => $request->input('tel1'),
                'tel2' => $request->input('tel2'),
                'tel3' => $request->input('tel3'),
                'broj_lk' => $request->input('broj_lk'),
                'datum_izdavanja_lk' => $datumIzdavanjaLk,
                'mesto_izdavanja_lk' => $request->input('mesto_izdavanja_lk'),
                'adresa_prebivalista' => $request->input('adresa_prebivalista'),
                'adresa_instalacije' => $request->input('adresa_instalacije'),
                'id_paket' => $request->input('paket'),
                'id_vrsta_paketa' => $request->input('vrsta_paketa'),
                'id_nov_servis' => $request->input('nov_servis'),
                'dodatni_stb' => $request->input('dodatni_stb'),
                'izvodjac_prodavac' => $request->input('izvodjac_prodavac'),
                'created_by' => Util::userId(),
                'updated_by' => Util::userId()
            ]);
        }

        if ($request->input('napomena')) {
            Napomene::create([
                'napomena' => $request->input('napomena'),
                'id_user' => Util::userId(),
                'id_klijent_prodaja' => $request->input('id')
            ]);
        }

        if ($klijentUpdate){
            return redirect()->route('zahtevi.show', ['id'=>$request->input('id')])->with('success', __("Request data successfully updated"));
        }

        return back()->withInput();
    }

    public function show(Request $request){
        $klijentModel = new Klijenti_prodaja();
        $klijent = $klijentModel->klijentPodaci($request->input('id'));
        $napModel = new Napomene();
        $napomene = $napModel->napomeneProdaja($request->input('id'));
        return view('zahtevi.show', [
            'klijent' => $klijent,
            'napomene' => $napomene
        ]);
    }

    public function naCekanju(Request $request){
        $id = $request->input('id_cekanje');
        Klijenti_prodaja::where('id', $id)->update([
            'na_cekanju' => 1
        ]);

        return redirect()->route('zahtevi')->with('success', __("Request is put on hold"));
    }

    public function cekanjeIndex(){
        $zahtevModel = new Klijenti_prodaja();
        $zahtevi = $zahtevModel->zahtevi_na_cekanju();
        return view ('zahtevi.cekanje_index', [
            'zahtevi' => $zahtevi
        ]);
    }

    public function zahteviSearch(){
        session(['saleIds' => null]);
        return view ('zahtevi.zahtevi_search');
    }

    public function zahteviSearchResult(Request $request){
        $datumZahteva = $request->input('datum_zahteva');
        $dth = $request->input('dth');
        $optika = $request->input('optika');
        $supernova = $request->input('supernova');
        $bakar = $request->input('bakar');
        $uradu = $request->input('uradu');

        $od = $request->input('start');
        $do = $request->input('end');
        if ($od && $do){
            $start = date('Y-m-d', strtotime($od));
            $end = date('Y-m-d', strtotime($do));
        }
        else {
            $start = null;
            $end = null;
        }

        $zahtevModel = new Klijenti_prodaja();
        $datum = null;
        $tipKlijenta = array();
        if ($datumZahteva)
            $datum = date('Y-m-d', strtotime($datumZahteva));
        if ($dth)
            $tipKlijenta[] = 0;
        if ($optika)
            $tipKlijenta[] = 1;
        if($supernova)
            $tipKlijenta[] = 2;
        if($bakar)
            $tipKlijenta[] = 3;

        $zahtevi = $zahtevModel->zahtevi_pretraga($datum, $tipKlijenta, $start, $end, $uradu, true);
        $ids = $zahtevModel->zahtevi_pretraga($datum, $tipKlijenta, $start, $end, $uradu);
        session(['saleIds' => json_encode(Arr::pluck($zahtevi, 'id'))]);
        return view ('zahtevi.zahtevi_search_result', [
            'zahtevi' => $zahtevi,
            'count' => count($ids)
        ]);
    }

}
