<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class ConstructionWorker
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::check()){
            if($request->user()->is_active != 1)
                Auth::logout();
            $adminsAndWorkers = array_merge(config('app.admins'), config('app.huawei_construction_workers'));
            if (in_array($request->user()->role_id, $adminsAndWorkers) || in_array($request->user()->role_id, config('app.monteri'))) {
                unresolvedTickets();
                personalUnresolvedTickets();
                return $next($request);
            }
            else
                return back()->with('errors', __('Only Admins and construction workers can see this page'));
        }
    }
}
