<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class Prodavac
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::check()){
            if($request->user()->is_active != 1)
                Auth::logout();
            $adminsAndSellers = array_merge(config('app.admins'), config('app.sellers'));
            if (in_array($request->user()->role_id, $adminsAndSellers)){
                received_requests();
                return $next($request);
            }
            else
                return back()->with('errors', __('Only Admins, Sellers and Team leaders can see this page'));
        }
        else{
            return redirect()->route('login');
        }
    }
}
