<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Images extends Model
{
    //
    protected $fillable = [
        'image_url',
        'id_klijent',
        'id_opticki_klijent',
        'id_bakar_klijent',
        'type_id'
    ];

    public function slikeZaKlijenta($klijentId){
        $query = DB::table('images as i')
            ->leftJoin('installation_image_types as iit', 'iit.id', 'i.type_id')
            ->select('i.id','image_url', 'i.created_at', 'type', 'type_id')
            ->where('id_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }

    public function slikeZaOptickogKlijenta($klijentId){
        $query = DB::table('images as i')
            ->leftJoin('installation_image_types as iit', 'iit.id', 'i.type_id')
            ->select('i.id','i.image_url', 'i.created_at', 'type', 'type_id')
            ->where('id_opticki_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }

    public function slikeZaBakarnogKlijenta($klijentId){
        $query = DB::table('images as i')
            ->leftJoin('installation_image_types as iit', 'iit.id', 'i.type_id')
            ->select('i.id','i.image_url', 'i.created_at', 'type', 'type_id')
            ->where('id_bakar_klijent', '=', $klijentId);

        $result = $query->get();

        return $result;
    }

    public function get_image_url($id, $param){
        switch ($param){
            case 'montage' :
                $query = DB::table('images')
                    ->select('image_url as url')
                    ->where('id', '=', $id);
                $result = $query->get();
                return $result[0]->url;
            case 'docs' :
                $query = DB::table('images_documents')
                    ->select('image_url as url')
                    ->where('id', '=', $id);
                $result = $query->get();
                return $result[0]->url;
            case 'construction' :
                $query = DB::table('construction_images')
                    ->select('url')
                    ->where('id', '=', $id);
                $result = $query->get();
                return $result[0]->url;
            case 'huawei' :
                $query = DB::table('hw_images')
                    ->select('url')
                    ->where('id', '=', $id);
                $result = $query->get();
                return $result[0]->url;
            case 'rune' :
                $query = DB::table('rune_images')
                    ->select('image_url')
                    ->where('id', '=', $id);
                $result = $query->get();
                return $result[0]->image_url;
            case 'de_construction' :
                $query = DB::table('de_images')
                    ->select('url')
                    ->where('id', '=', $id);
                $result = $query->get();
                return $result[0]->url;
            case 'fobos_rune' :
                $query = DB::table('fobos_rune_images')
                    ->select('url')
                    ->where('id', '=', $id);
                $result = $query->get();
                return $result[0]->url;
        }
    }

}
