<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Magacin_history extends Model
{
    protected $table = 'magacin_history';

    protected $fillable = [
        'id_user',
        'serijski_broj',
        'device_id'
    ];

    public function get_magacin_history($serijskiBroj=null, $createdAt=null){
        $query = DB::table('magacin_history as mh')
            ->leftJoin('users as u', 'u.id', '=', 'mh.id_user')
            ->leftJoin('uredjaji as d', 'd.id', '=', 'mh.device_id')
            ->select('mh.serijski_broj', 'mh.created_at', 'u.ime', 'u.prezime', 'd.uredjaj as device')
            ->where('d.category_id', '=', 1)
        ;
        if($serijskiBroj)
            $query->where('mh.serijski_broj', '=', $serijskiBroj);
        if($createdAt)
            $query->whereDate('mh.created_at', '=', $createdAt);

        $query->orderBy('mh.created_at', 'DESC');
        $result = $query->paginate(100);
        return $result;
    }

    public function tools_history($serijskiBroj=null, $createdAt=null){
        $query = DB::table('magacin_history as mh')
            ->leftJoin('users as u', 'u.id', '=', 'mh.id_user')
            ->leftJoin('uredjaji as d', 'd.id', '=', 'mh.device_id')
            ->select('mh.serijski_broj', 'mh.created_at', 'u.ime', 'u.prezime', 'd.uredjaj as device')
            ->where('d.category_id', '=', 2)
        ;
        if($serijskiBroj)
            $query->where('mh.serijski_broj', '=', $serijskiBroj);
        if($createdAt)
            $query->whereDate('mh.created_at', '=', $createdAt);

        $query->orderBy('mh.created_at', 'DESC');
        $result = $query->paginate(100);
        return $result;
    }
}
