<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Magz extends Model
{
    protected $table = 'magz';
    protected $fillable = ['naziv', 'type_id'];

    public function magz(){
        $query = DB::table('magz as m')
            ->leftJoin('storage_types as st', 'st.id', '=', 'm.type_id')
            ->select('m.id', 'm.naziv', 'st.type');
        $result = $query->get();
        return $result;
    }

    public function magData($id){
        $query = DB::table('magz as m')
            ->leftJoin('storage_types as st', 'st.id', '=', 'm.type_id')
            ->select('m.id', 'm.naziv', 'st.type')
            ->where('m.id', '=', $id);
        $result = $query->get();
        return $result[0];
    }

    public function magzForUser($userId){
        $query = DB::table('magz as m')
            ->leftJoin('mag_user as mu', 'mu.mag_id', '=', 'm.id')
            ->select('*')
            ->where('mu.user_id', '=', $userId);
        $result = $query->get();
        return $result;
    }

    public function linkForgeryCheck($magId, $userId){
        $query = DB::table('magz as m')
            ->leftJoin('mag_user as mu', 'mu.mag_id', '=', 'm.id')
            ->select('*')
            ->where('mu.mag_id', '=', $magId)
            ->where('mu.user_id', '=', $userId);
        $result = $query->get();
        if($result->isEmpty())
            return true;
        else
            return false;
    }

    public function storekeepersForStorage($storageId){
        $query = DB::table('mag_user as m')
            ->leftJoin('users as u', 'm.user_id', '=', 'u.id')
            ->select('u.ime as user_name', 'u.prezime as user_surname', 'u.id')
            ->where('mag_id', '=', $storageId)
            ->groupBy('user_id');
        $result = $query->get();
        return $result;
    }

    /**
     * this function returns remaining storekeepers
     */
    public function remainingStorekeepers($exclude){
        $stk = User::all()->where('is_active', '=', 1)
            ->whereIn('role_id', [2, 4, 8, 9, 10])
            ->whereNotIn('id', $exclude)
            ->where('id', '<', 1000)
            ->sortBy('ime');
        return $stk;
    }

}
