<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use DB;

class Construction_works extends Model
{
    protected $fillable = ['code', 'work', 'id_category', 'unit_id'];

    public function works($idCategory){
        $query = DB::table('construction_works')
            ->select('*')
            ->where('id_category', '=', $idCategory);
            
        $result = $query->get();
        return $result;
    }

    /**
     * $code string
     * $name string
     * find id by code and name
     */
    public function workId($code, $name){
        $query = DB::table('construction_works')->select('id')->where('code', '=', $code);
        if($name){
            $query->orWhere('work', '=', $name);
        }
        $result = $query->get();
        if($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function const_works(){
        $query = DB::table('construction_works as cw')
            ->leftJoin('work_categories as wc', 'wc.id', '=', 'cw.id_category')
            ->leftJoin('units as u', 'u.id', '=', 'cw.unit_id')
            ->select('cw.code', 'cw.work', 'cw.id_category', 'wc.category', 'cw.id', 'u.unit', 'u.id as unit_id')
            ->orderBy('cw.id_category', 'ASC')
            ->orderBy('cw.work', 'ASC');

        $result = $query->paginate(50);
        return $result;
    }

    public function workData($id){
        $query = DB::table('construction_works as cw')
            ->leftJoin('work_categories as wc', 'wc.id', '=', 'cw.id_category')
            ->leftJoin('units as u', 'u.id', '=', 'cw.unit_id')
            ->select('cw.code', 'cw.work', 'cw.id_category', 'wc.category', 'cw.id', 'u.unit', 'u.id as unit_id')
            ->where('cw.id', '=', $id);

        $result = $query->get();
        return $result[0];
    }
}
