<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class De_mounted_devices extends Model
{
    protected $fillable = ['serial', 'device_id', 'site_id', 'fitter_id'];

    public function mountedDevices($site){
        $query = DB::table('de_mounted_devices as mu')
            ->leftJoin('uredjaji as u', 'u.id', '=', 'mu.device_id')
            ->select('serial', 'uredjaj', 'mu.id', 'device_id', 'mu.created_at')
            ->where('site_id', '=', $site)
            ->orderBy('device_id');
        $result = $query->get();
        return $result;
    }

    public function isMounted($serial){
        $query = DB::table('de_mounted_devices')
            ->selectRaw('count(id) as count')
            ->where('serial', '=', $serial)
        ;

        $result = $query->get();
        if ($result[0]->count != 0)
            return true;
        else
            return false;
    }

    public function siteDevices($start, $end, $leader, $cluster, $pan, $provider){
        $query = DB::table('de_mounted_devices as d')
            ->leftJoin('de_construction_sites as s', 's.id', '=', 'd.site_id')
            ->leftJoin('uredjaji as u', 'u.id', '=', 'd.device_id')
            ->selectRaw("COUNT(d.serial) as quantity, u.uredjaj as device")
            ->where('s.date', '>=', $start)
            ->where('s.date', '<=', $end)
            ->whereIn('s.leader', $leader)
        ;

        if($cluster){
            $query->where('s.cluster', '=', $cluster);
        }
        if($pan){
            $query->where('s.pan_id', '=', $pan);
        }
        if($provider){
            $query->where('s.provider', '=', $provider);
        }

        $query->groupBy("d.device_id");

        $result = $query->get();
        if($result->isEmpty())
            return null;
        else
            return $result;
    }

}
