<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Demand_devices extends Model
{
    protected $fillable = [
        'device_id',
        'quantity',
        'edited_quantity',
        'supplied_quantity',
        'created_by',
        'status',
        'demand_id',
        'supplied'
    ];

    public function demandList($userId=null, $demandId){
        $query = DB::table('demand_devices as dd')
            ->leftJoin('uredjaji as u', 'u.id', '=', 'dd.device_id')
            ->leftJoin('demand_statuses as ds', 'ds.id', '=', 'dd.status')
            ->select('u.uredjaj as device', 'dd.quantity', 'dd.id', 'dd.supplied', 'dd.created_at', 'ds.status', 'dd.supplied_quantity', 'dd.edited_quantity')
            ->where('dd.demand_id', '=', $demandId)
        ;
        if($userId)
            $query->where('dd.created_by', '=', $userId);
        $query->orderBy('dd.id', 'DESC');

        $result = $query->paginate(70);
        return $result;
    }

    public function generalDemandList($demandId){
        $query = DB::table('demand_devices as dd')
            ->leftJoin('uredjaji as u', 'u.id', '=', 'dd.device_id')
            ->leftJoin('users as us', 'us.id', '=', 'dd.created_by')
            ->leftJoin('demand_statuses as ds', 'ds.id', '=', 'dd.status')
            ->select('u.uredjaj as device', 'dd.quantity', 'dd.id', 'dd.supplied', 'dd.created_at', 'us.ime as name', 'us.prezime as surname', 'ds.status', 'dd.supplied_quantity', 'dd.edited_quantity', 'dd.created_by as user_id', 'dd.device_id')
            ->where('dd.demand_id', '=', $demandId)
            ->orderBy('dd.id', 'DESC')
        ;

        $result = $query->paginate(70);
        return $result;
    }

    public function addDevices($id, $quantity){
        DB::table('demand_devices')
            ->where('id', '=', $id)
            ->increment('supplied_quantity', $quantity);
    }
}
