<?php

namespace App\Models;
use Illuminate\Support\Facades\DB;

use Illuminate\Database\Eloquent\Model;

class Demand_equipment extends Model
{
    protected $table = 'demand_equipment';
    protected $fillable = [
        'equipment_id',
        'quantity',
        'edited_quantity',
        'supplied_quantity',
        'created_by',
        'status',
        'demand_id',
        'supplied'
    ];

    public function demandList($userId=null, $demandId){
        $query = DB::table('demand_equipment as de')
            ->leftJoin('oprema as o', 'o.id', '=', 'de.equipment_id')
            ->leftJoin('demand_statuses as ds', 'ds.id', '=', 'de.status')
            ->select('o.naziv as equipment', 'de.quantity', 'de.id', 'de.supplied', 'de.created_at', 'ds.status', 'de.supplied_quantity', 'de.edited_quantity')
            ->where('de.demand_id', '=', $demandId)
        ;
        if($userId)
            $query->where('de.created_by', '=', $userId);

        $query->orderBy('de.id', 'DESC');

        $result = $query->paginate(70);
        return $result;
    }

    public function generalDemandList($demandId){
        $query = DB::table('demand_equipment as de')
            ->leftJoin('oprema as o', 'o.id', '=', 'de.equipment_id')
            ->leftJoin('users as u', 'u.id', '=', 'de.created_by')
            ->leftJoin('demand_statuses as ds', 'ds.id', '=', 'de.status')
            ->select('o.naziv as equipment', 'de.quantity', 'de.id', 'de.supplied', 'de.created_at', 'u.ime as name', 'u.prezime as surname', 'ds.status', 'de.supplied_quantity', 'de.edited_quantity', 'de.created_by as user_id', 'de.equipment_id')
            ->where('de.demand_id', '=', $demandId)
            ->orderBy('de.id', 'DESC')
        ;

        $result = $query->paginate(70);
        return $result;
    }

    public function addEquipment($id, $quantity){
        DB::table('demand_equipment')
            ->where('id', '=', $id)
            ->increment('supplied_quantity', $quantity);
    }

}
