<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Ger_works extends Model
{
    protected $fillable = ['code', 'work', 'unit_id', 'price', 'fixed'];

    /**
     * $code string
     * $name string
     * find id by code and name
     */
    public function workId($code, $name){
        $query = DB::table('ger_works')->select('id')->where('code', '=', $code);
        if($name){
            $query->orWhere('work', '=', $name);
        }
        $result = $query->get();
        if($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function ger_works(){
        $query = DB::table('ger_works as d')
            ->leftJoin('units as u', 'u.id', '=', 'd.unit_id')
            ->select('d.code', 'd.work', 'd.id', 'u.unit', 'u.id as unit_id', 'fixed')
            ->orderBy('d.work', 'ASC');

        $result = $query->paginate(50);
        return $result;
    }

    public function work_data($id){
        $query = DB::table('ger_works as d')
            ->leftJoin('units as u', 'u.id', '=', 'd.unit_id')
            ->select('d.code', 'd.work', 'd.id', 'u.unit', 'u.id as unit_id', 'fixed', 'd.price', 'u.unit_short')
            ->orderBy('d.work', 'ASC')
            ->where('d.id', '=', $id)
        ;

        $result = $query->get();

        return $result[0];
    }


}
