<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Kir_demand_equipment extends Model
{
    protected $table = 'kir_demand_equipment';
    protected $fillable = ['equipment_id', 'quantity', 'demand_id', 'supplied_quantity', 'supplied', 'created_by', 'package'];

    public function equipmentList($id){
        $query = DB::table('kir_demand_equipment as d')
            ->leftJoin('oprema as o', 'o.id', '=', 'd.equipment_id')
            ->leftJoin('mont_equipment_categories as c', 'c.id', '=', 'o.id_category')
            ->select('o.code', 'o.naziv as equipment', 'c.category', 'd.quantity', 'd.id', 'd.supplied', 'd.package', 'd.supplied_quantity')
            ->where('d.demand_id', '=', $id)
        ;

        $result = $query->get();
        return $result;
    }

    public function addEquipment($id, $quantity){
        DB::table('kir_demand_equipment')
            ->where('id', '=', $id)
            ->increment('supplied_quantity', $quantity);
    }
    
}
