<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Storage_materials extends Model
{
    protected $fillable = ['material_id', 'quantity', 'storage_id'];

    public function materials_for_storage($idStorage){
        $query = DB::table('storage_materials as sm')
            ->leftJoin('materials as m', 'm.id', '=', 'sm.material_id')
            ->select('sm.quantity', 'm.material', 'sm.material_id', 'm.min_qnt')
            ->where('storage_id', '=', $idStorage)
            ;
        $result = $query->get();
        return $result;
    }

    public function specific_material($storageId, $materialId){
        $query = DB::table('storage_materials as sm')
            ->leftJoin('materials as m', 'm.id', '=', 'sm.material_id')
            ->select('sm.quantity', 'm.material')
            ->where('sm.storage_id', '=', $storageId)
            ->where('material_id', '=', $materialId)
            ;
        $result = $query->get();
        if ($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function storage_update($storageId, $materialId, $quantity){
        $isEmpty = DB::table('storage_materials')
            ->where('storage_id', '=', $storageId)
            ->where('material_id', '=', $materialId)
            ->get()->isEmpty();
        if($isEmpty){
            Storage_materials::create([
                'storage_id' => $storageId,
                'material_id' => $materialId,
                'quantity' => $quantity
            ]);
        }
        else {
            DB::table('storage_materials')
            ->where('storage_id', '=', $storageId)
            ->where('material_id', '=', $materialId)
            ->increment('quantity', $quantity);
        }
    }

}
