<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Storage_uniforms extends Model
{
    protected $fillable = ['uniform_id', 'quantity', 'storage_id'];

    public function uniforms_for_storage($idStorage){
        $query = DB::table('storage_uniforms as su')
            ->leftJoin('uniforms as u', 'u.id', '=', 'su.uniform_id')
            ->leftJoin('uniform_types as ut', 'ut.id', '=', 'u.type_id')
            ->select('su.quantity', 'u.uniform', 'su.uniform_id', 'ut.type', 'u.color', 'u.size')
            ->where('storage_id', '=', $idStorage)
            ->where('su.quantity', '>', 0)
            ->orderBy('ut.type', 'ASC');
        $result = $query->get();
        return $result;
    }

    public function specific_uniform($storageId, $uniformId){
        $query = DB::table('storage_uniforms as su')
            ->leftJoin('uniforms as u', 'u.id', '=', 'su.uniform_id')
            ->leftJoin('uniform_types as ut', 'ut.id', '=', 'u.type_id')
            ->select('su.quantity', 'u.uniform', 'ut.type')
            ->where('su.storage_id', '=', $storageId)
            ->where('su.uniform_id', '=', $uniformId)
            ->orderBy('ut.type', 'ASC');
        $result = $query->get();
        if ($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function storage_update($storageId, $uniformId, $quantity){
        $isEmpty = DB::table('storage_uniforms')
            ->where('storage_id', '=', $storageId)
            ->where('uniform_id', '=', $uniformId)
            ->get()->isEmpty();
        
        if($isEmpty){
            Storage_uniforms::create([
                'storage_id' => $storageId,
                'uniform_id' => $uniformId,
                'quantity' => $quantity
            ]);
        }
        else {
            DB::table('storage_uniforms')
            ->where('storage_id', '=', $storageId)
            ->where('uniform_id', '=', $uniformId)
            ->increment('quantity', $quantity);
        }
            
    }
}
