<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Tools extends Model
{
    protected $fillable = ['tool', 'type_id', 'provider_id', 'invoice_number', 'origin_id', 'serial_number', 'price'];

    public function index(){
        $query = DB::table('tools as t')
        ->leftJoin('tool_types as tt', 'tt.id', '=', 't.type_id')
        ->leftJoin('tool_providers as p', 'p.id', '=', 't.provider_id')
        ->leftJoin('tool_origins as o', 'o.id', '=', 't.origin_id')
        ->select('t.id', 't.tool', 'tt.type', 'p.provider', 't.invoice_number', 'o.origin', 't.price', 't.serial_number');

        return $query->get();
    }

    public function toolData($id){
        $query = DB::table('tools as t')
        ->leftJoin('tool_types as tt', 'tt.id', '=', 't.type_id')
        ->leftJoin('tool_providers as p', 'p.id', '=', 't.provider_id')
        ->leftJoin('tool_origins as o', 'o.id', '=', 't.origin_id')
        ->select('t.id', 't.tool', 'tt.type', 'p.provider', 't.invoice_number', 't.provider_id', 'o.origin', 't.price', 't.serial_number')
        ->where('t.id', '=', $id);

        return $query->get()[0];
    }

    public function toolsByType($typeId){
        $query = DB::table('tools as t')
            ->leftJoin('tool_providers as p', 'p.id', '=', 't.provider_id')
            ->leftJoin('tool_origins as o', 'o.id', '=', 't.origin_id')
            ->select('t.id', 't.tool', 'p.provider', 't.invoice_number', 'o.origin', 't.price', 't.serial_number')
            ->where('type_id', '=', $typeId);
            
        $result = $query->get();
        return $result;
    }
}
