<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Uniforms extends Model
{
    protected $fillable = ['uniform', 'type_id', 'size', 'color'];

    public function index(){
        $query = DB::table('uniforms as u')
            ->leftJoin('uniform_types as ut', 'ut.id', '=', 'u.type_id')
            ->select('u.id', 'u.uniform', 'ut.type', 'size', 'color');

        return $query->get();
    }

    public function uniformData($id){
        $query = DB::table('uniforms as u')
            ->leftJoin('uniform_types as ut', 'ut.id', '=', 'u.type_id')
            ->select('u.id', 'u.uniform', 'ut.type', 'u.size', 'u.color')
            ->where('u.id', '=', $id);

        return $query->get()[0];
    }

    public function uniformsByType($typeId){
        $query = DB::table('uniforms')
            ->select('*')
            ->where('type_id', '=', $typeId);

        $result = $query->get();
        return $result;
    }
}
