<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class User_cluster extends Model
{
    protected $table = 'user_cluster';
    protected $fillable = ['user_id', 'cluster_id'];

    public function clustersForUser($userId){
        $query = DB::table('user_cluster as uc')
        ->leftJoin('clusters as c', 'c.id', '=', 'uc.cluster_id')
        ->select('uc.id', 'c.cluster')
        ->where('uc.user_id', '=', $userId);

        return $query->get();
    }

    public function usersByCluster($clusterId){
        $query = DB::table('user_cluster as uc')
        ->leftJoin('users as u', 'u.id', '=', 'uc.user_id')
        ->select('u.id', 'u.ime as name', 'u.prezime as surname')
        ->where('uc.cluster_id', '=', $clusterId);

        return $query->get();
    }

    public function defaultUser($clusterId){
        $query = DB::table('user_cluster as uc')
        ->leftJoin('users as u', 'u.id', '=', 'uc.user_id')
        ->select('uc.user_id')
        ->where('uc.cluster_id', '=', $clusterId)
        ->where('u.role_id', '=', 10);

        $result = $query->get()->first();

        if($result)
            return $result->user_id;
        else
            return null;
    }
}
