<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Vehicle_equipment_logs extends Model
{
    protected $fillable = ['equipment_id', 'storekeeper', 'worker', 'storage_id', 'quantity'];

    public function logs($storageId){
        $query = DB::table('vehicle_equipment_logs as l')
            ->leftJoin('users as su', 'su.id', '=', 'l.storekeeper')
            ->leftJoin('vehicle_equipment as ve', 've.id', '=', 'l.equipment_id')
            ->leftJoin('users as wu', 'wu.id', '=', 'l.worker')
            ->select('l.quantity', 'su.ime as storekeeper_name', 'su.prezime as storekeeper_surname', 've.equipment', 'wu.ime as worker_name',
                'wu.prezime as worker_surname', 'l.created_at')
            ->where('l.storage_id', '=', $storageId)
            ->orderBy('l.created_at', 'DESC');
        $result = $query->paginate(50);
        return $result;
    }
}
