<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Wf_project_task extends Model
{
    protected $table = 'wf_project_task';
    protected $fillable = [
        'project_id',
        'task_id',
        'user_id',
        'status_id',
        'done'
    ];

    public function tasks($projectId,$user=null){
        $query = DB::table('wf_project_task as wpt')
            ->leftJoin('wf_tasks as t', 't.id', '=', 'wpt.task_id')
            ->leftJoin('users as u', 'u.id', '=', 'wpt.user_id')
            ->leftJoin('wf_statuses as s', 'wpt.status_id', '=', 's.id')
            ->select('t.task', 'u.ime', 'u.prezime', 'wpt.task_id', 'wpt.project_id', 'wpt.done', 'wpt.id', 'wpt.start_date', 'wpt.end_date', 's.status')
            ->where("project_id", '=', $projectId)
            ->orderByRaw("FIELD(wpt.task_id, 3, 5, 6, 1, 2, 7)")
            ;
        if($user){
            $query->where('user_id', $user);
        }

        $result = $query->get();
        return $result;
    }

    public function dashboardTasks($userId){
        $query = DB::table('wf_project_task as wpt')
            ->leftJoin('wf_tasks as t', 't.id', '=', 'wpt.task_id')
            ->leftJoin('users as u', 'u.id', '=', 'wpt.user_id')
            ->leftJoin('wf_statuses as s', 'wpt.status_id', '=', 's.id')
            ->select('t.task', 'u.ime', 'u.prezime', 'wpt.task_id', 'wpt.project_id', 'wpt.done', 'wpt.id', 'wpt.start_date', 'wpt.end_date', 's.status')
            ->where("user_id", '=', $userId)
            ->whereDate('start_date', '<=', date('Y-m-d'))
            ->where('wpt.done', '=', 0)
            ;

        $result = $query->get();
        return $result;
    }

    public function doneUndone($projectId, $done){
        $query = DB::table('wf_project_task as wpt')
            ->select('id')
            ->where("project_id", '=', $projectId)
            ->where("done", '=', $done)
        ;

        $result = $query->get();
        return $result;
    }

    public function specificTask($projectId,$taskId){
        $query = DB::table('wf_project_task as wpt')
            ->select('id')
            ->where("project_id", '=', $projectId)
            ->where("task_id", '=', $taskId)
            ;

        $result = $query->get()->first();
        if($result)
            return $result->id;
        else 
            return null;
    }

}
