<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Worker_materials extends Model
{
    protected $fillable = ['user_id', 'material_id', 'storage_id', 'quantity'];

    public function materials_for_user($userId){
        $query = DB::table('worker_materials as wm')
            ->leftJoin('materials as m', 'm.id', '=', 'wm.material_id')
            ->select('wm.quantity', 'm.material', 'wm.material_id', 'm.id', 'm.code', 'm.price')
            ->where('user_id', '=', $userId)
            ->where('wm.quantity', '>', 0)
            ;
        $result = $query->get();
        return $result;
    }

    public function specific_material($userId, $materialId){
        $query = DB::table('worker_materials as wm')
            ->leftJoin('materials as m', 'm.id', '=', 'wm.material_id')
            ->select('wm.quantity', 'm.material')
            ->where('user_id', '=', $userId)
            ->where('material_id', '=', $materialId)
            ;
        $result = $query->get();
        if ($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function material_update($userId, $materialId, $quantity){
        DB::table('worker_materials')
            ->where('user_id', '=', $userId)
            ->where('material_id', '=', $materialId)
            ->increment('quantity', $quantity);
    }
}
