<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Worker_uniforms extends Model
{
    protected $fillable = ['user_id', 'uniform_id', 'storage_id', 'quantity'];

    public function uniforms_for_user($userId){
        $query = DB::table('worker_uniforms as wu')
            ->leftJoin('uniforms as u', 'u.id', '=', 'wu.uniform_id')
            ->leftJoin('uniform_types as ut', 'ut.id', '=', 'u.type_id')
            ->select('wu.quantity', 'u.uniform', 'wu.uniform_id', 'ut.type', 'u.color', 'u.size')
            ->where('user_id', '=', $userId)
            ->where('wu.quantity', '>', 0)
            ->orderBy('ut.type', 'ASC');
        $result = $query->get();
        return $result;
    }

    public function specific_uniform($userId, $uniformId){
        $query = DB::table('worker_uniforms as wu')
            ->leftJoin('uniforms as u', 'u.id', '=', 'wu.uniform_id')
            ->leftJoin('uniform_types as ut', 'ut.id', '=', 'u.type_id')
            ->select('wu.quantity', 'u.uniform', 'ut.type')
            ->where('user_id', '=', $userId)
            ->where('uniform_id', '=', $uniformId)
            ->orderBy('ut.type', 'ASC');
        $result = $query->get();
        if ($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function uniform_update($userId, $uniformId, $quantity){
        DB::table('worker_uniforms')
            ->where('user_id', '=', $userId)
            ->where('uniform_id', '=', $uniformId)
            ->increment('quantity', $quantity);
    }
}
