<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Worker_vehicle_equipment extends Model
{
    protected $table = 'worker_vehicle_equipment';
    protected $fillable = ['user_id', 'equipment_id', 'storage_id', 'quantity'];

    public function equipment_for_user($userId){
        $query = DB::table('worker_vehicle_equipment as wve')
            ->leftJoin('vehicle_equipment as e', 'e.id', '=', 'wve.equipment_id')
            ->select('wve.quantity', 'e.equipment', 'wve.equipment_id')
            ->where('user_id', '=', $userId)
            ->where('wve.quantity', '>', 0)
            ->orderBy('e.equipment', 'ASC');
        $result = $query->get();
        return $result;
    }

    public function specific_equipment($userId, $equipmentId){
        $query = DB::table('worker_vehicle_equipment as wve')
            ->leftJoin('vehicle_equipment as e', 'e.id', '=', 'wve.equipment_id')
            ->select('wve.quantity', 'e.equipment', 'wve.equipment_id')
            ->where('user_id', '=', $userId)
            ->where('equipment_id', '=', $equipmentId)
            ->orderBy('e.equipment', 'ASC');
        $result = $query->get();
        if ($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function equipment_update($userId, $equipmentId, $quantity){
        DB::table('worker_vehicle_equipment')
            ->where('user_id', '=', $userId)
            ->where('equipment_id', '=', $equipmentId)
            ->increment('quantity', $quantity);
    }
}
