<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Povratna_roba extends Model
{
    protected $table = 'povratna_roba';
    protected $fillable = [
        'serijski_broj',
        'id_povratnica',
        'id_uredjaj',
        'id_status_uredjaja',
        'id_stanje_uredjaja',
        'zamena',
        'jmbg',
        'tis_id'
    ];

    public function povRoba($idPov){
        $query = DB::table('povratna_roba as p')
            ->leftJoin('uredjaji as u', 'p.id_uredjaj', '=', 'u.id')
            ->leftJoin('statusi_uredjaja as su', 'su.id', '=', 'p.id_status_uredjaja')
            ->leftJoin('stanje_uredjaja as stu', 'stu.id', '=', 'p.id_stanje_uredjaja')
            ->select('p.serijski_broj', 'u.uredjaj', 'p.id', 'p.id_uredjaj', 'su.status', 'stu.stanje', 'zamena', 'p.id_status_uredjaja', 
                        'p.id_stanje_uredjaja', 'p.jmbg', 'p.tis_id')
            ->orderBy('p.id', 'DESC')
            ->where('id_povratnica', '=', $idPov);
        ;

        $result = $query->get();
        return $result;
    }

    public function checkSerial($serial){
        $query = DB::table('povratna_roba as p')
            ->select('id')
            ->where('serijski_broj', '=', $serial)
        ;

        $result = $query->get();
        if (isset($result[0]))
            return true;
        else
            return false;
        ;
    }

    public function returnDevices($returnIds, $paginate=false){
        $query = DB::table('povratna_roba as p')
            ->leftJoin('uredjaji as u', 'p.id_uredjaj', '=', 'u.id')
            ->leftJoin('statusi_uredjaja as su', 'su.id', '=', 'p.id_status_uredjaja')
            ->leftJoin('stanje_uredjaja as stu', 'stu.id', '=', 'p.id_stanje_uredjaja')
            ->select('p.serijski_broj', 'u.uredjaj', 'p.id', 'p.id_uredjaj', 'su.status', 'stu.stanje', 'zamena')
            ->orderBy('u.id', 'ASC')
            ->whereIn('id_povratnica', $returnIds);
        ;

        if($paginate)
            $result = $query->paginate(50);
        else
            $result = $query->get();
        return $result;
    }
}
