<?php

namespace App;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;

class Revers_roba extends Model
{
    protected $table = 'revers_roba';
    protected $fillable = [
        'serijski_broj',
        'id_uredjaj',
        'id_revers',
        'mounted',
        'storage_id'
    ];


    public function revRoba($idRev){
        $query = DB::table('revers_roba as r')
            ->leftJoin('uredjaji as u', 'r.id_uredjaj', '=', 'u.id')
            ->select('r.serijski_broj', 'u.uredjaj', 'r.id', 'r.id_uredjaj', 'r.mounted', 'r.obsolete')
            ->orderBy('r.id', 'DESC')
            ->where('r.id_revers', '=', $idRev);
        ;

        $result = $query->get();
        return $result;
    }

    public function reversSerials($brReversa=null){
        $query = DB::table('revers_roba as r')
            ->select('r.serijski_broj', 'id_revers as broj_reversa');
        if ($brReversa)
            $query->where('id_revers', '=', $brReversa);

        $result = $query->get();
        return $result;
    }

    public function deviceInventory($fitterId){
        $query = DB::table('revers_roba as rr')
            ->leftJoin('revers as r', 'r.id', '=', 'rr.id_revers')
            ->leftJoin('uredjaji as u', 'rr.id_uredjaj', '=', 'u.id')
            ->selectRaw('COUNT(rr.id) as quantity, u.uredjaj as device')
            ->groupBy('rr.id_uredjaj')
            ->where('r.id_monter', '=', $fitterId)
            ->where('rr.mounted', '!=', 1)
            ->where('rr.obsolete', '!=', 1)
        ;

        $result = $query->get();
        return $result;
    }

    public function specificDeviceInventory($fitterId, $device){
        $query = DB::table('revers_roba as rr')
            ->leftJoin('revers as r', 'r.id', '=', 'rr.id_revers')
            ->leftJoin('uredjaji as u', 'rr.id_uredjaj', '=', 'u.id')
            ->selectRaw('COUNT(rr.id) as quantity')
            ->groupBy('rr.id_uredjaj')
            ->where('r.id_monter', '=', $fitterId)
            ->where('rr.mounted', '!=', 1)
            ->where('rr.obsolete', '!=', 1)
            ->where('rr.id_uredjaj', '=', $device)
        ;

        $result = $query->get()->first();
        return $result;
    }

    public function workerDevices($fitterId){
        $query = DB::table('revers_roba as rr')
            ->leftJoin('revers as r', 'r.id', '=', 'rr.id_revers')
            ->leftJoin('uredjaji as u', 'rr.id_uredjaj', '=', 'u.id')
            ->select('serijski_broj as serial', 'u.uredjaj as device', 'rr.created_at')
            ->where('r.id_monter', '=', $fitterId)
            ->where('rr.mounted', '!=', 1)
            ->where('rr.obsolete', '!=', 1)
            ->orderBy('rr.id_uredjaj', 'ASC')
        ;

        $result = $query->get();
        return $result;
    }
}
