<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Teams extends Model
{
    protected $fillable = [
        'naziv',
        'id_lider'
    ];

    public function teams(){
        $query = DB::table('teams as t')
            ->leftJoin('users as u', 'u.id', '=', 't.id_lider')
            ->select('t.id', 't.naziv', 'u.ime', 'u.prezime');
        $result = $query->get();
        return $result;
    }

    public function sellers($idTim){
        $query = DB::table('team_prodavac as tp')
            ->leftJoin('users as u', 'u.id', '=', 'tp.id_prodavac')
            ->select('u.id','u.ime', 'u.prezime', 'tp.id_team', 'tp.id_prodavac')
            ->where('tp.id_team', '=', $idTim)
        ;
        $result = $query->get();
        return $result;
    }

    public function timPodaci($idTim){
        $query = DB::table('teams as t')
            ->leftJoin('users as u', 'u.id', '=', 't.id_lider')
            ->select('t.id', 't.naziv', 'u.ime', 'u.prezime')
            ->where('t.id', '=', $idTim);
        $result = $query->get();
        return $result[0];
    }

    public function sellersLead($idLead){
        $query = DB::table('team_prodavac as tp')
            ->leftJoin('users as u', 'u.id', '=', 'tp.id_prodavac')
            ->leftJoin('teams as t', 't.id', '=', 'tp.id_team')
            ->select('u.id')
            ->where('t.id_lider', '=', $idLead)
        ;
        $result = $query->get()->toArray();
        return $result;
    }

    public function sellersForTl($idLead){
        $query = DB::table('team_prodavac as tp')
            ->leftJoin('users as u', 'u.id', '=', 'tp.id_prodavac')
            ->leftJoin('teams as t', 't.id', '=', 'tp.id_team')
            ->select('u.id','u.ime', 'u.prezime', 'tp.id_team', 'tp.id_prodavac')
            ->where('t.id_lider', '=', $idLead)
        ;
        $result = $query->get();
        return $result;
    }
}
