<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRuneOpticsAddProvider extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->unsignedBigInteger('provider')->after('project_manager')->nullable();
            $table->foreign('provider')->references('id')->on('providers')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->dropForeign('rune_optics_provider_foreign');
            $table->dropColumn('provider');
        });
    }
}
