<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClusterUserTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cluster_user', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('cluster_id');
            $table->unsignedBigInteger('user_id');
            $table->timestamps();

            $table->foreign('cluster_id')->references('id')->on('clusters')->onDelete('restrict')->onUpdate('restrict');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('restrict')->onUpdate('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cluster_user', function (Blueprint $table) {
            $table->dropForeign('cluster_user_cluster_id_foreign');
            $table->dropForeign('cluster_user_user_id_foreign');
        });
        Schema::dropIfExists('cluster_user');
    }
}
