<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRuneOpticsAddCluster extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->dropColumn('cluster');
        });
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->unsignedBigInteger('cluster')->after('provider')->nullable();
            $table->foreign('cluster')->references('id')->on('clusters')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->dropForeign('rune_optics_cluster_foreign');
            $table->dropColumn('cluster');
        });
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->char('cluster')->after('company_id')->nullable();
        });
    }
}
