<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWfTaskFiles extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('wf_task_files', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('file_url');
            $table->char('file_name');
            $table->unsignedBigInteger('project_task_id');
            $table->unsignedBigInteger('task_id');
            $table->unsignedBigInteger('work_id');
            $table->timestamps();

            $table->foreign('project_task_id')->references('project_task_id')->on('wf_task_work')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('work_id')->references('work_id')->on('wf_task_work')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('wf_task_files', function (Blueprint $table) {
            $table->dropForeign('wf_task_files_project_task_id_foreign');
            $table->dropForeign('wf_task_files_work_id_foreign');
        });
        Schema::dropIfExists('wf_task_files');
    }
}
