<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterKirTableChangeClusterType extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('kir', function (Blueprint $table) {
            $table->dropColumn('cluster');
        });
        Schema::table('kir', function (Blueprint $table) {
            $table->unsignedBigInteger('cluster')->after('withdrawal_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('kir', function (Blueprint $table) {
            $table->dropColumn('cluster');
        });
        Schema::table('kir', function (Blueprint $table) {
            $table->char('cluster')->after('withdrawal_date')->nullable();
        });
    }
}
