<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterOpremaAddCodeAndCategory extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('oprema', function (Blueprint $table) {
            $table->char('code')->after('id')->nullable();
            $table->unsignedBigInteger('id_category')->after('naziv')->nullable();
            $table->dropColumn('magacin_stanje');
            $table->foreign('id_category')->references('id')->on('mont_equipment_categories')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('oprema', function (Blueprint $table) {
            $table->dropColumn('code');
            $table->dropForeign('oprema_id_category_foreign');
            $table->integer('magacin_stanje')->after('naziv')->default(0);
            $table->dropColumn('id_category');
        });
    }
}
