<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterWfProjectsAddUser extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('wf_projects', function (Blueprint $table) {
            $table->unsignedBigInteger('user')->after('project_name')->nullable();
            $table->foreign('user')->references('id')->on('users')->onDelete('restrict')->onUpdate('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('wf_projects', function (Blueprint $table) {
            $table->dropForeign('wf_projects_user_foreign');
            $table->dropColumn('user');
        });
    }
}
