<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeFiles extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('de_files', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('file_url');
            $table->char('filename');
            $table->unsignedBigInteger('site_id');
            $table->timestamps();

            $table->foreign('site_id')->references('id')->on('de_construction_sites')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_files', function (Blueprint $table){
            $table->dropForeign('de_files_site_id_foreign');
        });
        Schema::dropIfExists('de_files');
    }
}
