<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterOpremaAddPackage extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('oprema', function (Blueprint $table) {
            $table->unsignedTinyInteger('package')->after('id_tip_opreme')->nullable();
            $table->foreign('package')->references('id')->on('equipment_packages')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('oprema', function (Blueprint $table) {
            $table->dropForeign('oprema_package_foreign');
            $table->dropColumn('package');
        });
    }
}
