<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMaterialRune extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('material_rune', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('material_id');
            $table->unsignedBigInteger('client_id');
            $table->float('quantity');
            $table->unsignedBigInteger('fitter_id');
            $table->timestamps();

            $table->foreign('material_id')->references('id')->on('materials')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('client_id')->references('id')->on('rune_optics')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('material_rune', function (Blueprint $table) {
            $table->dropForeign('material_rune_material_id_foreign');
            $table->dropForeign('material_rune_client_id_foreign');
        });
        Schema::dropIfExists('material_rune');
    }
}
