<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterDeWorksAddSubPrice extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('de_works', function (Blueprint $table) {
            $table->decimal('sub_price')->after('price')->default(0);
            $table->unsignedBigInteger('provider')->after('sub_price')->nullable();

            $table->foreign('provider')->references('id')->on('providers')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_works', function (Blueprint $table) {
            $table->dropForeign('de_works_provider_foreign');
            $table->dropColumn('sub_price');
            $table->dropColumn('provider');
        });
    }
}
