<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeSiteEquipment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('de_site_equipment', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('equipment_id');
            $table->unsignedBigInteger('site_id');
            $table->unsignedBigInteger('worker_id')->nullable();
            $table->double('quantity')->default(0);
            $table->timestamps();

            $table->foreign('equipment_id')->references('id')->on('oprema')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('site_id')->references('id')->on('rune_optics')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('worker_id')->references('id')->on('users')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_site_equipment', function (Blueprint $table) {
            $table->dropForeign('de_site_equipment_equipment_id_foreign');
            $table->dropForeign('de_site_equipment_site_id_foreign');
            $table->dropForeign('de_site_equipment_worker_id_foreign');
        });
        Schema::dropIfExists('de_site_equipment');
    }
}
