<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeSiteMaterialsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('de_site_materials', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('material_id');
            $table->unsignedBigInteger('site_id');
            $table->decimal('quantity');
            $table->unsignedBigInteger('fitter_id');
            $table->timestamps();

            $table->foreign('material_id')->references('id')->on('materials')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('site_id')->references('id')->on('de_construction_sites')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_site_materials', function (Blueprint $table) {
            $table->dropForeign('de_site_materials_material_id_foreign');
            $table->dropForeign('de_site_materials_site_id_foreign');
        });
        Schema::dropIfExists('de_site_materials');
    }
}
