<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterDeSiteEquipmentChangeForeignKey extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('de_site_equipment', function (Blueprint $table) {
            $table->dropForeign('de_site_equipment_site_id_foreign');
            $table->foreign('site_id')->references('id')->on('de_construction_sites')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_site_equipment', function (Blueprint $table) {
            $table->dropForeign('de_site_equipment_site_id_foreign');
            $table->foreign('site_id')->references('id')->on('rune_optics')->onDelete('cascade')->onUpdate('cascade');
        });
    }
}
