<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFobosRuneImagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fobos_rune_images', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('url');
            $table->unsignedBigInteger('id_site');
            $table->char('description');
            $table->timestamps();

            $table->foreign('id_site')->references('id')->on('fobos_rune')->odDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_rune_images', function (Blueprint $table) {
            $table->dropForeign('fobos_rune_images_id_site_foreign');
        });
        Schema::dropIfExists('fobos_rune_images');
    }
}
