<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRuneOpticsAddConfirmedInRuneApp extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->tinyInteger('confirmed_in_rune_app')->after('case')->default(0);
            $table->date('rune_app_date')->after('confirmed_in_rune_app')->nullable();
            $table->tinyInteger('drawn_into_qgis')->after('rune_app_date')->default(0);
            $table->date('qgis_date')->after('drawn_into_qgis')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->dropColumn('confirmed_in_rune_app');
            $table->dropColumn('rune_app_date');
            $table->dropColumn('drawn_into_qgis');
            $table->dropColumn('qgis_date');
        });
    }
}
