<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOpremaKlijentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('oprema_klijent', function (Blueprint $table) {
            $table->unsignedBigInteger('id_oprema')->nullable();
            $table->unsignedBigInteger('id_klijent')->nullable();
            $table->unsignedBigInteger('id_opticki_klijent')->nullable();
            $table->integer('kol')->nullable();
            $table->timestamps();
            $table->foreign('id_oprema')->references('id')->on('oprema')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_klijent')->references('id')->on('klijent')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_opticki_klijent')->references('id')->on('klijenti_optika')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('oprema_klijent');
    }
}
