<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateKlijentiBakarTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('klijenti_bakar', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('broj_ugovora')->nullable();
            $table->char('ime')->nullable();
            $table->char('prezime')->nullable();
            $table->char('zahtev_uneo')->nullable();
            $table->char('podrucje')->nullable();
            $table->integer('tis_id')->nullable();
            $table->char('adresa')->nullable();
            $table->char('tel1')->nullable();
            $table->char('tel2')->nullable();
            $table->char('tel3')->nullable();
            $table->char('zahtev')->nullable();
            $table->char('prodavac')->nullable();
            $table->double('br_bodova')->nullable();
            $table->unsignedTinyInteger('id_status')->nullable();
            $table->unsignedBigInteger('id_user')->nullable();
            $table->unsignedBigInteger('id_user_reklamacije')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->date('datum_zahteva')->nullable();
            $table->dateTime('datum_zakazivanja')->nullable();
            $table->dateTime('datum_odlaganja')->nullable();
            $table->date('datum_reklamacije')->nullable();
            $table->date('datum_montaze')->nullable();
            $table->unsignedTinyInteger('id_tip_montaze')->nullable();
            $table->unsignedBigInteger('id_klijent_prodaja')->nullable();
            $table->date('datum_odustajanja')->nullable();
            $table->date('datum_intervencije')->nullable();
            $table->char('razlog_odustajanja')->nullable();
            $table->char('oprema_ugovor')->nullable();
            $table->unsignedBigInteger('id_status_intervencije')->nullable();
            $table->timestamps();
            $table->foreign('id_user')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user_reklamacije')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status')->references('id')->on('statusi')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status_intervencije')->references('id')->on('statusi_intervencije')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_tip_montaze')->references('id')->on('tip_montaze')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_klijent_prodaja')->references('id')->on('klijenti_prodaja')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('created_by')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('updated_by')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('klijenti_bakar');
    }
}
