<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSiteWork extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('site_work', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('id_construction_site');
            $table->unsignedBigInteger('id_construction_work');
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('id_construction_site')->references('id')->on('construction_sites')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_construction_work')->references('id')->on('construction_works')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('site_work');
    }
}
