<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeForeignKeyStates extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('site_equipment', function(Blueprint $table){
            $table->dropForeign('site_equipment_id_construction_site_foreign');
            $table->foreign('id_construction_site')->references('id')->on('construction_sites')->onDelete('restrict')->onUpdate('cascade');
            $table->dropForeign('site_equipment_id_equipment_foreign');
            $table->foreign('id_equipment')->references('id')->on('equipment')->onDelete('restrict')->onUpdate('cascade');
        });
        Schema::table('site_work', function(Blueprint $table){
            $table->dropForeign('site_work_id_construction_site_foreign');
            $table->foreign('id_construction_site')->references('id')->on('construction_sites')->onDelete('restrict')->onUpdate('cascade');
            $table->dropForeign('site_work_id_construction_work_foreign');
            $table->foreign('id_construction_work')->references('id')->on('construction_works')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('site_equipment', function(Blueprint $table){
            $table->dropForeign('site_equipment_id_construction_site_foreign');
            $table->dropForeign('site_equipment_id_equipment_foreign');
        });
        Schema::table('site_work', function(Blueprint $table){
            $table->dropForeign('site_work_id_construction_site_foreign');
            $table->dropForeign('site_work_id_construction_work_foreign');
        });
    }
}
