<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterFobosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('fobos', function(Blueprint $table){
            $table->renameColumn('contract_number', 'cluster');
            $table->dropColumn('record_date');
            $table->renameColumn('name', 'name_phone');
            $table->renameColumn('surname', 'surname_phone');
            $table->renameColumn('jmbg', 'street');
            $table->renameColumn('idcard_number', 'home_no');
            $table->renameColumn('idcard_place', 'enterance');
            $table->renameColumn('residence_address', 'floor');
            $table->renameColumn('instalation_address', 'apartment');
            $table->dropColumn('idcard_date');
            $table->dropColumn('contractor_seller');
            $table->dropColumn('contractor');
            $table->dropColumn('packet_id');
            $table->dropColumn('packet_type_id');
            $table->char('statement_type')->after('instalation_address')->nullable();
            $table->char('packet')->after('statement_type')->nullable();
            $table->char('uo_expire')->after('packet')->nullable();
            $table->char('black_list')->after('uo_expire')->default(0);
            $table->char('recomended_tariff')->after('black_list')->nullable();
            $table->char('name_adsl')->after('recomended_tariff')->nullable();
            $table->char('surname_adsl')->after('name_adsl')->nullable();
            $table->char('adsl_tis_id')->after('surname_adsl')->nullable();
            $table->char('adsl_isp')->after('adsl_tis_id')->nullable();
            $table->char('uo_expire_adsl')->after('adsl_isp')->nullable();
            $table->char('speed')->after('uo_expire_adsl')->nullable();
            $table->char('name_iptv')->after('speed')->nullable();
            $table->char('surname_iptv')->after('name_iptv')->nullable();
            $table->char('iptv_tis')->after('surname_iptv')->nullable();
            $table->char('hd_service')->after('iptv_tis')->nullable();
            $table->integer('setup_boxes')->after('hd_service')->nullable();
            $table->char('uo_expire_iptv')->after('setup_boxes')->nullable();
            $table->char('iptv_packet')->after('uo_expire_iptv')->nullable();
            $table->char('first_offer')->after('iptv_packet')->nullable();
            $table->char('operator')->after('first_offer')->nullable();
            $table->char('month')->after('operator')->nullable();
            $table->char('year')->after('month')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
