<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStorageEquipment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('storage_equipment', function (Blueprint $table) {
            $table->unsignedTinyInteger('mag_id');
            $table->unsignedBigInteger('equipment_id');
            $table->float('quantity');
            $table->timestamps();
            $table->foreign('mag_id')->references('id')->on('magz')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('equipment_id')->references('id')->on('equipment')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('storage_equipment');
    }
}
