<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterStorageEquipment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('storage_equipment', function (Blueprint $table) {
            $table->unsignedBigInteger('equipment_id')->nullable()->change();
            $table->unsignedBigInteger('mont_equipment_id')->after('equipment_id')->nullable();
            $table->foreign('mont_equipment_id', 'montage_foreign')->references('id')->on('oprema')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('storage_equipment', function (Blueprint $table) {
            $table->dropForeign('montage_foreign');
            $table->dropColumn('mont_equipment_id');
        });
    }
}
