<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterWorkerEquipmentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('worker_equipment', function (Blueprint $table) {
            $table->unsignedBigInteger('equipment_id')->nullable()->change();
            $table->unsignedBigInteger('mont_equipment_id')->after('equipment_id')->nullable();
            $table->foreign('mont_equipment_id')->references('id')->on('oprema')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('worker_equipment', function (Blueprint $table) {
            $table->dropForeign('worker_equipment_mont_equipment_id_foreign');
            $table->dropColumn('mont_equipment_id');
        });
    }
}
