<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterOpticsReportForeign extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('klijenti_optika', function (Blueprint $table) {
            $table->unsignedBigInteger('report_id')->nullable()->after('broj_bodova');
            $table->foreign('report_id')->references('id')->on('report_marks')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('klijenti_optika', function (Blueprint $table) {
            $table->dropForeign('klijenti_optika_report_id_foreign');
            $table->dropColumn('report_id');
            $table->float('kol')->change();
        });
    }
}
