<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateConstEquipmentDelivery extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('const_equipment_delivery', function (Blueprint $table) {
            $table->unsignedBigInteger('equipment_id')->nullable();
            $table->unsignedBigInteger('delivery_id')->nullable();
            $table->float('quantity')->nullable();
            $table->timestamps();
            $table->foreign('equipment_id')->references('id')->on('equipment')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('delivery_id')->references('id')->on('const_delivery_notes')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('const_equipment_delivery');
    }
}
