<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWfProjectTask extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('wf_project_task', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('project_id');
            $table->unsignedBigInteger('task_id');
            $table->unsignedBigInteger('user_id')->nullable();
            $table->unsignedBigInteger('status_id')->nullable();
            $table->tinyInteger('done')->default(0);
            $table->dateTime('start_date')->nullable();
            $table->dateTime('end_date')->nullable();
            $table->timestamps();
            $table->foreign('project_id')->references('id')->on('wf_projects')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('task_id')->references('id')->on('wf_tasks')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('status_id')->references('id')->on('wf_statuses')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('wf_project_task', function(Blueprint $table){
            $table->dropForeign('wf_project_task_project_id_foreign');
            $table->dropForeign('wf_project_task_task_id_foreign');
            $table->dropForeign('wf_project_task_user_id_foreign');
            $table->dropForeign('wf_project_task_status_id_foreign');
        });
        Schema::dropIfExists('wf_project_task');
    }
}
