<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterKlijentiProdajaAddFobosCopperId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('klijenti_prodaja', function (Blueprint $table) {
            $table->unsignedBigInteger('fobos_copper_id')->nullable()->after('fobos_id');
            $table->foreign('fobos_copper_id')->references('id')->on('fobos_copper')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('klijenti_prodaja', function (Blueprint $table) {
            $table->dropForeign('klijenti_prodaja_fobos_copper_id_foreign');
            $table->dropColumn('fobos_copper_id');
        });
    }
}
