<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('files', function (Blueprint $table) {
            $table->unsignedBigInteger('id_construction_site')->nullable()->change();
            $table->unsignedBigInteger('msat_client_id')->nullable()->after('id_construction_site');
            $table->unsignedBigInteger('optic_client_id')->nullable()->after('msat_client_id');
            $table->unsignedBigInteger('supernova_client_id')->nullable()->after('optic_client_id');
            $table->unsignedBigInteger('copper_client_id')->nullable()->after('supernova_client_id');
            $table->foreign('msat_client_id')->references('id')->on('klijent')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('optic_client_id')->references('id')->on('klijenti_optika')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('supernova_client_id')->references('id')->on('klijenti_supernova')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('copper_client_id')->references('id')->on('klijenti_bakar')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('files', function (Blueprint $table) {
            $table->dropForeign('files_msat_client_id_foreign');
            $table->dropForeign('files_optic_client_id_foreign');
            $table->dropForeign('files_supernova_client_id_foreign');
            $table->dropForeign('files_copper_client_id_foreign');
            $table->dropColumn('msat_client_id');
            $table->dropColumn('optic_client_id');
            $table->dropColumn('supernova_client_id');
            $table->dropColumn('copper_client_id');
        });
    }
}
