<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class HwSiteWork extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hw_site_work', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('site_id');
            $table->unsignedBigInteger('access_work_id')->nullable();
            $table->unsignedBigInteger('vertical_work_id')->nullable();
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('site_id')->references('id')->on('huawei')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('access_work_id')->references('id')->on('hw_access_works')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('vertical_work_id')->references('id')->on('hw_vertical_works')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('hw_site_work', function (Blueprint $table) {
            $table->dropForeign('hw_site_work_site_id_foreign');
            $table->dropForeign('hw_site_work_access_work_id_foreign');
            $table->dropForeign('hw_site_work_vertical_work_id_foreign');
        });
        Schema::dropIfExists('hw_site_work');
    }
}
