<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterStorageLogsFrom extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('storage_logs', function (Blueprint $table) {
            $table->unsignedBigInteger('fitter_id')->nullable()->after('user_id');
            $table->char('receive_number')->nullable()->after('fitter_id');
            $table->char('from')->nullable()->after('receive_number');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('storage_logs', function (Blueprint $table) {
            $table->dropColumn('fitter_id');
            $table->dropColumn('receive_number');
            $table->dropColumn('from');
        });
    }
}
