<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorkerTools extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('worker_tools', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('tool_id');
            $table->unsignedTinyInteger('storage_id');
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('user_id')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('tool_id')->references('id')->on('tools')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('storage_id')->references('id')->on('magz')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('worker_tools', function(Blueprint $table){
            $table->dropForeign('worker_tools_user_id_foreign');
            $table->dropForeign('worker_tools_tool_id_foreign');
            $table->dropForeign('worker_tools_storage_id_foreign');
        });
        Schema::dropIfExists('worker_tools');
    }
}
