<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHuaweiAddMunicipality extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->char('municipality')->after('id_city')->nullable();
            $table->unsignedBigInteger('id_status_splicing')->after('id_status_access')->nullable();
            $table->unsignedBigInteger('id_user_splicing')->after('id_user_access')->nullable();
            $table->foreign('id_status_splicing')->references('id')->on('huawei_access_statuses')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user_splicing')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->dropColumn('municipality');
            $table->dropForeign('huawei_id_status_splicing_foreign');
            $table->dropForeign('huawei_id_user_splicing_foreign');
            $table->dropColumn('id_status_splicing');
            $table->dropColumn('id_user_splicing');
        });
    }
}
