<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterStorageToolsAddStorageId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('storage_tools', function (Blueprint $table) {
            $table->unsignedTinyInteger('storage_id')->after('tool_id');
            $table->foreign('storage_id')->references('id')->on('magz')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('storage_tools', function (Blueprint $table) {
            $table->dropForeign('storage_tools_storage_id_foreign');
            $table->dropColumn('storage_id');
        });
    }
}
