<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTickets extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tickets', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('title');
            $table->text('issue');
            $table->unsignedTinyInteger('type');
            $table->unsignedBigInteger('created_by');
            $table->unsignedTinyInteger('resolved')->default(0);
            $table->unsignedBigInteger('resolved_by');
            $table->timestamps();
            $table->foreign('created_by')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('resolved_by')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('tickets', function (Blueprint $table){
           $table->dropForeign('tickets_created_by_foreign');
           $table->dropForeign('tickets_resolved_by_foreign');
        });
        Schema::dropIfExists('tickets');
    }
}
