<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDemandEquipment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demand_equipment', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('equipment_id');
            $table->decimal('quantity');
            $table->unsignedBigInteger('created_by');
            $table->tinyInteger('supplied')->default(0);
            $table->timestamps();
            $table->foreign('equipment_id')->references('id')->on('oprema')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('created_by')->references('id')->on('users')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('demand_equipment', function (Blueprint $table) {
            $table->dropForeign('demand_equipment_equipment_id_foreign');
            $table->dropForeign('demand_equipment_created_by_foreign');
        });
        Schema::dropIfExists('demand_equipment');
    }
}
