<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterDemandDevicesAddDemandId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('demand_devices', function (Blueprint $table) {
            $table->unsignedBigInteger('demand_id')->after('supplied')->nullable();
            $table->foreign('demand_id')->references('id')->on('demands')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('demand_devices', function (Blueprint $table) {
            $table->dropForeign('demand_devices_demand_id_foreign');
            $table->dropColumn('demand_id');
        });
    }
}
