<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHuaweiAddBoq extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->date('realization_date_splicing')->nullable()->after('realization_date_access');
            $table->decimal('sent_boq')->nullable()->after('dis_end_date');
            $table->decimal('approved_boq')->nullable()->after('sent_boq');
            $table->date('boq_send_date')->nullable()->after('approved_boq');
            $table->date('boq_approve_date')->nullable()->after('boq_send_date');
            $table->date('correction_date_start')->nullable()->after('boq_approve_date');
            $table->date('correction_date_end')->nullable()->after('correction_date_start');
            $table->decimal('price')->nullable()->after('correction_date_end');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->dropColumn('realization_date_splicing');
            $table->dropColumn('sent_boq');
            $table->dropColumn('approved_boq');
            $table->dropColumn('boq_send_date');
            $table->dropColumn('boq_approve_date');
            $table->dropColumn('correction_date_start');
            $table->dropColumn('correction_date_end');
            $table->dropColumn('price');
        });
    }
}
