<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateKirVerticalWorks extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('kir_vertical_works', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('code')->nullable();
            $table->text('work')->nullable();
            $table->unsignedBigInteger('unit_id')->nullable();
            $table->timestamps();
            $table->foreign('unit_id')->references('id')->on('units')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('kir_vertical_works', function (Blueprint $table) {
            $table->dropForeign('kir_vertical_works_unit_id_foreign');
        });
        Schema::dropIfExists('kir_vertical_works');
    }
}
