<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterSiteWorkAddForeignAccessAndVerticalWorks extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('site_work', function (Blueprint $table) {
            $table->unsignedBigInteger('access_work_id')->after('id_construction_site')->nullable();
            $table->unsignedBigInteger('vertical_work_id')->after('access_work_id')->nullable();
            $table->dropForeign('site_work_id_construction_work_foreign');
            $table->dropColumn('id_construction_work');
            $table->foreign('access_work_id')->references('id')->on('kir_access_works')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('vertical_work_id')->references('id')->on('kir_vertical_works')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('site_work', function (Blueprint $table) {
            $table->dropForeign('site_work_access_work_id_foreign');
            $table->dropForeign('site_work_vertical_work_id_foreign');
            $table->dropColumn('access_work_id');
            $table->dropColumn('vertical_work_id');
            $table->unsignedBigInteger('id_construction_work')->after('id_construction_site');
            $table->foreign('id_construction_work')->references('id')->on('construction_works')->onUpdate('cascade')->onDelete('cascade');
        });
    }
}
