<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateKirRequiredEquipment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('kir_required_equipment', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('equipment_id');
            $table->unsignedBigInteger('site_id');
            $table->decimal('quantity');
            $table->unsignedBigInteger('created_by');
            $table->timestamps();
            $table->foreign('equipment_id')->references('id')->on('equipment')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('site_id')->references('id')->on('kir')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('created_by')->references('id')->on('users')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('kir_required_equipment', function (Blueprint $table) {
            $table->dropForeign('kir_required_equipment_equipment_id_foreign');
            $table->dropForeign('kir_required_equipment_site_id_foreign');
            $table->dropForeign('kir_required_equipment_created_by_foreign');
        });
        Schema::dropIfExists('kir_required_equipment');
    }
}
