<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterVozilaAddTypeIdCardIdFuelId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('vozila', function (Blueprint $table) {
            $table->unsignedBigInteger('card_id')->after('company_id')->nullable();
            $table->unsignedBigInteger('fuel_type')->after('card_id')->nullable();
            $table->unsignedBigInteger('vehicle_type')->after('fuel_type')->nullable();
            $table->foreign('card_id')->references('id')->on('vehicle_cards')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('fuel_type')->references('id')->on('fuel_types')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('vehicle_type')->references('id')->on('vehicle_types')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('vozila', function (Blueprint $table) {
            $table->dropForeign('vozila_card_id_foreign');
            $table->dropForeign('vozila_fuel_type_foreign');
            $table->dropForeign('vozila_vehicle_type_foreign');
            $table->dropColumn('card_id');
            $table->dropColumn('fuel_type');
            $table->dropColumn('vehicle_type');
        });
    }
}
