<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDocWorksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('doc_works', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('code')->nullable();
            $table->text('work')->nullable();
            $table->unsignedBigInteger('unit_id')->nullable();
            $table->decimal('price')->default(0);
            $table->tinyInteger('fixed')->nullable();
            $table->timestamps();
            $table->foreign('unit_id')->references('id')->on('units')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('doc_works', function (Blueprint $table) {
            $table->dropForeign('doc_works_unit_id_foreign');
        });
        Schema::dropIfExists('doc_works');
    }
}
