<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStorageMaterials extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('storage_materials', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('material_id');
            $table->unsignedTinyInteger('storage_id');
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('material_id')->references('id')->on('materials')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('storage_id')->references('id')->on('magz')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('storage_materials', function (Blueprint $table){
            $table->dropForeign('storage_materials_material_id_foreign');
            $table->dropForeign('storage_materials_storage_id_foreign');
        });
        Schema::dropIfExists('storage_materials');
    }
}
