<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterUredjajiAddCategoryId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('uredjaji', function (Blueprint $table) {
            $table->unsignedBigInteger('category_id')->nullable()->after('device_type_id');
            $table->foreign('category_id')->references('id')->on('device_categories')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('uredjaji', function (Blueprint $table) {
            $table->dropForeign('uredjaji_category_id_foreign');
            $table->dropColumn('category_id');
        });
    }
}
