<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateToolImages extends Migration
{
    public function up()
    {
        Schema::create('tool_images', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('url'); 
            $table->unsignedBigInteger('id_tool');
            $table->char('description')->nullable();
            $table->timestamps();
            $table->foreign('id_tool')->references('id')->on('tools')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    public function down()
    {
        Schema::table('tool_images', function(Blueprint $table){
            $table->dropForeign('tool_images_id_tool_foreign');
        });
        Schema::dropIfExists('tool_images');
    }
    
}
