<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHwPredictedWorks extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hw_predicted_works', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('site_id');
            $table->unsignedBigInteger('access_work_id')->nullable();
            $table->unsignedBigInteger('vertical_work_id')->nullable();
            $table->unsignedBigInteger('doc_work')->nullable();
            $table->decimal('quantity');
            $table->timestamps();

            $table->foreign('site_id')->references('id')->on('huawei')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('access_work_id')->references('id')->on('hw_access_works')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('vertical_work_id')->references('id')->on('hw_vertical_works')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('doc_work')->references('id')->on('doc_works')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('hw_predicted_works', function (Blueprint $table){
            $table->dropForeign('hw_predicted_works_site_id_foreign');
            $table->dropForeign('hw_predicted_works_access_work_id_foreign');
            $table->dropForeign('hw_predicted_works_vertical_work_id_foreign');
            $table->dropForeign('hw_predicted_works_doc_work_foreign');
        });
        Schema::dropIfExists('hw_predicted_works');
    }
}
