<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorkerVehicleEquipmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('worker_vehicle_equipment', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('equipment_id');
            $table->unsignedTinyInteger('storage_id');
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('user_id')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('equipment_id')->references('id')->on('vehicle_equipment')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('storage_id')->references('id')->on('magz')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('worker_vehicle_equipment', function(Blueprint $table){
            $table->dropForeign('worker_vehicle_equipment_user_id_foreign');
            $table->dropForeign('worker_vehicle_equipment_equipment_id_foreign');
            $table->dropForeign('worker_vehicle_equipment_storage_id_foreign');
        });
        Schema::dropIfExists('worker_vehicle_equipment');
    }
}
