<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRuneOptics extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rune_optics', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('contract_number')->nullable();
            $table->char('name')->nullable();
            $table->char('surname')->nullable();
            $table->char('claim_created_by')->nullable();
            $table->char('area')->nullable();
            $table->char('address')->nullable();
            $table->char('claim')->nullable();
            $table->char('seller')->nullable();
            $table->decimal('points')->nullable();
            $table->unsignedBigInteger('report_id')->nullable();
            $table->unsignedBigInteger('user')->nullable();
            $table->unsignedBigInteger('reclamation_user')->nullable();
            $table->unsignedBigInteger('origin')->nullable();
            $table->date('claim_date')->nullable();
            $table->date('appointment_date')->nullable();
            $table->date('date_of_disposal')->nullable();
            $table->date('reclamation_date')->nullable();
            $table->date('montage_date')->nullable();
            $table->unsignedTinyInteger('montage_type')->nullable();
            $table->unsignedBigInteger('client_sale')->nullable();
            $table->date('withdrawal_date')->nullable();
            $table->date('intervention_date')->nullable();
            $table->char('withdrawal_reason')->nullable();
            $table->unsignedBigInteger('intervention_status')->nullable();
            $table->unsignedBigInteger('helper')->nullable();
            $table->tinyInteger('extra_stb')->nullable();
            $table->tinyInteger('on_terrain')->nullable();
            $table->tinyInteger('imported')->default(0);
            $table->tinyInteger('done')->nullable();
            $table->tinyInteger('decimal')->nullable();
            $table->tinyInteger('company_id')->nullable();
            $table->char('cluster')->nullable();
            $table->char('pan')->nullable();
            $table->char('street')->nullable();
            $table->integer('eta')->nullable();
            $table->char('network_group')->nullable();
            $table->char('tel1')->nullable();
            $table->char('tel2')->nullable();
            $table->char('tel3')->nullable();
            $table->char('fobos_id')->nullable();
            $table->char('county')->nullable();
            $table->char('city')->nullable();
            $table->char('settlement')->nullable();
            $table->tinyInteger('household')->nullable();
            $table->tinyInteger('households')->nullable();
            $table->tinyInteger('state')->nullable();
            $table->tinyInteger('state_services')->nullable();
            $table->char('home_no')->nullable();
            $table->char('enterance')->nullable();
            $table->char('floor')->nullable();
            $table->char('apartment')->nullable();
            $table->char('packet')->nullable();
            $table->tinyInteger('black_list')->default(0);
            $table->char('recomended_tariff')->nullable();
            $table->char('first_offer')->nullable();
            $table->char('operator')->nullable();
            $table->char('month')->nullable();
            $table->char('year')->nullable();
            $table->unsignedTinyInteger('status')->nullable();
            $table->unsignedBigInteger('seller_id')->nullable();
            $table->unsignedBigInteger('project_manager')->nullable();
            $table->date('contract_expire_date')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->char('cable')->nullable();
            $table->char('tube')->nullable();
            $table->char('thread')->nullable();
            $table->char('case')->nullable();
            $table->bigInteger('x_coordinate')->nullable();
            $table->bigInteger('y_coordinate')->nullable();
            $table->timestamps();

            $table->foreign('origin')->references('id')->on('origin')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('status')->references('id')->on('statusi')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('intervention_status')->references('id')->on('statusi_intervencije')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('montage_type')->references('id')->on('tip_montaze')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->dropForeign('rune_optics_origin_foreign');
            $table->dropForeign('rune_optics_status_foreign');
            $table->dropForeign('rune_optics_intervention_status_foreign');
            $table->dropForeign('rune_optics_montage_type_foreign');
        });
        Schema::dropIfExists('rune_optics');
    }
}
