@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('administracija.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Add new vehicle')}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Brand')}}<span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('marka')){{'has-error'}} @endif">
                        <input type="text" name="marka" class="form-control" placeholder="" id="marka" spellcheck="false" value="{{old('marka')}}"/>
                        @if($errors->has('marka'))
                            <label for="marka" class="error">{{$errors->first('marka')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Type')}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('tip')){{'has-error'}} @endif">
                        <input type="text" name="tip" class="form-control" placeholder="" id="tip" spellcheck="false" value="{{old('tip')}}"/>
                        @if($errors->has('tip'))
                            <label for="tip" class="error">{{$errors->first('tip')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Plate number')}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('reg_br')){{'has-error'}} @endif">
                        <input type="text" name="reg_br" class="form-control" placeholder="" id="reg_br" spellcheck="false" value="{{old('reg_br')}}"/>
                        @if($errors->has('reg_br'))
                            <label for="reg_br" class="error">{{$errors->first('reg_br')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Assign to worker')}}</label>
                    <div class="col-lg-3">
                        <select name="monter[]" id="monter" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Choose worker")}} --</option>
                            @foreach($monteri as $monter)
                                <option value="{{$monter->id}}">{{$monter->ime.' '.$monter->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Owner')}}</label>
                    <div class="col-lg-3">
                        <select name="owner" id="owner" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Owner")}} --</option>
                            @foreach($owners as $owner)
                                <option value="{{$owner->id}}">{{$owner->name}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Company')}}</label>
                    <div class="col-lg-3">
                        <select name="company" id="company" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Company")}} --</option>
                            @foreach($companies as $company)
                                <option value="{{$company->id}}">{{$company->company}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Fuel type')}}</label>
                    <div class="col-lg-3">
                        <select name="fuel_type" id="fuel_type" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Fuel type")}} --</option>
                            @foreach($fuelTypes as $ft)
                                <option value="{{$ft->id}}">{{$ft->fuel}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Vehicle type')}}</label>
                    <div class="col-lg-3">
                        <select name="vehicle_type" id="vehicle_type" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Vehicle type")}} --</option>
                            @foreach($vehicleTypes as $vt)
                            <option value="{{$vt->id}}">{{$vt->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Card')}}</label>
                    <div class="col-lg-3">
                        <select name="card[]" id="card" multiple data-plugin-selectTwo class="form-control populate">
                            @foreach($cards as $card)
                                <option value="{{$card->id}}">{{$card->card_number.' ('.$card->company.')'}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Add')}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('vozila_pregled')}}" class="btn btn-default">{{__('Cancel')}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection