@extends('layouts.app')

@section('content')

<script type="text/javascript">
    $(document).ready(function () {
        $('.btn-delete').click(function () {
            var cardId = $(this).attr("cardId");
            var vehicleId = $(this).attr("vehicleId");
            $('#card_id').val(cardId);
            $('#vehicle_id').val(vehicleId);
        });

    });
</script>

<form id="form" method="post" action="{{ route('administracija.update', [$vozilo->id]) }}" class="form-horizontal">
    {{ csrf_field() }}
    <input type="hidden" name="_method" value="put">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Edit vehicle')}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Brand')}} <span class="required">*</span></label>
                <div class="col-lg-3 @if($errors->has('marka')){{'has-error'}} @endif">
                    <input type="text" name="marka" value="{{$vozilo->marka}}" class="form-control" placeholder="" id="marka" spellcheck="false"/>
                    @if($errors->has('marka'))
                        <label for="marka" class="error">{{$errors->first('marka')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Type')}} <span class="required">*</span></label>
                <div class="col-lg-3 @if($errors->has('tip')){{'has-error'}} @endif">
                    <input type="text" name="tip" value="{{$vozilo->tip}}" class="form-control" placeholder="" id="tip" spellcheck="false"/>
                    @if($errors->has('tip'))
                        <label for="tip" class="error">{{$errors->first('tip')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Plate number')}} <span class="required">*</span></label>
                <div class="col-lg-3 @if($errors->has('reg_br')){{'has-error'}} @endif">
                    <input type="text" name="reg_br" value="{{$vozilo->reg_br}}" class="form-control" placeholder="" id="reg_br" spellcheck="false"/>
                    @if($errors->has('reg_br'))
                        <label for="reg_br" class="error">{{$errors->first('reg_br')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Worker')}} </label>
                <div class="col-lg-3">
                    <select name="monter[]" id="monter" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__('Choose worker')}} --</option>
                        @foreach($monteri as $monter)
                            <option value="{{$monter->id}}" <?php if ($monter->id == $vozilo->id_user) echo 'selected = "selected"' ?>>{{$monter->ime.' '.$monter->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Owner')}}</label>
                <div class="col-lg-3">
                    <select name="owner" id="owner" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Owner")}} --</option>
                        @foreach($owners as $owner)
                            <option value="{{$owner->id}}" @if($owner->id == $vozilo->owner_id) {{'selected'}} @endif>{{$owner->name}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Company')}}</label>
                <div class="col-lg-3">
                    <select name="company" id="company" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Company")}} --</option>
                        @foreach($companies as $company)
                            <option value="{{$company->id}}" @if($company->id == $vozilo->company_id) {{'selected'}} @endif>{{$company->company}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Fuel type')}}</label>
                <div class="col-lg-3">
                    <select name="fuel_type" id="fuel_type" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Fuel type")}} --</option>
                        @foreach($fuelTypes as $ft)
                            <option value="{{$ft->id}}" @if($ft->id == $vozilo->fuel_type) {{'selected'}} @endif>{{$ft->fuel}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Vehicle type')}}</label>
                <div class="col-lg-3">
                    <select name="vehicle_type" id="vehicle_type" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Vehicle type")}} --</option>
                        @foreach($vehicleTypes as $vt)
                        <option value="{{$vt->id}}" @if($vt->id == $vozilo->vehicle_type) {{'selected'}} @endif>{{$vt->type}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__('Card')}}</label>
                <div class="col-lg-3">
                    <select name="cards[]" id="cards" data-plugin-selectTwo class="form-control populate" multiple>
                        @foreach($cards as $card)
                            <option value="{{$card->id}}" @if($card->id == $vozilo->card_id) {{'selected'}} @endif>{{$card->card_number.' ('.$card->company.') - '.$card->type}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                @foreach($cardList as $card)
                    <div class="row">
                        <div class="col-sm-3 sellers">
                            <p>{{$card->card_number. '('.$card->company.') - '.$card->type}} <a href="#deleteModal" class="modal-basic btn-delete" cardId="{{$card->card}}" vehicleId="{{$card->vehicle}}"><i class="fa fa-trash-o seller-trash"></i></a></p>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__('Save')}} <i class="fa fa-save"></i></button>
                    <a id="icon-without-border-success" href="{{route('vozila_pregled')}}" class="btn btn-default">{{__('Cancel')}}</a>
                </div>
            </div>
        </footer>
    </section>
</form>

<div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('card_delete')}}">
        <input type="hidden" name="_method" value="delete">
        <input type="hidden" name="card_id" value="" id="card_id">
        <input type="hidden" name="vehicle_id" value="" id="vehicle_id">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-trash-o"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Deletion")}}</h4>
                        <p>{{__("Are you sure you want to delete data?")}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>

@endsection