@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("pomocnikId");
                $('#id_pomocnik').val(id);
            });

        });
    </script>
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Helpers')}}</h2>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__('Helper')}}</th>
                            <th>Email</th>
                            <th>{{__('Phone')}}</th>
                            <th>{{__('Assigned to fitter')}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pomocnici as $pom)
                            <tr class="gradeX">
                                <td>{{$pom->ime.' '.$pom->prezime}}</td>
                                <td>{{$pom->email}}</td>
                                <td>{{$pom->telefon}}</td>
                                <td>{{$pom->monter_ime.' '.$pom->monter_prezime}}</td>
                                <td class="btn-center">
                                    <a href="{{route('pomocnik_edit', ['id_pomocnik' => $pom->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('pomocnik_show', ['id_pomocnik' => $pom->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deletePomocnikModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" pomocnikId="{{$pom->id}}"><i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>

    <div id="deletePomocnikModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('pomocnik_delete')}}">
            <input type="hidden" name="id_pomocnik" id="id_pomocnik">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete data?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
