@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $(".date-picker").datepicker({
            format: '{{config('app.date_format_js')}}'
        });
    });
</script>

<form id="form" method="post" action="{{route('pomocnik_store')}}" class="form-horizontal">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Add new helper')}}</h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-2 col-lg-1 control-label">{{__('Name')}}: </label>
                <div class="col-sm-4 col-lg-4 @if($errors->has('ime')){{'has-error'}} @endif">
                    <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false" value="{{old('ime')}}"/>
                    @if($errors->has('ime'))
                        <label for="ime" class="error">{{$errors->first('ime')}}</label>
                    @endif
                </div>
                <label class="col-sm-2 col-lg-1 control-label">{{__('Surname')}}: </label>
                <div class="col-sm-4 col-lg-4 @if($errors->has('prezime')){{'has-error'}} @endif">
                    <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false" value="{{old('prezime')}}"/>
                    @if($errors->has('prezime'))
                        <label for="prezime" class="error">{{$errors->first('prezime')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-lg-1 control-label">{{__('Identification no.')}}: </label>
                <div class="col-sm-4 col-lg-4 @if($errors->has('jmbg')){{'has-error'}} @endif">
                    <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" spellcheck="false" value="{{old('jmbg')}}"/>
                    @if($errors->has('jmbg'))
                        <label for="jmbg" class="error">{{$errors->first('jmbg')}}</label>
                    @endif
                </div>
                <label class="col-sm-2 col-lg-1 control-label">Email: </label>
                <div class="col-sm-4 col-lg-4">
                    <input type="text" name="email" class="form-control" placeholder="" id="email" spellcheck="false" value="{{old('email')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-lg-1 control-label">{{__('Phone')}}: </label>
                <div class="col-sm-4 col-lg-4">
                    <input type="text" name="telefon" class="form-control" placeholder="" id="telefon" spellcheck="false" value="{{old('telefon')}}"/>
                </div>
                <label class="col-sm-2 col-lg-1 control-label">{{__('Address')}}: </label>
                <div class="col-sm-4 col-lg-4">
                    <input type="text" name="adresa" class="form-control" placeholder="" id="adresa" spellcheck="false" value="{{old('adresa')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-lg-1 control-label">{{__('Contract')}}: </label>
                <div class="col-sm-4 col-lg-4">
                    <select class="form-control populate status-select"  name="ugovor[]" id="ugovor">
                        <option value="">-- {{__('Choose contract')}} --</option>
                        @foreach($ugovori as $ug)
                            <option value="{{$ug->id}}">{{$ug->ugovor}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-2 col-lg-1 control-label">{{__('Assign to fitter')}}</label>
                <div class="col-sm-4 col-lg-4">
                    <select class="form-control populate status-select"  name="monter[]" id="monter">
                        <option value="">-- {{__('Choose fitter')}} --</option>
                        @foreach($monteri as $mont)
                            <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-lg-1 control-label">{{__('Insurance start date')}}: </label>
                <div class="col-sm-4 col-lg-4">
                    <input type="text" name="datum_pocetka_osiguranja" class="form-control date-picker" placeholder="" id="datum_pocetka_osiguranja" spellcheck="false" value="{{old('datum_pocetka_osiguranja')}}"/>
                </div>
                <label class="col-sm-2 col-lg-1 control-label">{{__('Insurance end date')}}: </label>
                <div class="col-sm-4 col-lg-4">
                    <input type="text" name="datum_prestanka_osiguranja" class="form-control date-picker" placeholder="" id="datum_prestanka_osiguranja" spellcheck="false" value="{{old('datum_prestanka_osiguranja')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-lg-1 control-label">{{__('Profession')}}: </label>
                <div class="col-sm-4 col-lg-4">
                    <input type="text" name="zanimanje" class="form-control" placeholder="" id="zanimanje" spellcheck="false" value="{{old('zanimanje')}}"/>
                </div>
                <label class="col-sm-2 col-lg-1 control-label">{{__('Equipment')}} </label>
                <div class="col-sm-4 col-lg-4">
                    <select class="form-control populate status-select"  name="oprema[]" id="oprema">
                        <option value="1">{{__('YES')}}</option>
                        <option value="0">{{__('NO')}}</option>
                    </select>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__('Add')}} <i class="fa fa-plus"></i></button>
                    <a href="{{route('pomocnici_index')}}" class="btn btn-default">{{__('Cancel')}}</a>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection