@extends('layouts.app')
@section('content')

<script type="text/javascript">
    $(document).ready(function () {
        $('.btn-delete-salary').click(function(){
            var id = $(this).data('salary');
            $('#salary_id').val(id);
        });
    });
</script>

<section class="panel">
    <form id="salaryForm" method="POST" action="{{route('salary_store')}}">
        @csrf
        <input type="hidden" id="user_id" name="user_id" value="{{$userId}}">
        <header class="panel-heading">
            <h2 class="panel-title">{{$username}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__('Salary')}}: <span class="required">*</span></label>
                <div class="col-sm-4 @if($errors->has('salary')){{'has-error'}} @endif">
                    <input type="text" class="form-control" id="salary" name="salary">
                    @if($errors->has('salary'))
                        <label for="salary" class="error">{{$errors->first('salary')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__('Date of entry')}}: <span class="required">*</span></label>
                <div class="col-sm-4 @if($errors->has('date_of_entry')){{'has-error'}} @endif">
                    <input type="text" class="form-control date-picker" id="date_of_entry" name="date_of_entry">
                    @if($errors->has('date_of_entry'))
                        <label for="date_of_entry" class="error">{{$errors->first('date_of_entry')}}</label>
                    @endif
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <button class="btn btn-primary" id="btn-add-salary" type="submit">{{__('Add')}} <i class="fa fa-plus"></i></button>
                </div>
            </div>
        </footer>
    </form>
</section>

@if (!$salaries->isEmpty())
<section  class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__('Salaries')}}</h2>
    </header>
    <div class="panel-body">
        <table class="table table-bordered table-striped table-condensed mb-none">
            <thead>
                <th class="text-center">{{__('Ammount')}}</th>
                <th class="text-center">{{__('Date')}}</th>
                <th class="text-center">{{__('Action')}}</th>
            </thead>
            @foreach($salaries as $salary)
            <tr>
                <td class="text-center">{{number_format($salary->salary, 2, ',', '.')}}</td>
                <td class="text-center">{{date('d.m.Y.', strtotime($salary->date_of_entry))}}</td>
                <td class="text-center"><a href="#deleteModal" class="modal-basic btn-delete-salary" data-salary="{{$salary->id}}"><i class="fa fa-trash-o"></i></a></td>
            </tr>
            @endforeach
        </table>
    </div>
</section>
@endif

<div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('salary_destroy')}}">
        <input type="hidden" name="salary_id" id="salary_id">
        @method('delete')
        @csrf
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Notice')}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-trash-o"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__('Deletion')}}</h4>
                        <p>{{__('Are you sure you want to delete data?')}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>

@endsection