@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.btn-delete-image').click(function () {
                var id = $(this).attr("imageId");
                $('#image_id').val(id);
            });

            $('.btn-delete-comment').click(function () {
                var id = $(this).attr("commentId");
                $('#id_comment').val(id);
            });
        });
    </script>

    <form id="form" method="post" action="{{ route('vehicle_rent_update', ['rent' => $rent->id]) }}" class="form-horizontal" enctype="multipart/form-data">
        @csrf
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Vehicle rent')}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Vehicle')}} </label>
                    <div class="col-lg-4">
                        <select name="vehicle" id="vehicle" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__('Choose vehicle')}} --</option>
                            @foreach($vehicles as $vehicle)
                                <option value="{{$vehicle->id}}" @if($vehicle->id == $rent->vehicle_id) selected @endif>{{$vehicle->marka.' ('.$vehicle->reg_br.')'}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-lg-2 control-label">{{__('Worker')}} </label>
                    <div class="col-lg-4">
                        <select name="worker" id="worker" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__('Choose worker')}} --</option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}" @if($user->id == $rent->user_id) selected @endif>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Rent date')}}: </label>
                    <div class="col-sm-4">
                        <input type="text" name="rent_date" class="form-control date-picker" placeholder="" id="rent_date" spellcheck="false"
                               value="@if($rent->rent_date){{date('d.m.Y.', strtotime($rent->rent_date))}}@endif"/>
                    </div>
                    <label class="col-sm-2 control-label">{{__('Return date')}}: </label>
                    <div class="col-sm-4">
                        <input type="text" name="return_date" class="form-control date-picker" placeholder="" id="return_date" spellcheck="false"
                               value="@if($rent->return_date){{date('d.m.Y.', strtotime($rent->return_date))}}@endif"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Image type')}} </label>
                    <div class="col-lg-4">
                        <select name="image_type" id="image_type" data-plugin-selectTwo class="form-control populate">
                            <option value="0">{{__('Pick Up')}}</option>
                            <option value="1">{{__('Return')}}</option>
                        </select>
                    </div>
                    <label class="col-sm-2 control-label">{{__('Images')}}</label>
                    <div class="col-sm-4">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__('Change')}}</span>
                                    <span class="fileupload-new">{{__('Choose file')}}</span>
                                    <input type="file" id="pictures" name="pictures[]" multiple>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Comment')}} </label>
                    <div class="col-sm-4">
                        <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false"></textarea>
                    </div>
                    <label class="col-sm-2 control-label">{{__('Color')}} </label>
                    <div class="col-sm-2">
                        <input type="text" class="colorpicker-default form-control" data-plugin-colorpicker name="color" id="color" value="{{$rent->color}}">
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button type="submit" class="btn btn-primary">{{__('Save')}} <i class="fa fa-save"></i></button>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Comments')}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{__('Comment')}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                        <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$comment->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$rentImages->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Images')}} ({{__('RENT')}})</h2>
        </header>
        <div class="panel-body">
            <div class="popup-gallery">
                @foreach($rentImages as $img)
                    <div class="col-md-2">
                        <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" title="Project 1">
                            <div class="img-responsive">
                                <img src="{{$img->image_url}}" width="105">
                            </div>
                        </a>
                        <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                    </div>
                @endforeach
            </div>
        </div>
    </section>
    @endif
    @if(!$returnImages->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Images')}} ({{__('RETURN')}})</h2>
        </header>
        <div class="panel-body">
            @foreach($returnImages as $img)
            <div class="col-md-2">
                <div class="popup-gallery">
                    <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" title="Project 2">
                        <div class="img-responsive">
                            <img src="{{$img->image_url}}" width="105">
                        </div>
                    </a>
                </div>
                <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
            </div>
            @endforeach
        </div>
    </section>
    @endif

    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('vehicle_image_delete')}}">
            <input type="hidden" name="image_id" id="image_id">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}}{{__('image')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('vehicle_delete_comment')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}}{{__('comment')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('Yes')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('No')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection