@extends('layouts.app')
@section('content')
    <section class="panel">
        <header class="panel-heading">
            @if(in_array(Auth::user()->id, $allowedUsers))
            <div class="panel-actions">
                <a href="{{route('vehicle_rent_edit', ['rent' => $rent->id])}}"><button class="btn btn-primary">{{__('Save')}}</button></a>
            </div>
            @endif
            <h2 class="panel-title">{{$rent->marka}}</h2>
            <p class="panel-subtitle">{{__('Vehicle with plate')}} <code>{{$rent->reg_br}}</code> {{__('rented by')}} <code>{{$rent->name.' '.$rent->surname}}</code>.</p>
        </header>
        <div class="panel-body">
            <p class="pb-lg">{{__('Vehicle')}} {{$rent->marka}} {{__('rented by')}} {{$rent->name.' '.$rent->surname}} {{__('at')}} @if($rent->rent_date){{date('d.m.Y H:i:s', strtotime($rent->rent_date))}}@endif</p>
            <div class="popup-gallery">
                @foreach($rentImages as $img)
                <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" title="{{date('d.m.Y H:i:s', strtotime($img->created_at))}}" title="Izdavanje">
                    <div class="img-responsive">
                        <img src="{{$img->image_url}}" width="105">
                    </div>
                </a>
                @endforeach
            </div>
        </div>
    </section>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Vehicle state after return')}}</h2>
        </header>
        <div class="panel-body">
            @if($rent->return_date)
            <p class="pb-lg">{{__('Vehicle')}} {{$rent->marka}} {{__('returned by')}} {{$rent->name.' '.$rent->surname}} {{__('at')}} @if($rent->return_date){{date('d.m.Y H:i:s', strtotime($rent->return_date))}}@endif</p>
            @else
            <p class="pb-lg">{{__('Vehicle not returned')}}</p>
            @endif
            <div class="popup-gallery">
            @foreach($returnImages as $img)
                <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" title="{{date('d.m.Y H:i:s', strtotime($img->created_at))}}">
                    <div class="img-responsive">
                        <img src="{{$img->image_url}}" width="105">
                    </div>
                </a>
            @endforeach
            </div>
        </div>
    </section>

    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Comments')}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{__('comment')}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
@endsection