@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("rentId");
                $('#id_rent').val(id);
            });

        });
    </script>
    <div class="panel">
        <div class="panel-heading">
            <h2 class="panel-title">{{__('Rent list')}}</h2>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-striped mb-none">
                    <thead>
                        <th>{{__('Brand')}}</th>
                        <th>{{__('Type')}}</th>
                        <th>{{__('Plate number')}}</th>
                        <th>{{__('Worker')}}</th>
                        <th>{{__('Owner')}}</th>
                        <th>{{__('Company')}}</th>
                        <th>{{__('Rent date')}}</th>
                        <th>{{__('Return date')}}</th>
                        <th>{{__('Last change')}}</th>
                        <th></th>
                    </thead>
                    <tbody>
                    @foreach($rents as $rent)
                        <tr @if($rent->color) style="background-color:{{$rent->color}}" @endif>
                            <td>{{$rent->marka}}</td>
                            <td>{{$rent->tip}}</td>
                            <td>{{$rent->reg_br}}</td>
                            <td>{{$rent->name.' '.$rent->surname}}</td>
                            <td>{{$rent->owner}}</td>
                            <td>{{$rent->company}}</td>
                            <td>@if($rent->rent_date){{date('d.m.Y H:i:s', strtotime($rent->rent_date))}}@endif</td>
                            <td>@if($rent->return_date){{date('d.m.Y H:i:s', strtotime($rent->return_date))}}@endif</td>
                            <td>{{$rent->editor_name.' '.$rent->editor_surname}}</td>
                            <td>
                                @if(in_array(Auth::user()->id, $allowedUsers))
                                <a href="{{route('vehicle_rent_edit', ['rent' => $rent->id])}}"><i class="fa fa-pencil"></i></a>
                                @endif
                                <a href="{{route('vehicle_images', ['id' => $rent->id])}}"><i class="fa fa-info-circle"></i></a>
                                <a href="#deleteModal" class="modal-basic btn-delete" rentId={{$rent->id}}><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$rents->appends(request()->query())->links()}}
                </div>
            </div>
        </div>
    </div>
    <div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_rent', 'test')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_rent" value="" id="id_rent">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete data?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('Yes')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('No')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
