@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('area.update', [$area->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Edit area')}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Area')}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('area')){{'has-error'}} @endif">
                        <input type="text" name="area" class="form-control" placeholder="" id="area"
                               spellcheck="false" value="{{$area->area}}"/>
                        @if($errors->has('area'))
                            <label for="area" class="error">{{$errors->first('area')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Save')}} <i class="fa fa-save"></i></button>
                        <a href="{{route('area.index')}}"><button type="button" class="btn btn-default">{{__('Cancel')}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection