@extends('layouts.app')

@section('content')

<section class="panel">
    <div class="row">
        <div class="col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Bills")}} </h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>{{__("Number")}}</th>
                            <th>{{__("Date")}}</th>
                            <th>{{__("Amount")}}</th>
                            <th>{{__("Date of payment")}}</th>
                            <th>{{__("Status")}}</th>
                            <th style="text-align:center">Pdf</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($bills as $bill)
                            <tr class="gradeX @if($bill->status == 0) {{'alarm-pulse-red'}} @endif">
                                <td>{{$bill->id}}</td>
                                <td>{{$bill->number}}</td>
                                <td>{{date('d.m.Y.', strtotime($bill->date))}}</td>
                                <td>{{number_format($bill->ammount, 2, ',', '.')}}</td>
                                <td>@if($bill->payment_date){{date('d.m.Y', strtotime($bill->payment_date))}}@endif</td>
                                <td>
                                    @if($bill->status == 1)
                                        <div>{{__("payed")}}</div>
                                    @else
                                        <div>{{__("not payed")}}</div>
                                    @endif
                                </td>
                                <td>
                                    <div class="btn-center">
                                    @if($bill->pdf_url)
                                        <a href="{{$bill->pdf_url}}" download><i class="fa fa-file-pdf-o"></i></a>
                                    @endif
                                    @if($isDeveloper)<a href="{{route('callisto_bills_edit', ['id' => $bill->id])}}"><i class="fa fa-pencil"></i></a>@endif
                                    </div>
                                </td>
                            
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

@endsection