@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('callisto_bills_store')}}" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">Create invoice </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-1 control-label">Number</label>
                    <div class="col-lg-3 @if($errors->has('number')){{'has-error'}} @endif">
                    <input type="text" name="number" class="form-control" placeholder="" id="number" spellcheck="false" value="{{old('number')}}"/>
                        @if($errors->has('number'))
                            <label for="number" class="error">{{$errors->first('number')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">Date </label>
                    <div class="col-sm-3 @if($errors->has('number')){{'has-error'}} @endif">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="date" class="form-control date-picker" placeholder="" id="date"  spellcheck="" value="{{old('date')}}"/>
                        </div>
                        @if($errors->has('date'))
                            <label for="date" class="error">{{$errors->first('date')}}</label>
                        @endif
                    </div>
                    <label class="col-lg-1 control-label">Ammount </label>
                    <div class="col-lg-3 @if($errors->has('ammount')){{'has-error'}} @endif">
                    <input type="text" name="ammount" class="form-control" placeholder="" id="ammount" spellcheck="false" value="{{old('ammount')}}"/>
                        @if($errors->has('ammount'))
                            <label for="ammount" class="error">{{$errors->first('ammount')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">Payment date </label>
                    <div class="col-sm-3 @if($errors->has('payment_date')){{'has-error'}} @endif">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="payment_date" class="form-control date-picker" placeholder="" id="payment_date"  spellcheck="" value="{{old('payment_date')}}"/>
                        </div>
                        @if($errors->has('payment_date'))
                            <label for="payment_date" class="error">{{$errors->first('payment_date')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">Payed </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="payed" data-plugin-ios-switch />
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Bill</label>
                    <div class="col-md-6">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">Change</span>
                                    <span class="fileupload-new">Choose file</span>
                                    <input type="file" id="invoice" name="invoice"/>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">Remove</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">Add <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('callisto_bills')}}" class="btn btn-default">Go back</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection