@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('constTeam.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Team name")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('naziv')){{'has-error'}} @endif">
                        <input type="text" name="team" class="form-control" placeholder="" id="team" spellcheck="false" value="{{old('team')}}"/>
                        @if($errors->has('team'))
                            <label for="marka" class="error">{{$errors->first('team')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Column leader")}} </label>
                    <div class="col-lg-3">
                        <select name="leader" id="leader" data-plugin-selectTwo class="form-control populate">
                            @foreach($leaders as $leader)
                                <option value="{{$leader->id}}">{{$leader->ime.' '.$leader->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Worker')}}</label>
                    <div class="col-sm-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="worker[]" id="worker">
                            <optgroup label="{{__('Worker')}}">
                                @foreach($workers as $worker)
                                    <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('constTeam.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection