@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('#equipment_category').val(0);
        $('#work_category').val(0);
        @if(!$isAdmin)
            $('#equipment_category').attr('disabled', true);
        @endif
        $('#equipment_category').change(function(){
            $('#equipment').val(0);
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });
        $('#worker').change(function(){
            if($(this).val() != ''){
                $('#equipment_category').attr('disabled', true);
            }
            else {
                $('#equipment_category').attr('disabled', false);
            }

            $('#equipment').val(0);
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });
        $('#work_category').change(function(){
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });

        $('.btn-equipment').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var idEquipment = $('#equipment').val();
            var quantity = $('#equipment_quantity').val();
            var worker = $('#worker').val();
            var instead_worker = $('#instead_worker').is(':checked');
            var idSite = "{{$site->id}}";
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'idEquipment' : idEquipment,
                    'quantity' : quantity,
                    'id_site' : idSite,
                    '_token' : _token,
                    'worker' : worker,
                    'instead_worker' : instead_worker
                },
                success	: function(result){
                    if(result){
                        alert(result);
                    }
                    else{
                        $('#worker').val(0);
                        document.location.reload();
                    }

                }

            });
        });
        $('.btn-work').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var idWork = $('#work').val();
            var quantity = $('#work_quantity').val();
            var idSite = "{{$site->id}}";
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'idWork' : idWork,
                    'quantity' : quantity,
                    'id_site' : idSite,
                    '_token' : _token
                },
                success	: function(result){
                    document.location.reload();
                }

            });
        });

        $('.btn-picture').on('click', function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var image = $('#image').prop('files')[0];   
            var imageType = $('#image_type').val(); 
            var form_data = new FormData();
            var siteId = "{{$site->id}}"
            form_data.append('image', image);
            form_data.append('image_type', imageType);
            form_data.append('site_id', siteId);
            $.ajax({
                type : 'POST',
                url : route, 
                cache : false,
                processData : false,
                contentType : false,
                data: form_data,                         
                success: function(message){
                    document.location.reload();
                }
            });
        });
        $('.btn-delete-comment').click(function () {
            var id = $(this).attr("commentId");
            $('#id_comment').val(id);
        });

        $('.btn-delete-image').click(function () {
            var id = $(this).attr("imageId");
            $('#id_image').val(id);
        });

        $('.btn-delete-file').click(function () {
            var id = $(this).attr("fileId");
            $('#id_file').val(id);
        });

        $('.btn-delete-e-w').click(function () {
            var param = $(this).attr('param');
            var id = $(this).attr("ewId");
            if(param == 'work'){
                $('#id_construction_work').val(id);
                $('#id_equipment').val('');
            }
            else {
                $('#id_equipment').val(id);
                $('#id_construction_work').val('');
            }
        });
    });
</script>
    <section class="panel">
        <form id="form" method="post" action="{{ route('construction_sites.update', [$site->id]) }}" class="form-horizontal" enctype="multipart/form-data">
            @csrf
            <input type="hidden" name="_method" value="put">
            <header class="panel-heading">
                <div class="panel-actions">
                    <a href="{{route('construction_sites.index').'/'.$site->id}}"><button type="button" class="btn btn-info"><i class="fa fa-info-circle"></i></button></a>
                    <button type="submit" class="btn btn-primary">{{__("Edit")}} <i class="fa fa-save"></i></button>
                </div>

                <h2 class="panel-title">{{__("Edit construction site data")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Client")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{$site->name}}"/>
                    </div>
                    <label class="col-sm-1 control-label">TIS ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false" value="{{$site->tis_id}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Contact person")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="contact_person" class="form-control" placeholder="" id="contact_person" spellcheck="false" value="{{$site->contact_person}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 1 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{$site->tel1}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{$site->tel2}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="false" value="{{$site->tel3}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Address")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="address" class="form-control" placeholder="" id="address" spellcheck="false" value="{{$site->address}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("State")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="state" id="state">
                            <option value="">-- {{__("State")}} --</option>
                            @foreach($states as $s)
                                <option value="{{$s->id}}" <?php if ($s->id == $site->id_state) echo 'selected = "selected"' ?>>{{$s->state}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="city" id="city">
                            <option value="">-- {{__("City")}} --</option>
                            @foreach($cities as $city)
                                <option value="{{$city->id}}" <?php if ($city->id == $site->id_city) echo 'selected = "selected"' ?>>{{$city->city}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Area")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="area" id="area">
                            <option value="">-- {{__("Area")}} --</option>
                            @foreach($areas as $area)
                                <option value="{{$area->id}}" <?php if ($area->id == $site->id_area) echo 'selected = "selected"' ?>>{{$area->area}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status" id="status">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}" <?php if ($status->id == $site->id_status) echo 'selected = "selected"' ?>>{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Currency")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="currency" id="currency">
                            <option value="">-- {{__("Currency")}} --</option>
                            @foreach($currencies as $cur)
                                <option value="{{$cur->id}}" <?php if ($cur->id == $site->id_currency) echo 'selected = "selected"' ?>>{{$cur->currency_short}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                @if($superAdminOnly)
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Discount")}} %</label>
                    <div class="col-sm-3">
                        <input type="text" name="discount_percent" class="form-control" placeholder="" id="discount_percent" spellcheck="false" value="{{$site->discount_percent}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Discount")}} {{__("client")}} %</label>
                    <div class="col-sm-3">
                        <input type="text" name="discount_percent_customer" class="form-control" placeholder="" id="discount_percent_customer" spellcheck="false" value="{{$site->discount_percent_customer}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Transport")}} %</label>
                    <div class="col-sm-3">
                        <input type="text" name="transport_costs" class="form-control" placeholder="" id="transport_costs" spellcheck="false" value="{{$site->transport_costs}}"/>
                    </div>
                </div>
                @endif
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contractor")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="contractor" id="contractor">
                            <option value="">-- {{__("Contractor")}} --</option>
                            @foreach($contractors as $cont)
                                <option value="{{$cont->id}}" <?php if ($cont->id == $site->id_contractor) echo 'selected = "selected"' ?>>{{$cont->contractor}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Assign to worker")}}</label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="builder" id="builder">
                            <option value="">-- {{__("Worker")}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}" <?php if ($worker->id == $site->id_user) echo 'selected = "selected"' ?>>{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Comment")}} </label>
                    <div class="col-sm-3">
                        <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false">{{old('comment')}}</textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cluster")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="cluster" class="form-control" placeholder="" id="cluster" spellcheck="false" value="{{$site->cluster}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Odo </label>
                    <div class="col-sm-3">
                        <input type="text" name="odo" class="form-control" placeholder="" id="odo" spellcheck="false" value="{{$site->odo}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Izvod </label>
                    <div class="col-sm-3">
                        <input type="text" name="izvod" class="form-control" placeholder="" id="izvod" spellcheck="false" value="{{$site->izvod}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Connector")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="connector" class="form-control" placeholder="" id="connector" spellcheck="false" value="{{$site->connector}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Project manager')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="project_manager" class="form-control" placeholder="" id="project_manager" spellcheck="false" value="{{$site->project_manager}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Construction manager')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="construction_manager" id="construction_manager">
                            <option value="">-- {{__('Construction manager')}} --</option>
                            @foreach($constructionManagers as $manager)
                                <option value="{{$manager->id}}" @if($site->construction_manager == $manager->id){{'selected'}} @endif>{{$manager->ime.' '.$manager->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="appointment_date" class="form-control date-picker" placeholder="" id="appointment_date" value="@if($site->appointment_date) {{date('d.m.Y.', strtotime($site->appointment_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Appointment time")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </span>
                            <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="appointment_time" name="appointment_time" value="@if($site->appointment_date){{date('H:i', strtotime($site->appointment_date))}} @endif">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="delay_date" class="form-control date-picker" placeholder="" id="delay_date" value="@if($site->delay_date) {{date('d.m.Y.', strtotime($site->delay_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Delay time")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </span>
                            <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="delay_time" name="delay_time" value="@if($site->delay_date){{date('H:i', strtotime($site->delay_date))}} @endif">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Realization date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="realization_date" class="form-control date-picker" placeholder="" id="realization_date" value="@if($site->realization_date) {{date('d.m.Y.', strtotime($site->realization_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date" value="@if($site->withdrawal_date) {{date('d.m.Y.', strtotime($site->withdrawal_date))}} @endif" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Image type")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="image_type" id="image_type">
                            <option value="">-- {{__("Image type")}} --</option>
                            @foreach($imageTypes as $type)
                                <option value="{{$type->id}}">{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Images")}}</label>
                    <div class="col-sm-3">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__("Change")}}</span>
                                    <span class="fileupload-new">{{__("Choose file")}}</span>
                                    <input type="file" id="images" name="images[]" multiple>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2 btn-group">
                        <button style="float:right" type="button" class="btn btn-sm btn-info btn-picture" route="{{route('add_picture')}}"
                                data-toggle="tooltip" data-placement="top"
                                data-original-title="{{__("Add image")}}">
                                <i class="fa fa-plus"></i>
                        </button>
                    </div>
                </div>
                <div class="form-group">
                    @if($isSuperAdmin)
                    <label class="col-sm-1 control-label">{{__("Insert instead worker")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="worker" id="worker" route="{{route('worker_equipment_populate')}}" data-dependent="equipment">
                            <option value="">-- {{__("Worker")}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}" <?php if ($worker->id == $site->id_user) echo 'selected = "selected"' ?>>{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    @endif
                    <label class="col-sm-1 control-label">{{__("File")}}</label>
                    <div class="col-sm-3">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__("Change")}}</span>
                                    <span class="fileupload-new">{{__("Choose file")}}</span>
                                    <input type="file" id="document" name="document"/>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class='form-group'>
                    <label class="col-sm-1 control-label">{{__("Category")}} </label>
                    <div class="col-sm-3">
                    <select class="form-control populate dynamic" data-plugin-selectTwo name="equipment_category" id="equipment_category" 
                    route="{{route('equipment_populate')}}" data-dependent="equipment">
                            <option value="0">-- {{__("Category")}} --</option>
                            @foreach($equipmentCategories as $cat)
                                <option value="{{$cat->id}}">{{$cat->category}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Equipment")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                            <option value="">-- {{__("Equipment")}} --</option>
                            @if(!$isAdmin)
                                @foreach($workerEquipment as $equip)
                                    <option value="{{$equip->equipment_id}}">{{$equip->equipment}} (kom: {{$equip->quantity}})</option>
                                @endforeach
                            @endif
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Quantity")}}</label>
                    <div class="col-sm-1">
                        <input type="text" class="form-control" name="equipment_quantity" id="equipment_quantity">
                    </div>
                    <div class="col-sm-1 btn-group">
                    <button type="button" class="btn btn-sm btn-success btn-equipment" route="{{route('add_construction_equipment')}}"
                            data-toggle="tooltip" data-placement="top"
                            data-original-title="{{__("Add equipment")}}">
                            <i class="fa fa-plus"></i>
                    </button>
                    </div>
                </div>
                <div class='form-group'>
                    <label class="col-sm-1 control-label">{{__("Work type")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate dynamic" data-plugin-selectTwo name="work_category" id="work_category" 
                        route="{{route('work_populate')}}" data-dependent="work">
                            <option value="0">-- {{__("Work type")}} --</option>
                            @foreach($workCategories as $cat)
                                <option value="{{$cat->id}}">{{$cat->category}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Works")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="work" id="work">
                            <option value="">-- {{__("Works")}} --</option>
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Quantity")}}</label>
                    <div class="col-sm-1">
                        <input type="text" class="form-control" name="work_quantity" id="work_quantity">
                    </div>
                    <div class="col-sm-1 btn-group">
                        <button type="button" class="btn btn-sm btn-warning btn-work" route="{{route('add_construction_work')}}"
                            data-toggle="tooltip" data-placement="top"
                            data-original-title="{{__("Add work")}}">
                            <i class="fa fa-plus"></i>
                        </button>
                    </div>
                </div>
            </div>
        </form>
    </section>

    {{--<div id="listingModal" class="modal-block modal-full-color modal-block-warning mfp-hide">--}}
    {{--<section class="panel">--}}
    {{--<header class="panel-heading">--}}
    {{--<h2 class="panel-title">{{__("Client edit history")}}</h2>--}}
    {{--</header>--}}
    {{--<div class="panel-body">--}}
    {{--<div class="modal-wrapper">--}}
    {{--<div class="modal-icon">--}}
    {{--<i class="fa fa-eye"></i>--}}
    {{--</div>--}}
    {{--<div class="modal-text">--}}
    {{--@foreach($history as $edit)--}}
    {{--<p>{{$edit->user_ime.' '.$edit->user_prezime.' ('.date('d.m.Y. H:i:s', strtotime($edit->edit_time)).')'}}</p>--}}
    {{--@endforeach--}}
    {{--</div>--}}
    {{--</div>--}}
    {{--</div>--}}
    {{--<footer class="panel-footer">--}}
    {{--<div class="row">--}}
    {{--<div class="col-md-12 text-right">--}}
    {{--<button class="btn btn-default modal-dismiss">{{__("Close")}}</button>--}}
    {{--</div>--}}
    {{--</div>--}}
    {{--</footer>--}}
    {{--</section>--}}
    {{--</div>--}}
    {{--<div id="deviceLogModal" class="modal-block modal-full-color modal-block-info mfp-hide">--}}
    {{--<section class="panel">--}}
    {{--<header class="panel-heading">--}}
    {{--<h2 class="panel-title">{{__("Device logs")}}</h2>--}}
    {{--</header>--}}
    {{--<div class="panel-body">--}}
    {{--<div class="modal-wrapper">--}}
    {{--<div class="modal-icon">--}}
    {{--<i class="fa fa-eye"></i>--}}
    {{--</div>--}}
    {{--<div class="modal-text">--}}
    {{--@foreach($deviceLog as $log)--}}
    {{--<p>{{$log->serijski_broj.' ('.$log->uredjaj.')'.' ('.date('d.m.Y. H:i:s', strtotime($log->created_at)).' - '.$log->ime.' '.$log->prezime.')'}}</p>--}}
    {{--@endforeach--}}
    {{--</div>--}}
    {{--</div>--}}
    {{--</div>--}}
    {{--<footer class="panel-footer">--}}
    {{--<div class="row">--}}
    {{--<div class="col-md-12 text-right">--}}
    {{--<button class="btn btn-default modal-dismiss">{{__("Close")}}</button>--}}
    {{--</div>--}}
    {{--</div>--}}
    {{--</footer>--}}
    {{--</section>--}}
    {{--</div>--}}
    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Comments")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{__("Comment")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$comment->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$images->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Images")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                <div class="col-md-2" style="overflow: auto;">
                    <div class="popup-gallery">
                        <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description}}" rel="group1">
                            <div class="img-responsive">
                                <img src="{{$img->url}}" width="105">
                            </div>
                        </a>
                    </div>
                    <div class="btn-group">
                        <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                        <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-rotate-image" imageId="{{$img->id}}" data-param="construction"><i class="fa fa-rotate-right"></i></button>
                    </div>
                </div>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Files")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                        <a href="#deleteFileModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-file" style="color:red" fileId="{{$file->id}}"><i class="fa fa-trash-o"></i></a>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Code")}}</th>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Quantity")}}</th>
                        <th>{{__("Price")}}</th>
                        <th>{{__("Total")}}</th>
                        @if($isSuperAdmin)
                        <th></th>
                        @endif
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipment as $equip)
                        <tr class="gradeX">
                            <td>{{$equip->code}}</td>
                            <td>{{$equip->equipment}}</td>
                            <td>{{$equip->quantity}}</td>
                            @if ($superAdminOnly)
                                <td>{{number_format($equip->price, 2, ',', '.')}}</td>
                                <td>{{number_format($equip->sum, 2, ',', '.')}}</td>
                            @else
                                <td>/</td>
                                <td>/</td>
                            @endif
                            @if($isSuperAdmin)
                            <td class="btn-center">
                                <a href="#deleteEquipment" class="modal-basic mb-xs mt-xs mr-xs btn-delete-e-w" style="color:red"
                                    data-toggle="tooltip" data-placement="top" param="equipment" ewId="{{$equip->id_equipment}}"
                                    data-original-title="{{__("Delete")}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                            @endif
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif
    @if(!$works->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Works")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Code")}}</th>
                        <th>{{__("Works")}}</th>
                        <th>{{__("Quantity")}}</th>
                        <th>{{__("Unit")}}</th>
                        <th>{{__("Price")}}</th>
                        <th>{{__("Total")}}</th>
                        @if($isSuperAdmin)
                        <th></th>
                        @endif
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($works as $work)
                        <tr class="gradeX">
                            <td>{{$work->code}}</td>
                            <td>{{$work->work}}</td>
                            <td>{{$work->quantity}}</td>
                            <td>{{$work->unit_short}}</td>
                            @if ($superAdminOnly)
                                <td>{{number_format($work->price, 2, ',', '.')}}</td>
                                <td>{{number_format($work->sum, 2, ',', '.')}}</td>
                            @else
                            <td>/</td>
                            <td>/</td>
                            @endif
                            @if($isSuperAdmin)
                            <td class="btn-center">
                                <a href="#deleteEquipment" class="modal-basic mb-xs mt-xs mr-xs btn-delete-e-w"  style="color:red"
                                    data-toggle="tooltip" data-placement="top" param="work" ewId="{{$work->id_construction_work}}"
                                    data-original-title="{{__("Delete")}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                            @endif
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif

    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_comment')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_construction_image')}}">
            <input type="hidden" name="id_image" id="id_image">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete image?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteFileModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_file')}}">
            <input type="hidden" name="id_file" id="id_file">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete file?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteEquipment" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_equipment_works')}}">
            <input type="hidden" name="id_equipment" id="id_equipment">
            <input type="hidden" name="id_construction_work" id="id_construction_work">
            <input type="hidden" name="id_site" id="id_site" value="{{$site->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete ")}}{{__("equipment/work")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection
