@extends('layouts.app')
@section('content')

<script type="text/javascript">
    $(document).ready(function(){
        $('#btnImport').click(function(){
            $('#loading').show();
        });
    });
</script>
<form class="form-horizontal form-bordered" action="{{route('import_construction', ['param' => 'works'])}}" enctype="multipart/form-data" method="POST">
    <div class="row">
        <div class="col-lg-12">
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">{{__("Import work prices")}}</h2>
                    <div class="panel-actions">
                        <button type="submit" class="btn btn-warning" id="btnImport">{{__("Import")}} <i class="fa fa-database"></i></button>
                    </div>
                </div>
                <div class="panel-body">
                    @csrf
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("File")}} <span class="required">*</span></label>
                        <div class="col-sm-4">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                <span class="fileupload-exists">{{__("Change")}}</span>
                                <span class="fileupload-new">{{__("Choose file")}}</span>
                                <input type="file" id="import" name="import"/>
                            </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                                </div>
                            </div>
                        </div>
                        <label class="col-sm-2 control-label">{{__("Area")}} <span class="required">*</span></label>
                        <div class="col-sm-4">
                            <select class="form-control populate"  name="area" id="area">
                                <option value="">-- {{__("Area")}} --</option>
                                @foreach($areas as $area)
                                    <option value="{{$area->id}}"?>{{$area->area}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Currency")}} <span class="required">*</span></label>
                        <div class="col-sm-4">
                            <select class="form-control populate"  name="currency" id="currency">
                                <option value="">-- {{__("Currency")}} --</option>
                                @foreach($currencies as $cur)
                                    <option value="{{$cur->id}}">{{$cur->currency_short}}</option>
                                @endforeach
                            </select>
                        </div>
                        <label class="col-sm-2 control-label">{{__("Price date")}} </label>
                        <div class="col-sm-4">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="price_date" class="form-control date-picker" placeholder="" id="price_date"/>
                            </div>
                            <p>*{{__("if empty, prices will be imported with today's date")}}</p>
                        </div>
                    </div>
                </div>
                @if(isset($errorMessages))
                    <div class="panel-body">
                        <div class="col-sm-12">
                            <h2 class="import-error">{{__("Import failed")}}!</h2>
                        </div>
                        @foreach($errorMessages as $error)
                            <div class="com-sm-12">
                                <p class="import-error">{{$error}}</p>
                            </div>
                        @endforeach
                    </div>
                @endif
            </section>
            <div class="tabs">
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#code" data-toggle="tab"><i class="fa fa-calendar"></i> {{__("Code")}}</a>
                    </li>
                    <li>
                        <a href="#equipment" data-toggle="tab"><i class="fa fa-phone"></i> {{__("Works")}}</a>
                    </li>
                    <li>
                        <a href="#price" data-toggle="tab"><i class=""></i> {{__("Price")}}</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div id="code" class="tab-pane active">
                        <p>{{__("Code must have unique value. Spreadsheet cells have to be formatted as text")}}.</p>
                    </div>
                    <div id="equipment" class="tab-pane">
                        <p>{{__("Work name must be the same in spreadsheet as it is in Callisto if it has no code")}}.</p>
                    </div>
                    <div id="price" class="tab-pane">
                        <p>{{__("Price must be a real number. Decimals have to be separated by point if Spreadsheet cell is formatted like number")}}.</p>
                    </div>
                </div>
            </div>
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">{{__("Correct order in Excel table")}}</h2>
                    <div class="panel-actions">
                        <a href="{{route('mustra', ['param' => 'construction_prices'])}}"><button type="button" class="btn btn-success">{{__("Template")}} <i class="fa fa-download"></i></button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-sm-12">
                        <p>{{__("Code")}}
                            / {{__("Works")}}
                            / {{__("Price")}}
                    </div>
                </div>
            </section>
        </div>
    </div>
</form>

@endsection