@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete-delivery-note').click(function () {
                var id = $(this).attr("deliveryId");
                $('#id_delivery_note').val(id);
            });
            $('.btn-edit').click(function () {
                $('#e_id').val($(this).attr("deliveryId"));
                $('#e_acceptor').val($(this).attr("acceptor"));
                $('#e_company').val($(this).attr("company"));
                $('#e_reg_no').val($(this).attr("regNo"));
                $('#e_id_no').val($(this).attr("idNo"));
            });
        });
    </script>
    <form id="form" method="post" action="{{route('add_delivery_note')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>
                <h2 class="panel-title">{{__("Add new delivery note")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Storekeeper")}} </label>
                    <div class="col-sm-4">
                        <input type="text" readonly name="username" value="{{$currentUser}}" class="form-control" placeholder="" id="username" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Company name")}} </label>
                    <div class="col-sm-4">
                        <input type="text" name="company" class="form-control" placeholder="" id="company" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Goods taken by")}} </label>
                    <div class="col-sm-4">
                        <input type="text" name="acceptor" class="form-control" placeholder="" id="acceptor" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("ID no.")}} </label>
                    <div class="col-sm-4">
                        <input type="text" name="id_no" class="form-control" placeholder="" id="id_no" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Plate number")}} </label>
                    <div class="col-sm-4">
                        <input type="text" name="reg_no" class="form-control" placeholder="" id="reg_no" spellcheck="false"/>
                    </div>
                </div>

            </div>
        </section>
    </form>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Delivery notes")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Storekeeper")}}</th>
                        <th class="text-center">{{__("Goods taken by")}}</th>
                        <th class="text-center">{{__("Created at")}}</th>
                        <th class="text-center"></th>
                    </tr>
                    </thead>
                    @foreach($deliveryNotes as $dn)
                        <tr>
                            <td class="text-center">{{$dn->id.'.'}}</td>
                            <td class="text-center">{{$dn->storekeeper_name.' '.$dn->storekeeper_surname}}</td>
                            <td class="text-center">{{$dn->acceptor}}</td>
                            <td class="text-center">@if($dn->created_at){{date('d.m.Y. H:i:s', strtotime($dn->created_at))}}@endif</td>
                            <td class="btn-center">
                                <a href="{{route('delivery_notes_equipment',['deliveryId' => $dn->id, 'acceptor' => $dn->acceptor])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-plus"></i></button></a>
                                <a href="#deliveryModal" class="modal-with-form mb-xs mt-xs mr-xs btn btn-success btn-edit btn-sm"
                                   deliveryId="{{$dn->id}}" regNo="{{$dn->reg_no}}" acceptor="{{$dn->acceptor}}" idNo="{{$dn->id_no}}"
                                   company="{{$dn->company}}"><i class="fa fa-edit"></i>
                                </a>
                                <a href="#deleteDeliveryModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-delivery-note btn-sm" deliveryId="{{$dn->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$deliveryNotes->links()}}
                </div>
            </div>
        </div>
    </section>

    <div id="deleteDeliveryModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_delivery_note', 'test')}}">
            <input type="hidden" name="id_delivery_note" id="id_delivery_note">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deliveryModal" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit delivery note")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('edit_delivery_note')}}">
                <input type="hidden" id="e_id" name="e_id">
                @csrf
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Company")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_company" id="e_company" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Goods taken by")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_acceptor" id="e_acceptor" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("ID no.")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_id_no" id="e_id_no" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Plate number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_reg_no" id="e_reg_no" class="form-control"/>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Save")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Cancel")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
@endsection

