@extends('layouts.app')
@section('content')

@if(!$logs->isEmpty())
<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Logs")}}</h2>
        <div class="panel-actions">
            <a href="{{route('equipment_logs_export')}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-warning">{{__("Export")}} <i class="fa fa-file-excel-o"></i></button></a>
        </div>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table mb-none">
                <thead>
                    <tr>
                        <th>{{__("Code")}}</th>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Added by")}}</th>
                        <th>{{__("Issued to fitter")}}</th>
                        <th>{{__("Receiver number")}}</th>
                        <th>{{__("From the warehouse")}}</th>
                        <th>{{__("Quantity")}}</th>
                        <th>{{__("Creation date")}}</th>
                    </tr>
                </thead>
                <tbody>
                <?php $minus='color:red'; ?>
                @foreach($logs as $log)
                    <tr class="gradeX" style="text-align: center">
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->code}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->equipment}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->user_name.' '.$log->user_surname}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->fitter_name.' '.$log->fitter_surname}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->receive_number}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->from}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->quantity}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{date('d.m.Y. H:i:s', strtotime($log->created_at))}}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
</section>
@endif

@endsection