@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $('#address_search').change(function(){
                var value = $(this).val();
                if((value.length>=5)){
                    populate(value);
                }
            });
            function populate(value){
                $.ajax({
                    type	:	"GET",
                    cache	: 	false,
                    url		:	'/storage/populate',
                    data    :   {
                        'value'  : value,
                        'table' : 'kir'
                    },
                    success	: function(data){
                        $.each(data, function (key, site) {
                            $('#address').append($('<option>', {
                                value: site.id,
                                text: site.name
                            }));
//                            $('#address').selectpicker('refresh');
                        });
                    }
                });
            }
        });
    </script>

    <form id="form" method="get" action="{{route('requirement_search_result')}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" id="table" name="table" value="kir_required_equipment">
        <input type="hidden" id="site" name="site" value="kir">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Search")}} KIR</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Address")}} </label>
                    <div class="col-lg-3">
                        <input type="text" name="address_search" class="form-control" placeholder="" id="address_search" spellcheck="false"/>
                    </div>
                    <div class="col-lg-3">
                        <select name="address" class="form-control" id="address" spellcheck="false"></select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Search")}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection