@extends('layouts.app')
@section('content')
@if(!$list->isEmpty())

    <script type="text/javascript">
        $(document).ready(function(){
            $('.list-check').click(function(){
                var param = $(this).attr('param');
                var id = $(this).attr('listId');
                var equipmentId = $(this).attr('equipmentId');
                var quantity = $(this).attr('quantity');
                var supplied = $(this).attr('supplied');
                $('#param').val(param);
                $('#list_id').val(id);
                $('#equipment_id').val(equipmentId);
                $('#s_quantity').val(quantity);
                $('#supplied').val(supplied);
            });

            $('.list-undo').click(function(){
                var param = $(this).attr('param');
                var id = $(this).attr('listId');
                var equipmentId = $(this).attr('equipmentId');
                var quantity = $(this).attr('quantity');
                var supplied = $(this).attr('supplied');
                $('#param').val(param);
                $('#list_id').val(id);
                $('#equipment_id').val(equipmentId);
                $('#s_quantity').val(quantity);
                $('#supplied').val(supplied);
            });
            $('.btn-edit').click(function(){
                var demandId = $(this).attr('demandId');
                var type = $(this).attr('typeAttr');
                var constructionType = $(this).attr('constructionType');
                $('#demand_id_status').val(demandId);
                $('#type').val(type);
                $('#construction_type_e').val(constructionType);
            });
        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Requirement")}}</h2>
            <div class="panel-actions">
                <a href="{{route('requirement_export', ['site' => $site])}}"><button class="btn btn-warning">{{__("Export")}} <i class="fa fa-print"></i></button></a>
            </div>
        </header>
        @csrf
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table mb-none">
                    <thead>
                    <tr>
                        <th>{{__("Code")}}</th>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Demands")}}</th>
                        <th>{{__("Fitter")}}</th>
                        <th>{{__("Appointment date")}}</th>
                        <th>{{__("Quantity")}} </th>
                        <th>{{__("Supplied by")}}</th>
                        <th>{{__("Construction site")}}</th>
                        <th>{{__("Supplied by")}}</th>
                        <th>{{__("Created at")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($list as $l)
                        <?php
                        if($l->supplied == 1){
                            $color='color:green';
                        }
                        elseif($l->ready == 1){
                            $color = 'color:orange';
                        }
                        else {
                            $color='color:red';
                        }
                        ?>
                        <tr class="gradeX" style="text-align: center">
                            <td style="{{$color}}">{{$l->code}}</td>
                            <td style="{{$color}}">{{$l->equipment}}</td>
                            <td style="{{$color}}">{{$l->require_name.' '.$l->require_surname}}</td>
                            @if($l->supplied_to_name)
                                <td style="{{$color}}">{{$l->supplied_to_name.' '.$l->supplied_to_surname}}</td>
                            @else
                            <td style="{{$color}}">@if($l->fitter_name) ({{__('vertical')}}) {{$l->fitter_name.' '.$l->fitter_surname}} @endif 
                                @if($l->splicing_name) @if($l->fitter_name) / ({{__('splicing')}}) @endif {{$l->splicing_name.' '.$l->splicing_surname}}@endif</td>
                            @endif
                            <td style="{{$color}}">@if($l->appointment_date_vertical){{date('d.m.Y. H:i:s', strtotime($l->appointment_date_vertical))}}@endif</td>
                            <td style="{{$color}}">@if($l->edited_quantity>0)<del>{{$l->quantity}}</del> {{$l->edited_quantity}} @else {{$l->quantity}} @endif</td>
                            <td style="{{$color}}">{{$l->supplied_quantity}}</td>
                            <td style="{{$color}}">{{$l->construction_site}}</td>
                            <td style="{{$color}}">{{$l->supply_name.' '.$l->supply_surname}}</td>
                            <td style="{{$color}}">{{date('d.m.Y. H:i:s', strtotime($l->created_at))}}</td>
                            <td>
                                <a href="#requiredEquipmentModal" class="modal-basic list-check" param="check" listId="{{$l->id}}" equipmentId="{{$l->equipment_id}}" @if($l->edited_quantity>0) quantity="{{$l->edited_quantity}}" 
                                  @else quantity="{{$l->quantity}}" @endif supplied="{{$l->supplied}}" data-toggle="tooltip" data-placement="top" data-original-title="{{__("Transfer equipment to worker")}}">
                                    <button><i class="fa fa-check"></i></button>
                                </a>
                                <a href="#requiredEquipmentModal" class="modal-basic list-undo" param="undo" listId="{{$l->id}}" equipmentId="{{$l->equipment_id}}" @if($l->edited_quantity>0) quantity="{{$l->edited_quantity}}" 
                                    @else quantity="{{$l->quantity}}" @endif supplied="{{$l->supplied}}"  data-toggle="tooltip" data-placement="top" data-original-title="{{__("Return equipment to warehouse")}}">
                                    <button><i class="fa fa-backward"></i></button>
                                </a>
                                <a href="#editModal" class="modal-basic">
                                    <button type="button" class="btn-edit", demandId="{{$l->id}}"
                                            typeAttr="hw_equipment" constructionType="{{$site}}" data-toggle="tooltip" data-placement="top" data-original-title="{{__("Edit")}}"> <i class="fa fa-pencil"></i>
                                    </button>
                                </a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$list->appends(request()->query())->links()}}
                </div>
            </div>
        </div>
    </section>
    <div id="requiredEquipmentModal" class="modal-block modal-block-primary mfp-hide">
        <form name="change-type-form" method="post" action="{{route('required_equipment_supply')}}">
            {{ csrf_field() }}
            <input type="hidden" name="param" id="param">
            <input type="hidden" name="list_id" id="list_id">
            <input type="hidden" name="equipment_id" id="equipment_id">
            <input type="hidden" name="s_quantity" id="s_quantity">
            <input type="hidden" name="supplied" id="supplied">
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Give equipment to worker")}}</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Worker")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="worker" id="worker" data-plugin-selectTwo>
                                @foreach($workers as $worker)
                                    <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Warehouse")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="storage" id="storage">
                                @foreach($storages as $storage)
                                    <option value="{{$storage->id}}">{{$storage->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="editModal" class="modal-block modal-block-primary mfp-hide">
        <form name="change-status" method="post" action="{{route('demand_item_update')}}">
            {{ csrf_field() }}
            <input type="hidden" name="demand_id_status" id="demand_id_status">
            <input type="hidden" name="type" id="type">
            <input type="hidden" name="construction_type_e" id="construction_type_e">
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Edit")}}</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-lg-2 control-label">{{__("Quantity")}} </label>
                        <div class="col-lg-10">
                            <input type="text" name="quantity" id="quantity" class="form-control" placeholder="{{__("Leave empty if you don't want to change value")}}...">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Ready")}} </label>
                        <div class="col-sm-3">
                            <div class="switch switch-warning">
                                <input type="checkbox" name="e_ready" id="e_ready" data-plugin-ios-switch checked/>
                            </div>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endif
@endsection