@extends('layouts.app')
@section('content')

    @if(!empty($stockpile))
        @foreach($stockpile as $storage=>$stock)
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{$storage}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped table-condensed mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Code")}}</th>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Quantity")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($stock as $st)
                            <tr class="gradeX" style="text-align: center">
                                <td>{{$st['code']}}</td>
                                <td>{{$st['equipment']}}</td>
                                <td>{{$st['quantity']}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
        @endforeach
    @endif

    @if(!empty($availableGoods))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Available equipment (storage equipment + worker equipment)")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped table-condensed mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Code")}}</th>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Quantity")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($availableGoods as $ag)
                            <tr class="gradeX" style="text-align: center">
                                <td>{{$ag['code']}}</td>
                                <td>{{$ag['equipment']}}</td>
                                <td>{{$ag['quantity']}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif

    @if(!empty($usedEquipment))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Used equipment")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped table-condensed mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Code")}}</th>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Quantity")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($usedEquipment as $ue)
                            <tr class="gradeX" style="text-align: center">
                                <td>{{$ue->code}}</td>
                                <td>{{$ue->equipment}}</td>
                                <td>{{$ue->quantity}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif

    @if(!empty($allGoods))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("All goods (used + available")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped table-condensed mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Code")}}</th>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Quantity")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($allGoods as $ag)
                            <tr class="gradeX" style="text-align: center">
                                <td>{{$ag['code']}}</td>
                                <td>{{$ag['equipment']}}</td>
                                <td>{{$ag['quantity']}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif

@endsection