@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('#equipment_category').val(0);
        $('#equipment_category').change(function(){
            $('#equipment').empty();
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id,
                        'dependent' : dependent
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });

        $('.btn-equipment').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var idEquipment = $('#equipment').val();
            var receiveNumber = $('#receive_number').val();
            var from = $('#from').val();
            var quantity = $('#equipment_quantity').val();
            var operation = $(this).data('operation');
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'equipmentId' : idEquipment,
                    'quantity' : quantity,
                    'magId' : '{{$storage->id}}',
                    'receive_number' : receiveNumber,
                    'from' : from,
                    '_token' : _token,
                    'param' : 'storage',
                    'operation' : operation
                },
                success	: function(result){
                    alert(result);
                    document.location.reload();
                }
            });
        });
        $('#btn_enable_log_search').click(function(){
            $('#log_search').fadeIn(1000);
        });

        $('#btn_disable_log_search').click(function(){
            $('#log_search').fadeOut(1000);
        });
//        $('#equipment').keyup(function(event){
//            if(event.keyCode == '13'){
//                alert("uspeh");
//            }
//        });
//        $('#equipment').select2({
//            closeOnSelect:true
//        })
    });
</script>

<form id="logs_search" action="{{route('storage_logs_search')}}" method="GET">
<input type="hidden" id="storage_id" name="storage_id" value="{{$storage->id}}">
<section class="panel" id="log_search" style="display:none">
    @csrf
    <header class="panel-heading">
        <div class="panel-actions">
            <button type="button" class="btn btn-warning" id="btn_disable_log_search" data-toggle="tooltip" data-placement="top"
                    data-original-title="Sakrij pretragu"><i class="fa fa-minus"></i></button>
            <button type="submit" class="btn btn-info btn-search-logs">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
        </div>
        <h2 class="panel-title">{{__("Log filters")}} {{$storage->naziv}} </h2>
    </header>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__("Fitter")}}</label>
            <div class="col-sm-3">
                <select class="form-control" id="fitter" name="fitter">
                    <option value="">--{{__("Fitter")}}--</option>
                    @foreach($fitters as $fitter)
                        <option value="{{$fitter->id}}">{{$fitter->ime.' '.$fitter->prezime}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__("Receiver number")}}</label>
            <div class="col-sm-3">
                <input type="text" class="form-control" name="s_receive_number" id="s_receive_number">
            </div>
            <label class="col-sm-1 control-label">{{__("From the warehouse")}}</label>
            <div class="col-sm-3">
                <input type="text" class="form-control" name="s_from" id="s_from">
            </div>
        </div>
    </div>
</section>
</form>

<section class="panel">
    <header class="panel-heading">
        <div class="panel-actions">
            <button type="button" class="btn btn-primary" id="btn_enable_log_search" data-toggle="tooltip" data-placement="top"
                    data-original-title="{{__("Search")}}"><i class="fa fa-search"></i></button>
            <a href="{{route('storage_logs', ['storage_id' => $storage->id])}}"><button type="button" class="btn btn-info">{{__('History')}} <i class="fa fa-history"></i></button></a>
        </div>
        <h2 class="panel-title">{{__('Inventory')}} {{$storage->naziv}} </h2>
    </header>
    @csrf
    <div class="panel-body">
        <div class='form-group'>
            <label class="col-sm-1 control-label">{{__('Category')}} </label>
            <div class="col-sm-3">
                <select class="form-control populate dynamic" data-plugin-selectTwo name="equipment_category" id="equipment_category"
                        route="{{route('equipment_populate')}}" data-dependent="equipment">
                    <option value="0">-- {{__('Category')}} --</option>
                    @foreach($equipmentCategories as $cat)
                        <option value="{{$cat->id}}">{{$cat->category}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__("Equipment")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                    <option value="">-- {{__("Equipment")}} --</option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__("Receiver number")}}</label>
            <div class="col-sm-3">
                <input type="text" class="form-control" name="receive_number" id="receive_number"  value="{{old('receive_number')}}">
            </div>
            <label class="col-sm-1 control-label">{{__("From the warehouse")}}</label>
            <div class="col-sm-3">
                <input type="text" class="form-control" name="from" id="from"  value="{{old('from')}}">
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__('Quantity')}}</label>
            <div class="col-sm-2">
                <input type="text" class="form-control" name="equipment_quantity" id="equipment_quantity">
            </div>
            <div class="col-sm-2 btn-group">
                <button type="button" class="btn btn-sm btn-success btn-equipment" route="{{route('fill_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="plus"
                        data-original-title="{{__('Add')}}">
                    <i class="fa fa-plus"></i>
                </button>
                <button type="button" class="btn btn-sm btn-danger btn-equipment" route="{{route('fill_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="minus"
                        data-original-title="{{__('Remove')}}">
                    <i class="fa fa-minus"></i>
                </button>
            </div>
        </div>
    </div>
</section>

@if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Inventory')}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Code")}}</th>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Quantity")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipment as $equip)
                        <tr class="gradeX">
                            <td>{{$equip->code}}</td>
                            <td>{{$equip->equipment}}</td>
                            <td>{{$equip->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection