@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('currency.update', [$currency->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit currency")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Currency")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('currency')){{'has-error'}} @endif">
                        <input type="text" name="currency" class="form-control" placeholder="" id="currency"
                               spellcheck="false" value="{{$currency->currency}}"/>
                        @if($errors->has('currency'))
                            <label for="currency" class="error">{{$errors->first('currency')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Currency")}} {{__("short")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('currency_short')){{'has-error'}} @endif">
                        <input type="text" name="currency_short" class="form-control" placeholder="" id="currency_short"
                               spellcheck="false" value="{{$currency->currency_short}}"/>
                        @if($errors->has('currency_short'))
                            <label for="currency_short" class="error">{{$errors->first('currency_short')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('currency.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection