@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.btn-de-work').click(function(){
            var workId = $(this).attr('workId');
            var operation = $(this).data('operation');
            $('#work_id').val(workId);
            $('#operation').val(operation);
        });
        $('.btn-delete-image').click(function () {
            var id = $(this).attr("imageId");
            $('#id_image').val(id);
        });
        $('.btn-delete-file').click(function () {
            var id = $(this).attr("fileId");
            $('#id_file').val(id);
        });
        $('.btn-delete-equipment').click(function () {
            var id = $(this).attr("equipmentId");
            var createdAt = $(this).attr("createdAt");
            $('#equipment_id').val(id);
            $('#created_at').val(createdAt);
        });
        $('.btn-return-equipment').click(function () {
            var id = $(this).attr("seId");
            $('#return_id').val(id);
        });
        $('.btn-delete-material').click(function () {
            var id = $(this).attr("mId");
            var createdAt = $(this).attr("createdAt");
            $('#material_id').val(id);
            $('#created_at').val(createdAt);
        });
        $('.btn-delete-device').click(function () {
            var id = $(this).attr("mountedId");
            $('#id_mounted').val(id);
        });
    });
</script>

<form id="form" method="post" action="{{route('de_construction_sites.update', $site->id) }}" class="form-horizontal" enctype="multipart/form-data">
    {{ csrf_field() }}
    <input type="hidden" name="_method" value="put">
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
            </div>
            <h2 class="panel-title">{{__("Edit")}}</h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Date")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('date')){{'has-error'}} @endif">
                    <input type="text" name="date" class="form-control date-picker" placeholder="" id="date" spellcheck="false" @if($site->date) value="{{date('d.m.Y', strtotime($site->date))}}"@endif/>
                    @if($errors->has('date'))
                        <label for="date" class="error">{{$errors->first('date')}}</label>
                    @endif
                </div>
                {{-- <label class="col-sm-1 control-label">{{__("Polisher report")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="polisher_report" class="form-control" placeholder="" id="polisher_report" spellcheck="false" value="{{$site->polisher_report}}"/>
                </div> --}}
                @if(!$isColumnLeader)
                <label class="col-sm-1 control-label">{{__("Column leader")}} </label>
                <div class="col-sm-3">
                    <select name="leader" class="form-control" id="leader" spellcheck="false">
                        <option value="">-- {{__("Column leader")}} --</option>
                        @foreach($leaders as $leader)
                            <option value="{{$leader->id}}" @if($leader->id == $site->leader) selected @endif>{{$leader->ime. ' '.$leader->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                @endif
                <label class="col-sm-1 control-label">{{__("Areas")}}</label>
                <div class="col-sm-3">
                    <select name="area" class="form-control" id="area" spellcheck="false">
                        @foreach($areas as $area)
                            <option value="{{$area->id}}" @if($area->id == $site->area) selected @endif>{{$area->area}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                @if($isSuperAdmin)
                <label class="col-sm-1 control-label">{{__("Number of workers")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="number_of_workers" class="form-control" placeholder="" id="number_of_workers" spellcheck="false" value="{{$site->number_of_workers}}"/>
                </div>
                @endif
                <label class="col-sm-1 control-label">{{__("Comment")}} </label>
                <div class="col-sm-3">
                    <textarea name="comment" id="comment" class="form-control"></textarea>
                </div>
                <label class="col-sm-1 control-label">{{__("Work").' '.__('start')}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('work_start')){{'has-error'}} @endif">
                    <input type="text" name="work_start" class="form-control" data-plugin-timepicker data-plugin-options='{ "showMeridian": false }' placeholder="" id="work_start" spellcheck="false" value="{{$site->work_start}}}}"/>
                    @if($errors->has('work_start'))
                        <label for="work_start" class="error">{{$errors->first('work_start')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Work").' '.__('end')}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('work_end')){{'has-error'}} @endif">
                    <input type="text" name="work_end" class="form-control" data-plugin-timepicker data-plugin-options='{ "showMeridian": false }' placeholder="" id="work_end" spellcheck="false" value="{{$site->work_end}}"/>
                    @if($errors->has('work_end'))
                        <label for="work_end" class="error">{{$errors->first('work_end')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("Pause")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('pause')){{'has-error'}} @endif">
                    <input type="text" name="pause" class="form-control" data-plugin-options='{ "showMeridian": false }' placeholder="{{__('In minutes')}}" id="pause" spellcheck="false" value="{{$site->pause}}"/>
                    @if($errors->has('pause'))
                        <label for="pause" class="error">{{$errors->first('pause')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("City")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="place" class="form-control" placeholder="" id="place" spellcheck="false" value="{{$site->place}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Street")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{$site->street}}"/>
                </div>
                <label class="col-sm-1 control-label">PAN </label>
                <div class="col-sm-3">
                    <select name="pan" id="pan" class="form-control populate" data-plugin-selectTwo>
                        <option value="">-- {{__("Pan")}} --</option>
                        @foreach($pans as $pan)
                            <option value="{{$pan->id}}"  @if($pan->id == $site->pan_id) selected @endif>{{$pan->pan}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__('Distributive knot')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="knot" id="knot">
                        <option value="">-- {{__("Distributive knot")}} --</option>
                        @foreach($knots as $knot)
                            <option value="{{$knot->id}}" @if($knot->id == $site->knot_id) selected @endif>{{$knot->knot}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Provider")}}</label>
                <div class="col-sm-3">
                    <select name="provider" class="form-control" id="provider" spellcheck="false">
                        <option value="">-- {{__("Provider")}} --</option>
                        @foreach($providers as $provider)
                            <option value="{{$provider->id}}" @if($provider->id == $site->provider) selected @endif>{{$provider->provider}}</option>
                        @endforeach
                    </select>
                </div>
                @if($someAdmin)
                <label class="col-sm-1 control-label">{{__("Polish date")}} </label>
                <div class="col-sm-3 @if($errors->has('polish_date')){{'has-error'}} @endif">
                    <input type="text" name="polish_date" class="form-control date-picker" placeholder="" id="polish_date" spellcheck="false" 
                    value="@if($site->polish_date){{date('d.m.Y', strtotime($site->polish_date))}}@endif"/>
                    @if($errors->has('polish_date'))
                        <label for="polish_date" class="error">{{$errors->first('polish_date')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("Polisher report")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-success">
                        <input type="checkbox" name="confirm_report" data-plugin-ios-switch @if($site->report_confirmed == 1) checked @endif/>
                    </div>
                </div>
                @endif
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Maintenance")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-info">
                        <input type="checkbox" name="maintenance" data-plugin-ios-switch @if($site->maintenance == 1) checked @endif/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__('Cluster')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="cluster" id="cluster">
                        <option value="">-- {{__("Cluster")}} --</option>
                        @foreach($clusters as $cluster)
                            <option value="{{$cluster->id}}" @if($site->cluster == $cluster->id){{'selected'}} @endif>{{$cluster->cluster}}</option>
                        @endforeach
                    </select>
                </div>
                @if($isSuperAdmin || $isAdmin)
                <label class="col-sm-1 control-label">{{__('Status')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="status" id="status">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statuses as $status)
                            <option value="{{$status->id}}" @if($site->status_id == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
                @endif
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Connection ID")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="connection_id" class="form-control" placeholder="" id="connection_id" spellcheck="false" value="{{$site->connection_id}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Work order number")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="work_order_number" class="form-control" placeholder="" id="work_order_number" spellcheck="false" value="{{$site->work_order_number}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Images")}}</label>
                <div class="col-sm-6">
                    <div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="input-append">
                            <div class="uneditable-input">
                                <i class="fa fa-file fileupload-exists"></i>
                                <span class="fileupload-preview"></span>
                            </div>
                            <span class="btn btn-default btn-file">
                                <span class="fileupload-exists">{{__('Change')}}</span>
                                <span class="fileupload-new">{{__('Choose image')}}</span>
                                <input type="file" id="images" name="images[]" multiple>
                            </span>
                            <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__('Files')}}</label>
                <div class="col-sm-6">
                    <div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="input-append">
                            <div class="uneditable-input">
                                <i class="fa fa-file fileupload-exists"></i>
                                <span class="fileupload-preview"></span>
                            </div>
                            <span class="btn btn-default btn-file">
                                <span class="fileupload-exists">{{__('Change')}}</span>
                                <span class="fileupload-new">{{__('Choose file')}}</span>
                                <input type="file" id="files" name="files[]" multiple>
                            </span>
                            <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                        </div>
                    </div>
                    </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__("Absent workers")}}:</label>
                <div class="col-sm-10">
                    @foreach($workers as $worker)
                        <p>{{$worker->name.' '.$worker->surname}}</p> 
                        <div class="switch switch-sm switch-info">
                            <input type="checkbox" name="absent_workers[{{$worker->id}}]" data-plugin-ios-switch @if(in_array($worker->id, $absentWorkers)) checked @endif/>
                        </div>
                    @endforeach
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-4">
                    <a class="modal-with-form" href="#modalAddDevice"><button type="button" class="btn btn-info inline-btn">{{__("Add device")}} <i class="fa fa-plus"></i></button></a>
                </div>
                <div class="col-sm-4">
                    <a class="modal-with-form" href="#modalEquipment"><button type="button" class="btn btn-success inline-btn">{{__("Add equipment")}} <i class="fa fa-sitemap"></i></button></a>
                </div>
                <div class="col-sm-4">
                    <a class="modal-with-form" href="#modalMaterial"><button type="button" class="btn btn-primary inline-btn">{{__("Add material")}} <i class="fa fa-sitemap"></i></button></a>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    @foreach($mountedDevices as $mont)
                        <p class="highlight devices">{{'('.strtoupper($mont->uredjaj).') '.$mont->serial}}</p>
                        @if($isAdmin)
                        <a href="#deleteDeviceModal" class="modal-basic btn btn-delete-device" style="float:right" mountedId="{{$mont->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                        <br>
                    @endforeach
                </div>
                <div class="col-sm-4">
                    @foreach($equipment as $equip)
                        <p class="highlight equipment">{{$equip->naziv.' ( '.__("quantity").': '.$equip->quantity.')'}}<br>
                        @if($isSuperAdmin)
                        <a href="#deleteEquipmentModal" class="modal-basic btn btn-delete-equipment" style="float:right" equipmentId="{{$equip->id}}" createdAt="{{$equip->created_at}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                        @if($isConstructionManager || $isSuperAdmin)
                        <a href="#returnEquipmentModal" class="modal-basic btn btn-return-equipment" style="float:right" seId="{{$equip->se_id}}"><i class="fa fa-backward" style="color: #b87e00"></i></a>
                        @endif
                        </p>
                        <br>
                    @endforeach
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                    <a href="{{route('de_construction_sites.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                </div>
            </div>
        </footer>
    </section>
</form>
@if(!$spentMaterial->isEmpty())
    <br />
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Material')}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Code')}}</th>
                        <th>{{__('Material')}}</th>
                        <th>{{__('Quantity')}}</th>
                        @if($isSuperAdmin)
                        <th></th>
                        @endif
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($spentMaterial as $mat)
                        <tr class="gradeX">
                            <td>{{$mat->code}}</td>
                            <td>{{$mat->material}}</td>
                            <td>{{$mat->quantity}}</td>
                            @if($isSuperAdmin)
                            <td class="btn-center">
                                <a href="#deleteMaterialModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-material" style="color:red"
                                    data-toggle="tooltip" data-placement="top" param="material" mId="{{$mat->id}}" createdAt="{{$mat->created_at}}"
                                    data-original-title="{{__('Delete')}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                            @endif
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif
@if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Comments')}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{__('comment')}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$comment->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$images->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__('Images')}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                <div class="col-md-2" style="overflow: auto;">
                    <div class="popup-gallery">
                        <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description}}" rel="group1">
                            <div class="img-responsive">
                                <img src="{{$img->url}}" width="105">
                            </div>
                        </a>
                    </div>
                    <div class="btn-group">
                        <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                        <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-rotate-image" imageId="{{$img->id}}" data-param="de_construction"><i class="fa fa-rotate-right"></i></button>
                    </div>
                </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__('Files')}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                        @if($isSuperAdmin)
                            <a href="#deleteFileModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-file" style="color:red" fileId="{{$file->id}}"><i class="fa fa-trash-o"></i></a>
                        @endif
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!empty($works))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title"><strong>{{__('Works')}}</strong></h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__('Code')}}</th>
                            <th>{{__('Works')}}</th>
                            <th>{{__('Unit')}}</th>
                            <th>{{__('Quantity')}}</th>
                            @if($isColumnLeader || $isSuperAdmin)
                                <th></th>
                            @endif
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($works as $work)
                            <tr class="gradeX">
                                <td>{{$work['code']}}</td>
                                <td>{{$work['work']}}</td>
                                <td>{{$work['unit']}}</td>
                                <td>{{$work['quantity']}}</td>
                                @if($isColumnLeader || $isSuperAdmin || $isConstructionManager)
                                <td class="btn-center">
                                    <div class="btn-group">
                                        <a href="#workModal" class="modal-basic" name="deWorks"><button type="button" class="btn btn-sm btn-success btn-de-work"
                                            data-toggle="tooltip" data-placement="top" data-operation="plus" data-original-title="{{__('Add work')}}"
                                            workId="{{$work['id']}}">
                                            <i class="fa fa-plus"></i>
                                        </button></a>
                                        <a href="#workModal" class="modal-basic"><button type="button" class="btn btn-sm btn-danger btn-de-work"
                                            data-toggle="tooltip" data-placement="top" data-operation="minus" data-original-title="{{__('Remove work')}}"
                                            workId="{{$work['id']}}">
                                            <i class="fa fa-minus"></i>
                                        </button></a>
                                    </div>
                                </td>
                                @endif
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif

    <!------------------------------------------------------------------------------ modals ------------------------------------------------------------------> 

    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('de_delete_comment')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('comment')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="modalAddDevice" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add device")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('add_device_construction', ['param' => 'de'])}}">
                @csrf
                <input type="hidden" value="{{$site->id}}" name="id_site" id="id_site">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Device")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="device">
                                <option value="0">-- {{__("Device")}} --</option>
                                @foreach($devices as $dev)
                                    <option value="{{$dev->id}}">{{$dev->uredjaj}}</option>
                                @endforeach 
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Serial number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="serial" class="form-control" placeholder="{{__('Serial')}}..." required/>
                        </div>
                    </div>
                    @if($isAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Fitter")}} </label>
                        <div class="col-sm-9">
                            <select class="form-control" name="fitter_device">
                                <option value="0">-- {{__("Fitter")}} --</option>
                                @foreach($leaders as $mont)
                                    <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Date of entry")}} </label>
                        <div class="col-sm-6">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="device_date" class="form-control date-picker" placeholder="" id="device_date"/>
                            </div>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" class="form-control"  id="device_time" name="device_time">
                            </div>
                        </div>
                    </div>
                @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>

    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('de_delete_image')}}">
            <input type="hidden" name="id_image" id="id_image">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete image?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="workModal" class="modal-block modal-header-color modal-block-primary mfp-hide">
        <form name="delete-form-aw" method="post" action="{{route('add_de_work')}}">
            <input type="hidden" name="site_id" id="site_id" value="{{$site->id}}">
            <input type="hidden" name="work_id" id="work_id">
            <input type="hidden" name="operation" id="operation">
            <input type="hidden" name="confirmed" id="confirmed" value="{{$site->report_confirmed}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Add / remove work')}}</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="form-group">
                            <label class="col-sm-2">{{__('Quantity')}}</label>
                            <div class="col-sm-9">
                                <input type="text" name="work_quantity" id="work_quantity" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteFileModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_de_file')}}">
            <input type="hidden" name="id_file" id="id_file">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('file')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="modalEquipment" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add equipment")}}</h2>
            </header>
            <form id="add_equipment" method="post" class="form-horizontal mb-lg" action="{{route('add_site_equipment', ['param' => 'de'])}}">
                @csrf
                <input type="hidden" value="{{$site->id}}" name="site_id" id="site_id">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Equipment")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="oprema" data-plugin-selectTwo>
                               <option value="0">-- {{__("Equipment")}} --</option>
                                @foreach($oprema as $oprem)
                                    <option value="{{$oprem->id}}">{{$oprem->naziv}} @isset($oprem->quantity){{' ('.$oprem->quantity.')'}}@endisset</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="quantity" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                        </div>
                    </div>
                    @if($isSuperAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Insert instead worker")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control populate status-select"  name="fitter_equipment" id="fitter_equipment">
                                <option value="">-- {{__("Fitter")}} --</option>
                                @foreach($leaders as $worker)
                                    <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="deleteDeviceModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_device_construction', ['param' => 'de'])}}">
            <input type="hidden" name="id_mounted" id="id_mounted">
            <input type="hidden" name="id_site_d" id="id_site_d" value="{{$site->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteEquipmentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_site_equipment', ['param' => 'de'])}}">
            <input type="hidden" name="equipment_id" id="equipment_id">
            <input type="hidden" name="site_id" id="site_id" value="{{$site->id}}">
            <input type="hidden" name="created_at" id="created_at" value="">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="returnEquipmentModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="return-form" method="post" action="{{route('return_equipment_to_worker', ['param' => 'de'])}}">
            <input type="hidden" name="return_id" id="return_id">
            <input type="hidden" name="created_at_r" id="created_at_r" value="">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <p>{{__("If you want to return a certain amount of equipment, fill in this field, otherwise leave it blank")}}</p>
                    <div class="form-group">
                        <input type="text" name="return_qty" id="return_qty" class="form-control">
                    </div>
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Return")}}</h4>
                            <p>{{__("Are you sure you want to return equipment to worker?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="modalMaterial" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add material")}}</h2>
            </header>
            <form id="add_material" method="post" class="form-horizontal mb-lg" action="{{route('add_material', ['param' => 'de'])}}">
                @csrf
                <input type="hidden" value="{{$site->id}}" name="client_id" id="client_id">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Material")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="material" data-plugin-selectTwo>
                               <option value="0">-- {{__("Material")}} --</option>
                                @foreach($materials as $mat)
                                    <option value="{{$mat->id}}">{{'('.$mat->code.') '.$mat->material}} @isset($mat->quantity){{' ('.__("Qty").': '.$mat->quantity.')'}}@endisset</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="qty" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                        </div>
                    </div>
                    @if($isSuperAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Insert instead worker")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control populate status-select"  name="fitter_material" id="fitter_material"  data-plugin-selectTwo>
                                <option value="">-- {{__("Fitter")}} --</option>
                                @foreach($leaders as $worker)
                                    <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="deleteMaterialModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_material', ['param' => 'de'])}}">
            <input type="hidden" name="material_id" id="material_id">
            <input type="hidden" name="site_id" id="site_id" value="{{$site->id}}">
            <input type="hidden" name="created_at" id="created_at" value="">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection