@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $('#btn-status').click(function(){
                var param = $(this).attr('param');
                var data = $('#status').val();
                $('#param').val(param);
                $('#data').val(data);
            });

            $('#btn-confirm').click(function(){
                $('#loading').show();
            });
        });
    </script>

    <section class="panel">
        <div class="panel-heading">
            <h2 class="panel-title">{{__("Group entry")}}</h2>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <div class="col-md-2">
                    <p>{{__("Clients in session")}} (IDs):</p>
                </div>
                <div class="col-md-8">
                    @if($ids)
                        <p class="highlight">
                            @foreach($ids as $br=>$id)
                                @if(count($ids)-1 == $br)
                                    {{$id.'. '}}
                                @else
                                    {{$id.', '}}
                                @endif
                            @endforeach
                        </p>
                    @endif
                </div>
                <div class="col-sm-2">
                    <a href="{{route('clear_session', ['param' => 'de_sites'])}}"><button type="button" class="btn btn-sm btn-danger"
                                                                 data-toggle="tooltip" data-placement="top"
                                                                 data-original-title="{{__("Clear session")}}"><i class="fa fa-fire"></i></button></a>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__("Status")}}: </label>
                <div class="col-sm-4">
                    <select class="form-control populate status-select"  name="status" id="status">
                        <option value="">-- {{__("status")}} --</option>
                        @foreach($statuses as $status)
                            <option value="{{$status->id}}">{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="col-sm-2">
                    <a href="#confirmModal" class="modal-basic" id="btn-status" param="status"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
                </div>
            </div>
        </div>

    </section>

    <div id="confirmModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="groupActionForm" method="post" action="{{route('de_group_action')}}">
            <input type="hidden" name="param" id="param">
            <input type="hidden" name="data" id="data">
            @csrf
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Warning")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-exclamation"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Group entry")}}!</h4>
                            <p class="confirm-text">{{__('Are you sure you want to execute group action for').' '.__('status')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" id="btn-confirm" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection