@extends('layouts.app')
@section('content')
<section class="panel"  id="range_form">
    <form id="" method="get" class="form-horizontal mb-lg" action="{{route('de_statistic')}}">
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-2 control-label">{{__("Date")}} {{__('range')}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                        <input type="text" class="form-control date-picker" name="start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="end">
                    </div>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <button class="btn btn-primary" type="submit">{{__('Apply')}}</button>
                </div>
            </div>
        </footer>
    </form>

    <section class="panel" id="rune">
        @foreach($leaders as $leader)
        <?php $totalPerLeader = 0; $totalPerLeaderSub = 0; $statistic = $workMod->workStatistic($from, $to, $leader->id, 1);?>
        @if(!empty($statistic))
        <header class="panel-heading">
            <h2 class="panel-title">{{$leader->ime.' '.$leader->prezime}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                    <tr>
                        <th colspan="5" class="success">{{__("Works")}}</th>
                    </tr>
                </thead>
                <thead>
                <tr>
                    <th>{{__("work")}}</th>
                    <th>{{__("Quantity")}}</th>
                    @if($isSuperAdmin)
                    <th>{{__("Price")}}</th>
                    <th>{{__("Price")}} {{__("Subcontractor")}}</th>
                    @endif
                </tr>
                </thead>
                <tbody>
                
                @foreach($statistic as $stat)
                <tr>
                    <td>{{$stat->work}}</td>
                    <td style="text-align:right">{{$stat->quantity}}</td>
                    @if($isSuperAdmin)
                    <td style="text-align:right">{{number_format($stat->price, 2, ',', '.')}}</td>
                    <td style="text-align:right">{{number_format($stat->sub_price, 2, ',', '.')}}</td>
                    @endif
                    <?php
                     $totalPerLeader += $stat->price; $totalP += $stat->price;
                     $totalPerLeaderSub += $stat->sub_price; $totalPSub += $stat->sub_price;
                    ?>
                </tr>
                @endforeach
                </tbody>
                @if($isSuperAdmin)
                <tr class="success">
                    <td></td>
                    <td style="text-align:right"><strong>{{__('Total')}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalPerLeader, 2, ',', '.')}}</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalPerLeaderSub, 2, ',', '.')}}</strong></td>
                    </tr>
                @endif
                    </table>
                    </div>
        </div>
        @endif
        @endforeach
        <div class="panel-body">
            <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                @if($isSuperAdmin)
                <tr class="success">
                    <td style="text-align:right;"><strong>{{__('Total').' ('.__('Report confirmed').')'}} (I): {{number_format($totalP, 2, ',', '.')}}</strong></td>
                </tr>
                <tr class="success">
                    <td style="text-align:right;"><strong>{{__('Total').' ('.__('Report confirmed').')'}} {{__("Subcontractor")}} (I): {{number_format($totalPSub, 2, ',', '.')}}</strong></td>
                </tr>
                @endif
            </table>
            </div>
        </div>
    </section>
    <section class="panel" id="rune">
        @foreach($leaders as $leader)
        <?php $totalPerLeader = 0; $totalPerLeaderSub=0; $statistic = $workMod->workStatistic($from, $to, $leader->id, 0);?>
        @if(!empty($statistic))
        <header class="panel-heading">
            <h2 class="panel-title">{{$leader->ime.' '.$leader->prezime}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                    <tr>
                        <th colspan="5" class="warning">{{__("Works")}}</th>
                    </tr>
                </thead>
                <thead>
                <tr>
                    <th>{{__("work")}}</th>
                    <th>{{__("Quantity")}}</th>
                    @if($isSuperAdmin)
                    <th>{{__("Price")}}</th>
                    <th>{{__("Price")}} {{__("Subcontractor")}}</th>
                    @endif
                </tr>
                </thead>
                <tbody>
                
                @foreach($statistic as $stat)
                <tr>
                    <td>{{$stat->work}}</td>
                    <td style="text-align:right">{{$stat->quantity}}</td>
                    @if($isSuperAdmin)
                    <td style="text-align:right">{{number_format($stat->price, 2, ',', '.')}}</td>
                    <td style="text-align:right">{{number_format($stat->sub_price, 2, ',', '.')}}</td>
                    @endif
                    <?php 
                    $totalPerLeader += $stat->price; $totalN += $stat->price;
                    $totalPerLeaderSub += $stat->sub_price; $totalNSub += $stat->sub_price;
                    ?>
                </tr>
                @endforeach
                </tbody>
                @if($isSuperAdmin)
                <tr class="warning">
                    <td></td>
                    <td style="text-align:right"><strong>{{__('Total')}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalPerLeader, 2, ',', '.')}}</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalPerLeaderSub, 2, ',', '.')}}</strong></td>
                    </tr>
                @endif
            </table>
            </div>
        </div>
        @endif
        @endforeach
        @if($isSuperAdmin)
        <div class="panel-body">
            <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <tr class="warning">
                    <td style="text-align:right"><strong>{{__('Total').' ('.__('Report not confirmed').')'}} (II): {{number_format($totalN, 2, ',', '.')}}</strong></td>
                </tr>
                <tr class="warning">
                    <td style="text-align:right"><strong>{{__('Total').' ('.__('Report not confirmed').')'}} {{__("Subcontractor")}} (II): {{number_format($totalNSub, 2, ',', '.')}}</strong></td>
                    </tr>
            </table>
            </div>
            </div>
        @endif
        @if($isSuperAdmin)
        <div class="panel-body">
            <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <tr style="background-color: #9b9fdd">
                    <td style="text-align:right; color:white"><strong>{{__('Total')}} (I+II): {{number_format($totalP+$totalN, 2, ',', '.')}}</strong></td>
                </tr>
                <tr style="background-color: #9b9fdd">
                    <td style="text-align:right; color:white"><strong>{{__('Total')}} {{__("Subcontractor")}} (I+II): {{number_format($totalPSub+$totalNSub, 2, ',', '.')}}</strong></td>
                </tr>
            </table>
            </div>
        </div>
        @endif
    </section>
</section>
@endsection