@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('de_works.store')}}" class="form-horizontal">
        <div class="form-group">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Add works")}} </h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Code")}} <span class="required">*</span></label>
                        <div class="col-lg-6 @if($errors->has('code')){{'has-error'}} @endif">
                            <input type="text" name="code" class="form-control" placeholder="" id="code"
                                   spellcheck="false"/>
                            @if($errors->has('code'))
                                <label for="code" class="error">{{$errors->first('code')}}</label>
                            @endif
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Work")}} <span class="required">*</span></label>
                        <div class="col-lg-6 @if($errors->has('work')){{'has-error'}} @endif">
                            <input type="text" name="work" class="form-control" placeholder="" id="work"
                                   spellcheck="false"/>
                            @if($errors->has('work'))
                                <label for="work" class="error">{{$errors->first('work')}}</label>
                            @endif
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Unit")}}</label>
                        <div class="col-lg-6">
                            <select name="unit" id="unit" data-plugin-selectTwo class="form-control populate">
                                <option value="">-- {{__("Unit")}} --</option>
                                @foreach($units as $unit)
                                    <option value="{{$unit->id}}">{{$unit->unit}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Fixed")}} </label>
                        <div class="col-lg-6">
                            <select name="fixed" id="fixed" class="form-control">
                                <option value="0">{{__("NO")}}</option>
                                <option value="1">{{__("YES")}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Price")}} </label>
                        <div class="col-lg-6">
                            <input type="text" class="form-control" name="price" id="price">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Price")}} ({{__("Subcontractor")}})</label>
                        <div class="col-lg-6">
                            <input type="text" class="form-control" name="sub_price" id="sub_price">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Daily target")}} ({{__("price")}})</label>
                        <div class="col-lg-6">
                            <input type="text" class="form-control" name="target_price" id="target_price">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Provider")}}</label>
                        <div class="col-lg-6">
                            <select name="provider" id="provider" data-plugin-selectTwo class="form-control populate">
                                <option value="">-- {{__("Provider")}} --</option>
                                @foreach($providers as $provider)
                                    <option value="{{$provider->id}}">{{$provider->provider}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-sm-12 btn-confirmation">
                            <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                            <a id="icon-without-border-success" href="{{route('hw_access_work.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                        </div>
                    </div>
                </footer>
            </section>
        </div>
    </form>

@endsection