@extends('layouts.app')

@section('content')

<form id="form" method="post" action="{{route('demand_update', [$demand->id])}}" class="form-horizontal">
    {{ csrf_field() }}
    <input type="hidden" name="_method" value="put">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Edit")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Status")}} </label>
                <div class="col-lg-3">
                    <select class="form-control" id="status" name="status">
                        <option>-- {{__("Status")}} --</option>
                        @foreach($statuses as $status)
                            <option value="{{$status->id}}" @if($status->id == $demand->status) selected @endif>{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Warehouse")}} </label>
                <div class="col-lg-3">
                    <select class="form-control" id="storage" name="storage">
                        <option>-- {{__("Warehouse")}} --</option>
                        @foreach($magz as $mag)
                            <option value="{{$mag->id}}" @if($mag->id == $demand->storage_id) selected @endif>{{$mag->naziv}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Estimated send date")}} </label>
                <div class="col-lg-3">
                    <input type="text" name="estimated_send_date" class="form-control date-picker" p
                           laceholder="" id="estimated_send_date"  spellcheck=""
                           @if($demand->estimated_send_date) value="{{date('d.m.Y', strtotime($demand->estimated_send_date))}}" @endif/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Comment")}} </label>
                <div class="col-lg-3">
                    <textarea name="comment" id="comment" class="form-control"></textarea>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                    <a href="{{route('demand_warehouse')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                </div>
            </div>
        </footer>
    </section>
</form>

@endsection