@extends('layouts.app')
@section('content')
    <form id="form" method="post" action="{{route('store_demand')}}" class="form-horizontal">
        @csrf
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Demand")}}</h2>
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Create")}}</button>
                </div>
            </header>
            <div class="panel-body">
                @if($isSuperAdmin)
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("Fitter")}}</label>
                        <div class="col-sm-4">
                            <select type="select" name="fitter" class="form-control" id="fitter" spellcheck="false" data-plugin-selectTwo>
                                <option></option>
                                @foreach($fitters as $fitter)
                                    <option value="{{$fitter->id}}">{{$fitter->ime.' '.$fitter->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                @endif
            </div>
        </section>
    </form>

    @if(!$demands->isEmpty())
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Demands")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Number")}}</th>
                            @if($isSuperAdmin)
                                <th>{{__("Fitter")}} </th>
                            @endif
                            <th>{{__("Status")}} </th>
                            <th>{{__("Warehouse")}} </th>
                            <th>{{__("Estimated send date")}} </th>
                            <th>{{__("Created at")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($demands as $d)
                            <tr class="gradeX" style="text-align:center">
                                <td>{{$d->id}}</td>
                                @if($isSuperAdmin)
                                    <td>{{$d->name.' '.$d->surname}}</td>
                                @endif
                                <td>{{$d->status}}</td>
                                <td>{{$d->storage}}</td>
                                <td>@if($d->estimated_send_date) {{date('d.m.Y.', strtotime($d->estimated_send_date))}} @endif</td>
                                <td>@if($d->created_at) {{date('d.m.Y. H:i:s', strtotime($d->created_at))}} @endif</td>
                                <td>

                                    <a href="{{route('demand_personal_list', [$d->id])}}" class="btn btn-info"
                                       data-toggle="tooltip" data-placement="top" data-original-title="{{__("Info")}}">
                                        <i class="fa fa-info"></i>
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div class="row datatables-footer">
                        <div class="col-sm-12 col-md-6">
                            {{$demands->links()}}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    @endif

@endsection