@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('device.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add device")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Device")}}: <span class="required">*</span></label>
                    <div class="col-lg-4 @if($errors->has('device')){{'has-error'}} @endif">
                        <input type="text" name="device" class="form-control" placeholder="" id="device" spellcheck="false"/>
                        @if($errors->has('device'))
                            <label for="device" class="error">{{$errors->first('device')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Type")}}: </label>
                    <div class="col-lg-4">
                        <select name="type" id="type" class="form-control">
                            <option value="">-- {{__("Equipment type")}} --</option>
                            @foreach($types as $type)
                                <option value="{{$type->id}}">{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Category")}}: </label>
                    <div class="col-lg-4">
                        <select name="category" id="category" class="form-control">
                            @foreach($categories as $cat)
                                <option value="{{$cat->id}}">{{$cat->category}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Origin")}}: </label>
                    <div class="col-lg-4">
                        <select name="origin" id="origin" class="form-control">
                            <option value="">-- {{__("Origin")}} --</option>
                            @foreach($origin as $o)
                                <option value="{{$o->id}}">{{$o->origin}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Price")}}: </label>
                    <div class="col-lg-4 @if($errors->has('price')){{'has-error'}} @endif">
                        <input type="text" name="price" class="form-control" placeholder="" id="price" spellcheck="false"/>
                        @if($errors->has('price'))
                            <label for="price" class="error">{{$errors->first('price')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('device.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection