@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('device.update', [$device->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add device")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Device")}} <span class="required">*</span></label>
                    <div class="col-lg-5 @if($errors->has('device')){{'has-error'}} @endif">
                        <input type="text" name="device" class="form-control" placeholder="" id="device"
                               spellcheck="false" value="{{$device->uredjaj}}"/>
                        @if($errors->has('device'))
                            <label for="device" class="error">{{$errors->first('device')}}</label>
                        @endif
                    </div>
                    <label class="col-lg-1 control-label">{{__("Equipment type")}}: </label>
                    <div class="col-lg-5">
                        <select name="type" id="type" class="form-control">
                            <option value="">-- {{__("Equipment type")}} --</option>
                            @foreach($types as $type)
                                <option value="{{$type->id}}" @if($type->id == $device->type_id){{'selected'}}@endif>{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Category")}}: </label>
                    <div class="col-lg-5">
                        <select name="category" id="category" class="form-control">
                            <option value="">-- {{__("Category")}} --</option>
                            @foreach($categories as $category)
                                <option value="{{$category->id}}" @if($category->id == $device->category_id){{'selected'}}@endif>{{$category->category}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-lg-1 control-label">{{__("Origin")}}: </label>
                    <div class="col-lg-5">
                        <select name="origin" id="origin" class="form-control">
                            <option value="">-- {{__("Origin")}} --</option>
                            @foreach($origin as $o)
                                <option value="{{$o->id}}" @if($o->id == $device->origin_id){{'selected'}}@endif>{{$o->origin}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Price")}}: </label>
                    <div class="col-lg-5 @if($errors->has('price')){{'has-error'}} @endif">
                        <input type="text" name="price" class="form-control" placeholder="" id="price" spellcheck="false" value="{{$device->price}}"/>
                        @if($errors->has('price'))
                            <label for="price" class="error">{{$errors->first('price')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('device.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection