@extends('layouts.app')

@section('content')

<form id="form" method="post" action="{{route('doc_work.update', [$work->id])}}" class="form-horizontal">
    {{ csrf_field() }}
    <input type="hidden" name="_method" value="put">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Edit works")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Code")}} <span class="required">*</span></label>
                <div class="col-lg-6 @if($errors->has('code')){{'has-error'}} @endif">
                    <input type="text" name="code" class="form-control" placeholder="" id="code"
                           spellcheck="false" value="{{$work->code}}"/>
                    @if($errors->has('code'))
                        <label for="code" class="error">{{$errors->first('code')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Work")}} <span class="required">*</span></label>
                <div class="col-lg-6 @if($errors->has('work')){{'has-error'}} @endif">
                    <input type="text" name="work" class="form-control" placeholder="" id="work"
                           spellcheck="false" value="{{$work->work}}"/>
                    @if($errors->has('work'))
                        <label for="work" class="error">{{$errors->first('work')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Unit")}} </label>
                <div class="col-lg-6">
                    <select name="unit" id="unit" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Unit")}} --</option>
                        @foreach($units as $unit)
                            <option value="{{$unit->id}}" <?php if ($unit->id == $work->unit_id) echo 'selected = "selected"' ?>>{{$unit->unit}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Fixed")}} </label>
                <div class="col-lg-6">
                    <select name="fixed" id="fixed" class="form-control">
                        <option value="">{{__("NO")}}</option>
                        <option value="1" @if($work->fixed) selected @endif>{{__("YES")}}</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Price")}} </label>
                <div class="col-lg-6">
                    <input type="text" class="form-control" name="price" id="price" value="{{$work->price}}">
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                    <a href="{{route('doc_work.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                </div>
            </div>
        </footer>
    </section>
</form>

@endsection