@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-accept').click(function () {
                $('#import_name').empty();
                var id = $(this).attr("acceptId");
                var namePhone = $(this).attr("namePhone");
                var nameAdsl = $(this).attr("nameAdsl");
                var nameIptv = $(this).attr("nameIptv");
                if(namePhone != ' '){
                    $('#import_name').append(`<option value="${namePhone}">${namePhone}</option>`);
                }
                if(nameAdsl != ' '){
                    $('#import_name').append(`<option value="${nameAdsl}">${nameAdsl}</option>`);
                }
                if(nameIptv != ' '){
                    $('#import_name').append(`<option value="${nameIptv}">${nameIptv}</option>`);
                }
                $('#fobos_accept').val(id);
            });
            $('.btn-return').click(function () {
                var id = $(this).attr("returnId");
                $('#fobos_return').val(id);
            });
        });
    </script>


    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Clients")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Client")}}</th>
                        <th>{{__("Network group")}}</th>
                        <th>{{__("Installation address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Packet")}}</th>
                        <th>{{__("Seller")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                        @foreach($clients as $client)
                        <?php
                            $marker = '';
                            if($client->accepted == 1) {
                                $marker = 'marker-green';
                            }
                            if($client->expedited == 1) {
                                $marker = 'marker-gray';
                            }
                        ?>
                        <tr class="gradeX {{$marker}}">
                            <td>{{$client->name.' '.$client->surname}}</td>
                            <td>{{$client->network_group}}</td>
                            <td>{{$client->street.' '.$client->home_no}}</td>
                            <td>@if($client->tel1) {!! nl2br('Fiksni: '.$client->tel1." \n")!!} @endif
                                @if($client->tel2) {!! 'Mob: '.nl2br($client->tel2." \n") !!} @endif @if($client->tel3) {!! 'Mob2: '.nl2br($client->tel3) !!} @endif</td>
                            <td>{{$client->packet}}</td>
                            @if($isAdmin || $isLider)
                                <td>{{$client->seller_name.' '.$client->seller_surname}}</td>
                            @endif
                            <td class="btn-center">
                                <a href="#acceptModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-success btn-accept btn-sm" acceptId="{{$client->id}}"
                                    namePhone="{{$client->name.' '.$client->surname}}". nameAdsl="{{$client->name_adsl.' '.$client->surname_adsl}}"
                                    nameIptv="{{$client->name_iptv.' '.$client->surname_iptv}}"
                                    data-toggle="tooltip" data-placement="top"
                                    data-original-title="{{__('Accept')}}"><i class="fa fa-check"></i></a>
                                <a href="#returnModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-return btn-sm" returnId="{{$client->id}}"
                                    data-toggle="tooltip" data-placement="top"
                                    data-original-title="{{__('Return')}}"><i class="fa fa-backward"></i></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    @if(is_object($clients))
                        {{$clients->links()}}
                    @endif
                </div>
            </div>
        </div>
    </section>

    <div id="acceptModal" class="modal-block modal-header-color modal-block-success mfp-hide">
        <form name="expedition" method="post" action="{{route('fobos_accept')}}">
            <input type="hidden" name="fobos_accept" id="fobos_accept">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group" style="padding-left: 20px;">
                        <div class="col-sm-12">
                            <select class="form-control" name="import_name" id="import_name">
                            </select>
                        </div>
                    </div>
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-database"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Accept request")}}</h4>
                            <p>{{__("Are you sure you want to accept request?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-success" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="returnModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="expedition" method="post" action="{{route('fobos_return')}}">
            <input type="hidden" name="fobos_return" id="fobos_return">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-backward"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Return request")}}</h4>
                            <p>{{__("Are you sure you want to return request?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
