@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.btn-delete-comment').click(function () {
                var id = $(this).attr("commentId");
                $('#id_comment').val(id);
            });
        });
    </script>
    @if(!in_array($fobos->seller_id, $sellersIds) && !$isAdmin)
        <section class="body-error error-inside">
            <div class="center-error">

                <div class="row">
                    <div class="col-md-8">
                        <div class="main-error mb-xlg">
                            <h2 class="error-code text-dark text-center text-semibold m-none">404 <i class="fa fa-file"></i></h2>
                            <p class="error-explanation text-center">{{__("Page does not exist")}}.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    @else

    <form id="form" method="post" action="{{route('fobos.update', [$fobos->id])}}" class="form-horizontal">
        <section class="panel">
            {{ csrf_field() }}
            <input type="hidden" name="_method" value="put">
                <header class="panel-heading">
                    <div class="panel-actions">
                        <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
                    </div>

                    <h2 class="panel-title">{{$fobos->seller_name.' '.$fobos->seller_surname}} - izmena</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Cluster")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="cluster" class="form-control" placeholder="" id="cluster" spellcheck="false" value="{{$fobos->cluster}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Name")}} (telefon) <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('name_phone')){{'has-error'}} @endif">
                            <input type="text" name="name_phone" class="form-control" placeholder="" id="name_phone" spellcheck="false" value="{{$fobos->name_phone}}"/>
                            @if($errors->has('name_phone'))
                                <label for="name" class="error">{{$errors->first('name_phone')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Surname")}} (telefon) <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('surname_phone')){{'has-error'}} @endif">
                            <input type="text" name="surname_phone" class="form-control" placeholder="" id="surname_phone" spellcheck="false" value="{{$fobos->surname_phone}}"/>
                            @if($errors->has('surname_phone'))
                                <label for="surname_phone" class="error">{{$errors->first('surname_phone')}}</label>
                            @endif
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Street")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{$fobos->street}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false" value="{{$fobos->home_no}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Entrance")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="enterance" class="form-control" placeholder="" id="enterance" spellcheck="false" value="{{$fobos->enterance}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Floor")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="floor" class="form-control" placeholder="" id="floor" spellcheck="false" value="{{$fobos->floor}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Flat")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="apartment" class="form-control" placeholder="" id="apartment" spellcheck="false" value="{{$fobos->apartment}}"/>
                        </div>
                        <label class="col-sm-1 control-label">Tip izvoda</label>
                        <div class="col-sm-3">
                            <input type="text" name="statement_type" class="form-control" placeholder="" id="statement_type" spellcheck="false" value="{{$fobos->statement_type}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false" value="{{$fobos->network_group}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{$fobos->tel1}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                        <div class="col-sm-3">
                            <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{$fobos->tel2}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                        <div class="col-sm-3">
                            <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{$fobos->tel3}}"/>
                        </div>
                        <label class="col-sm-1 control-label">Tis ID</label>
                        <div class="col-sm-3">
                            <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false" value="{{$fobos->tis_id}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false" value="{{$fobos->packet}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Contract expiration")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="uo_expire" class="form-control" placeholder="" id="uo_expire" spellcheck="" value="{{$fobos->uo_expire}}"/>
                        </div>
                        <label class="col-sm-1 control-label">BL</label>
                        <div class="col-sm-3">
                            <input type="text" name="black_list" class="form-control" placeholder="" id="black_list" spellcheck="false" value="@if($fobos->black_list){{'DA'}}@else{{'NE'}}@endif"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="recomended_tariff" class="form-control" placeholder="" id="recomended_tariff" spellcheck="false" value="{{$fobos->recomended_tariff}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Name")}} (adsl) </label>
                        <div class="col-sm-3">
                            <input type="text" name="name_adsl" class="form-control" placeholder="" id="name_adsl" spellcheck="" value="{{$fobos->name_adsl}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Surname")}} (adsl)</label>
                        <div class="col-sm-3">
                            <input type="text" name="surname_adsl" class="form-control" placeholder="" id="surname_adsl" spellcheck="false" value="{{$fobos->surname_adsl}}"/>
                        </div>
                        <label class="col-sm-1 control-label">TIS ID (adsl)</label>
                        <div class="col-sm-3">
                            <input type="text" name="adsl_tis_id" class="form-control" placeholder="" id="adsl_tis_id" spellcheck="false" value="{{$fobos->adsl_tis_id}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Contract expiration")}} (adsl) </label>
                        <div class="col-sm-3">
                            <input type="text" name="uo_expire_adsl" class="form-control" placeholder="" id="uo_expire_adsl" spellcheck="" value="{{$fobos->uo_expire_adsl}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Speed")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="speed" class="form-control" placeholder="" id="speed" spellcheck="false" value="{{$fobos->speed}}"/>
                        </div>
                        <label class="col-sm-1 control-label">Adsl isp</label>
                        <div class="col-sm-3">
                            <input type="text" name="adsl_isp" class="form-control" placeholder="" id="adsl_isp" spellcheck="false" value="{{$fobos->adsl_isp}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Name")}} (iptv) </label>
                        <div class="col-sm-3">
                            <input type="text" name="name_iptv" class="form-control" placeholder="" id="name_iptv" spellcheck="false" value="{{$fobos->name_iptv}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Surname")}} (iptv) </label>
                        <div class="col-sm-3">
                            <input type="text" name="surname_iptv" class="form-control" placeholder="" id="surname_iptv" spellcheck="" value="{{$fobos->surname_iptv}}"/>
                        </div>
                        <label class="col-sm-1 control-label">TIS ID (iptv)</label>
                        <div class="col-sm-3">
                            <input type="text" name="iptv_tis" class="form-control" placeholder="" id="iptv_tis" spellcheck="false" value="{{$fobos->iptv_tis}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">HD {{__("service")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="hd_service" class="form-control" placeholder="" id="hd_service" spellcheck="false" value="{{$fobos->hd_service}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Number of setup boxes")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="setup_boxes" class="form-control" placeholder="" id="setup_boxes" spellcheck="" value="{{$fobos->setup_boxes}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Contract expiration")}} (iptv)</label>
                        <div class="col-sm-3">
                            <input type="text" name="uo_expire_iptv" class="form-control" placeholder="" id="uo_expire_iptv" spellcheck="false" value="{{$fobos->uo_expire}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Packet")}} (iptv) </label>
                        <div class="col-sm-3">
                            <input type="text" name="iptv_packet" class="form-control" placeholder="" id="iptv_packet" spellcheck="false" value="{{$fobos->iptv_packet}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("First offer")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="" value="{{$fobos->first_offer}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Operator")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="operator" class="form-control" placeholder="" id="operator" spellcheck="false" value="{{$fobos->operator}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Month")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="month" class="form-control" placeholder="" id="month" spellcheck="false" value="{{$fobos->month}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Year")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="year" class="form-control" placeholder="" id="year" spellcheck="" value="{{$fobos->year}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                        <div class="col-sm-3">
                            <select name="seller" id="seller" class="form-control populate">
                                <option value="">-- {{__("Seller")}} --</option>
                                @foreach($sellers as $seller)
                                    <option value="{{$seller->id}}" @if($seller->id == $fobos->seller_id){{'selected'}}@endif>{{$seller->ime.' '.$seller->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Status")}} </label>
                        <div class="col-sm-3">
                            <select name="status" id="status" class="form-control populate">
                                <option value="">-- {{__("Status")}} --</option>
                                @foreach($statuses as $status)
                                    <option value="{{$status->id}}" @if($status->id == $fobos->status_id){{'selected'}}@endif>{{$status->status}}</option>
                                @endforeach
                            </select>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                        <div class="col-sm-3">
                            <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                                <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck=""
                                       @if($fobos->withdrawal_date) value="{{date('d.m.Y.', strtotime($fobos->withdrawal_date))}}"@endif/>
                            </div>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                        <div class="col-sm-3">
                            <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false">{{$fobos->withdrawal_reason}}</textarea>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Note")}}</label>
                        <div class="col-sm-3">
                            <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false">{{old('comment')}}</textarea>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                        <div class="col-sm-3">
                            <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                                <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck=""
                                       @if($fobos->contract_expire_date)value="{{date('d.m.Y.', strtotime($fobos->contract_expire_date))}}"@endif/>
                            </div>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-sm-12 btn-confirmation">
                            <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                            <a href="{{route('fobos.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                        </div>
                    </div>
                </footer>
        </section>
    </form>

    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$com)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$com->comment}}</p>
                        <small>{{$com->ime.' '.$com->prezime}} <cite title="Comment">{{date('d.m.Y. H:i:s', strtotime($com->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$com->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('fobos_delete_comment', 'comm')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endif
@endsection