@extends('layouts.app')

@section('content')
    @if(!in_array($fobos->seller_id, $sellersIds) && !$isAdmin)
        <section class="body-error error-inside">
            <div class="center-error">

                <div class="row">
                    <div class="col-md-8">
                        <div class="main-error mb-xlg">
                            <h2 class="error-code text-dark text-center text-semibold m-none">404 <i class="fa fa-file"></i></h2>
                            <p class="error-explanation text-center">{{__("Page does not exist")}}.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    @else
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$fobos->name_phone.' '.$fobos->surname_phone}}</h2>
            @if($fobos->expedited != 1)
            <div class="panel-actions">
                @if(session('search_route'))
                    <a href="{{route('redirector')}}"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__('Return to search page')}}"><button class="btn btn-danger"><i class="fa fa-backward"></i></button></a>
                @endif
                @if($fobos->expedited != 1 && $fobos->accepted != 1)
                    <a href="#expeditionModal" class="modal-basic"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__("Send request")}}"><button class="btn btn-warning"><i class="fa fa-envelope"></i></button></a>
                @endif
                <a href="/fobos/{{$fobos->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
            @endif
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Cluster")}}: <div class="highlight">{{$fobos->cluster}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Name")}}: <div class="highlight">{{$fobos->name_phone.' '.$fobos->surname_phone}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Street")}}: <div class="highlight">{{$fobos->street}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <<p>{{__("Home number")}}: <div class="highlight">{{$fobos->home_no}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Entrance")}}: <div class="highlight">{{$fobos->enterance}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Floor")}}: <div class="highlight">{{$fobos->floor}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Flat")}}: <div class="highlight">{{$fobos->apartment}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>TIS ID: <div class="highlight">{{$fobos->tis_id}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Tip izvoda: <div class="highlight">{{$fobos->statement_type}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Network group")}}: <div class="highlight">{{$fobos->network_group}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Landline phone")}}: <div class="highlight">{{$fobos->tel1}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>BL: <div class="highlight">@if($fobos->black_list==1){{'DA'}}@else{{'NE'}}@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Packet")}}: <div class="highlight">{{$fobos->packet}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Contract expiration")}}: <div class="highlight">{{$fobos->uo_expire}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Postpaid number")}} <div class="red-highlight highlight">{{$fobos->tel2}}</div></p>
                </div>
                <div class="col-md-4">
                   <p>{{__("Recommended tariff")}}: <div class="red-highlight highlight">{{$fobos->recomended_tariff}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Name")}}: <div class="highlight yellow-highlight">{{$fobos->name_adsl.' '.$fobos->surname_adsl}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>TIS ID: <div class="highlight yellow-highlight">{{$fobos->adsl_tis_id}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Contract expiration")}}: <div class="highlight yellow-highlight">{{$fobos->uo_expire_adsl}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Speed")}}: <div class="highlight yellow-highlight">{{$fobos->speed}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Adsl isp: <div class="highlight yellow-highlight">{{$fobos->adsl_isp}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Name")}}: <div class="highlight green-highlight">{{$fobos->name_iptv.' '.$fobos->surname_iptv}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>TIS ID: <div class="highlight green-highlight">{{$fobos->iptv_tis}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>HD {{__("service")}}: <div class="highlight green-highlight">{{$fobos->hd_service}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Number of setup boxes")}}: <div class="highlight green-highlight">{{$fobos->setup_boxes}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Contract expiration")}}: <div class="highlight green-highlight">{{$fobos->setup_boxes}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet")}}: <div class="highlight green-highlight">{{$fobos->iptv_packet}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("First offer")}}: <div class="highlight green-highlight">{{$fobos->first_offer}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Operator")}}: <div class="highlight green-highlight">{{$fobos->operator}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Month")}}: <div class="highlight green-highlight">{{$fobos->month}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Year")}}: <div class="highlight green-highlight">{{$fobos->year}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Seller")}}: <div class="highlight">{{$fobos->seller_name.' '.$fobos->seller_surname}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Status")}}: <div class="highlight">{{$fobos->status}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Withdrawal date")}}: <div class="highlight">@if($fobos->withdrawal_date){{date('d.m.Y.', strtotime($fobos->withdrawal_date))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Withdrawal reason")}}: <div class="highlight">{{$fobos->withdrawal_reason}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Contract expiration")}}: <div class="highlight">@if($fobos->contract_expire_date){{date('d.m.Y.', strtotime($fobos->contract_expire_date))}}@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <p style="float: right">{{__("Last change")}} {{$fobos->updated_name.' '.$fobos->updated_surname.' ('.date('d.m.Y. H:i:s', strtotime($fobos->updated_at)).')'}}</p>
                </div>
            </div>
        </div>
    </section>
    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$com)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$com->comment}}</p>
                        <small>{{$com->ime.' '.$com->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($com->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @endif
    <div id="expeditionModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="expedition" method="post" action="{{route('fobos_expedition')}}">
            <input type="hidden" name="id_expedition" id="id_expedition" value="{{$fobos->id}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-envelope"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Expedition")}}</h4>
                            <p>{{__("Are you sure you want to send this request?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection