@extends('layouts.app')

@section('content')

<section class="panel">
    <form id="form" method="post" action="{{route('fobos_copper.store')}}" class="form-horizontal">
        {{ csrf_field() }}
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>
                <h2 class="panel-title">{{__("Add new client")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">Cust_ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id" class="form-control" placeholder="" id="cust_id" spellcheck="false" value="{{old('cust_id')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('name')){{'has-error'}} @endif">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{old('name')}}"/>
                        @if($errors->has('name'))
                        <label for="name" class="error">{{$errors->first('name')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('surname')){{'has-error'}} @endif">
                        <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false" value="{{old('surname')}}"/>
                        @if($errors->has('surname'))
                            <label for="surname" class="error">{{$errors->first('surname')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Distributor")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="distributor" class="form-control" placeholder="" id="distributor" spellcheck="false" value="{{old('distributor')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="town" class="form-control" placeholder="" id="town" spellcheck="false" value="{{old('town')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Subsettlement")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="subsettlement" class="form-control" placeholder="" id="subsettlement" spellcheck="false" value="{{old('subsettlement')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Street")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{old('street')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false" value="{{old('home_no')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{old('tel3')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false" value="{{old('network_group')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false" value="{{old('packet')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} BOX </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="expiration_date_box" class="form-control date-picker" placeholder="" id="expiration_date_box"  spellcheck="" value="{{old('expiration_date_box')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Resource")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="resource" class="form-control" placeholder="" id="resource" spellcheck="false" value="{{old('resource')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Max NET </label>
                    <div class="col-sm-3">
                        <input type="text" name="max_net" class="form-control" placeholder="" id="max_net" spellcheck="" value="{{old('max_net')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Number of stb devices")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="stb_no" class="form-control" placeholder="" id="stb_no" spellcheck="false" value="{{old('stb_no')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">TOTAL STB BOX</label>
                    <div class="col-sm-3">
                        <input type="text" name="total_stb_box" class="form-control" placeholder="" id="total_stb_box" spellcheck="false" value="{{old('total_stb_box')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Postpaid {{__("number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="postpaid_number" class="form-control" placeholder="" id="postpaid_number" spellcheck="" value="{{old('postpaid_number')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} postpaid {{__("contract")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="postpaid_expiration_date" class="form-control date-picker" placeholder="" id="postpaid_expiration_date"  spellcheck="" value="{{old('postpaid_expiration_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Benefit")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="benefit" class="form-control" placeholder="" id="benefit" spellcheck="false" value="{{old('benefit')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Postpaid tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="postpaid_tariff" class="form-control" placeholder="" id="postpaid_tariff" spellcheck="false" value="{{old('postpaid_tariff')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="recommended_tariff" class="form-control" placeholder="" id="recommended_tariff" spellcheck="false" value="{{old('recommended_tariff')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Name")}} (adsl) </label>
                    <div class="col-sm-3">
                        <input type="text" name="name_adsl" class="form-control" placeholder="" id="name_adsl" spellcheck="false" value="{{old('name_adsl')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="surname_adsl" class="form-control" placeholder="" id="surname_adsl" spellcheck="false" value="{{old('surname_adsl')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Cust_ID (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id_adsl" class="form-control" placeholder="" id="cust_id_adsl" spellcheck="false" value="{{old('cust_id_adsl')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} (adsl) </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="expiration_date_adsl" class="form-control date-picker" placeholder="" id="expiration_date_adsl"  spellcheck="" value="{{old('expiration_date_adsl')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_adsl" class="form-control" placeholder="" id="campain_adsl" spellcheck="false" value="{{old('campain_adsl')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Speed")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="speed_adsl" class="form-control" placeholder="" id="speed_adsl" spellcheck="false" value="{{old('speed_adsl')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Modem type")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="modem_type" class="form-control" placeholder="" id="modem_type" spellcheck="false" value="{{old('modem_type')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Free pairs")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="free_pair" class="form-control" placeholder="" id="free_pair" spellcheck="false" value="{{old('free_pair')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Free")}} ADSL</label>
                    <div class="col-sm-3">
                        <input type="text" name="free_adsl" class="form-control" placeholder="" id="free_adsl" spellcheck="false" value="{{old('free_adsl')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Free")}} VDSL </label>
                    <div class="col-sm-3">
                        <input type="text" name="free_vdsl" class="form-control" placeholder="" id="free_vdsl" spellcheck="false" value="{{old('free_vdsl')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="name_iptv" class="form-control" placeholder="" id="name_iptv" spellcheck="false" value="{{old('name_iptv')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="surname_iptv" class="form-control" placeholder="" id="surname_iptv" spellcheck="false" value="{{old('surname_iptv')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Cust_ID (iptv) </label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id_iptv" class="form-control" placeholder="" id="cust_id_iptv" spellcheck="false" value="{{old('cust_id_iptv')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} (iptv)</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="iptv_expiration_date" class="form-control date-picker" placeholder="" id="iptv_expiration_date"  spellcheck="" value="{{old('iptv_expiration_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} (vdsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_vdsl" class="form-control" placeholder="" id="campain_vdsl" spellcheck="false" value="{{old('campain_vdsl')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv_packet" class="form-control" placeholder="" id="iptv_packet" spellcheck="false" value="{{old('iptv_packet')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("First offer")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="false" value="{{old('first_offer')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Second offer")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="second_offer" class="form-control" placeholder="" id="second_offer" spellcheck="false" value="{{old('second_offer')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Other operators")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="other_operators" class="form-control" placeholder="" id="other_operators" spellcheck="false" value="{{old('other_operators')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="note" rows="5" class="form-control" placeholder="" id="note" spellcheck="false">{{old('note')}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Connection date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="connection_date" class="form-control date-picker" placeholder="" id="connection_date"  spellcheck="" value="{{old('connection_date')}}"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Box 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="box2" class="form-control" placeholder="" id="box2" spellcheck="false" value="{{old('box2')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Box 3</label>
                    <div class="col-sm-3">
                        <input type="text" name="box3" class="form-control" placeholder="" id="box3" spellcheck="false" value="{{old('box3')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Box 4</label>
                    <div class="col-sm-3">
                        <input type="text" name="box4" class="form-control" placeholder="" id="box4" spellcheck="false" value="{{old('box4')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Campaign")}} BOX </label>
                    <div class="col-sm-3">
                        <select name="campain_box" id="campain_box" class="form-control populate">
                            <option value="">-- {{__("tariff")}} --</option>
                            @foreach($campains as $campain)
                                <option value="{{$campain->id}}"  @if($campain->id == old('campain_box')) selected @endif>{{$campain->campain}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">Postpaid {{__("tariff")}}</label>
                    <div class="col-sm-3">
                        <select name="postpaid_tariff_box" id="postpaid_tariff_box" class="form-control populate">
                            <option value="">-- {{__("tariff")}} --</option>
                            @foreach($postpaidTarrifs as $tariff)
                                <option value="{{$tariff->id}}"  @if($tariff->id == old('postpaid_tariff_box')) selected @endif>{{$tariff->tariff}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">ADSL</label>
                    <div class="col-sm-3">
                        <input type="text" name="adsl" class="form-control" placeholder="" id="adsl" spellcheck="false" value="{{old('adsl')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} ADSL solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_adsl_solo" class="form-control" placeholder="" id="campain_adsl_solo" spellcheck="false" value="{{old('campain_adsl_solo')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Speed")}} ADSL solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="speed_adsl_solo" class="form-control" placeholder="" id="speed_adsl_solo" spellcheck="false" value="{{old('speed_adsl_solo')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">IPTV</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv" class="form-control" placeholder="" id="iptv" spellcheck="false" value="{{old('iptv')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">IPTV solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv_solo" class="form-control" placeholder="" id="iptv_solo" spellcheck="false" value="{{old('iptv_solo')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} IPTV solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_iptv_solo" class="form-control" placeholder="" id="campain_iptv_solo" spellcheck="false" value="{{old('campain_iptv_solo')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}}</label>
                    <div class="col-sm-3">
                        <select name="status" id="status" class="form-control populate">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}" @if($status->id == old('status')) selected @endif>{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Points")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="points" class="form-control" placeholder="" id="points" spellcheck="false" value="{{old('points')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <select name="seller" id="seller" class="form-control populate">
                            <option value="">-- {{__("Seller")}} --</option>
                            @foreach($sellers as $seller)
                                <option value="{{$seller->id}}"  @if($seller->id == old('seller')) selected @endif>{{$seller->ime.' '.$seller->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck="" value="{{old('withdrawal_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                    <div class="col-sm-3">
                        <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false">{{old('withdrawal_reason')}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck="" value="{{old('contract_expire_date')}}"/>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a href="{{route('fobos_copper.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
    </form>
</section>

@endsection