@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $('#btnImport').click(function(){
                $('#loading').show();
            });
        });
    </script>

    <div class="row">
        <div class="col-lg-12">
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">{{__("Database import")}} (BAZE - BAKAR)</h2>
                </div>
                <div class="panel-body">
                    <form class="form-horizontal form-bordered" action="{{route('fobos_copper_import')}}" enctype="multipart/form-data" method="POST">
                        @csrf
                        <div class="col-sm-6">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__("Change")}}</span>
                                    <span class="fileupload-new">{{__("Choose file")}}</span>
                                    <input type="file" id="import" name="import"/>
                                </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <button type="submit" class="btn btn-warning" id="btnImport">{{__("Import")}} <i class="fa fa-database"></i></button>
                        </div>
                    </form>
                </div>
                @if(isset($errorMessages))
                    <div class="panel-body">
                        <div class="col-sm-12">
                            <h2 class="import-error">{{__("Import failed")}}!</h2>
                        </div>
                        @foreach($errorMessages as $error)
                            <div class="com-sm-12">
                                <p class="import-error">{{$error}}</p>
                            </div>
                        @endforeach
                    </div>
                @endif
            </section>
            <div class="tabs">
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#network_group" data-toggle="tab"><i class="fa fa-phone"></i> {{__("Network group")}}</a>
                    </li>
                    <li>
                        <a href="#date" data-toggle="tab"><i class="fa fa-calendar"></i> Datumi</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div id="network_group" class="tab-pane active">
                        <p>Mrežna grupa mora da sadrži 3 cifre.</p>
                    </div>
                    <div id="date"class="tab-pane">
                        <p>Datumi mora da budu u formatu 01.01.2001, 01-01-2001 ili 01/01/2001. Dani i meseci treba da sadrze dve cifre. Datum formata 1.1.2001 nije validan.</p>
                    </div>
                </div>
            </div>
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">Pravilan redosled u excel tabeli</h2>
                    <div class="panel-actions">
                        <a href="{{route('mustra', ['param' => 'fobos_copper'])}}"><button type="button" class="btn btn-success">Templejt <i class="fa fa-download"></i></button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-sm-12">
                        <p> 
                            r.br.	
                            /distributer	
                            /Cust_ID	
                            /Prezime	
                            /Ime	
                            /Opština	
                            /Podnaselje	
                            /Ulica	
                            /Broj	
                            /Kontakt telefon 1	
                            /Kontakt telefon 2	
                            /MG	
                            /Broj fiksnog priključka	
                            /Naziv paketa	
                            /Datum isteka BOX ugovora	
                            /Resurs Bakar/Optika	
                            /Max NET ponuda	
                            /Broj SD/HD STB uređaja uz NET	
                            /TOTAL_STB_BOX	
                            /Postpaid broj	
                            /Datum isteka postpaid ugovora	
                            /Benefit	Postpaid tarifa	Preporučena postpaid tarifa u Boxu	
                            /Prezime2	
                            /Ime3	
                            /Cust_ID_ADSL	
                            /Datum isteka	
                            /Kampanja	
                            /Brzina	
                            /Modem Type	
                            /SLOBODNO PARICA	
                            /SLOBODNO ADSL	
                            /SLOBODNO VDSL	
                            /Prezime4	
                            /Ime5	
                            /Cust_ID_IPTV	
                            /Datum isteka6	
                            /Kampanja7	
                            /IPTV paket	
                            /Prva ponuda	
                            /Druga ponuda
                        </p>
                    </div>
                </div>
            </section>
        </div>
    </div>


@endsection