@extends('layouts.app')

@section('content')
    @if(!in_array($fobos->seller_id, $sellersIds) && !$isAdmin)
        <section class="body-error error-inside">
            <div class="center-error">

                <div class="row">
                    <div class="col-md-8">
                        <div class="main-error mb-xlg">
                            <h2 class="error-code text-dark text-center text-semibold m-none">404 <i class="fa fa-file"></i></h2>
                            <p class="error-explanation text-center">{{__("Page does not exist")}}.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    @else
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$fobos->name.' '.$fobos->surname}}</h2>
            @if($fobos->expedited != 1)
            <div class="panel-actions">
                @if($fobos->expedited != 1 && $fobos->accepted != 1)
                    <a href="#expeditionModal" class="modal-basic"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__("Send request")}}"><button class="btn btn-warning"><i class="fa fa-envelope"></i></button></a>
                @endif
                <a href="/fobos_copper/{{$fobos->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
            @endif
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>Cust_ID: <div class="highlight">{{$fobos->cust_id}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Name")}}: <div class="highlight">{{$fobos->name.' '.$fobos->surname}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Distributor")}}: <div class="highlight">{{$fobos->distributor}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("City")}}: <div class="highlight">{{$fobos->town}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Subsettlement")}}: <div class="highlight">{{$fobos->subsettlement}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Street")}}: <div class="highlight">{{$fobos->street}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <<p>{{__("Home number")}}: <div class="highlight">{{$fobos->home_no}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Landline phone")}}: <div class="highlight">{{$fobos->tel1}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Phone")}} 2: <div class="highlight">{{$fobos->tel2}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Phone")}} 3: <div class="highlight">{{$fobos->tel3}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Network group")}}: <div class="highlight">{{$fobos->network_group}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet")}}: <div class="highlight">{{$fobos->packet}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Expiration date")}} BOX: <div class="highlight">@if($fobos->expiration_date_box){{date('d.m.Y.', strtotime($fobos->expiration_date_box))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Resource")}}: <div class="highlight">{{$fobos->resource}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Max NET: <div class="highlight">{{$fobos->max_net}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Number of stb devices")}}: <div class="highlight">{{$fobos->stb_no}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>TOTAL STB BOX: <div class="highlight">{{$fobos->total_stb_box}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Postpaid number")}} <div class="highlight pink-highlight">{{$fobos->postpaid_number}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Postpaid contract expire date")}}: <div class="highlight pink-highlight">@if($fobos->postpaid_expiration_date){{date('d.m.Y.', strtotime($fobos->postpaid_expiration_date))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Benefit")}}: <div class="highlight pink-highlight">{{$fobos->benefit}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Postpaid tariff")}}: <div class="highlight pink-highlight">{{$fobos->postpaid_tariff}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                   <p>{{__("Recommended tariff")}}: <div class="highlight pink-highlight">{{$fobos->recommended_tariff}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Name")}} (adsl): <div class="highlight yellow-highlight">{{$fobos->name_adsl.' '.$fobos->adsl}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Cust_ID (adsl): <div class="highlight yellow-highlight">{{$fobos->cust_id_adsl}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Expiration date")}} (adsl): <div class="highlight yellow-highlight">@if($fobos->expiration_date_adsl){{date('d.m.Y.', strtotime($fobos->expiration_date_adsl))}}@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Campaign")}} (adsl): <div class="highlight yellow-highlight">{{$fobos->campain_adsl}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Speed")}} (adsl): <div class="highlight yellow-highlight">{{$fobos->speed_adsl}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Modem type")}}: <div class="highlight gray-highlight">{{$fobos->modem_type}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Free pairs")}}: <div class="highlight gray-highlight">{{$fobos->free_pair}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Free")}} adsl: <div class="highlight gray-highlight">{{$fobos->free_adsl}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Free")}} vdsl: <div class="highlight gray-highlight">{{$fobos->free_vdsl}}</div></p>
                </div>
            </div>

            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Name")}} (iptv): <div class="highlight green-highlight">{{$fobos->name_iptv.' '.$fobos->surname_iptv}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Cust_ID (iptv): <div class="highlight green-highlight">{{$fobos->cust_id_iptv}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Expiration date")}} (iptv): <div class="highlight green-highlight">@if($fobos->iptv_expiration_date){{date('d.m.Y.', strtotime($fobos->iptv_expiration_date))}}@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Campaign")}} (iptv): <div class="highlight green-highlight">{{$fobos->campain_vdsl}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet")}} (iptv): <div class="highlight green-highlight">{{$fobos->iptv_packet}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("First offer")}}: <div class="highlight green-highlight">{{$fobos->first_offer}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Second offer")}}: <div class="highlight green-highlight">{{$fobos->second_offer}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Other operators")}}: <div class="highlight green-highlight">{{$fobos->other_operators}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Connection date")}}a: <div class="highlight green-highlight">@if($fobos->connection_date){{date('d.m.Y.', strtotime($fobos->connection_date))}}@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>Box 2: <div class="highlight green-highlight">{{$fobos->box2}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Box 3: <div class="highlight green-highlight">{{$fobos->box3}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Box 4: <div class="highlight green-highlight">{{$fobos->box4}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Campaign")}} BOX: <div class="highlight green-highlight">{{$fobos->campain_box}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Postpaid tariff")}}: <div class="highlight green-highlight">{{$fobos->tariff}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>ADSL: <div class="highlight">{{$fobos->adsl}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Campaign")}} ADSL solo: <div class="highlight">{{$fobos->campain_adsl_solo}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Speed")}} ADSL solo: <div class="highlight">{{$fobos->speed_adsl_solo}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>IPTV: <div class="highlight">{{$fobos->iptv}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>IPTV solo: <div class="highlight">{{$fobos->iptv_solo}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Campaign")}} IPTV solo: <div class="highlight">{{$fobos->campain_iptv_solo}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Points")}}: <div class="highlight">{{$fobos->points}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Seller")}}: <div class="highlight">{{$fobos->seller_name.' '.$fobos->seller_surname}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Status")}}: <div class="highlight">{{$fobos->status}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Withdrawal date")}}: <div class="highlight">@if($fobos->withdrawal_date){{date('d.m.Y.', strtotime($fobos->withdrawal_date))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Withdrawal reason")}}: <div class="highlight">{{$fobos->withdrawal_reason}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Contract expiration")}}: <div class="highlight">@if($fobos->contract_expire_date){{date('d.m.Y.', strtotime($fobos->contract_expire_date))}}@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <p style="float: right">{{__("Created by")}} {{$fobos->created_name.' '.$fobos->created_surname.' ('.date('d.m.Y. H:i:s', strtotime($fobos->created_at)).')'}}</p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <p style="float: right">{{__("Last change")}} {{$fobos->updated_name.' '.$fobos->updated_surname.' ('.date('d.m.Y. H:i:s', strtotime($fobos->updated_at)).')'}}</p>
                </div>
            </div>
        </div>
    </section>
    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$com)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$com->comment}}</p>
                        <small>{{$com->ime.' '.$com->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($com->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @endif
    <div id="expeditionModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="expedition" method="post" action="{{route('fobos_copper_expedition')}}">
            <input type="hidden" name="id_expedition" id="id_expedition" value="{{$fobos->id}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-envelope"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Expedition")}}</h4>
                            <p>{{__("Are you sure you want to send this request?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection