@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.btn-delete-file').click(function () {
                var id = $(this).attr("fileId");
                $('#id_file').val(id);
            });
            $('.btn-delete-comment').click(function () {
                var id = $(this).attr("commentId");
                $('#id_comment').val(id);
            });
            $('.btn-delete-image').click(function () {
            var id = $(this).attr("imageId");
            $('#id_image').val(id);
        });
        });
    </script>
    <form id="form" method="post" action="{{route('fobos_rune.update', [$fobos->id])}}" class="form-horizontal" enctype="multipart/form-data">
        <section class="panel">
            {{ csrf_field() }}
            <input type="hidden" name="_method" value="put">
                <header class="panel-heading">
                    <h2 class="panel-title">{{$fobos->name.' '.$fobos->surname.' - '.$fobos->street}}</h2>
                    <div class="panel-actions">
                        <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
                    </div>
                    <h2 class="panel-title">{{$fobos->seller_name.' '.$fobos->seller_surname}}</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Cluster")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('cluster')){{'has-error'}} @endif">
                            <select name="cluster" id="cluster" class="form-control populate">
                                <option value="">-- {{__("Cluster")}} --</option>
                                @foreach($clusters as $cluster)
                                    <option value="{{$cluster->id}}"  @if($cluster->id == $fobos->cluster_id) selected @endif>{{$cluster->cluster}}</option>
                                @endforeach
                            </select>
                            @if($errors->has('cluster'))
                            <label for="cluster" class="error">{{$errors->first('cluster')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Name")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{$fobos->name}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Surname")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false" value="{{$fobos->surname}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Street")}}  <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('street')){{'has-error'}} @endif">
                            <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{$fobos->street}}"/>
                            @if($errors->has('street'))
                            <label for="street" class="error">{{$errors->first('street')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("PAN")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('pan')){{'has-error'}} @endif">
                            <select name="pan" id="pan" class="form-control populate" data-plugin-selectTwo>
                                <option value="">-- {{__("Pan")}} --</option>
                                @foreach($pans as $pan)
                                    <option value="{{$pan->id}}"  @if($pan->id == $fobos->pan_id) selected @endif>{{$pan->pan}}</option>
                                @endforeach
                            </select>
                            @if($errors->has('pan'))
                            <label for="pan" class="error">{{$errors->first('pan')}}</label>
                            @endif
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false" value="{{$fobos->home_no}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Entrance")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="enterance" class="form-control" placeholder="" id="enterance" spellcheck="false" value="{{$fobos->enterance}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Floor")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="floor" class="form-control" placeholder="" id="floor" spellcheck="false" value="{{$fobos->floor}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Flat")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="apartment" class="form-control" placeholder="" id="apartment" spellcheck="false" value="{{$fobos->apartment}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{$fobos->tel1}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                        <div class="col-sm-3">
                            <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{$fobos->tel2}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                        <div class="col-sm-3">
                            <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{$fobos->tel3}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false" value="{{$fobos->network_group}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Statement type")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="eta" class="form-control" placeholder="" id="eta" spellcheck="false" value="{{$fobos->eta}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("ID")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="fobos_id" class="form-control" placeholder="" id="fobos_id" spellcheck="false" value="{{$fobos->fobos_id}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("County")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="county" class="form-control" placeholder="" id="county" spellcheck="false" value="{{$fobos->county}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("City")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="city" class="form-control" placeholder="" id="city" spellcheck="false" value="{{$fobos->city}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Settlement")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="settlement" class="form-control" placeholder="" id="settlement" spellcheck="false" value="{{$fobos->settlement}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Household")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="household" class="form-control" placeholder="" id="household" spellcheck="false" value="{{$fobos->household}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Households")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="households" class="form-control" placeholder="" id="households" spellcheck="false" value="{{$fobos->households}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("State")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="state" class="form-control" placeholder="" id="state" spellcheck="false" value="{{$fobos->state}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("State services")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="state_services" class="form-control" placeholder="" id="state_services" spellcheck="false" value="{{$fobos->state_services}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false" value="{{$fobos->packet}}"/>
                        </div>
                        <label class="col-sm-1 control-label">BL</label>
                        <div class="col-sm-3">
                            <select name="black_list" class="form-control" placeholder="" id="black_list" spellcheck="false">
                                <option value='0' @if($fobos->black_list == 0) selected @endif>{{__("NO")}}</option>
                                <option value='1' @if($fobos->black_list == 1) selected @endif>{{__("YES")}}</option>
                            </select>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="recomended_tariff" class="form-control" placeholder="" id="recomended_tariff" spellcheck="false" value="{{$fobos->recomended_tariff}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("First offer")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="" value="{{$fobos->first_offer}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Operator")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="operator" class="form-control" placeholder="" id="operator" spellcheck="false" value="{{$fobos->operator}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Month")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="month" class="form-control" placeholder="" id="month" spellcheck="false" value="{{$fobos->month}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Year")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="year" class="form-control" placeholder="" id="year" spellcheck="" value="{{$fobos->year}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                        <div class="col-sm-3">
                            <select name="seller" id="seller" class="form-control populate">
                                <option value="">-- {{__("Seller")}} --</option>
                                @foreach($sellers as $seller)
                                    <option value="{{$seller->id}}"  @if($seller->id == $fobos->seller_id) selected @endif>{{$seller->ime.' '.$seller->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Team leader")}} </label>
                        <div class="col-sm-3">
                            <select name="team_leader" id="team_leader" class="form-control populate">
                                <option value="">-- {{__("Team leader")}} --</option>
                                @foreach($teamLeaders as $tl)
                                    <option value="{{$tl->id}}"  @if($tl->id == $fobos->team_leader) selected @endif>{{$tl->ime.' '.$tl->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Status")}}  <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('status')){{'has-error'}} @endif">
                            <select name="status" id="status" class="form-control populate">
                                <option value="">-- {{__("Status")}} --</option>
                                @foreach($statuses as $status)
                                    <option value="{{$status->id}}" @if($status->id == $fobos->status_id) selected @endif>{{$status->status}}</option>
                                @endforeach
                            </select>
                            @if($errors->has('status'))
                            <label for="status" class="error">{{$errors->first('status')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck="" value="{{$fobos->withdrawal_date}}"/>
                            </div>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                        <div class="col-sm-3">
                            <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false">{{$fobos->withdrawal_reason}}</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Note")}}</label>
                        <div class="col-sm-3">
                            <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false"></textarea>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck="" value="{{$fobos->contract_expire_date}}"/>
                            </div>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                        <div class="col-sm-3">
                            <select name="project_manager" id="project_manager" class="form-control populate">
                                <option value="">-- {{__("Project manager")}} --</option>
                                @foreach($projectManagers as $pm)
                                    <option value="{{$pm->id}}"  @if($pm->id == $fobos->project_manager) selected @endif>{{$pm->ime.' '.$pm->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Points")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="points" class="form-control" placeholder="" id="points" spellcheck="false" value="{{$fobos->points}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Cable")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="cable" class="form-control" placeholder="" id="cable" spellcheck="false" value="{{$fobos->cable}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Thread")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="thread" class="form-control" placeholder="" id="thread" spellcheck="false" value="{{$fobos->thread}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Tube")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="tube" class="form-control" placeholder="" id="tube" spellcheck="false" value="{{$fobos->tube}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Case")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="case" class="form-control" placeholder="" id="case" spellcheck="false" value="{{$fobos->case}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("X-coordinate")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="x_coordinate" class="form-control" placeholder="" id="x_coordinate" spellcheck="false" value="{{$fobos->x_coordinate}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Y-coordinate")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="y_coordinate" class="form-control" placeholder="" id="y_coordinate" spellcheck="false" value="{{$fobos->y_coordinate}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Images")}}</label>
                        <div class="col-sm-5">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                        <span class="fileupload-exists">{{__('Change')}}</span>
                                        <span class="fileupload-new">{{__('Choose image')}}</span>
                                        <input type="file" id="images" name="images[]" multiple>
                                    </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">Pdf/Excel/Audio </label>
                        <div class="col-sm-3">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                        <span class="fileupload-exists">{{__("Change")}}</span>
                                        <span class="fileupload-new">{{__("Choose file")}}</span>
                                        <input type="file" id="document" name="document"/>
                                    </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-sm-12 btn-confirmation">
                            <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                            <a href="{{route('fobos_rune.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                        </div>
                    </div>
                </footer>
        </section>
    </form>

    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$com)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$com->comment}}</p>
                        <small>{{$com->ime.' '.$com->prezime}} <cite title="Comment">{{date('d.m.Y. H:i:s', strtotime($com->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$com->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('fobos_rune_delete_comment', 'comm')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    @if(!$images->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__('Images')}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                <div class="col-md-2" style="overflow: auto;">
                    <div class="popup-gallery">
                        <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description}}" rel="group1">
                            <div class="img-responsive">
                                <img src="{{$img->url}}" width="105">
                            </div>
                        </a>
                    </div>
                    <div class="btn-group">
                        <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                        <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-rotate-image" imageId="{{$img->id}}" data-param="fobos_rune"><i class="fa fa-rotate-right"></i></button>
                    </div>
                </div>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$files->isEmpty())
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{__("Files")}}</h2>
        </header>
        <div class="panel-body">
            @foreach($files as $file)
                <div class="col-md-2" style="overflow: auto;">
                    <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                    <a href="#deleteFileModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-file" style="color:red" fileId="{{$file->id}}"><i class="fa fa-trash-o"></i></a>
                </div>
            @endforeach
        </div>
    </section>
@endif
    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('fobos_delete_image')}}">
            <input type="hidden" name="id_image" id="id_image">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete image?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="deleteFileModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_file')}}">
            <input type="hidden" name="id_file" id="id_file">
            <input type="hidden" name="param" id="param" value="fobos">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete file?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection