@extends('layouts.app')

@section('content')

    <form id="form" method="get" action="{{route('fobos_rune_search_result')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__("Filters")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cluster")}} </label>
                    <div class="col-sm-3">
                        <select name="cluster" id="cluster" class="form-control populate">
                            <option value="">-- {{__("Cluster")}} --</option>
                            @foreach($clusters as $cluster)
                                <option value="{{$cluster->id}}">{{$cluster->cluster}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Street")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("PAN")}}</label>
                    <div class="col-sm-3">
                        <select name="pan" id="pan" class="form-control populate" data-plugin-selectTwo>
                            <option value="">-- {{__("Pan")}} --</option>
                            @foreach($pans as $pan)
                                <option value="{{$pan->id}}">{{$pan->pan}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Entrance")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="enterance" class="form-control" placeholder="" id="enterance" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Floor")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="floor" class="form-control" placeholder="" id="floor" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Flat")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="apartment" class="form-control" placeholder="" id="apartment" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Statement type")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="eta" class="form-control" placeholder="" id="eta" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("ID")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="fobos_id" class="form-control" placeholder="" id="fobos_id" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("County")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="county" class="form-control" placeholder="" id="county" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="city" class="form-control" placeholder="" id="city" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Settlement")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="settlement" class="form-control" placeholder="" id="settlement" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Household")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="household" class="form-control" placeholder="" id="household" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Households")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="households" class="form-control" placeholder="" id="households" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("State")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="state" class="form-control" placeholder="" id="state" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("State services")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="state_services" class="form-control" placeholder="" id="state_services" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">BL</label>
                    <div class="col-sm-3">
                        <select name="black_list" class="form-control" placeholder="" id="black_list" spellcheck="false">
                            <option value='0'>{{__("NO")}}</option>
                            <option value='1'>{{__("YES")}}</option>
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="recomended_tariff" class="form-control" placeholder="" id="recomended_tariff" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("First offer")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Operator")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="operator" class="form-control" placeholder="" id="operator" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Month")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="month" class="form-control" placeholder="" id="month" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Year")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="year" class="form-control" placeholder="" id="year" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <select name="seller[]" id="seller" class="form-control populate" multiple data-plugin-selectTwo>
                            @foreach($sellers as $seller)
                                <option value="{{$seller->id}}">{{$seller->ime.' '.$seller->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Team leader")}} </label>
                        <div class="col-sm-3">
                            <select name="team_leader" id="team_leader" class="form-control populate">
                                <option value="">-- {{__("Team leader")}} --</option>
                                @foreach($teamLeaders as $tl)
                                    <option value="{{$tl->id}}">{{$tl->ime.' '.$tl->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}}</label>
                    <div class="col-sm-3">
                        <select name="status[]" id="status" class="form-control populate" multiple data-plugin-selectTwo>
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                    <div class="col-sm-3">
                        <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false"></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                    <div class="col-sm-3">
                        <select name="project_manager" id="project_manager" class="form-control populate">
                            <option value="">-- {{__("Project manager")}} --</option>
                            @foreach($projectManagers as $pm)
                                <option value="{{$pm->id}}">{{$pm->ime.' '.$pm->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Points")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="points" class="form-control" placeholder="" id="points" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cable")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="cable" class="form-control" placeholder="" id="cable" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Thread")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="thread" class="form-control" placeholder="" id="thread" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Tube")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tube" class="form-control" placeholder="" id="tube" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Case")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="case" class="form-control" placeholder="" id="case" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("X-coordinate")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="x_coordinate" class="form-control" placeholder="" id="x_coordinate" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Y-coordinate")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="y_coordinate" class="form-control" placeholder="" id="y_coordinate" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Accepted")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="accepted" data-plugin-ios-switch />
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}} {{__("Log")}}</label>
                    <div class="col-sm-3">
                        <select name="status_log[]" id="status_log" class="form-control populate" multiple data-plugin-selectTwo>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-md-1 control-label">{{__('Status changed')}} {{__('range')}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="status_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="status_end">
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                        <a href="{{route('fobos_rune.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection