@extends('layouts.app')
@section('content')
<section class="panel"  id="range_form">
    <header class="panel-heading">
        <h2 class="panel-title">{{date('d.m.Y.', $start).' - '.date('d.m.Y.', $end)}} </h2>
    </header>
    <form id="" method="get" class="form-horizontal mb-lg" action="{{route('fobos_rune_statistic')}}">
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-2 control-label">{{__("Date")}} {{__('range')}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                        <input type="text" class="form-control date-picker" name="start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="end">
                    </div>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <a href="{{route('export_fobos_statistic', ['start' => date('Y-m-d', $start), 'end' => date('Y-m-d', $end)])}}"><button type="button" class="btn btn-warning" id="btn-pie">{{__('Export')}} <i class="fa fa-file-excel-o"></i></button></a>
                    <button type="submit" class="btn btn-primary" id="btn-pie">{{__('Show')}}</button>
                </div>
            </div>
        </footer>
    </form>
</section>


@foreach($sellerStat as $seller=>$statuses)
<section class="panel" id="optics">
    <header class="panel-heading">
        <h2 class="panel-title">{{$seller}}</h2>
    </header>
    <div class="panel-body">
        <table class="table table-bordered table-striped mb-none" id="datatable-default">
            <tbody>
            <tr style="background-color: #2baab1; color:white">
                <th>{{__("Status")}}</th>
                <th>{{__("Sve promene na dan")}}</th>
                <th>{{__("% upotrebe")}}</th>
                <th>{{__("Broj adresa na koje je napravio promenu")}}</th>
            </tr>
            @foreach($statuses as $stat)
            <tr>
                <td style="text-align:center">{{$stat['status']}}</td>
                <td style="text-align:center">{{$stat['totalAssigned']}}</td>
                <td style="text-align:center">@if($stat['totalAssigned']){{number_format($stat['count']/$stat['totalAssigned']*100, 2)}}%@endif</td>
                <td style="text-align:center">{{$stat['count']}}</td>
            </tr>
            @endforeach
        </tbody>
        <tbody>
        </table>
    </div>
</section>
@endforeach

@foreach($leadStat as $leader=>$stats)
<section class="panel" id="optics">
    <header class="panel-heading">
        <h2 class="panel-title">{{$leader}}</h2>
    </header>
    <div class="panel-body">
        <table class="table table-bordered table-striped mb-none" id="datatable-default">
            <tbody>
            <tr style="background-color: #b393fc; color:white">
                <th>{{__("Status")}}</th>
                <th>{{__("Sve promene na dan")}}</th>
                <th>{{__("% upotrebe")}}</th>
                <th>{{__("Broj adresa na koje je tim napravio promenu")}}</th>
            </tr>
            @foreach($stats as $stat)
            <tr>
                <td style="text-align:center">{{$stat['status']}}</td>
                <td style="text-align:center">{{$stat['totalAssigned']}}</td>
                <td style="text-align:center">@if($stat['totalAssigned']){{number_format($stat['count']/$stat['totalAssigned']*100, 2)}}%@endif</td>
                <td style="text-align:center">{{$stat['count']}}</td>
            </tr>
            @endforeach
        </tbody>
        <tbody>
        </table>
    </div>
</section>
@endforeach

@endsection