@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.btn-de-work').click(function(){
            var workId = $(this).attr('workId');
            var operation = $(this).data('operation');
            $('#work_id').val(workId);
            $('#operation').val(operation);
        });
        $('.btn-delete-image').click(function () {
            var id = $(this).attr("imageId");
            $('#id_image').val(id);
        });
    });
</script>

<form id="form" method="post" action="{{route('ger_construction_sites.update', $site->id) }}" class="form-horizontal" enctype="multipart/form-data">
    {{ csrf_field() }}
    <input type="hidden" name="_method" value="put">
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
            </div>
            <h2 class="panel-title">{{__("Edit")}}</h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Date")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('date')){{'has-error'}} @endif">
                    <input type="text" name="date" class="form-control date-picker" placeholder="" id="date" spellcheck="false" @if($site->date) value="{{date('d.m.Y', strtotime($site->date))}}"@endif/>
                    @if($errors->has('date'))
                        <label for="date" class="error">{{$errors->first('date')}}</label>
                    @endif
                </div>
                {{-- <label class="col-sm-1 control-label">{{__("Polisher report")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="polisher_report" class="form-control" placeholder="" id="polisher_report" spellcheck="false" value="{{$site->polisher_report}}"/>
                </div> --}}
                @if(!$isColumnLeader)
                <label class="col-sm-1 control-label">{{__("Column leader")}} </label>
                <div class="col-sm-3">
                    <select name="leader" class="form-control" id="leader" spellcheck="false">
                        <option value="">-- {{__("Column leader")}} --</option>
                        @foreach($leaders as $leader)
                            <option value="{{$leader->id}}" @if($leader->id == $site->leader) selected @endif>{{$leader->ime. ' '.$leader->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                @endif
                <label class="col-sm-1 control-label">{{__("Areas")}}</label>
                <div class="col-sm-3">
                    <select name="area" class="form-control" id="area" spellcheck="false">
                        @foreach($areas as $area)
                            <option value="{{$area->id}}" @if($area->id == $site->area) selected @endif>{{$area->area}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                @if($isSuperAdmin)
                <label class="col-sm-1 control-label">{{__("Number of workers")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="number_of_workers" class="form-control" placeholder="" id="number_of_workers" spellcheck="false" value="{{$site->number_of_workers}}"/>
                </div>
                @endif
                <label class="col-sm-1 control-label">{{__("Comment")}} </label>
                <div class="col-sm-3">
                    <textarea name="comment" id="comment" class="form-control"></textarea>
                </div>
                <label class="col-sm-1 control-label">{{__("Work").' '.__('start')}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('work_start')){{'has-error'}} @endif">
                    <input type="text" name="work_start" class="form-control" data-plugin-timepicker data-plugin-options='{ "showMeridian": false }' placeholder="" id="work_start" spellcheck="false" value="{{$site->work_start}}}}"/>
                    @if($errors->has('work_start'))
                        <label for="work_start" class="error">{{$errors->first('work_start')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Work").' '.__('end')}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('work_end')){{'has-error'}} @endif">
                    <input type="text" name="work_end" class="form-control" data-plugin-timepicker data-plugin-options='{ "showMeridian": false }' placeholder="" id="work_end" spellcheck="false" value="{{$site->work_end}}"/>
                    @if($errors->has('work_end'))
                        <label for="work_end" class="error">{{$errors->first('work_end')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("Pause")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('pause')){{'has-error'}} @endif">
                    <input type="text" name="pause" class="form-control" data-plugin-options='{ "showMeridian": false }' placeholder="{{__('In minutes')}}" id="pause" spellcheck="false" value="{{$site->pause}}"/>
                    @if($errors->has('pause'))
                        <label for="pause" class="error">{{$errors->first('pause')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("City")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="place" class="form-control" placeholder="" id="place" spellcheck="false" value="{{$site->place}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Street")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{$site->street}}"/>
                </div>
                <label class="col-sm-1 control-label">POP </label>
                <div class="col-sm-3">
                    <input type="text" name="pop" class="form-control" placeholder="" id="pop" spellcheck="false" value="{{$site->pop}}"/>
                </div>
                <label class="col-sm-1 control-label">DP </label>
                <div class="col-sm-3">
                    <input type="text" name="dp" class="form-control" placeholder="" id="dp" spellcheck="false" value="{{$site->dp}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Provider")}}</label>
                <div class="col-sm-3">
                    <select name="provider" class="form-control" id="provider" spellcheck="false">
                        <option value="">-- {{__("Provider")}} --</option>
                        @foreach($providers as $provider)
                            <option value="{{$provider->id}}" @if($provider->id == $site->provider) selected @endif>{{$provider->provider}}</option>
                        @endforeach
                    </select>
                </div>
                @if($someAdmin)
                <label class="col-sm-1 control-label">{{__("Polish date")}} </label>
                <div class="col-sm-3 @if($errors->has('polish_date')){{'has-error'}} @endif">
                    <input type="text" name="polish_date" class="form-control date-picker" placeholder="" id="polish_date" spellcheck="false" 
                    value="@if($site->polish_date){{date('d.m.Y', strtotime($site->polish_date))}}@endif"/>
                    @if($errors->has('polish_date'))
                        <label for="polish_date" class="error">{{$errors->first('polish_date')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("Polisher report")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-success">
                        <input type="checkbox" name="insert_date" data-plugin-ios-switch />
                    </div>
                </div>
                @endif
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Images")}}</label>
                <div class="col-sm-6">
                    <div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="input-append">
                            <div class="uneditable-input">
                                <i class="fa fa-file fileupload-exists"></i>
                                <span class="fileupload-preview"></span>
                            </div>
                            <span class="btn btn-default btn-file">
                                <span class="fileupload-exists">{{__('Change')}}</span>
                                <span class="fileupload-new">{{__('Choose file')}}</span>
                                <input type="file" id="images" name="images[]" multiple>
                            </span>
                            <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__("Absent workers")}}:</label>
                <div class="col-sm-10">
                    @foreach($workers as $worker)
                        <p>{{$worker->name.' '.$worker->surname}}</p> 
                        <div class="switch switch-sm switch-info">
                            <input type="checkbox" name="absent_workers[{{$worker->id}}]" data-plugin-ios-switch @if(in_array($worker->id, $absentWorkers)) checked @endif/>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                    <a href="{{route('ger_construction_sites.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                </div>
            </div>
        </footer>
    </section>
</form>
@if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Comments')}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{__('comment')}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$comment->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$images->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__('Images')}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                <div class="col-md-2" style="overflow: auto;">
                    <div class="popup-gallery">
                        <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description}}" rel="group1">
                            <div class="img-responsive">
                                <img src="{{$img->url}}" width="105">
                            </div>
                        </a>
                    </div>
                    <div class="btn-group">
                        <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                        <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-rotate-image" imageId="{{$img->id}}" data-param="ger_construction"><i class="fa fa-rotate-right"></i></button>
                    </div>
                </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!empty($works))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title"><strong>{{__('Works')}}</strong></h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__('Code')}}</th>
                            <th>{{__('Works')}}</th>
                            <th>{{__('Unit')}}</th>
                            <th>{{__('Quantity')}}</th>
                            @if($isColumnLeader || $isSuperAdmin)
                                <th></th>
                            @endif
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($works as $work)
                            <tr class="gradeX">
                                <td>{{$work['code']}}</td>
                                <td>{{$work['work']}}</td>
                                <td>{{$work['unit']}}</td>
                                <td>{{$work['quantity']}}</td>
                                @if($isColumnLeader || $isSuperAdmin)
                                <td class="btn-center">
                                    <div class="btn-group">
                                        <a href="#workModal" class="modal-basic" name="deWorks"><button type="button" class="btn btn-sm btn-success btn-de-work"
                                            data-toggle="tooltip" data-placement="top" data-operation="plus" data-original-title="{{__('Add work')}}"
                                            workId="{{$work['id']}}">
                                            <i class="fa fa-plus"></i>
                                        </button></a>
                                        <a href="#workModal" class="modal-basic"><button type="button" class="btn btn-sm btn-danger btn-de-work"
                                            data-toggle="tooltip" data-placement="top" data-operation="minus" data-original-title="{{__('Remove work')}}"
                                            workId="{{$work['id']}}">
                                            <i class="fa fa-minus"></i>
                                        </button></a>
                                    </div>
                                </td>
                                @endif
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif

    <!------------------------------------------------------------------------------ modals ------------------------------------------------------------------> 

    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('ger_delete_comment')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('comment')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('ger_delete_image')}}">
            <input type="hidden" name="id_image" id="id_image">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete image?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="workModal" class="modal-block modal-header-color modal-block-primary mfp-hide">
        <form name="delete-form-aw" method="post" action="{{route('add_ger_work')}}">
            <input type="hidden" name="site_id" id="site_id" value="{{$site->id}}">
            <input type="hidden" name="work_id" id="work_id">
            <input type="hidden" name="operation" id="operation">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Add / remove work')}}</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="form-group">
                            <label class="col-sm-2">{{__('Quantity')}}</label>
                            <div class="col-sm-9">
                                <input type="text" name="work_quantity" id="work_quantity" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection