@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('gm_user_store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("New user")}}  | next free id ({{$freeId}})</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-1 control-label">ID </label>
                    <div class="col-lg-3">
                        <input type="text" name="id" class="form-control" placeholder="" id="id" spellcheck="false" value="{{$freeId}}"/>
                    </div>
                    <label class="col-lg-1 control-label">Role </label>
                    <div class="col-lg-3">
                        <select name="role_id" class="form-control" placeholder="" id="role_id" spellcheck="false">
                            @foreach ($roles as $role)
                                <option value="{{$role->id}}" @if($role->id == old('role_id')) selected @endif>{{$role->description}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-lg-1 control-label">Username </label>
                    <div class="col-lg-3">
                        <input type="text" name="username" class="form-control" placeholder="" id="username" spellcheck="false" value="{{old('username')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Name")}} </label>
                    <div class="col-lg-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{old('name')}}"/>
                    </div>
                    <label class="col-lg-1 control-label">{{__("Surname")}} </label>
                    <div class="col-lg-3">
                        <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false" value="{{old('surname')}}"/>
                    </div>
                    <label class="col-lg-1 control-label">Email </label>
                    <div class="col-lg-3">
                        <input type="text" name="email" class="form-control" placeholder="" id="email" spellcheck="false" value="{{old('email')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Password")}} </label>
                    <div class="col-lg-3">
                        <input type="password" name="password" password class="form-control" placeholder="" id="password" spellcheck="false" value="{{old('password')}}"/>
                    </div>
                    <label class="col-lg-1 control-label">Is active </label>
                    <div class="col-lg-3">
                        <select name="is_active" class="form-control" placeholder="" id="is_active">
                            <option value="1">{{__("YES")}}</option>
                            <option value="0">{{__("NO")}}</option>
                        </select>
                    </div>
                    <label class="col-lg-1 control-label">Locale </label>
                    <div class="col-lg-3">
                        <input type="text" name="locale" class="form-control" placeholder="" id="locale" spellcheck="false" value="{{old('locale')}}"/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add new")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('gm_users')}}"><button class="btn btn-default">{{__("Back")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection