@extends('layouts.app')

@section('content')
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">Active users ({{$usersCount}}) For payment ({{$forPayment}}) next free ID ({{$freeId}})</h2>
                </header>
                <div class="panel-body">
                    <div class="table-mobile">
                        <table class="table table-bordered table-striped mb-none" id="datatable-default">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Username</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Role</th>
                                <th>Activity</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($users as $user)
                                <tr class="gradeX">
                                    <td>{{$user->id}}</td>
                                    <td>{{$user->username}}</td>
                                    <td>{{$user->ime.' '.$user->prezime}}</td>
                                    <td>{{$user->email}}</td>
                                    <td>{{$user->description}}</td>
                                    <td>{{$user->is_active}}</td>
                                    <td class="btn-center">
                                        <a href="/gm_area/{{$user->id}}/edit"><i class="fa fa-qq"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">Banned users ({{$bannedCount}})</h2>
                </header>
                <div class="panel-body">
                    <div class="table-mobile">
                        <table class="table table-bordered table-striped mb-none" id="datatable-default">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Username</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Role</th>
                                <th>Activity</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($bannedUsers as $user)
                                <tr class="gradeX">
                                    <td>{{$user->id}}</td>
                                    <td>{{$user->username}}</td>
                                    <td>{{$user->ime.' '.$user->prezime}}</td>
                                    <td>{{$user->email}}</td>
                                    <td>{{$user->description}}</td>
                                    <td>{{$user->is_active}}</td>
                                    <td class="btn-center">
                                        <a href="/gm_area/{{$user->id}}/edit"><i class="fa fa-qq"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endsection