@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
        });
    </script>

    <section class="panel">
        <div class="panel-heading">
            <h2 class="panel-title">{{__("Data transfer")}}</h2>
        </div>
        <form action="{{route('transfer')}}" name="transferFrm" method="POST">
            <div class="panel-body">
                <div class="form-group">
                    <div class="col-sm-12">
                        <p>{{__("Transfer data between clients")}}.</p>
                    </div>
                </div>
                @csrf
                <div class="form-group">
                    <label class="col-sm-6 col-md-3 control-label">{{__("Client ID from whom data is taken")}}: </label>
                    <div class="col-sm-6 col-md-3">
                        <div class="switch switch-info">
                            <input type="text" name="from_id" id="from_id" class="form-control" value="{{old('from_id')}}"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 col-md-3 control-label">{{__("Client ID to whom data is sent")}}: </label>
                    <div class="col-sm-6 col-md-3">
                        <div class="switch switch-info">
                            <input type="text" name="to_id" id="to_id" class="form-control" value="{{old('to_id')}}"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 col-md-3 control-label">{{__("Client type")}}: </label>
                    <div class="col-sm-6 col-md-3">
                        <select class="form-group" id="client_type" name="client_type">
                            <option value="">-- {{__("Client type")}} --</option>
                            @foreach($clientTypes as $type)
                                <option value="{{$type->id}}">{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-8">
                        <div class="checkbox-custom checkbox-info">
                            <input type="checkbox" checked="" id="devices" name="devices">
                            <label for="checkboxExample2">{{__("Devices")}}</label>
                        </div>
                        <div class="checkbox-custom checkbox-success">
                            <input type="checkbox" checked="" id="equipment" name="equipment">
                            <label for="checkboxExample3">{{__("Equipment")}}</label>
                        </div>
                        <div class="checkbox-custom checkbox-warning">
                            <input type="checkbox" checked="" id="returned_devices" name="returned_devices">
                            <label for="checkboxExample4">{{__("Returned devices")}}</label>
                        </div>
                        <div class="checkbox-custom checkbox-default">
                            <input type="checkbox" checked="" id="comments" name="comments">
                            <label for="checkboxExample1">{{__("Comments")}}</label>
                        </div>
                        <div class="checkbox-custom checkbox-danger">
                            <input type="checkbox" checked="" id="images" name="images">
                            <label for="checkboxExample5">{{__("Images")}}</label>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Transfer data")}} <i class="fa fa-exchange"></i></button>
                    </div>
                </div>
            </footer>
        </form>
    </section>

@endsection