@extends('layouts.app')
@section('content')

<script type="text/javascript">
    $(document).ready(function(){
        $('#btn-status').click(function(){
            var param = $(this).attr('param');
            var data = $('#status').val();
            $('#param').val(param);
            $('#data').val(data);
            $('.confirm-text').text("{{__('Are you sure you want to execute group action for')}} {{__('status')}}?");
        });
        $('#btn-fitter').click(function(){
            var param = $(this).attr('param');
            var data = $('#fitter').val();
            $('#param').val(param);
            $('#data').val(data);
            $('.confirm-text').text("{{__('Are you sure you want to execute group action for')}} {{__('fitter')}}?");
        });
        $('#btn-fitter-reclamation').click(function(){
            var param = $(this).attr('param');
            var data = $('#fitter_reclamation').val();
            $('#param').val(param);
            $('#data').val(data);
            $('.confirm-text').text("{{__('Are you sure you want to execute group action for')}} {{__('Reclamation fitter')}}?");
        });
        $('#btn-payment').click(function(){
            var param = $(this).attr('param');
            var data = $('#for_payment').is(':checked');
            $('#param').val(param);
            $('#data').val(data);
            $('.confirm-text').text("{{__('Are you sure you want to execute group action for')}} {{__('For payment')}}?");
        });
        $('#btn-confirm').click(function(){
            $('#loading').show();
        });

        $('#btn-intervention-status').click(function(){
            var param = $(this).attr('param');
            var data = $('#intervention_status').val();
            $('#param').val(param);
            $('#data').val(data);
            $('.confirm-text').text("{{__('Are you sure you want to execute group action for')}} {{__('Intervention status')}}?");
        });
        $('#btn-intervention-reason').click(function(){
            var param = $(this).attr('param');
            var data = $('#intervention_reason').val();
            $('#param').val(param);
            $('#data').val(data);
            $('.confirm-text').text("{{__('Are you sure you want to execute group action for')}} {{__('Intervention reason')}}?");
        });
        $('#btn-reclamation-date').click(function(){
            var param = $(this).attr('param');
            var data = $('#reclamation_date').val();
            $('#param').val(param);
            $('#data').val(data);
            $('.confirm-text').text("{{__('Are you sure you want to execute group action for')}} {{__('Intervention date')}}?");
        });
    });
</script>

<section class="panel">
    <div class="panel-heading">
        <h2 class="panel-title">{{__('Group entry')}}</h2>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <div class="col-md-2">
                <p>{{__('Clients in session')}} (IDs):</p>
            </div>
            <div class="col-md-8">
                @if($ids)
                    <p class="highlight">
                        @foreach($ids as $br=>$id)
                            @if(count($ids)-1 == $br)
                                {{$id.'. '}}
                            @else
                                {{$id.', '}}
                            @endif
                        @endforeach
                    </p>
                @endif
            </div>
            <div class="col-sm-2">
                <a href="{{route('clear_session', ['param' => 'msat'])}}"><button type="button" class="btn btn-sm btn-danger"
                                   data-toggle="tooltip" data-placement="top"
                                   data-original-title="Isprazni sesiju"><i class="fa fa-fire"></i></button></a>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">{{__('Fitter')}}: </label>
            <div class="col-sm-4">
                <select class="form-control"  name="fitter" id="fitter">
                    <option value="">-- {{__('Fitter')}} --</option>
                    @foreach($fitters as $fitter)
                        <option value="{{$fitter->id}}">{{$fitter->ime.' '.$fitter->prezime}}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-sm-2">
                <a href="#confirmModal" class="modal-basic" id="btn-fitter" param="fitter"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">{{__('Reclamation fitter')}}: </label>
            <div class="col-sm-4">
                <select class="form-control"  name="fitter_reclamation" id="fitter_reclamation">
                    <option value="">-- {{__('Reclamation fitter')}} --</option>
                    @foreach($fitters as $fitter)
                        <option value="{{$fitter->id}}">{{$fitter->ime.' '.$fitter->prezime}}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-sm-2">
                <a href="#confirmModal" class="modal-basic" id="btn-fitter-reclamation" param="fitter_reclamation"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">{{__('Status')}}: </label>
            <div class="col-sm-4">
                <select class="form-control"  name="status" id="status">
                    <option value="">-- {{__('Choose')}} {{__('status')}} --</option>
                    @foreach($statusi as $s)
                        <option value="{{$s->id}}">{{$s->status}}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-sm-2">
                <a href="#confirmModal" class="modal-basic" id="btn-status" param="status"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">{{__('Intervention status')}}: </label>
            <div class="col-sm-4">
                <select class="form-control"  name="intervention_status" id="intervention_status">
                    <option value="">-- {{__('Choose')}} {{__('status')}} --</option>
                    @foreach($interventionStatuses as $s)
                        <option value="{{$s->id}}">{{$s->status}}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-sm-2">
                <a href="#confirmModal" class="modal-basic" id="btn-intervention-status" param="intervention-status"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">{{__('Intervention reason')}}: </label>
            <div class="col-sm-4">
                <select class="form-control"  name="intervention_reason" id="intervention_reason">
                    <option value="">-- {{__('Choose')}} {{__('reason')}} --</option>
                    @foreach($interventionReasons as $intr)
                        <option value="{{$intr->id}}">{{$intr->razlog}}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-sm-2">
                <a href="#confirmModal" class="modal-basic" id="btn-intervention-reason" param="intervention-reason"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">{{__('Reclamation date')}}: </label>
            <div class="col-sm-4">
                <input type="text" class="form-control date-picker" id="reclamation_date">
            </div>
            <div class="col-sm-2">
                <a href="#confirmModal" class="modal-basic" id="btn-reclamation-date" param="reclamation-date"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">{{__('For payment')}}: </label>
            <div class="col-sm-4">
                <div class="switch switch-info">
                    <input type="checkbox" name="for_payment" id="for_payment" data-plugin-ios-switch/>
                </div>
            </div>
            <div class="col-sm-2">
                <a href="#confirmModal" class="modal-basic" id="btn-payment" param="payment"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
            </div>
        </div>
    </div>

</section>

<div id="confirmModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
    <form name="groupActionForm" method="post" action="{{route('group_action')}}">
        <input type="hidden" name="param" id="param">
        <input type="hidden" name="data" id="data">
        @csrf
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Notice')}}</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-exclamation"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__('Group entry')}}!</h4>
                        <p class="confirm-text"></p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-warning" id="btn-confirm" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>

@endsection