@extends('layouts.app')

@section('content')

<script type="text/javascript">
    $(document).ready(function () {
        $('.mark-done').click(function(){
            var dptId = $(this).attr('dptId');
            var dworkId = $(this).attr('dworkId');
            var dtaskId = $(this).attr('dtaskId');
            $('#m_pt_id').val(dptId);
            $('#m_task_id').val(dtaskId);
            $('#m_work_id').val(dworkId);
            $('#done').val(1);
        });
        $('.mark-undone').click(function(){
            var dptId = $(this).attr('dptId');
            var dworkId = $(this).attr('dworkId');
            var dtaskId = $(this).attr('dtaskId');
            $('#m_pt_id').val(dptId);
            $('#m_task_id').val(dtaskId);
            $('#m_work_id').val(dworkId);
            $('#done').val(0);
        });
        $('.add-status').click(function(){
            var sptId = $(this).attr('sptId');
            $('#s_pt_id').val(sptId);
        });
        $('.add-equipment').click(function(){
            var ptId = $(this).attr('ptId');
            $('#e_pt_id').val(ptId);
        });
        $('.add-image').click(function(){
            var ptId = $(this).attr('ptId');
            var workId = $(this).attr('workId');
            var url = '/workflow/images/'+ptId+'/'+workId+'/'+'smth';
            document.getElementById('btn_show_images').href = url;
            $('#i_pt_id').val(ptId);
            $('#i_work_id').val(workId);
        });
    });
</script>

@if($isAdmin)
<div class="row">
    <div class="col-lg-12">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Company data")}}</h2>
            </header>
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12 firm-logo">
                        <img src="assets/images/logo-geberung.png" alt="Geberung" height="100">
                    </div>
                    <div class="col-md-2">
                        <h3>{{__("Company name")}}:</h3>
                    </div>
                    <div class="col-md-10">
                        <h3 class="text-primary">{{$firma->naziv}}</h3>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2">
                        <h3>{{__("Company number")}}:</h3>
                    </div>
                    <div class="col-md-10">
                        <h3 class="text-primary">{{$firma->mb}}</h3>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2">
                        <h3>{{__("Tax number")}}:</h3>
                    </div>
                    <div class="col-md-10">
                        <h3 class="text-primary">{{$firma->pib}}</h3>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2">
                        @if($firma->id == 1)
                        <h3>{{__("Owners")}}:</h3>
                        @else
                        <h3>{{__("Owner")}}:</h3>
                        @endif
                    </div>
                    <div class="col-md-10">
                        <h3 class="text-primary">{{$firma->vlasnik}}</h3>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2">
                        <h3>{{__("Documentation")}}:</h3>
                    </div>
                    <div class="col-md-10">
                        <h3 class="text-primary"><a href="/uploads/documentation/geberung.zip"> Geberung: (download zip file)</a></h3>
                    </div>
                </div>
            </div>
        </section>

    </div>
</div>

<div class="row">
    <div class="col-lg-12">
    </div>
</div>
@else
<script type="text/javascript">
    $(document).ready(function () {
        $('.btn-delete').click(function () {
            var id = $(this).attr("klijentId");
            $('#id_klijent').val(id);
        });

    });
</script>



@if(!$klijenti->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">M:SAT DTH</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Full name")}}</th>
                        <th>{{__("Network group")}}</th>
                        <th>{{__("Installation address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Appointment date")}}</th>
                        <th class="napomena-tabela">{{__("Note")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $marker = ''?>
                    @foreach($klijenti as $k)
                        <?php if($k->id_status_intervencije == 1) $marker = 'marker'; else $marker = '';?>
                            <tr class="gradeX {{$marker}}">
                            <td>{{$k->ime.' '.$k->prezime}}</td>
                            <td>{{$k->mrezna_grupa}}</td>
                            <td>{{$k->adresa_instalacije}}</td>
                            <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif @if($k->tel3) {!! 'Mob2: '.nl2br($k->tel3) !!} @endif</td>
                            <td>@if($k->datum_zakazivanja) {{date('d.m.Y. H:i', strtotime($k->datum_zakazivanja))}} @endif</td>
                                <?php $napomene = $napModel->napomene($k->id);?>
                            <td>
                                @foreach($napomene as $nap)
                                {!! nl2br($nap->napomena. "\n") !!}
                                @endforeach
                            </td>
                            <td class="btn-center">
                                <a href="/klijent/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('klijent.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            {{--<div class="row datatables-footer">--}}
                {{--<div class="col-sm-12 col-md-6">--}}
                    {{--{{$klijenti->links()}}--}}
                {{--</div>--}}
            {{--</div>--}}
        </div>
    </section>
@endif
@if(!$klijentiOptika->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("OPTICS")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Full name")}}</th>
                        <th>{{__("Address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Appointment date")}}</th>
                        <th>{{__("Note")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $marker = ''?>
                    @foreach($klijentiOptika as $k)
                        <?php if($k->id_status_intervencije == 1) $marker = 'marker'; else $marker = '';?>
                        <tr class="gradeX {{$marker}}">
                            <td>{{$k->ime.' '.$k->prezime}}</td>
                            <td>{{$k->adresa}}</td>
                            <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif @if($k->tel3) {!! 'Mob2: '.nl2br($k->tel3) !!} @endif</td>
                            <td>@if($k->datum_zakazivanja) {{date('d.m.Y. H:i', strtotime($k->datum_zakazivanja))}} @endif</td>
                            <?php $napomeneOptika = $napModel->napomeneOptika($k->id);?>
                            <td>
                                @foreach($napomeneOptika as $napOp)
                                    {!! nl2br($napOp->napomena. "\n") !!}
                                @endforeach
                            </td>
                            <td class="btn-center">
                                <a href="/klijentiOptika/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('klijentiOptika.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif
@if(!$runeOptics->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("OPTICS")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Full name")}}</th>
                        <th>{{__("Address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Appointment date")}}</th>
                        <th>{{__("Note")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $marker = ''?>
                    @foreach($runeOptics as $k)
                        <tr class="gradeX {{$marker}}">
                            <td>{{$k->name.' '.$k->surname}}</td>
                            <td>{{$k->address}}</td>
                            <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif @if($k->tel3) {!! 'Mob2: '.nl2br($k->tel3) !!} @endif</td>
                            <td>@if($k->appointment_date) {{date('d.m.Y. H:i', strtotime($k->appointment_date))}} @endif</td>
                            <?php $runeComments = $runeComMod->comments($k->id);?>
                            <td>
                                @foreach($runeComments as $comm)
                                    {!! nl2br($comm->comment. "\n") !!}
                                @endforeach
                            </td>
                            <td class="btn-center">
                                <a href="/runeOptics/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('runeOptics.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif
@if(!$klijentiSupernova->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">SUPERNOVA</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Full name")}}</th>
                        <th>{{__("Address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Appointment date")}}</th>
                        <th>{{__("Note")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $marker = ''?>
                    @foreach($klijentiSupernova as $k)
                        <tr class="gradeX">
                            <td>{{$k->klijent_ime.' '.$k->klijent_prezime}}</td>
                            <td>{{$k->ulica.' '.$k->kucni_broj}}</td>
                            <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif</td>
                            <td>@if($k->datum_zakazivanja) {{date('d.m.Y. H:i', strtotime($k->datum_zakazivanja))}} @endif</td>
                            <?php $napomeneSupernova = $napModel->napomeneSupernova($k->id);?>
                            <td>
                                @foreach($napomeneSupernova as $napSup)
                                    {!! nl2br($napSup->napomena. "\n") !!}
                                @endforeach
                            </td>
                            <td class="btn-center">
                                <a href="/klijentiSupernova/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('klijentiSupernova.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif
@if(!$klijentiBakar->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("COPPER")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Full name")}}</th>
                        <th>{{__("Address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Appointment date")}}</th>
                        <th>{{__("Note")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $marker = ''?>
                    @foreach($klijentiBakar as $k)
                        <?php if($k->id_status_intervencije == 1) $marker = 'marker'; else $marker = '';?>
                        <tr class="gradeX {{$marker}}">
                            <td>{{$k->ime.' '.$k->prezime}}</td>
                            <td>{{$k->adresa}}</td>
                            <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif @if($k->tel3) {!! 'Mob2: '.nl2br($k->tel3) !!} @endif</td>
                            <td>@if($k->datum_zakazivanja) {{date('d.m.Y. H:i', strtotime($k->datum_zakazivanja))}} @endif</td>
                            <?php $napomeneBakar = $napModel->napomeneBakar($k->id);?>
                            <td>
                                @foreach($napomeneBakar as $nb)
                                    {!! nl2br($nb->napomena. "\n") !!}
                                @endforeach
                            </td>
                            <td class="btn-center">
                                <a href="/klijentiBakar/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('klijentiBakar.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif
@if(!$kirSites->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">KIR</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Client")}}</th>
                        <th>{{__("Address")}}</th>
                        <th>{{__("City")}}</th>
                        <th>{{__("Status vertical")}}</th>
                        <th>{{__("Status access")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($kirSites as $site)
                        <tr class="gradeX">
                            <td>{{$site->name}}</td>
                            <td>{{$site->address}}</td>
                            <td>{{$site->city.' ('.$site->municipality.')'}}</td>
                            <td>{{$site->status_vertical}}</td>
                            <td>{{$site->status_access}}</td>
                            <td class="btn-center">
                                <a href="/kir/{{$site->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                                                             data-toggle="tooltip" data-placement="top"
                                                                             data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('kir.index').'/'.$site->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                                                                          data-toggle="tooltip" data-placement="top"
                                                                                          data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif
@if(!$huaweiSites->isEmpty())
<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">HUAWEI</h2>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                <tr>
                    <th>{{__("Client")}}</th>
                    <th>{{__("Address")}}</th>
                    <th>{{__("City")}}</th>
                    <th>{{__("Status vertical")}}</th>
                    <th>{{__("Status access")}}</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                @foreach($huaweiSites as $site)
                    <tr class="gradeX">
                        <td>{{$site->name}}</td>
                        <td>{{$site->address}}</td>
                        <td>{{$site->city.' ('.$site->municipality.')'}}</td>
                        <td>{{$site->status_vertical}}</td>
                        <td>{{$site->status_access}}</td>
                        <td class="btn-center">
                            <a href="/huawei/{{$site->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                    data-toggle="tooltip" data-placement="top"
                                    data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                            <a href="{{route('huawei.index').'/'.$site->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                    data-toggle="tooltip" data-placement="top"
                                    data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
</section>
@endif
@if(!$tasks->isEmpty())
    @foreach($tasks as $task)
    <?php 
        $specificWorks = $wMod->works($task->id); 
        $taskEquipment = $teMod->taskEquipment($task->id);
        $doneWorks = 0;
        $undoneWorks = 0;
    ?>
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{strtoupper($task->task)}}</h2>
            </header>
            <div class="panel-body">
                @if(!$specificWorks->isEmpty())
                    <div class="table-responsive">
                        <table class="table mb-none">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>{{__("Works")}}</th>
                                    <th>{{__("Quantity")}}</th>
                                    <th>{{__("Finished")}}</th>
                                    <th>{{__("Actions")}}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($specificWorks as $key=>$swork)
                                <tr>
                                    <td>{{$key+1}}</td>
                                    <td>{{$swork->work}}</td>
                                    <td>@if($swork->quantity) {{$swork->quantity}} @else 1 @endif</td>
                                    <td>@if($swork->done == 1) <i class="fa fa-check" style="color:green"></i>@endif</td>
                                    <td class="actions">
                                        @if($swork->done == 0) 
                                        <?php $undoneWorks++; ?>
                                        <a href="#doneModal" class="mark-done modal-basic" dptId="{{$task->id}}" dworkId="{{$swork->work_id}}"
                                            dtaskId="{{$swork->task_id}}"><i class="fa fa-check-circle" data-toggle="tooltip" data-placement="top"
                                            data-original-title="{{__("Finished")}}"></i></a>
                                        @else
                                        <?php $doneWorks++; ?>
                                        <a href="#doneModal" class="mark-undone modal-basic" dptId="{{$task->id}}" dworkId="{{$swork->work_id}}"
                                            dtaskId="{{$swork->task_id}}"><i class="fa fa-times" data-toggle="tooltip" data-placement="top"
                                            data-original-title="{{__("Not finished")}}"></i></a>
                                        @endif
                                        <a href="#imageDialog" class="add-image mt-xs mb-xs popup-with-move-anim" dptId="{{$task->id}}" workId="{{$swork->work_id}}"
                                            taskId="{{$swork->task_id}}" ptId="{{$swork->project_task_id}}"><i class="fa fa-image"></i></a>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <?php 
                        $percentage = number_format($doneWorks*100/($doneWorks+$undoneWorks)); 
                    ?>
                    @if($percentage > 0)
                    <div class="progress progress-striped light active m-md">
                        <div class="progress-bar progress-bar-primary" role="progressbar" aria-valuenow="{{$percentage}}" aria-valuemin="0" aria-valuemax="100" style="width: {{$percentage}}%;">
                            {{$percentage}}%
                        </div>
                    </div>
                    @endif
                    @if(!$taskEquipment->isEmpty())
                    <div class="table-responsive">
                        <table class="table mb-none">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>{{__("Equipment")}}</th>
                                    <th>{{__("Code")}}</th>
                                    <th>{{__("Quantity")}}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($taskEquipment as $key=>$equip)
                                <tr>
                                    <td>{{$key+1}}</td>
                                    <td>{{$equip->equipment}}</td>
                                    <td>{{$equip->code}}</td>
                                    <td>{{$equip->quantity}}</td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <br />
                    @endif
                @endif
                <div class="tm-meta">
                    <span>
                        <i class="fa fa-user"></i> {{$task->ime.' '.$task->prezime}}</a>
                    </span>
                    <span>
                        <i class="fa fa-file-text"></i> @if($task->status) {{$task->status}} @else Dodaj status @endif</a>
                    </span>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <a href="#statusModal" class="btn btn-primary add-status modal-basic" sptId="{{$task->id}}">
                            {{__("Add status")}}</a>
                        <a href="#equipmentModal" class="btn btn-success add-equipment modal-basic" ptId="{{$task->id}}">
                            {{__("Add equipment")}}</a>
                    </div>
                </div>
            </footer>
        </section>
        @endforeach
@endif

<div id="deleteKlijentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('klijent.destroy', 'test')}}">
        <input type="hidden" name="id_klijent" id="id_klijent">
        {{ method_field('delete') }}
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-times-circle"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Deletion")}}</h4>
                        <p>{{__("Are you sure you want to delete data?")}}?</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>

@if(!$tasks->isEmpty())
<div id="doneModal" class="modal-block modal-header-color modal-block-success mfp-hide">
    <form name="delete-form" method="post" action="{{route('mark_done')}}">
        <input type="hidden" name="m_pt_id" value="" id="m_pt_id">
        <input type="hidden" name="m_task_id" value="" id="m_task_id">
        <input type="hidden" name="m_work_id" value="" id="m_work_id">
        <input type="hidden" name="done" value="" id="done">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-check"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Finish work")}}</h4>
                        <p>{{__("Are you sure you want to mark this work as finished?")}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-success" type="submit">{{__("YES")}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
@endif
@if(!$tasks->isEmpty())
<div id="statusModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Add new status")}}</h2>
        </header>
        <form id="add_status" method="post" class="form-horizontal mb-lg" action="{{route('wf_add_status')}}">
            <input type="hidden" id="s_pt_id" name="s_pt_id">
            @csrf
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label">{{__("Status")}} </label>
                    <div class="col-sm-9">
                        <select data-plugin-selectTwo class="form-control populate" name="status" id="status">
                            <option value="">-- {{__("Without status")}} --</option>
                                @foreach($statuses as $status)
                                    <option value="{{$status->id}}">{{$status->status}}</option>
                                @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>
<div id="equipmentModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Add equipment")}}</h2>
        </header>
        <form id="add_equipment" method="post" class="form-horizontal mb-lg" action="{{route('wf_add_equipment')}}">
            <input type="hidden" id="e_pt_id" name="e_pt_id">
            @csrf
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-sm-2 control-label">{{__("Equipment")}} </label>
                    <div class="col-sm-10">
                        <select data-plugin-selectTwo class="form-control populate" name="equipment" id="equipment">
                            <option value="">-- {{__("Equipment")}} --</option>
                                @foreach($equipment as $eq)
                                    <option value="{{$eq->equipment_id}}">{{$eq->equipment}} (kol. {{$eq->quantity}})</option>
                                @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group mt-lg">
                    <label class="col-sm-2 control-label">{{__("Quantity")}} </label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="quantity" name="quantity">
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>
@endif

<div id="imageDialog" class="dialog dialog-sm zoom-anim-dialog mfp-hide">
    <form method="GET" action="{{route('wf_images_form')}}">
        @csrf
        <input type="hidden" id="i_pt_id" name="i_pt_id">
        <input type="hidden" id="i_work_id" name="i_work_id">
        <h1 style="text-align:center">{{__("Images")}}</h1>
        <br/>
        <button type="submit" style="float:left" class="btn btn-success" id="submit_images">{{__("Add images")}} <i class="fa fa-plus"></i></button>
        <a href="" style="float:right" class="btn btn-info" id="btn_show_images">{{__("View images")}} <i class="fa fa-image"></i></a>
        <br/>
        <br/>
        <br/>
    </form>
</div>

<!-- is admin endif -->
@endif

@endsection
