@extends('layouts.app')

@section('content')

<form id="form" method="post" action="{{ route('huawei.store') }}" class="form-horizontal" enctype="multipart/form-data">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
            </div>
            <h2 class="panel-title">{{__("Add new")}}</h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Client")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('name')){{'has-error'}} @endif">
                    <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{old('name')}}"/>
                    @if($errors->has('name'))
                        <label for="name" class="error">{{$errors->first('name')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="seller" class="form-control" placeholder="" id="seller" spellcheck="false" value="{{old('seller')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Seller contact")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="contact_seller" class="form-control" placeholder="" id="contact_seller" spellcheck="false" value="{{old('contact_seller')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">HUAWEI ID </label>
                <div class="col-sm-3">
                    <input type="text" name="h_id" class="form-control" placeholder="" id="h_id" spellcheck="false" value="{{old('h_id')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 1 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="false" value="{{old('tel3')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Manager")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="manager" class="form-control" placeholder="" id="manager" spellcheck="false" value="{{old('manager')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 1 (upravnik) </label>
                <div class="col-sm-3">
                    <input type="text" name="m_tel1" class="form-control" placeholder="" id="m_tel1" spellcheck="false" value="{{old('m_tel1')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Phone")}} 2 (upravnik) </label>
                <div class="col-sm-3">
                    <input type="text" name="m_tel2" class="form-control" placeholder="" id="m_tel2" spellcheck="false" value="{{old('m_tel2')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 3 (upravnik) </label>
                <div class="col-sm-3">
                    <input type="text" name="m_tel3" class="form-control" placeholder="" id="m_tel3" spellcheck="false" value="{{old('m_tel3')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("State")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('state')){{'has-error'}} @endif">
                    <select class="form-control populate"  name="state" id="state">
                        <option value="">-- {{__("State")}} --</option>
                        @foreach($states as $s)
                            <option value="{{$s->id}}" @if(old('state') == $s->id){{'selected'}} @endif>{{$s->state}}</option>
                        @endforeach
                    </select>
                    @if($errors->has('state'))
                        <label for="state" class="error">{{$errors->first('state')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("City")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('city')){{'has-error'}} @endif">
                    <select class="form-control populate" data-plugin-selectTwo name="city" id="city">
                        <option value="">-- {{__("City")}} --</option>
                        @foreach($cities as $city)
                            <option value="{{$city->id}}" @if(old('city') == $city->id){{'selected'}} @endif>{{$city->city}}</option>
                        @endforeach
                    </select>
                    @if($errors->has('city'))
                        <label for="city" class="error">{{$errors->first('city')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("Municipality")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="municipality" class="form-control" placeholder="" id="municipality" spellcheck="false" value="{{old('municipality')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Address")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('address')){{'has-error'}} @endif">
                    <input type="text" name="address" class="form-control" placeholder="" id="address" spellcheck="false" value="{{old('address')}}"/>
                    @if($errors->has('address'))
                        <label for="address" class="error">{{$errors->first('address')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Number of floors")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="number_of_floors" class="form-control" placeholder="" id="number_of_floors" spellcheck="false" value="{{old('number_of_floors')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Number of flats")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="number_of_flats" class="form-control" placeholder="" id="number_of_flats" spellcheck="false" value="{{old('number_of_flats')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Area")}}<span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('area')){{'has-error'}} @endif">
                    <select class="form-control populate"  name="area" id="area">
                        <option value="">-- {{__("Area")}} --</option>
                        @foreach($areas as $area)
                            <option value="{{$area->id}}" @if(old('area') == $area->id){{'selected'}} @endif>{{$area->area}}</option>
                        @endforeach
                    </select>
                    @if($errors->has('area'))
                        <label for="area" class="error">{{$errors->first('area')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Status access")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="status_access" id="status_access">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statusesAccess as $status)
                            <option value="{{$status->id}}" @if(old('status_access') == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Status vertical")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="status_vertical" id="status_vertical">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statusesVertical as $status)
                            <option value="{{$status->id}}" @if(old('status_vertical') == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Status splicing")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="status_splicing" id="status_splicing">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statusesAccess as $status)
                            <option value="{{$status->id}}" @if(old('status_splicing') == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="project_manager" id="project_manager">
                        <option value="">-- {{__("Project manager")}} --</option>
                        @foreach($projectManagers as $pmng)
                            <option value="{{$pmng->id}}" @if(old('project_manager') == $pmng->id){{'selected'}} @endif>{{$pmng->ime.' '.$pmng->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Construction manager")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="construction_manager" id="construction_manager">
                        <option value="">-- {{__("Construction manager")}} --</option>
                        @foreach($constructionManagers as $const)
                            <option value="{{$const->id}}" @if(old('construction_manager') == $const->id){{'selected'}} @endif>{{$const->ime.' '.$const->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Worker (access)")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="worker_access" id="worker_access">
                        <option value="">-- {{__("Worker")}} --</option>
                        @foreach($workers as $worker)
                            <option value="{{$worker->id}}" @if(old('worker_access') == $worker->id){{'selected'}} @endif>{{$worker->ime.' '.$worker->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Worker (vertical)")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="worker_vertical" id="worker_vertical">
                        <option value="">-- {{__("Worker")}} --</option>
                        @foreach($workers as $worker)
                            <option value="{{$worker->id}}" @if(old('worker_vertical') == $worker->id){{'selected'}} @endif>{{$worker->ime.' '.$worker->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Worker (splicing)")}}</label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="worker_splicing" id="worker_splicing">
                        <option value="">-- {{__("Worker")}} --</option>
                        @foreach($workers as $worker)
                            <option value="{{$worker->id}}" @if(old('worker_splicing') == $worker->id){{'selected'}} @endif>{{$worker->ime.' '.$worker->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Comment")}}</label>
                <div class="col-sm-3">
                    <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false">{{old('comment')}}</textarea>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Appointment date (access)")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="appointment_date_access" class="form-control date-picker" placeholder="" id="appointment_date_access" value="@if(old('appointment_date_access'))
                                    {{date('d.m.Y.', strtotime(old('appointment_date_access')))}} @endif" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Appointment time")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-clock-o"></i>
                        </span>
                        <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="appointment_time_access" name="appointment_time_access"
                               value="@if(old('appointment_time_access')){{date('H:i', strtotime(old('appointment_time_access')))}} @endif">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Appointment date (vertical)")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="appointment_date_vertical" class="form-control date-picker" placeholder="" id="appointment_date_vertical" value="@if(old('appointment_date_vertical'))
                        {{date('d.m.Y.', strtotime(old('appointment_date_vertical')))}} @endif" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Appointment time")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-clock-o"></i>
                        </span>
                        <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="appointment_time_vertical" name="appointment_time_vertical"
                               value="@if(old('appointment_time_vertical')){{date('H:i', strtotime(old('appointment_time_vertical')))}} @endif">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Appointment date (splicing)")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="appointment_date_splicing" class="form-control date-picker" placeholder="" id="appointment_date_splicing" value="@if(old('appointment_date_splicing'))
                        {{date('d.m.Y.', strtotime(old('appointment_date_splicing')))}} @endif" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Appointment time")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-clock-o"></i>
                        </span>
                        <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="appointment_time_splicing" name="appointment_time_splicing"
                               value="@if(old('appointment_time_splicing')){{date('H:i', strtotime(old('appointment_time_splicing')))}} @endif">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="delay_date" class="form-control date-picker" placeholder="" id="delay_date" value="@if(old('delay_date'))
                        {{date('d.m.Y.', strtotime(old('delay_date')))}} @endif" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Delay time")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-clock-o"></i>
                        </span>
                        <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="delay_time" name="delay_time"
                               value="@if(old('delay_time')){{date('H:i', strtotime(old('delay_time')))}} @endif">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Realization date (access)")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="realization_date_access" class="form-control date-picker" placeholder="" id="realization_date_access" value="@if(old('realization_date_access'))
                        {{date('d.m.Y.', strtotime(old('realization_date_access')))}} @endif" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Realization date (vertical)")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="realization_date_vertical" class="form-control date-picker" placeholder="" id="realization_date_vertical" value="@if(old('realization_date_vertical'))
                        {{date('d.m.Y.', strtotime(old('realization_date_vertical')))}} @endif" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Withdrawal date")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date" value="@if(old('withdrawal_date'))
                        {{date('d.m.Y.', strtotime(old('withdrawal_date')))}} @endif" spellcheck=""/>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Sending date")}} HUAWEI</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="sending_date_huawei" class="form-control date-picker" placeholder="" id="sending_date_huawei" value="@if(old('sending_date_huawei'))
                        {{date('d.m.Y.', strtotime(old('sending_date_huawei')))}} @endif" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">Cluster </label>
                <div class="col-sm-3">
                    <input type="text" name="cluster" class="form-control" placeholder="" id="cluster" spellcheck="false" value="{{old('cluster')}}"/>
                </div>
                <label class="col-sm-1 control-label">Odo </label>
                <div class="col-sm-3">
                    <input type="text" name="odo" class="form-control" placeholder="" id="odo" spellcheck="false" value="{{old('odo')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">Izvod </label>
                <div class="col-sm-3">
                    <input type="text" name="izvod" class="form-control" placeholder="" id="izvod" spellcheck="false" value="{{old('izvod')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Connector")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="connector" class="form-control" placeholder="" id="connector" spellcheck="false" value="{{old('connector')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Date of obtaining the Technical Solution")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="technical_solution_date" class="form-control date-picker" placeholder="" id="technical_solution_date" value="@if(old('technical_solution_date'))
                        {{date('d.m.Y.', strtotime(old('technical_solution_date')))}} @endif" spellcheck=""/>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">ATC/MSAN/OLT </label>
                <div class="col-sm-3">
                    <input type="text" name="atc_msan_olt" class="form-control" placeholder="" id="atc_msan_olt" spellcheck="false" value="{{old('atc_msan_olt')}}"/>
                </div>
                <label class="col-sm-1 control-label">ODF/Modul </label>
                <div class="col-sm-3">
                    <input type="text" name="odf_modul" class="form-control" placeholder="" id="odf_modul" spellcheck="false" value="{{old('odf_modul')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Connector number")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="connector_number" class="form-control" placeholder="" id="connector_number" spellcheck="false" value="{{old('connector_number')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Connection point")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="connection_point" class="form-control" placeholder="" id="connection_point" spellcheck="false" value="{{old('connection_point')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Fiber")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="fiber" class="form-control" placeholder="" id="fiber" spellcheck="false" value="{{old('fiber')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Numeration odo")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="numeration_odo" class="form-control" placeholder="" id="numeration_odo" spellcheck="false" value="{{old('numeration_odo')}}"/>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-1 control-label">{{__("TIS entry date")}}</div>
                <div class="col-sm-3">
                    <input type="text" name="tis_entry_date" class="form-control date-picker" placeholder="" id="tis_entry_date" spellcheck="false" value="{{old('tis_entry_date')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Subcontractor")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="subcontractor" id="subcontractor">
                        <option value="">-- {{__("Subcontractor")}} --</option>
                        @foreach($subcontractors as $sub)
                            <option value="{{$sub->id}}" @if(old('subconstructior') == $sub->id){{'selected'}} @endif>{{$sub->ime.' '.$sub->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                    <a href="{{route('construction_sites.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection