@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $('#btnImport').click(function(){
                $('#loading').show();
            });
        });
    </script>

    <div class="row">
        <div class="col-lg-12">
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">{{__("Database import")}} (HUAWEI)</h2>
                </div>
                <form class="form-horizontal form-bordered" action="{{route('huawei_import')}}" enctype="multipart/form-data" method="POST">
                    <div class="panel-body">
                        @csrf
                        <div class="col-lg-3">
                            <select class="form-control" id="company" name="company">
                                @foreach($companies as $company)
                                    <option value="{{$company->id}}">{{$company->company}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-lg-6">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__("Change")}}</span>
                                    <span class="fileupload-new">{{__("Choose file")}}</span>
                                    <input type="file" id="import" name="import"/>
                                </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <footer class="panel-footer">
                        <div class="row">
                            <div class="col-md-12 text-right">
                                <button type="submit" class="btn btn-warning" id="btnImport">{{__("Import")}} <i class="fa fa-database"></i></button>
                            </div>
                        </div>
                    </footer>
                </form>
                @if(isset($errorMessages))
                    <div class="panel-body">
                        <div class="col-sm-12">
                            <h2 class="import-error">{{__("Import failed")}}!</h2>
                        </div>
                        @foreach($errorMessages as $error)
                            <div class="com-sm-12">
                                <p class="import-error">{{$error}}</p>
                            </div>
                        @endforeach
                    </div>
                @endif
            </section>
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">Pravilan redosled u excel tabeli</h2>
                    <div class="panel-actions">
                        <a href="{{route('mustra', ['param' => 'huawei'])}}"><button type="button" class="btn btn-success">Templejt <i class="fa fa-download"></i></button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-sm-12">
                        <p>
                            \ Akviziter
                            \ kontakt akvizitera
                            \ Adresa
                            \ Opština
                            \ Grad
                            \ broj spratova
                            \ broj stanova
                            \ upravnik ili lice za kontakt
                            \ kontakt telefon
                            \ Napomena
                        </p>
                    </div>
                </div>
            </section>
        </div>
    </div>


@endsection