@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("workId");
                $('#id_work').val(id);
            });
        });
    </script>

    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title"></h2>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("No.")}}</th>
                            <th>{{__("Code")}}</th>
                            <th>{{__("Work")}}</th>
                            <th>{{__("Category")}}</th>
                            <th>{{__("Unit")}}</th>
                            <th>{{__("Fixed")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($works as $rbr => $num)
                            <tr class="gradeX">
                                <td>{{($rbr+1).'.'}}</td>
                                <td>{{$num->code}}</td>
                                <td>{{$num->work}}</td>
                                <td>{{$num->category}}</td>
                                <td>{{$num->unit}}</td>
                                <td>@if($num->fixed){{__("YES")}} @else {{__("NO")}} @endif</td>
                                <td class="btn-center">
                                    <a href="/hw_works/hw_access_work/{{$num->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('hw_access_work.index').'/'.$num->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deleteWorkModal" class="modal-basic"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" workId="{{$num->id}}"><i class="fa fa-trash-o"></i></button></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div class="row datatables-footer">
                        <div class="col-sm-12 col-md-6">
                            {{$works->links()}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div id="deleteWorkModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('hw_access_work.destroy', 'destroy')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_work" value="" id="id_work">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p><p>{{__("Are you sure you want to delete ")}} {{__("work")}}?</p>?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
