@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $('#btnImport').click(function(){
                $('#loading').show();
            });
        });
    </script>

    <div class="row">
        <div class="col-lg-12">
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">{{__("Database import")}} ({{__("COPPER")}})</h2>
                </div>
                <form class="form-horizontal form-bordered" action="{{route('import_bakar')}}" enctype="multipart/form-data" method="POST">
                    <div class="panel-body">
                        @csrf
                        <div class="col-sm-6">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                <span class="fileupload-exists">{{__("Change")}}</span>
                                <span class="fileupload-new">{{__("Choose file")}}</span>
                                <input type="file" id="import" name="import"/>
                            </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <footer class="panel-footer">
                        <div class="row">
                            <div class="col-md-12 text-right">
                                <button type="submit" class="btn btn-warning" id="btnImport">{{__("Import")}} <i class="fa fa-database"></i></button>
                            </div>
                        </div>
                    </footer>
                </form>
                @if(isset($errorMessages))
                    <div class="panel-body">
                        <div class="col-sm-12">
                            <h2 class="import-error">{{__("Import failed")}}!</h2>
                        </div>
                        @foreach($errorMessages as $error)
                            <div class="com-sm-12">
                                <p class="import-error">{{$error}}</p>
                            </div>
                        @endforeach
                    </div>
                @endif
            </section>
            <div class="tabs">
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#datum" data-toggle="tab"><i class="fa fa-calendar"></i> Datumi</a>
                    </li>
                    <li>
                        <a href="#mrezna_grupa" data-toggle="tab"><i class="fa fa-phone"></i> {{__("Network group")}}</a>
                    </li>
                    <li>
                        <a href="#bodovi" data-toggle="tab"><i class=""></i> Broj bodova</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div id="datum" class="tab-pane active">
                        <p>Datumi mora da budu u formatu 01.01.2001, 01-01-2001 ili 01/01/2001. Dani i meseci treba da sadrze dve cifre. Datum formata 1.1.2001 nije validan.</p>
                    </div>
                    <div id="mrezna_grupa" class="tab-pane">
                        <p>Mrežna grupa mora da sadrži 3 cifre.</p>
                    </div>
                    <div id="bodovi" class="tab-pane">
                        <p>Broj bodova mora da bude decimalan broj.</p>
                    </div>
                </div>
            </div>
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">Pravilan redosled u excel tabeli</h2>
                    <div class="panel-actions">
                        <a href="{{route('mustra', ['param' => 'bakar'])}}"><button type="button" class="btn btn-success">Templejt <i class="fa fa-download"></i></button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-sm-12">
                        <p>Datum unosa
                            / Područje
                            / Agent prodaje (ime i prezime u istoj koloni)
                            / Korisnik (ime i prezime u istoj koloni)
                            / Mrežna grupa
                            / Fiksni broj
                            / Adresa
                            / Kućni broj
                            / Mrežna grupa mobilni
                            / Mobilni broj
                            / Drugi mobilni broj
                            / Paket
                            / Broj bodova
                            / ID korisnika
                            / Dan
                            / Mesec
                            / Godina
                            / Oprema/ugovor
                    </div>
                </div>
            </section>
        </div>
    </div>

@endsection