@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $('#btnImport').click(function(){
                $('#loading').show();
            });
        });
    </script>

    <div class="row">
        <div class="col-lg-12">
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">{{__("Database import")}} ({{__("OPTICS")}})</h2>
                </div>
                <form class="form-horizontal form-bordered" action="{{route('import_optika')}}" enctype="multipart/form-data" method="POST">
                    <div class="panel-body">
                        @csrf
                        <div class="col-sm-6">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                <span class="fileupload-exists">{{__("Change")}}</span>
                                <span class="fileupload-new">{{__("Choose file")}}</span>
                                <input type="file" id="import" name="import"/>
                            </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <footer class="panel-footer">
                        <div class="row">
                            <div class="col-md-12 text-right">
                                <button type="submit" class="btn btn-warning" id="btnImport">{{__("Import")}} <i class="fa fa-database"></i></button>
                            </div>
                        </div>
                    </footer>
                </form>
                @if(isset($errorMessages))
                    <div class="panel-body">
                        <div class="col-sm-12">
                            <h2 class="import-error">{{__("Import failed")}}!</h2>
                        </div>
                        @foreach($errorMessages as $error)
                            <div class="com-sm-12">
                                <p class="import-error">{{$error}}</p>
                            </div>
                        @endforeach
                    </div>
                @endif
            </section>
            <div class="tabs">
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#user" data-toggle="tab"><i class="fa fa-user"></i> Tim</a>
                    </li>
                    <li>
                        <a href="#datum" data-toggle="tab"><i class="fa fa-calendar"></i> Datumi</a>
                    </li>
                    <li>
                        <a href="#bodovi" data-toggle="tab"><i class=""></i> Broj bodova</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div id="user" class="tab-pane active">
                        <p>Polje tim treba da sadrzi ID montera. Ukoliko monter ne postoji u bazi, podatak će biti ignorisan. ID montera možete videti na putanji 
                            administracija/zaposleni/pregled zaposlenih
                        </p>
                    </div>
                    <div id="datum" class="tab-pane">
                        <p>Datumi mora da budu u formatu 01.01.2001, 01-01-2001 ili 01/01/2001. Dani i meseci treba da sadrze dve cifre. Datum formata 1.1.2001 nije validan.</p>
                    </div>
                    <div id="bodovi" class="tab-pane">
                        <p>Broj bodova mora da bude decimalan broj.</p>
                    </div>
                </div>
            </div>
            @if($firmId != 2)
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">Pravilan redosled u excel tabeli</h2>
                    <div class="panel-actions">
                        <a href="{{route('mustra', ['param' => 'optika'])}}"><button type="button" class="btn btn-success">Templejt <i class="fa fa-download"></i></button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-sm-12">
                        <p>DATUM ZAKAZIVANJA
                            / TIS ID
                            / ADRESA
                            / IME I PREZIME
                            / ZAHTEV
                            / TEL 1
                            / TEL 2
                            / VREME ZAKAZIVANJA
                            / KOMENTAR
                    </div>
                </div>
            </section>
            @else
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">Pravilan redosled u excel tabeli</h2>
                    <div class="panel-actions">
                        <a href="{{route('mustra', ['param' => 'optika_despotes'])}}"><button type="button" class="btn btn-success">Templejt <i class="fa fa-download"></i></button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-sm-12">
                        <p>TIM	\
                            Datum instalacije	\
                            Vreme instalacije	\
                            Tis_ID	Adresa korisnika	\
                            Ime korisnika	\
                            Broj linije	Zahtev	\
                            Kontakt	\
                            Napomena \
                            Poreklo

                    </div>
                </div>
            </section>
            @endif
        </div>
    </div>

@endsection