@extends('layouts.app')
@section('content')
@if(!$files->isEmpty())
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete-file').click(function () {
                var id = $(this).attr("fileId");
                $('#id_file').val(id);
            });
        });
    </script>

    <div class="row">
        <div class="col-md-12">
            <section class="panel">
                <header class="panel-heading">
                    <div class="panel-actions">
                        <a href="#" class="fa fa-caret-down"></a>
                    </div>

                    <h2 class="panel-title">Basic</h2>
                    <p class="panel-subtitle">Interactive tree, basic sample.</p>
                </header>
                <div class="panel-body">
                    <div id="treeBasic">
                        <ul>
                            <li>
                                {{__('Documents')}}
                                <ul>
                                    @foreach($folders as $folder)
                                    <li data-jstree='{ "opened" : false }'>
                                        {{$folder->folder}}
                                        <?php $filesInFolder = $docMod->files_in_folder($folder->id);?>
                                        @foreach($filesInFolder as $file)
                                        <ul>
                                            <li data-jstree='{ "type" : "file" }'>
                                                <a href="{{$file->file_url}}" target="_blank">{{$file->filename}}</a>
                                            </li>
                                        </ul>
                                        @endforeach
                                    </li>
                                    @endforeach
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </section>
        </div>
    </div>

    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{__('Files')}}</h2>
        </header>
        <div class="panel-body">
            @foreach($files as $file)
                <div class="col-md-2" style="overflow: auto;">
                    <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                        <a href="#deleteFileModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-file" style="color:red" fileId="{{$file->id}}"><i class="fa fa-trash-o"></i></a>
                </div>
            @endforeach
        </div>
    </section>

    <div id="deleteFileModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_hw_document')}}">
            <input type="hidden" name="id_file" id="id_file">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('file')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endif
@endsection