@extends('layouts.app')

@section('content')

<form id="form" method="get" action="{{ route('kir_search_result')}}" class="form-horizontal">
    {{ csrf_field() }}
    <input type='hidden' id="param" name="param" value="basic">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Filters")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Client")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="seller" class="form-control" placeholder="" id="seller" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Status access")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="status_access" id="status_access">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statusesAccess as $status)
                            <option value="{{$status->id}}">{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Status vertical")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="status_vertical" id="status_vertical">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statusesVertical as $status)
                            <option value="{{$status->id}}">{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Status splicing")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="status_splicing" id="status_splicing">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statusesVertical as $status)
                            <option value="{{$status->id}}">{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Final status")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="final_status" id="final_status">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($finalStatuses as $status)
                            <option value="{{$status->id}}">{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Appointment date (access)")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="appointment_date_access" class="form-control date-picker" placeholder="" 
                            id="appointment_date_access" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Appointment date (vertical)")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="appointment_date_vertical" class="form-control date-picker" placeholder="" id="appointment_date_vertical" value="@if(old('appointment_date_vertical'))
                        {{date('d.m.Y.', strtotime(old('appointment_date_vertical')))}} @endif" spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Appointment date (splicing)")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="appointment_date_splicing" class="form-control date-picker" placeholder="" id="appointment_date_splicing" value="@if(old('appointment_date_splicing'))
                        {{date('d.m.Y.', strtotime(old('appointment_date_splicing')))}} @endif" spellcheck=""/>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="project_manager" id="project_manager">
                        <option value="">-- {{__("Project manager")}} --</option>
                        @foreach($projectManagers as $pmng)
                            <option value="{{$pmng->id}}">{{$pmng->ime.' '.$pmng->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-grup">
                <label class="col-sm-1 control-label">{{__("Without status")}} ({{__("access")}}) </label>
                <div class="col-sm-1">
                    <div class="switch switch-success">
                        <input type="checkbox" name="no_access_status" data-plugin-ios-switch />
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Without status")}} ({{__("vertical")}}) </label>
                <div class="col-sm-1">
                    <div class="switch switch-success">
                        <input type="checkbox" name="no_vertical_status" data-plugin-ios-switch />
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Without status")}} ({{__("splicing")}}) </label>
                <div class="col-sm-1">
                    <div class="switch switch-success">
                        <input type="checkbox" name="no_splicing_status" data-plugin-ios-switch />
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Without status")}} ({{__("final")}}) </label>
                <div class="col-sm-1">
                    <div class="switch switch-success">
                        <input type="checkbox" name="no_final_status" data-plugin-ios-switch />
                    </div>
                </div>
            </div>
         </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection