@extends('layouts.app')

@section('content')
@if($isAdmin || $isMonter)
    <script type="text/javascript">
        $(document).ready(function(){
            $(function() {
                if($('#status').val() != 1)
                    $('.status-zakazan').hide();
                if($('#status').val() != 2)
                    $('.status-odlozen').hide();
                $('#status').change(function(){
                    if($('#status').val() == 1) {
                        $('.status-zakazan').show();
                    } else {
                        $('.status-zakazan').hide();
                        $('#datum_zakazivanja').val('');
                        $('#vreme').val('');
                    }
                    if($('#status').val() == 2) {
                        $('.status-odlozen').show();
                    } else {
                        $('.status-odlozen').hide();
                        $('#datum_odlaganja').val('');
                        $('#vreme').val('');
                    }
                });
            });

        });

    </script>

    <form id="form" method="post" action="{{route('klijentiBakar.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>
                <h2 class="panel-title">{{__("Add new client")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contract number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="broj_ugovora" class="form-control" placeholder="" id="broj_ugovora" spellcheck="false" value="{{old('broj_ugovora')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('ime')){{'has-error'}} @endif">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false" value="{{old('ime')}}"/>
                        @if($errors->has('ime'))
                            <label for="ime" class="error">{{$errors->first('ime')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('prezime')){{'has-error'}} @endif">
                        <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false" value="{{old('prezime')}}"/>
                        @if($errors->has('prezime'))
                            <label for="prezime" class="error">{{$errors->first('prezime')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Equipment")}} / {{__("Contract")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="oprema_ugovor" class="form-control" placeholder="" id="oprema_ugovor" spellcheck="false" value="{{old('oprema_ugovor')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Request created by")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="zahtev_uneo" class="form-control" placeholder="" id="zahtev_uneo" spellcheck="false" value="{{old('zahtev_uneo')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">TIS ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="" value="{{old('tis_id')}}"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Landline phone")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{old('tel3')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Address")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="adresa" class="form-control" placeholder="" id="adresa" spellcheck="" value="{{old('adresa')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Request")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="zahtev" class="form-control" placeholder="" id="zahtev" spellcheck="false" value="{{old('zahtev')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Request date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_zahteva" class="form-control date-picker" placeholder="" id="datum_zahteva"  spellcheck="" value="{{old('datum_zahteva')}}"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="prodavac" class="form-control" placeholder="" id="prodavac" spellcheck="false" value="{{old('prodavac')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Points")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="broj_bodova" class="form-control" placeholder="" id="broj_bodova" spellcheck="false" value="{{old('broj_bodova')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}}</label>
                    <div class="col-sm-3">
                        <textarea name="razlog_odustajanja" rows="5" class="form-control" placeholder="" id="razlog_odustajanja" spellcheck="false">{{old('razlog_odustajanja')}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="napomena" rows="5" class="form-control" placeholder="" id="napomena" spellcheck="false">{{old('napomena')}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Assigned to fitter")}} </label>
                    <div class="col-sm-3">
                        <select name="user[]" id="user" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $user)
                                <option value="{{$user->id}}" 
                                    @if(old('user'))
                                    @if($user->id == old('user')[0]) selected @endif
                                    @endif>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Area")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="podrucje" class="form-control" placeholder="" id="podrucje" spellcheck="false" value="{{old('podrucje')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Montage type")}} </label>
                    <div class="col-sm-3">
                        <select name="tip_montaze[]" id="tip_montaze" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Montage type")}} --</option>
                            @foreach($tipoviMontaze as $tip)
                                <option value="{{$tip->id}}" 
                                    @if(old('tip_montaze'))
                                    @if($tip->id == old('tip_montaze')[0]) selected @endif
                                    @endif>{{$tip->tip}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status[]" id="status">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusi as $s)
                                <option value="{{$s->id}}" 
                                    @if(old('status'))
                                    @if($s->id == old('status')[0]) selected @endif
                                    @endif>{{$s->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="status-zakazan">
                        <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="datum_zakazivanja" class="form-control date-picker" placeholder="" id="datum_zakazivanja" spellcheck="" value="{{old('datum_zakazivanja')}}"/>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="vreme" name="vreme" value="{{old('vreme')}}">
                            </div>
                        </div>
                    </div>
                    <div class="status-odlozen">
                        <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="datum_odlaganja" class="form-control date-picker" placeholder="" id="datum_odlaganja" spellcheck="" value="{{old('datum_odlaganja')}}"/>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="vreme2" name="vreme2" value="{{old('vreme2')}}">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Montage date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_montaze" class="form-control date-picker" placeholder="" id="datum_montaze" value="{{old('datum_montaze')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_odustajanja" class="form-control date-picker" placeholder="" id="datum_odustajanja"  spellcheck="false" value="{{old('datum_odustajanja')}}"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Intervention status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="status_intervencije[]" id="status_intervencije">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusiIntervencije as $stinv)
                                <option value="{{$stinv->id}}"
                                    @if(old('status_intervencije'))
                                    @if($stinv->id == old('status_intervencije')[0]) selected @endif
                                    @endif>{{$stinv->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Intervention date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                            <input type="text" name="datum_intervencije" class="form-control date-picker" placeholder="" id="datum_intervencije" spellcheck="" value="{{old('datum_intervencije')}}"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Reclamation")}} - {{__("fitter")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="monter_reklamacije[]" id="monter_reklamacije">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $monter)
                                <option value="{{$monter->id}}"
                                    @if(old('monter_reklamacije'))
                                    @if($monter->id == old('monter_reklamacije')[0]) selected @endif
                                    @endif>{{$monter->ime.' '.$monter->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Reclamation date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                            <input type="text" name="datum_reklamacije" class="form-control date-picker" placeholder="" id="datum_reklamacije" spellcheck="" value="{{old('datum_reklamacije')}}"/>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a href="{{route('klijentiOptika.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>
@else
    <div class="main-error mb-xlg">
        <h1 class="error-code text-dark text-center text-semibold m-none">{{__("Access denied")}}! <i class="fa fa-file"></i></h1>
    </div>
    <h2 class="error-explanation text-center">{{__("Only Admins can see this page")}}</h2>
@endif
@endsection