@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete-artikl').click(function () {
                var id = $(this).attr("artiklId");
                $('#id_artikl').val(id);
            });

        });
    </script>
    <section class="panel">
        <form method="post" action="{{route('export_magacin')}}" id="form">
            {{csrf_field()}}
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Goods in warehouse")}} ({{count($roba_magacin)}})</h2>
                <div class="panel-actions">
                    <a href="{{route('magacin_pretraga')}}"><button type="button" class="btn btn-primary"><i class="fa fa-backward"></i> {{__("Back")}}</button></a>
                    <a href="{{route('device_serials_session', ['serials'=>$serials])}}"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__('Add to session')}}"><button type="button" class="btn btn-info btn-session"><i class="fa fa-cloud-upload"></i></button>
                    </a>
                    <button type="submit" class="btn btn-warning">Excel <i class="fa fa-file-excel-o"></i></button>
                </div>
            </header>
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped table-condensed mb-none">
                        <thead>
                        <tr>
                            <th class="text-center">{{__("No.")}}</th>
                            <th class="text-center">{{__("Serial")}}</th>
                            <th class="text-center">{{__("Device")}}</th>
                            <th class="text-center">{{__("Storekeeper")}}</th>
                            <th class="text-center">{{__("Warehouse")}}</th>
                            <th class="text-center">{{__("Created at")}}</th>
                        </tr>
                        </thead>
                        @foreach($roba_magacin as $br=>$roba)
                            <tr>
                                <td class="text-center">{{($br+1).'.'}}</td>
                                <td class="text-center">{{$roba->serijski_broj}}</td>
                                <td class="text-center">{{$roba->uredjaj}}</td>
                                <td class="text-center">{{$roba->magacioner_ime.' '.$roba->magacioner_prezime}}</td>
                                <td class="text-center">{{$roba->magacin}}</td>
                                <td class="text-center">@if($roba->created_at){{date('d.m.Y.', strtotime($roba->created_at))}}@endif</td>
                                <td class="btn-center">
                                    <a href="#deleteArtiklModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-artikl btn-sm" artiklId="{{$roba->id}}"><i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                            <input type="hidden" name="ids[]" value="{{$roba->id}}">
                        @endforeach
                    </table>
                </div>
            </div>
        </form>

    </section>

    <div id="deleteArtiklModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_artikl', 'test')}}">
            <input type="hidden" name="id_artikl" id="id_artikl">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}l?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
