@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            document.getElementById("serijski_broj").focus();
            $('.btn-delete-oprema-otpremnica').click(function () {
                var idOprema = $(this).attr("opremaId");
                var idOtpremnica = $(this).attr("otpremnicaId");
                $('#id_oprema').val(idOprema);
                $('#id_oprema_otpremnica').val(idOtpremnica);
            });
            $('.btn-delete-device').click(function(){
                var deviceId = $(this).attr('deviceId');
                $('#device_id').val(deviceId);
            });
        });
    </script>
    <form id="form" method="get" action="{{route('otpremnica_skeniranje')}}" class="form-horizontal">
        <input type="hidden" name="id_otpremnice" value="{{$id_otpremnice}}" id="id_otpremnice">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                    <a class="modal-with-form" href="#modalOprema"><button class="btn btn-success" type="button">{{__("Add equipment")}} <i class="fa fa-sitemap"></i></button></a>
                </div>
                <h2 class="panel-title">{{__("Add device")}} ({{__("Delivery note number")}} {{$id_otpremnice}})</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Serial")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="serijski_broj" class="form-control" placeholder="" id="serijski_broj" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">QR {{__("code")}}</label>
                    <div class="col-sm-4">
                        <textarea type="text" name="qr_code" class="form-control" placeholder="" id="qr_code" spellcheck="false" rows="6"></textarea>
                    </div>
                </div>
            </div>
        </section>
    </form>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Delivery note")}} {{__("for")}} {{$robu_preuzeo}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Serial")}}</th>
                        <th class="text-center">{{__("Device")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    @foreach($otpremljena_roba as $br=>$otp)
                        <tr>
                            <td class="text-center">{{($br+1).'.'}}</td>
                            <td class="text-center">{{$otp->serijski_broj}}</td>
                            <td class="text-center">{{$otp->uredjaj}}</td>
                            <td class="btn-center">
                                <a href="#deleteDeviceModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-device btn-sm" deviceId="{{$otp->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <a href="{{route('otpremnice')}}" class="btn btn-primary"><i class="fa fa-backward"></i> {{__("Back")}}</a>
                    <a href="{{route('otpremnica_pdf', ['id_otpremnice' => $id_otpremnice])}}" class="btn btn-warning">Pdf export <i class="fa fa-file-pdf-o"></i></a>
                </div>
            </div>
        </footer>
    </section>
    @if(!$opremaOtpremnica->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Equipment")}}</th>
                        <th class="text-center">{{__("Quantity")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    @foreach($opremaOtpremnica as $br=>$oprem)
                        <tr>
                            <td class="text-center">{{($br+1).'.'}}</td>
                            <td class="text-center">{{$oprem->naziv}}</td>
                            <td class="text-center">{{$oprem->kol}}</td>
                            <td class="btn-center">
                                <a href="#deleteOpremaOtpremnicaModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-oprema-otpremnica btn-sm" otpremnicaId="{{$oprem->id_otpremnica}}"
                                   opremaId="{{$oprem->id_oprema}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
    </section>
    @endif
    <div id="modalOprema" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add equipment")}}</h2>
            </header>
            <form id="dodaj_opremu" method="post" class="form-horizontal mb-lg" action="{{route('dodaj_opremu', ['param' => 'otpremnica'])}}">
                @csrf
                <input type="hidden" value="{{$id_otpremnice}}" name="id_otpremnica" id="id_otpremnica">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Warehouse")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="storage">
                                <option value="0"> -- {{__("Warehouse")}} --</option>
                                @foreach($magz as $mag)
                                    <option value="{{$mag->id}}">{{$mag->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Equipment")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="oprema" data-plugin-selectTwo>
                               <option value="0">-- {{__("Equipment")}} --</option>
                                @foreach($oprema as $oprem)
                                    <option value="{{$oprem->id}}">@if($oprem->code)({{$oprem->code}})@endif {{$oprem->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="kol" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Package number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="package_number" class="form-control" placeholder="{{__("Package number")}}..."/>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="deleteOpremaOtpremnicaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_oprema_otpremnica')}}">
            <input type="hidden" name="id_oprema_otpremnica" id="id_oprema_otpremnica">
            <input type="hidden" name="id_oprema" id="id_oprema">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteDeviceModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_device_delivery')}}">
            <input type="hidden" name="device_id" id="device_id">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection