@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            document.getElementById("serijski_broj").focus();
            $('.btn-delete-roba-revers').click(function () {
                var id = $(this).attr("robaReversId");
                $('#id_roba_revers').val(id);
            });
            $('.btn-delete-oprema-revers').click(function () {
                var idOprema = $(this).attr("opremaId");
                var idRevers = $(this).attr("reversId");
                $('#id_oprema').val(idOprema);
                $('#id_oprema_revers').val(idRevers);
            });
            $('.btn-change-status').click(function(){
                var id = $(this).attr("robaReversId");
                var serial = $(this).attr("roSerial");
                $('#ro_id').val(id);
                $('#ro_serial').val(serial);
            });
        });
    </script>
    <form id="form" method="get" action="{{route('revers_skeniranje')}}" class="form-horizontal">
        <input type="hidden" name="id_revers" value="{{$id_revers}}" id="id_revers">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <div class="panel-actions">
                        <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a class="modal-with-form" href="#modalOprema"><button class="btn btn-success" type="button">{{__("Add equipment")}} <i class="fa fa-sitemap"></i></button></a>
                    </div>
                    <h2 class="panel-title">{{__("Add device")}} ({{__("Reverse number")}} {{$id_revers}})</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("Serial")}}</label>
                        <div class="col-sm-4">
                            <input type="text" name="serijski_broj" class="form-control" placeholder="" id="serijski_broj" spellcheck="false"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">QR {{__("code")}}</label>
                        <div class="col-sm-4">
                            <textarea class="form-control" id="qr_code" rows="6" name="qr_code" spellcheck="false"></textarea>
                        </div>
                    </div>
                </div>
            </section>
    </form>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Reverse")}} {{__("for")}} {{$monter}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Serial")}}</th>
                        <th class="text-center">{{__("Device")}}</th>
                        <th class="text-center">{{__("Status")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    @foreach($revers_roba as $br=>$rev)
                        <tr @if($rev->mounted == 1 || $rev->obsolete) class="marker-gray" @endif>
                            <td class="text-center">{{($br+1).'.'}}</td>
                            <td class="text-center">{{$rev->serijski_broj}}</td>
                            <td class="text-center">{{$rev->uredjaj}}</td>
                            <td class="text-center">@if($rev->mounted == 1) {{__('Mounted')}} @elseif ($rev->obsolete == 1) {{__('Returned')}} @endif</td>
                            <td class="btn-center">
                                <a href="#changeStatusModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-primary btn-change-status btn-sm" robaReversId="{{$rev->id}}" roSerial={{$rev->serijski_broj}}><i class="fa fa-edit"></i></a>
                                <a href="#deleteRobaReversModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-roba-revers btn-sm" robaReversId="{{$rev->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <a href="{{route('revers')}}" class="btn btn-primary"><i class="fa fa-backward"></i> {{__("Back")}}</a>
                    <a href="{{route('revers_pdf', ['id_revers' => $id_revers])}}" class="btn btn-warning">Pdf export <i class="fa fa-file-pdf-o"></i></a>
                </div>
            </div>
        </footer>
    </section>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Equipment")}}</th>
                        <th class="text-center">{{__("Quantity")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    @foreach($opremaRevers as $br=>$oprem)
                        <tr>
                            <td class="text-center">{{($br+1).'.'}}</td>
                            <td class="text-center">{{$oprem->naziv}}</td>
                            <td class="text-center">{{$oprem->kol}}</td>
                            <td class="btn-center">
                                <a href="#deleteOpremaReversModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-oprema-revers btn-sm" reversId="{{$oprem->id_revers}}"
                                   opremaId="{{$oprem->id_oprema}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
    </section>

    <div id="deleteRobaReversModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_roba_revers', 'test')}}">
            <input type="hidden" name="id_roba_revers" id="id_roba_revers">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete goods?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="modalOprema" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add equipment")}}</h2>
            </header>
            <form id="dodaj_opremu" method="post" class="form-horizontal mb-lg" action="{{route('dodaj_opremu', ['param' => 'revers'])}}">
                @csrf
                <input type="hidden" value="{{$id_revers}}" name="id_revers" id="id_revers">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Equipment")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="oprema">
                               <option value="0">-- {{__("Equipment")}} --</option>
                                @foreach($oprema as $oprem)
                                    <option value="{{$oprem->id}}">{{$oprem->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="kol" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="deleteOpremaReversModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_oprema_revers', 'test')}}">
            <input type="hidden" name="id_oprema_revers" id="id_oprema_revers">
            <input type="hidden" name="id_oprema" id="id_oprema">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="changeStatusModal" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Change")}} {{__("Status")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('revers_change_status')}}">
                <input type="hidden" id="ro_id" name="ro_id">
                <input type="hidden" id="ro_serial" name="ro_serial">
                @csrf
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Status")}}</label>
                        <div class="col-sm-9">
                            <select name="status" id="status" class="form-control">
                                <option value="1">{{__("Returned")}}</option>
                                <option value="0">{{__("Not returned")}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Warehouse")}}</label>
                        <div class="col-sm-9">
                            <select name="storage" id="storage" class="form-control">
                                <option>-- {{__("Warehouse")}} --</option>
                                @foreach($warehouses as $storage)
                                    <option value={{$storage->id}}>{{$storage->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Save")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
@endsection
