@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('#equipment_category').val(0);
        $('#equipment_category').change(function(){
            $('#equipment').empty();
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id,
                        'dependent' : dependent
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });
        // Initialize select2 for #equipment with AJAX search
        // $('#equipment').select2({
        //     placeholder: "Search for equipment...",
        //     minimumInputLength: 3, // Trigger search only after typing 3 or more characters
        //     ajax: {
        //         url: '{{ route("find_equipment") }}', // New route to search for equipment
        //         type: "POST",
        //         delay: 250, // Delay to prevent flooding the server
        //         data: function(params) {
        //             return {
        //                 _token: $('input[name="_token"]').val(),
        //                 query: params.term // User input for search
        //             };
        //         },
        //         processResults: function(data) {
        //             return {
        //                 results: $.map(data, function(item) {
        //                     return {
        //                         id: item.id,
        //                         text: item.name
        //                     };
        //                 })
        //             };
        //         }
        //     }
        // });
        $('.btn-equipment').click(function(){
            var route = $(this).attr('route');
            var from = $('#from').val();
            var receiveNumber = $('#receive_number').val();
            var _token = $('input[name="_token"]').val();
            var idEquipment = $('#equipment').val();
            var quantity = $('#equipment_quantity').val();
            var packageNumber = $('#package_number').val();
            var operation = $(this).data('operation');
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'equipmentId' : idEquipment,
                    'quantity' : quantity,
                    'package_number' : packageNumber,
                    'magId' : '{{$storage->id}}',
                    'receive_number' : receiveNumber,
                    'from' : from,
                    '_token' : _token,
                    'param' : 'storage',
                    'operation' : operation
                },
                success	: function(result){
                    alert(result);
                    document.location.reload();
                }
            });
        });
        $('#btn_enable_log_search').click(function(){
            $('#log_search').fadeIn(1000);
        });

        $('#btn_disable_log_search').click(function(){
            $('#log_search').fadeOut(1000);
        });
    });
</script>

<form id="logs_search" action="{{route('mont_storage_logs_search')}}" method="GET">
    <input type="hidden" id="storage_id" name="storage_id" value="{{$storage->id}}">
    <section class="panel" id="log_search" style="display:none">
        @csrf
        <header class="panel-heading">
            <div class="panel-actions">
                <button type="button" class="btn btn-warning" id="btn_disable_log_search" data-toggle="tooltip" data-placement="top"
                        data-original-title="Sakrij pretragu"><i class="fa fa-minus"></i></button>
                <button type="submit" class="btn btn-info btn-search-logs">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
            </div>
            <h2 class="panel-title">{{__("Log filters")}} {{$storage->naziv}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Fitter")}}</label>
                <div class="col-sm-3">
                    <select class="form-control" id="fitter" name="fitter">
                        <option value="">--{{__("Fitter")}}--</option>
                        @foreach($fitters as $fitter)
                            <option value="{{$fitter->id}}">{{$fitter->ime.' '.$fitter->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Receiver number")}}</label>
                <div class="col-sm-3">
                    <input type="text" class="form-control" name="s_receive_number" id="s_receive_number">
                </div>
                <label class="col-sm-1 control-label">{{__("From the warehouse")}}</label>
                <div class="col-sm-3">
                    <input type="text" class="form-control" name="s_from" id="s_from">
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Created at")}}</label>
                <div class="col-sm-3">
                    <input type="text" class="form-control date-picker" name="created_at" id="created_at" value="{{old('created_at')}}">
                </div>
            </div>
        </div>
    </section>
</form>
<section class="panel">
    <header class="panel-heading">
        <div class="panel-actions">
            <button type="button" class="btn btn-primary" id="btn_enable_log_search" data-toggle="tooltip" data-placement="top"
                    data-original-title="{{__("Search")}}"><i class="fa fa-search"></i></button>
            <a href="{{route('mont_storage_logs', ['storage_id' => $storage->id])}}"><button type="button" class="btn btn-info">{{__('History')}} <i class="fa fa-history"></i></button></a>
        </div>
        <h2 class="panel-title">Stanje opreme u {{$storage->naziv}} </h2>
    </header>
    @csrf
    <div class="panel-body">
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__("Receiver number")}}</label>
            <div class="col-sm-3">
                <input type="text" class="form-control" name="receive_number" id="receive_number" value="{{old('receive_number')}}">
            </div>
            <label class="col-sm-1 control-label">{{__("From the warehouse")}}</label>
            <div class="col-sm-3">
                <input type="text" class="form-control" name="from" id="from" value="{{old('from')}}">
            </div>
        </div>
        <div class='form-group'>
            <label class="col-sm-1 control-label">{{__('Category')}} </label>
            <div class="col-sm-3">
                <select class="form-control populate dynamic" data-plugin-selectTwo name="equipment_category" id="equipment_category"
                        route="{{route('mont_equipment_populate')}}" data-dependent="equipment">
                    <option value="0">-- {{__('Category')}} --</option>
                    @foreach($equipmentCategories as $cat)
                        <option value="{{$cat->id}}">{{$cat->category}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__("Equipment")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                    <option value="">-- {{__("Equipment")}} --</option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__("Package number")}}</label>
            <div class="col-sm-3">
                <input type="text" class="form-control" name="package_number" id="package_number" value="{{$lastNumber}}">
            </div>
            <label class="col-sm-1 control-label">{{__('Quantity')}}</label>
            <div class="col-sm-3">
                <input type="text" class="form-control" name="equipment_quantity" id="equipment_quantity">
            </div>
            <div class="col-sm-2 btn-group">
                <button type="button" class="btn btn-sm btn-success btn-equipment" route="{{route('mont_fill_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="plus"
                        data-original-title="{{__('Add')}}">
                    <i class="fa fa-plus"></i>
                </button>
                <button type="button" class="btn btn-sm btn-danger btn-equipment" route="{{route('mont_fill_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="minus"
                        data-original-title="{{__('Remove')}}">
                    <i class="fa fa-minus"></i>
                </button>
            </div>
        </div>
    </div>
</section>

@if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Inventory')}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th></th>
                        <th>{{__("Equipment")}}</th>
                        <th style="max-width: 50px">{{__("Package number")}}</th>
                        <th style="max-width: 50px">{{__("Quantity")}}</th>
                        <th style="max-width: 50px">{{__("Price")}}</th>
                        <th style="max-width: 50px">{{__("Amount")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $totalCategory=0; ?>
                    @foreach($equipment as $key=>$equip)
                    <?php $totalCategory+=$equip->price*$equip->quantity; ?>
                        <tr class="gradeX">
                            <td>{{$equip->code}}</td>
                            <td>{{$equip->equipment}}</td>
                            <td>{{$equip->package_number}}</td>
                            <td>{{$equip->quantity}}</td>
                            <td>{{$equip->price}}</td>
                            <td>{{$equip->price*$equip->quantity}}</td>
                        </tr>
                        @if(isset($equipment[$key+1]))
                        @if($equip->id_category != $equipment[$key+1]->id_category)
                        <tr class="gradeX" style="background-color:beige">
                            <td colspan="5" style="text-align: right"><strong>{{__('Total')}} @if($equip->id_category) {{' ('.$equip->category.')'}} @endif:</strong></td>
                            <td><strong>{{$totalCategory}}</strong></td>
                        </tr>
                        <?php $totalCategory = 0; ?>
                        @endif
                        @else
                        <tr class="gradeX" style="background-color:beige">
                            <td colspan="5" style="text-align: right"><strong>{{__('Total')}} @if($equip->id_category) {{' ('.$equip->category.')'}} @endif:</strong></td>
                            <td><strong>{{$totalCategory}}</strong></td>
                        </tr>
                        @endif
                        <?php $total += $equip->price*$equip->quantity; ?>
                    @endforeach
                    <tr class="gradeX" style="background-color:rgb(0, 138, 202); color:white">
                        <td colspan="5" style="text-align: right"><strong>{{__('Total')}}:</strong></td>
                        <td><strong>{{$total}}</strong></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection