@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $(".date-picker").datepicker({
            format: '{{config('app.date_format_js')}}'
        });
        $('.btn-delete-vraceni').click(function () {
            var id = $(this).attr('vraceniId');
            $('#id_vraceni').val(id);
        });
        $('#btn-search').click(function(){
            var route = $(this).attr('route');
            $.ajax({
                type	:	"GET",
                cache	: 	false,
                url		:	route,
                data	: 	$("#frmSearch").serialize(),
                success	: function(){
                    document.location.reload();
                }
            });
        });
    });
</script>
<form id="frmSearch" method="get" class="form-horizontal mb-lg">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Filters")}} </h2>
        </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Serial")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="serijski_broj" class="form-control" id="serijski_broj" spellcheck="false"/>
                    </div>
                    <label class="col-sm-2 control-label">{{__("Fitter")}} </label>
                    <div class="col-sm-4">
                        <select name="id_monter" class="form-control" id="id_monter">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $monter)
                                <option value="{{$monter->id}}">{{$monter->ime.' '.$monter->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__("Created at")}} {{__('range')}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                    <label class="col-sm-2 control-label">{{__("Client type")}} </label>
                    <div class="col-sm-4">
                        <select name="field" class="form-control" id="field">
                            <option value="">-- {{__("Client type")}} --</option>
                            <option value="id_klijent">M:SAT DTH</option>
                            <option value="id_opticki_klijent">{{__("OPTICS")}}</option>
                            <option value="id_bakar_klijent">{{__("COPPER")}}</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Return reason")}}</label>
                    <div class="col-sm-4">
                        <select name="razlog" class="form-control" id="razlog">
                            <option value="">-- {{__("Return reason")}} --</option>
                            @foreach($razlozi as $razlog)
                                <option value="{{$razlog->id}}">{{$razlog->razlog}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" id="btn-search" type="submit" route="{{route('vraceni')}}">{{__("Filters")}} <i class="fa fa-search"></i></button>
                    </div>
                </div>
            </footer>
    </section>
</form>
@if(!$vraceni->isEmpty())
    <div id="vraceni">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Returned equipment")}}</h2>
                @if(!empty($ids))
                    <form action="{{route('returned_devices_export', ['ids' => $ids])}}" method="POST">
                        @csrf
                        <div class="panel-actions">
                            <button type="submit" class="btn btn-warning">{{__("Export")}} <i class="fa fa-file-excel-o"></i></button>
                        </div>
                    </form>
                @endif
            </header>
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped table-condensed mb-none">
                        <thead>
                        <tr>
                            <th class="text-center">{{__("No.")}}</th>
                            <th class="text-center">{{__("Goods")}}</th>
                            <th class="text-center">{{__("Serial")}}</th>
                            <th class="text-center">{{__("Client")}}</th>
                            <th class="text-center">TIS ID</th>
                            <th class="text-center">{{__("Fitter")}}</th>
                            <th class="text-center">{{__("Return reason")}}</th>
                            <th class="text-center">{{__("Return date")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        @foreach($vraceni as $br=>$vr)
                            <tr>
                                <td class="text-center">{{($br+1).'.'}}</td>
                                <td class="text-center">{{$vr->uredjaj}}</td>
                                <td class="text-center">{{$vr->serijski_broj}}</td>
                                @if($vr->ime)
                                    <td class="text-center">{{$vr->ime.' '.$vr->prezime.' (M:SAT DTH)'}}</td>
                                @endif
                                @if($vr->ime_optika)
                                    <td class="text-center">{{$vr->ime_optika.' '.$vr->prezime_optika.' ('.__("OPTICS").')'}}</td>
                                @endif
                                @if($vr->ime_supernova)
                                    <td class="text-center">{{$vr->ime_supernova.' '.$vr->prezime_supernova.' (SUPERNOVA)'}}</td>
                                @endif
                                @if($vr->ime_bakar)
                                    <td class="text-center">{{$vr->ime_bakar.' '.$vr->prezime_bakar.' ('.__("COPPER").')'}}</td>
                                @endif
                                @if($vr->ime_rune)
                                    <td class="text-center">{{$vr->ime_rune.' '.$vr->prezime_rune.' ('.__("RUNE").')'}}</td>
                                @endif
                                @if(!$vr->ime && !$vr->ime_optika && !$vr->ime_supernova && !$vr->ime_bakar)
                                    <td></td>
                                @endif
                                <td class="text-center">
                                    @if($vr->tis) {{$vr->tis}} @endif
                                    @if($vr->optika_tis) {{$vr->optika_tis}} @endif
                                    @if($vr->bakar_tis) {{$vr->bakar_tis}} @endif
                                </td>
                                <td class="text-center">{{$vr->monter_ime.' '.$vr->monter_prezime}}</td>
                                <td class="text-center">{{$vr->razlog}}</td>
                                <td class="text-center">{{date('d.m.Y. H:i:s', strtotime($vr->created_at))}}</td>
                                <td class="btn-center">
                                    <a href="#deleteVraceniModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-vraceni btn-sm" vraceniId="{{$vr->id}}">
                                    <i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                        @endforeach
                    </table>
                </div>
                <div class="row datatables-footer">
                    <div class="col-sm-12 col-md-6">
                        {{$vraceni->links()}}
                    </div>
                </div>
            </div>
        </section>
    </div>
@endif

<div id="deleteVraceniModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('delete_vraceni')}}">
        <input type="hidden" name="id_vraceni" id="id_vraceni">
        {{ method_field('delete') }}
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-trash-o"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Deletion")}}</h4>
                        <p>{{__("Are you sure you want to delete goods?")}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
@endsection