@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("storekeeperId");
                $('#id_storekeeper').val(id);
            });

        });
    </script>
    <form id="form" method="post" action="{{route('magz.update', [$mag->id])}}" class="form-horizontal">
        <input type="hidden" name="_method" value="put">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit warehouse")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Warehouse")}} <span class="required">*</span></label>
                    <div class="col-lg-3">
                        <input type="text" name="naziv" class="form-control" placeholder="" id="naziv" spellcheck="false" value="{{$mag->naziv}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Storekeepers")}} </label>
                    <div class="col-lg-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="storeKeepers[]" id="storeKeepers">
                            <optgroup label="{{__('Storekeepers')}}">
                                @foreach($storeKeepers as $stk)
                                    <option value="{{$stk->id}}">{{$stk->ime.' '.$stk->prezime}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Type")}} </label>
                    <div class="col-lg-3">
                        <select class="form-control populate" name="type" id="type">
                            <option>-- {{__('Type')}} --</option>
                            @foreach($storageTypes as $type)
                                <option value="{{$type->id}}" @if($type->id == $mag->type_id) selected @endif>{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    @foreach($currentStk as $cstk)
                        <div class="row">
                            <div class="col-sm-3 sellers">
                                <p>{{$cstk->user_name.' '.$cstk->user_surname}} <a href="#deleteStkModal" class="modal-basic btn-delete" storekeeperId="{{$cstk->id}}"><i class="fa fa-trash-o seller-trash"></i></a></p>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a id="icon-without-border-success" href="{{route('magz.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    <div id="deleteStkModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('storekeeper_delete', ['id_mag' => $mag->id])}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_storekeeper" value="" id="id_storekeeper">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to remove storekeeper?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection