@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('material.update', [$material->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Code")}} <span class="required">*</span></label>
                    <div class="col-lg-3">
                        <input type="text" name="code" class="form-control" placeholder="" id="code" spellcheck="false" value="{{$material->code}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Material")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('material')){{'has-error'}} @endif">
                    <input type="text" name="material" class="form-control" placeholder="" id="material" spellcheck="false" value="{{$material->material}}"/>
                        @if($errors->has('material'))
                            <label for="material" class="error">{{$errors->first('material')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Minimal quantity")}} <span class="required"></span></label>
                    <div class="col-lg-3">
                        <input type="text" name="min_qnt" class="form-control" placeholder="" id="min_qnt" spellcheck="false" value="{{$material->min_qnt}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Price")}}: </label>
                    <div class="col-lg-3 @if($errors->has('price')){{'has-error'}} @endif">
                        <input type="text" name="price" class="form-control" placeholder="" id="price" spellcheck="false" value="{{$material->price}}"/>
                        @if($errors->has('price'))
                            <label for="price" class="error">{{$errors->first('price')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Active")}}</label>
                    <div class="col-lg-3">
                        <select name="is_active" class="form-control">
                            <option value="1" @if($material->is_active == 1) {{'selected = "selected"'}}@endif>{{__("YES")}}</option>
                            <option value="0" @if($material->is_active == 0) {{'selected = "selected"'}}@endif>{{__("NO")}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('material.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection