@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("opremaId");
                $('#id_oprema').val(id);
            });
        });
    </script>


    <section class="panel">
        <div class="row">
            <div class="col-sm-4 col-md-12 col-lg-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Equipment")}}</h2>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("No.")}}</th>
                            <th>{{__("Code")}}</th>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Category")}}</th>
                            <th>{{__("Price")}}</th>
                            <th>{{__("Active")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($oprema as $rbr => $opr)
                            <tr class="gradeX">
                                <td>{{($rbr+1).'.'}}</td>
                                <td>{{$opr->code}}</td>
                                <td>{{$opr->naziv}}</td>
                                <td>{{$opr->category}}</td>
                                <td>{{$opr->price}}</td>
                                <td>@if($opr->is_active == 1) {{__("YES")}} @else {{__("NO")}} @endif</td>
                                <td class="btn-center">
                                    @if ($admin)
                                        <a href="/oprema/{{$opr->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                        <a href="{{route('oprema.index').'/'.$opr->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                        <a href="#deleteOpremaModal" class="modal-basic"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" opremaId="{{$opr->id}}"><i class="fa fa-trash-o"></i></button></a>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>

    <div id="deleteOpremaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('oprema.destroy', 'test')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_oprema" value="" id="id_oprema">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
