@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('pan.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Add new')}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-3 control-label">{{__('Pan')}}: <span class="required">*</span></label>
                    <div class="col-lg-4 @if($errors->has('pan')){{'has-error'}} @endif">
                        <input type="text" name="pan" class="form-control" placeholder="" id="pan" spellcheck="false"/>
                        @if($errors->has('pan'))
                            <label for="pan" class="error">{{$errors->first('pan')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-3 control-label">{{__('Pan')}} ID: </label>
                    <div class="col-lg-4 @if($errors->has('pan_id')){{'has-error'}} @endif">
                        <input type="text" name="pan_id" class="form-control" placeholder="" id="pan_id" spellcheck="false"/>
                        @if($errors->has('pan_id'))
                            <label for="pan_id" class="error">{{$errors->first('pan_id')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Add')}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('pan.index')}}" class="btn btn-default">{{__('Cancel')}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection