@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('pan.update', [$pan->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Edit')}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Pan')}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('pan')){{'has-error'}} @endif">
                        <input type="text" name="pan" class="form-control" placeholder="" id="pan"
                               spellcheck="false" value="{{$pan->pan}}"/>
                        @if($errors->has('pan'))
                            <label for="pan" class="error">{{$errors->first('pan')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Pan')}} ID</label>
                    <div class="col-lg-3 @if($errors->has('pan_id')){{'has-error'}} @endif">
                        <input type="text" name="pan_id" class="form-control" placeholder="" id="pan_id"
                               spellcheck="false" value="{{$pan->pan_id}}"/>
                        @if($errors->has('pan_id'))
                            <label for="pan_id" class="error">{{$errors->first('pan_id')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Save')}} <i class="fa fa-save"></i></button>
                        <a href="{{route('pan.index')}}"><button type="button" class="btn btn-default">{{__('Cancel')}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection