@extends('layouts.app')

@section('content')

<script type="text/javascript">
    $(document).ready(function(){
        $(function() {
            if($('#status').val() != 1)
                $('.status-zakazan').hide();
            if($('#status').val() != 2)
                $('.status-odlozen').hide();
            $('#status').change(function(){
                if($('#status').val() == 1) {
                    $('.status-zakazan').show();
                } else {
                    $('.status-zakazan').hide();
                    $('#datum_zakazivanja').val('');
                    $('#vreme').val('');
                }
                if($('#status').val() == 2) {
                    $('.status-odlozen').show();
                } else {
                    $('.status-odlozen').hide();
                    $('#datum_odlaganja').val('');
                    $('#vreme').val('');
                }
            });
        });

    });

</script>

<section class="panel">
    <form id="form" method="post" action="{{route('runeOptics.store')}}" class="form-horizontal">
        {{ csrf_field() }}
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>

                <h2 class="panel-title">{{__("Add new client")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cluster")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <select name="cluster" id="cluster" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Cluster")}} --</option>
                            @foreach($clusters as $cluster)
                                <option value="{{$cluster->id}}" 
                                    @if(old('cluster'))
                                    @if($cluster->id == old('cluster')) selected @endif
                                    @endif>{{$cluster->cluster}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Street")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{old('street')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("PAN")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="pan" class="form-control" placeholder="" id="pan" spellcheck="false" value="{{old('pan')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false" value="{{old('home_no')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Entrance")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="enterance" class="form-control" placeholder="" id="enterance" spellcheck="false" value="{{old('enterance')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Floor")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="floor" class="form-control" placeholder="" id="floor" spellcheck="false" value="{{old('floor')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Flat")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="apartment" class="form-control" placeholder="" id="apartment" spellcheck="false" value="{{old('apartment')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{old('tel3')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false" value="{{old('network_group')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Statement type")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="eta" class="form-control" placeholder="" id="eta" spellcheck="false" value="{{old('eta')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("ID")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="fobos_id" class="form-control" placeholder="" id="fobos_id" spellcheck="false" value="{{old('fobos_id')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("County")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="county" class="form-control" placeholder="" id="county" spellcheck="false" value="{{old('county')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="city" class="form-control" placeholder="" id="city" spellcheck="false" value="{{old('city')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Settlement")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="settlement" class="form-control" placeholder="" id="settlement" spellcheck="false" value="{{old('settlement')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Household")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="household" class="form-control" placeholder="" id="household" spellcheck="false" value="{{old('household')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Households")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="households" class="form-control" placeholder="" id="households" spellcheck="false" value="{{old('households')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("State")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="state" class="form-control" placeholder="" id="state" spellcheck="false" value="{{old('state')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("State services")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="state_services" class="form-control" placeholder="" id="state_services" spellcheck="false" value="{{old('state_services')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Email")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="email" class="form-control" placeholder="" id="email" spellcheck="false" value="{{old('email')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false" value="{{old('packet')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="recomended_tariff" class="form-control" placeholder="" id="recomended_tariff" spellcheck="false" value="{{old('recomended_tariff')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Construction manager")}} </label>
                    <div class="col-sm-3">
                        <select name="construction_manager" id="construction_manager" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Construction manager")}} --</option>
                            @foreach($constructionManagers as $user)
                                <option value="{{$user->id}}" 
                                    @if(old('construction_manager'))
                                    @if($user->id == old('construction_manager')) selected @endif
                                    @endif>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("First offer")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="" value="{{old('first_offer')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Operator")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="operator" class="form-control" placeholder="" id="operator" spellcheck="false" value="{{old('operator')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Month")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="month" class="form-control" placeholder="" id="month" spellcheck="false" value="{{old('month')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Year")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="year" class="form-control" placeholder="" id="year" spellcheck="" value="{{old('year')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck="" value="{{old('withdrawal_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                    <div class="col-sm-3">
                        <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false">{{old('withdrawal_reason')}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false">{{old('comment')}}</textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck="" value="{{old('contract_expire_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Points")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="points" class="form-control" placeholder="" id="points" spellcheck="false" value="{{old('points')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cable")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="cable" class="form-control" placeholder="" id="cable" spellcheck="false" value="{{old('cable')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Thread")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="thread" class="form-control" placeholder="" id="thread" spellcheck="false" value="{{old('thread')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Tube")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tube" class="form-control" placeholder="" id="tube" spellcheck="false" value="{{old('tube')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Case")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="case" class="form-control" placeholder="" id="case" spellcheck="false" value="{{old('case')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("X-coordinate")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="x_coordinate" class="form-control" placeholder="" id="x_coordinate" spellcheck="false" value="{{old('x_coordinate')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Y-coordinate")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="y_coordinate" class="form-control" placeholder="" id="y_coordinate" spellcheck="false" value="{{old('y_coordinate')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Name")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{old('name')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false" value="{{old('surname')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Request created by")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="claim_created_by" class="form-control" placeholder="" id="claim_created_by" spellcheck="false" value="{{old('claim_created_by')}}"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-1 control-label">TIS ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="" value="{{old('tis_id')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Address")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="address" class="form-control" placeholder="" id="address" spellcheck="" value="{{old('address')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{old('tel3')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Request")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="claim" class="form-control" placeholder="" id="claim" spellcheck="false" value="{{old('claim')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="seller" class="form-control" placeholder="" id="seller" spellcheck="false" value="{{old('seller')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Assigned to fitter")}} </label>
                    <div class="col-sm-3">
                        <select name="user" id="user" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $user)
                                <option value="{{$user->id}}" 
                                    @if(old('user'))
                                    @if($user->id == old('user')) selected @endif
                                    @endif>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Project managers")}} </label>
                    <div class="col-sm-3">
                        <select name="project_manager" id="project_manager" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Project manager")}} --</option>
                            @foreach($projectManagers as $user)
                                <option value="{{$user->id}}" 
                                    @if(old('project_manager'))
                                    @if($user->id == old('project_manager')) selected @endif
                                    @endif>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Team leader")}} </label>
                    <div class="col-sm-3">
                        <select name="team_leader" id="team_leader" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Team leader")}} --</option>
                            @foreach($teamLeaders as $user)
                                <option value="{{$user->id}}" 
                                    @if(old('team_leader'))
                                    @if($user->id == old('team_leader')) selected @endif
                                    @endif>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Area")}} </label>
                    <div class="col-sm-3">
                        <select name="area" id="area" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__('Area')}} --</option>
                            @foreach($areas as $area)
                                <option value="{{$area->id}}"
                                        @if(old('area'))
                                        @if($area->id == old('area')) selected @endif
                                        @endif>{{$area->area}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Montage type")}} </label>
                    <div class="col-sm-3">
                        <select name="montage_type" id="montage_type" class="form-control populate">
                            <option value="">-- {{__("Montage type")}} --</option>
                            @foreach($tipoviMontaze as $tip)
                                <option value="{{$tip->id}}" 
                                    @if(old('montage_type'))
                                    @if($tip->id == old('montage_type')) selected @endif
                                    @endif>{{$tip->tip}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Origin")}} </label>
                    <div class="col-sm-3">
                        <select name="origin" id="origin" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__('Origin')}} --</option>
                            @foreach($origin as $o)
                                <option value="{{$o->id}}"
                                        @if(old('origin'))
                                        @if($o->id == old('origin')) selected @endif
                                        @endif>{{$o->origin}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Provider")}} </label>
                    <div class="col-sm-3">
                        <select name="provider" id="provider" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__('Provider')}} --</option>
                            @foreach($providers as $provider)
                                <option value="{{$provider->id}}"
                                        @if(old('provider'))
                                        @if($provider->id == old('provider')) selected @endif
                                        @endif>{{$provider->provider}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status" id="status">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusi as $s)
                                <option value="{{$s->id}}" 
                                    @if(old('status'))
                                    @if($s->id == old('status')) selected @endif
                                    @endif>{{$s->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="status-zakazan">
                        <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="datum_zakazivanja" class="form-control date-picker" placeholder="" id="datum_zakazivanja" spellcheck="" value="{{old('datum_zakazivanja')}}"/>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="vreme" name="vreme" value="{{old('vreme')}}">
                            </div>
                        </div>
                    </div>
                    <div class="status-odlozen">
                        <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="datum_odlaganja" class="form-control date-picker" placeholder="" id="datum_odlaganja" spellcheck="" value="{{old('datum_odlaganja')}}"/>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="vreme2" name="vreme2" value="{{old('vreme2')}}">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Montage date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="montage_date" class="form-control date-picker" placeholder="" id="montage_date" value="{{old('montage_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck="false" value="{{old('withdrawal_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Delay date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="delay_date" class="form-control date-picker" placeholder="" id="delay_date"  spellcheck="false" value="{{old('delay_date')}}"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Intervention status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="intervention_status" id="intervention_status">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusiIntervencije as $stinv)
                                <option value="{{$stinv->id}}"
                                    @if(old('status_intervencije'))
                                    @if($stinv->id == old('intervention_status')) selected @endif
                                    @endif>{{$stinv->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Intervention date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                            <input type="text" name="intervention_date" class="form-control date-picker" placeholder="" id="intervention_date" spellcheck="" value="{{old('intervention_date')}}"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Reclamation")}} - {{__("fitter")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="reclamation_user" id="reclamation_user">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $monter)
                                <option value="{{$monter->id}}"
                                    @if(old('monter_reklamacije'))
                                    @if($monter->id == old('monter_reklamacije')) selected @endif
                                    @endif>{{$monter->ime.' '.$monter->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Reclamation date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                            <input type="text" name="reclamation_date" class="form-control date-picker" placeholder="" id="reclamation_date" spellcheck="" value="{{old('reclamation_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Extra STB")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="extra_stb" class="form-control" placeholder="" id="extra_stb" spellcheck="false" value="{{old('extra_stb')}}"/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a href="{{route('runeOptics.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
    </form>
</section>

@endsection