@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(function() {
                if($('#status').val() != 1)
                    $('.status-zakazan').hide();
                if($('#status').val() != 2)
                    $('.status-odlozen').hide();
                $('#status').change(function(){
                    if($('#status').val() == 1) {
                        $('.status-zakazan').show();
                    } else {
                        $('.status-zakazan').hide();
                        $('#datum_zakazivanja').val('');
                        $('#vreme').val('');
                    }
                    if($('#status').val() == 2) {
                        $('.status-odlozen').show();
                    } else {
                        $('.status-odlozen').hide();
                        $('#datum_odlaganja').val('');
                        $('#vreme').val('');
                    }
                });
            });

            $('.btn-delete-comment').click(function () {
                var id = $(this).attr("commentId");
                $('#id_comment').val(id);
            });
            $('.btn-delete-image').click(function () {
                var id = $(this).attr("imageId");
                $('#id_image').val(id);
            });
            $('.btn-delete-file').click(function () {
                var id = $(this).attr("fileId");
                $('#id_file').val(id);
            });
            $('.btn-delete-device').click(function () {
                    var id = $(this).attr("montiranId");
                    var serijskiBroj = $(this).attr("serijskiBroj");
                    $('#id_montiran').val(id);
                    $('#serijski_broj').val(serijskiBroj);
                });
            $('.btn-delete-equipment').click(function () {
                var id = $(this).attr("equipmentId");
                var createdAt = $(this).attr("createdAt");
                $('#id_oprema').val(id);
                $('#created_at').val(createdAt);
            });
            $('.btn-delete-material').click(function () {
                var id = $(this).attr("mId");
                var createdAt = $(this).attr("createdAt");
                $('#material_id').val(id);
                $('#created_at').val(createdAt);
            });
        });
    </script>
    
    <form id="form" method="post" action="{{route('runeOptics.update', [$client->id])}}" class="form-horizontal"  enctype="multipart/form-data">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Add new client")}} </h2>
            <div class="panel-actions">
                <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
            </div>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Cluster")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <select name="cluster" id="cluster" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Cluster")}} --</option>
                        @foreach($clusters as $cluster)
                            <option value="{{$cluster->id}}" 
                                @if($client->cluster)
                                @if($cluster->id == $client->cluster) selected @endif
                                @endif>{{$cluster->cluster}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Street")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{$client->street}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("PAN")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <input type="text" name="pan" class="form-control" placeholder="" id="pan" spellcheck="false" value="{{$client->pan}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false" value="{{$client->home_no}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Entrance")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="enterance" class="form-control" placeholder="" id="enterance" spellcheck="false" value="{{$client->enterance}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Floor")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="floor" class="form-control" placeholder="" id="floor" spellcheck="false" value="{{$client->floor}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Flat")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="apartment" class="form-control" placeholder="" id="apartment" spellcheck="false" value="{{$client->apartment}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{$client->tel1}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                <div class="col-sm-3">
                    <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{$client->tel2}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{$client->tel3}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false" value="{{$client->network_group}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Statement type")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="eta" class="form-control" placeholder="" id="eta" spellcheck="false" value="{{$client->eta}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("ID")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="fobos_id" class="form-control" placeholder="" id="fobos_id" spellcheck="false" value="{{$client->fobos_id}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("County")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="county" class="form-control" placeholder="" id="county" spellcheck="false" value="{{$client->county}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("City")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="city" class="form-control" placeholder="" id="city" spellcheck="false" value="{{$client->city}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Settlement")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="settlement" class="form-control" placeholder="" id="settlement" spellcheck="false" value="{{$client->settlement}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Household")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="household" class="form-control" placeholder="" id="household" spellcheck="false" value="{{$client->household}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Households")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="households" class="form-control" placeholder="" id="households" spellcheck="false" value="{{$client->households}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("State")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="state" class="form-control" placeholder="" id="state" spellcheck="false" value="{{$client->state}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("State services")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="state_services" class="form-control" placeholder="" id="state_services" spellcheck="false" value="{{$client->state_services}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Email")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="email" class="form-control" placeholder="" id="email" spellcheck="false" value="{{$client->email}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false" value="{{$client->packet}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="recomended_tariff" class="form-control" placeholder="" id="recomended_tariff" spellcheck="false" value="{{$client->recomended_tariff}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Construction manager")}} </label>
                    <div class="col-sm-3">
                        <select name="construction_manager" id="construction_manager" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Construction manager")}} --</option>
                            @foreach($constructionManagers as $user)
                                <option value="{{$user->id}}" 
                                    @if($client->construction_manager)
                                    @if($user->id == $client->construction_manager) selected @endif
                                    @endif>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("First offer")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="" value="{{$client->first_offer}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Operator")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="operator" class="form-control" placeholder="" id="operator" spellcheck="false" value="{{$client->operator}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Month")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="month" class="form-control" placeholder="" id="month" spellcheck="false" value="{{$client->month}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Year")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="year" class="form-control" placeholder="" id="year" spellcheck="" value="{{$client->year}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck="" 
                        value="@if($client->withdrawal_date) {{date('d.m.Y.', strtotime($client->withdrawal_date))}} @endif"/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                <div class="col-sm-3">
                    <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false">{{$client->withdrawal_reason}}</textarea>
                </div>
                <label class="col-sm-1 control-label">{{__("Note")}}</label>
                <div class="col-sm-3">
                    <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false"></textarea>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck="" 
                        value="@if($client->contract_expire_date) {{date('d.m.Y.', strtotime($client->contract_expire_date))}} @endif"/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Points")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="points" class="form-control" placeholder="" id="points" spellcheck="false" value="{{$client->points}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Team leader")}} </label>
                <div class="col-sm-3">
                    <select name="team_leader" id="team_leader" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Team leader")}} --</option>
                        @foreach($teamLeaders as $user)
                            <option value="{{$user->id}}" 
                                @if($client->team_leader)
                                @if($user->id == $client->team_leader) selected @endif
                                @endif>{{$user->ime.' '.$user->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Cable")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="cable" class="form-control" placeholder="" id="cable" spellcheck="false" value="{{$client->cable}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Thread")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="thread" class="form-control" placeholder="" id="thread" spellcheck="false" value="{{$client->thread}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Tube")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="tube" class="form-control" placeholder="" id="tube" spellcheck="false" value="{{$client->tube}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Case")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="case" class="form-control" placeholder="" id="case" spellcheck="false" value="{{$client->case}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("X-coordinate")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="x_coordinate" class="form-control" placeholder="" id="x_coordinate" spellcheck="false" value="{{$client->x_coordinate}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Y-coordinate")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="y_coordinate" class="form-control" placeholder="" id="y_coordinate" spellcheck="false" value="{{$client->y_coordinate}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Name")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{$client->name}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Surname")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false" value="{{$client->surname}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Request created by")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="claim_created_by" class="form-control" placeholder="" id="claim_created_by" spellcheck="false" value="{{$client->claim_created_by}}"/>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-1 control-label">TIS ID </label>
                <div class="col-sm-3">
                    <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="" value="{{$client->tis_id}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Address")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="address" class="form-control" placeholder="" id="address" spellcheck="" value="{{$client->address}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Landline phone")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{$client->tel1}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{$client->tel2}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{$client->tel3}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Request")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="claim" class="form-control" placeholder="" id="claim" spellcheck="false" value="{{$client->claim}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Assigned to fitter")}} </label>
                <div class="col-sm-3">
                    <select name="user" id="user" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Fitter")}} --</option>
                        @foreach($monteri as $user)
                            <option value="{{$user->id}}" 
                                @if($client->user)
                                @if($user->id == $client->user) selected @endif
                                @endif>{{$user->ime.' '.$user->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                <div class="col-sm-3">
                    <select name="project_manager" id="project_manager" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Project manager")}} --</option>
                        @foreach($projectManagers as $user)
                            <option value="{{$user->id}}" 
                                @if($client->project_manager)
                                @if($user->id == $client->project_manager) selected @endif
                                @endif>{{$user->ime.' '.$user->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                <div class="col-sm-3">
                    <select name="seller" id="user" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__("Seller")}} --</option>
                        @foreach($sellers as $seller)
                            <option value="{{$seller->id}}" 
                                @if($client->seller_id)
                                @if($seller->id == $client->seller_id) selected @endif
                                @endif>{{$seller->ime.' '.$seller->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Area")}} </label>
                <div class="col-sm-3">
                    <select name="area" id="area" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__('Area')}} --</option>
                        @foreach($areas as $area)
                            <option value="{{$area->id}}"
                                    @if($client->area)
                                    @if($area->id == $client->area) selected @endif
                                    @endif>{{$area->area}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Montage type")}} </label>
                <div class="col-sm-3">
                    <select name="montage_type" id="montage_type" class="form-control populate">
                        <option value="">-- {{__("Montage type")}} --</option>
                        @foreach($tipoviMontaze as $tip)
                            <option value="{{$tip->id}}" 
                                @if($client->montage_type)
                                @if($tip->id == $client->montage_type) selected @endif
                                @endif>{{$tip->tip}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Origin")}} </label>
                <div class="col-sm-3">
                    <select name="origin" id="origin" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__('Origin')}} --</option>
                        @foreach($origin as $o)
                            <option value="{{$o->id}}"
                                    @if($client->origin)
                                    @if($o->id == $client->origin) selected @endif
                                    @endif>{{$o->origin}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Status")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="status" id="status">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statusi as $s)
                            <option value="{{$s->id}}" 
                                @if($client->status)
                                @if($s->id == $client->status) selected @endif
                                @endif>{{$s->status}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="status-zakazan">
                    <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_zakazivanja" class="form-control date-picker" placeholder="" id="datum_zakazivanja" spellcheck="" 
                            value="@if($client->appointment_date) {{date('d.m.Y.', strtotime($client->appointment_date))}} @endif"/>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </span>
                            <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="vreme" name="vreme" 
                            value="@if($client->appointment_date){{date('H:i', strtotime($client->appointment_date))}} @endif">
                        </div>
                    </div>
                </div>
                <div class="status-odlozen">
                    <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_odlaganja" class="form-control date-picker" placeholder="" id="datum_odlaganja" spellcheck="" 
                            value="@if($client->delay_date) {{date('d.m.Y.', strtotime($client->delay_date))}} @endif"/>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </span>
                            <input type="text" data-plugin-timepicker class="form-control" data-plugin-options='{ "showMeridian": false }' id="vreme2" name="vreme2" 
                            value="@if($client->delay_date){{date('H:i', strtotime($client->delay_date))}} @endif">
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Montage date")}} </label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="montage_date" class="form-control date-picker" placeholder="" id="montage_date" value="@if($client->montage_date) {{date('d.m.Y.', strtotime($client->montage_date))}} @endif"/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Provider")}} </label>
                <div class="col-sm-3">
                    <select name="provider" id="provider" data-plugin-selectTwo class="form-control populate">
                        <option value="">-- {{__('Provider')}} --</option>
                        @foreach($providers as $provider)
                            <option value="{{$provider->id}}"
                                    @if($provider->id == $client->provider) selected @endif>{{$provider->provider}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Confirmed in RUNE APP")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-info">
                        <input type="checkbox" name="confirmed_in_rune_app" data-plugin-ios-switch  @if($client->confirmed_in_rune_app == 1) checked @endif/>
                    </div>
                </div>

            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Intervention status")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate status-select"  name="intervention_status" id="intervention_status">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statusiIntervencije as $stinv)
                            <option value="{{$stinv->id}}"
                                @if($client->status_intervencije)
                                @if($stinv->id == $client->intervention_status) selected @endif
                                @endif>{{$stinv->status}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Intervention date")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                        <input type="text" name="intervention_date" class="form-control date-picker" placeholder="" id="intervention_date" spellcheck="" value="{{$client->intervention_date}}"/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Drawn into QGIS")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-warning">
                        <input type="checkbox" name="drawn_into_qgis" data-plugin-ios-switch @if($client->drawn_into_qgis == 1) checked @endif />
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Reclamation")}} - {{__("fitter")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate status-select"  name="reclamation_user" id="reclamation_user">
                        <option value="">-- {{__("Fitter")}} --</option>
                        @foreach($monteri as $monter)
                            <option value="{{$monter->id}}"
                                @if($client->monter_reklamacije)
                                @if($monter->id == $client->monter_reklamacije) selected @endif
                                @endif>{{$monter->ime.' '.$monter->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Reclamation date")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                        <input type="text" name="reclamation_date" class="form-control date-picker" placeholder="" id="reclamation_date" spellcheck="" value="@if($client->reclamation_date) {{date('d.m.Y.', strtotime($client->reclamation_date))}} @endif"/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Extra STB")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="extra_stb" class="form-control" placeholder="" id="extra_stb" spellcheck="false" value="{{$client->extra_stb}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Additional work")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate status-select"  name="additional_work" id="additional_work">
                        <option value="0">{{__("NO")}}</option>
                        <option value="1" @if($client->additional_work == 1) selected @endif>{{__("YES")}}</option>
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Additional splicing")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="additional_splicing" class="form-control" placeholder="" id="additional_splicing" spellcheck="false" value="{{$client->additional_splicing}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Client contacted")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-success">
                        <input type="checkbox" name="contacted" data-plugin-ios-switch @if($client->contacted == 1) checked @endif />
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Contact date")}}</label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="contact_date" class="form-control date-picker" placeholder="" id="contact_date" spellcheck="" 
                        value="@if($client->contact_date) {{date('d.m.Y.', strtotime($client->contact_date))}} @endif"/>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-4">
                    <a class="modal-with-form" href="#modalAddDevice"><button type="button" class="btn btn-info inline-btn">{{__("Add device")}} <i class="fa fa-plus"></i></button></a>
                </div>
                <div class="col-sm-4">
                    <a class="modal-with-form" href="#modalEquipment"><button type="button" class="btn btn-success inline-btn">{{__("Add equipment")}} <i class="fa fa-sitemap"></i></button></a>
                </div>
                <div class="col-sm-4">
                    <a class="modal-with-form" href="#modalReturn"><button type="button" class="btn btn-warning inline-btn">{{__("Return to warehouse")}} <i class="fa fa-backward"></i></button></a>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                @foreach($mounted as $mont)
                    <p class="highlight devices">{{'('.strtoupper($mont->uredjaj).') '.$mont->serijski_broj}}</p>
                    @if($isAdmin)
                    <a href="#deleteDeviceModal" class="modal-basic btn btn-delete-device" style="float:right" montiranId="{{$mont->id}}" serijskiBroj="{{$mont->serijski_broj}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                    @endif
                    <br>
                @endforeach
                </div>
                <div class="col-sm-4">
                @foreach($equipment as $equip)
                    <p class="highlight equipment">@if($equip->code) ({{$equip->code}}) @endif{{$equip->naziv.' ( '.__("quantity").': '.$equip->kol.')'}}</p>
                    @if($isAdmin)
                    <a href="#deleteEquipmentModal" class="modal-basic btn btn-delete-equipment" style="float:right" equipmentId="{{$equip->id}}" createdAt="{{$equip->created_at}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                    @endif
                    <br>
                @endforeach
                </div>
                <div class="col-sm-4">
                    @foreach($returned as $vr)
                        <p class="highlight returned">{{'('.$vr->uredjaj.') '.$vr->serijski_broj}}</p>
                        <br>
                    @endforeach
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Images")}}</label>
                <div class="col-sm-3">
                    <div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="input-append">
                            <div class="uneditable-input">
                                <i class="fa fa-file fileupload-exists"></i>
                                <span class="fileupload-preview"></span>
                            </div>
                            <span class="btn btn-default btn-file">
                                <span class="fileupload-exists">{{__("Change")}}</span>
                                <span class="fileupload-new">{{__("Choose file")}}</span>
                                <input type="file" id="pictures" name="pictures[]" multiple>
                            </span>
                            <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                        </div>
                    </div>
                </div>
                <label class="col-sm-1 control-label">Pdf/Excel/Audio </label>
                <div class="col-sm-3">
                    <div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="input-append">
                            <div class="uneditable-input">
                                <i class="fa fa-file fileupload-exists"></i>
                                <span class="fileupload-preview"></span>
                            </div>
                            <span class="btn btn-default btn-file">
                                <span class="fileupload-exists">{{__("Change")}}</span>
                                <span class="fileupload-new">{{__("Choose file")}}</span>
                                <input type="file" id="document" name="document"/>
                            </span>
                            <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                        </div>
                    </div>
                </div>
                <div class="col-sm-2">
                    <a class="modal-with-form" href="#modalMaterial"><button type="button" class="btn btn-primary inline-btn">{{__("Add material")}} <i class="fa fa-sitemap"></i></button></a>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                    <a href="{{route('runeOptics.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                </div>
            </div>
        </footer>
    </form>

@if(!$spentMaterial->isEmpty())
    <br />
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Material')}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Code')}}</th>
                        <th>{{__('Material')}}</th>
                        <th>{{__('Quantity')}}</th>
                        @if($isSuperAdmin)
                        <th></th>
                        @endif
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($spentMaterial as $mat)
                        <tr class="gradeX">
                            <td>{{$mat->code}}</td>
                            <td>{{$mat->material}}</td>
                            <td>{{$mat->quantity}}</td>
                            @if($isSuperAdmin)
                            <td class="btn-center">
                                <a href="#deleteMaterialModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-material" style="color:red"
                                    data-toggle="tooltip" data-placement="top" param="material" mId="{{$mat->id}}" createdAt="{{$mat->created_at}}"
                                    data-original-title="{{__('Delete')}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                            @endif
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$com)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$com->comment}}</p>
                        <small>{{$com->ime.' '.$com->prezime}} <cite title="Comment">{{date('d.m.Y. H:i:s', strtotime($com->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$com->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!empty($images[0]))
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Images")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                    <div class="col-md-2" style="overflow: auto;">
                        <div class="popup-gallery">
                            <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" 
                                title="{{date('d.m.Y. H:i:s',strtotime($img->created_at))}}" rel="group1">
                                <div class="img-responsive">
                                    <img src="{{$img->image_url}}" width="105">
                                </div>
                            </a>
                        </div>
                        <div class="btn-group">
                            <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                            <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-rotate-image" imageId="{{$img->id}}" data-param="rune"><i class="fa fa-rotate-right"></i></button>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Files")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                        <a href="#deleteFileModal" class="modal-basic mb-xs mt-xs mr-xs btn-delete-file" style="color:red" fileId="{{$file->id}}"><i class="fa fa-trash-o"></i></a>
                    </div>
                @endforeach
            </div>
        </section>
    @endif
    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_rune_comment', 'comm')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_rune_image', 'rune')}}">
            <input type="hidden" name="id_image" id="id_image">
            <input type="hidden" name="id_client" id="id_client" value="{{$client->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete image?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteFileModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_file')}}">
            <input type="hidden" name="id_file" id="id_file">
            <input type="hidden" name="param" id="param" value="rune">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete file?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="modalAddDevice" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add device")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('add_device', ['param' => 'rune'])}}">
                @csrf
                <input type="hidden" value="{{$client->id}}" name="id_klijent" id="id_klijent">
                <input type="hidden" value="{{$client->montage_type}}" name="montage_type" id="montage_type">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Device")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="uredjaj" data-plugin-selectTwo>
                                <option value="0">-- {{__("Device")}} --</option>
                                @foreach($devices as $dev)
                                    <option value="{{$dev->id}}">{{$dev->uredjaj}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Serial number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="serijski_broj" class="form-control" placeholder="{{__('Serial')}}..." required/>
                        </div>
                    </div>
                    @if($isAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Fitter")}} </label>
                        <div class="col-sm-9">
                            <select class="form-control" name="monter_device">
                                <option value="0">-- {{__("Fitter")}} --</option>
                                @foreach($monteri as $mont)
                                    <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Date of entry")}} </label>
                        <div class="col-sm-6">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="device_date" class="form-control date-picker" placeholder="" id="device_date"/>
                            </div>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" class="form-control"  id="device_time" name="device_time">
                            </div>
                        </div>
                    </div>
                @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="deleteDeviceModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_device', ['param' => 'rune'])}}">
            <input type="hidden" name="id_montiran" id="id_montiran">
            <input type="hidden" name="serijski_broj" id="serijski_broj">
            <input type="hidden" name="id_klijent" id="id_klijent" value="{{$client->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="modalEquipment" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add equipment")}}</h2>
            </header>
            <form id="add_equipment" method="post" class="form-horizontal mb-lg" action="{{route('add_equipment', ['param' => 'rune'])}}">
                @csrf
                <input type="hidden" value="{{$client->id}}" name="id_klijent" id="id_klijent">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Equipment")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="oprema" data-plugin-selectTwo>
                               <option value="0">-- {{__("Equipment")}} --</option>
                                @foreach($oprema as $oprem)
                                    <option value="{{$oprem->id}}">@if($oprem->code) ({{$oprem->code}}) @endif{{$oprem->naziv}} @isset($oprem->quantity){{' ('.$oprem->quantity.')'}}@endisset</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="kol" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                        </div>
                    </div>
                    @if($isAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Insert instead worker")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control populate status-select"  name="monter_equipment" id="monter_equipment">
                                <option value="">-- {{__("Fitter")}} --</option>
                                @foreach($monteri as $monter)
                                    <option value="{{$monter->id}}" <?php if ($monter->id == $client->reclamation_user) echo 'selected = "selected"' ?>>{{$monter->ime.' '.$monter->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="modalMaterial" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add material")}}</h2>
            </header>
            <form id="add_material" method="post" class="form-horizontal mb-lg" action="{{route('add_material', ['param' => 'rune'])}}">
                @csrf
                <input type="hidden" value="{{$client->id}}" name="client_id" id="client_id">
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Material")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="material" data-plugin-selectTwo>
                               <option value="0">-- {{__("Material")}} --</option>
                                @foreach($materials as $mat)
                                    <option value="{{$mat->id}}">{{'('.$mat->code.') '.$mat->material}} @isset($mat->quantity){{' ('.__("Qty").': '.$mat->quantity.')'}}@endisset</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="qty" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                        </div>
                    </div>
                    @if($isAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Insert instead worker")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control populate status-select"  name="fitter_material" id="fitter_material"  data-plugin-selectTwo>
                                <option value="">-- {{__("Fitter")}} --</option>
                                @foreach($monteri as $monter)
                                    <option value="{{$monter->id}}" <?php if ($monter->id == $client->reclamation_user) echo 'selected = "selected"' ?>>{{$monter->ime.' '.$monter->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to insert equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="deleteMaterialModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_material', ['param' => 'rune'])}}">
            <input type="hidden" name="material_id" id="material_id">
            <input type="hidden" name="site_id" id="site_id" value="{{$client->id}}">
            <input type="hidden" name="created_at" id="created_at" value="">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteEquipmentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_equipment', ['param' => 'rune'])}}">
            <input type="hidden" name="id_oprema" id="id_oprema">
            <input type="hidden" name="id_klijent" id="id_klijent" value="{{$client->id}}">
            <input type="hidden" name="created_at" id="created_at" value="">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="modalReturn" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Device return")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('return_device', ['param' => 'rune'])}}">
                @csrf
                <div class="panel-body">
                    <input type="hidden" name="id_klijent" value="{{$client->id}}">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Device")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="return_device" data-plugin-selectTwo>
                                <option value="">-- {{__("Device")}} --</option>
                                @foreach($devices as $rdev)
                                    <option value="{{$rdev->id}}">{{$rdev->uredjaj}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Reason")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="razlog">
                                <option value="0">-- {{__("Reason")}} --</option>
                                @foreach($returnReasons as $razlog)
                                    <option value="{{$razlog->id}}">{{$razlog->razlog}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Serial number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="return_serial" class="form-control" placeholder="{{__('Serial')}}..." required/>
                        </div>
                    </div>
                    @if($isAdmin)
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Fitter")}} </label>
                        <div class="col-sm-9">
                            <select class="form-control" name="monter_return">
                                <option value="0">-- {{__("Fitter")}} --</option>
                                @foreach($monteri as $mont)
                                    <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                                @endforeach
                            </select>
                            <p><small>*{{__("Fill out form if you want to return equipment instead of worker")}}</small></p>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Return date")}} </label>
                        <div class="col-sm-6">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="return_date" class="form-control date-picker" placeholder="" id="return_date"/>
                            </div>
                            <p><small>*{{__("Fill out form if you want to return equipment instead of worker")}}</small></p>
                        </div>
                        <div class="col-sm-3">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <input type="text" class="form-control"  id="return_time" name="return_time">
                            </div>
                        </div>
                    </div>
                    @endif
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Return to warehouse")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
@endsection