@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("runeId");
                $('#id_rune').val(id);
            });
        });
    </script>


    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Clients")}} ({{$count}})</h2>
            <div class="panel-actions">
            <form method="POST" action="{{route('rune_export')}}">
                @csrf
                <button type="submit" class="btn btn-warning">{{__("Export")}} <i class="fa fa-print"></i></button>
                <div class="switch switch-success" data-toggle="tooltip" data-placement="top"
                        data-original-title="{{__("Export with notes")}}">
                    <input type="checkbox" name="comments" data-plugin-ios-switch />
                </div>
                <a href="#exportModal" class="modal-basic"><button type="button" class="btn btn-success export-equipment">{{__("Export equipment")}} <i class="fa fa-print"></i></button></a>
            </form>
            </div>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("ID")}}</th>
                        <th>{{__("Client")}}</th>
                        <th>{{__("Cluster")}}</th>
                        <th>{{__("Address")}}</th>
                        <th>{{__("Packet")}}</th>
                        <th>{{__("Status")}}</th>
                        <th>{{__("Assigned to fitter")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($clients as $client)
                        <?php $pulse = '' ?>
                        @if($client->withdrawal_date)
                            @if(date('Y-m-d',strtotime($client->withdrawal_date)) == date('Y-m-d'))
                                <?php $pulse = 'alarm-pulse'?>
                            @else {{$pulse = ''}}
                            @endif
                        @endif
                        <tr class="gradeX {{$pulse}}">
                            <td>{{$client->fobos_id}}</td>
                            <td>{{$client->name.' '.$client->surname}}</td>
                            <td>{{$client->cluster}}</td>
                            <td>{{$client->street.' '.$client->home_no}}</td>
                            <td>{{$client->packet}}</td>
                            <td>{{$client->status}}</td>
                            <td>{{$client->fitter_name.' '.$client->fitter_surname}}</td>
                            <td class="btn-center">
                                <a href="/runeOptics/{{$client->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                   data-toggle="tooltip" data-placement="top"
                                   data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('runeOptics.index').'/'.$client->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                   data-toggle="tooltip" data-placement="top"
                                   data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                                @if($isSuperAdmin)
                                    <a href="#deleteModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" runeId="{{$client->id}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__("Delete")}}"><i class="fa fa-trash-o"></i></a>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    @if(is_object($clients))
                        {{$clients->appends(request()->query())->links()}}
                    @endif
                </div>
            </div>
        </div>
    </section>

    <div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('runeOptics.destroy', 'delete')}}">
            <input type="hidden" name="id_rune" id="id_rune">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="exportModal" class="modal-block modal-header-color modal-block-success mfp-hide">
        <form name="export-form" method="post" action="{{route('export_equipment')}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-print"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Export")}}</h4>
                            <p>{{__("Are you sure that you want to export data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-success" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
