@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function() {
        $('#search_button').click(function () {
            $('#range_form').fadeIn(1000);
            $('#hide_button').fadeIn(1000);
            $('#search_button').fadeOut(500);
        });
        $('#hide_button').click(function () {
            $('#range_form').fadeOut(1000);
            $('#hide_button').fadeOut(1000);
            $('#search_button').fadeIn(500);
        });
    });
</script>
<link href="https://fonts.googleapis.com/css2?family=Orbitron:wght@700&display=swap" rel="stylesheet">
<section class="panel">
    <div class="panel-body">
        <div class="scoreboard-header col-sm-12" style="background-color: #fcea4c"><h1>{{number_format($total, '2',',','.').' €'}}</h1></div>
        <div class="scoreboard-header scoreboard-left col-sm-12 col-md-6" style="background-color: #78e756;"><h1>{{number_format($green, '2',',','.').' €'}}</h1></div>
        <div class="scoreboard-header scoreboard-right col-sm-12 col-md-6" style="background-color: #ff9e44;"><h1>{{number_format($orange, '2',',','.').' €'}}</h1></div>
    </div>
</section>
<section class="panel"  id="range_form" style="display:none">
    <form id="" method="get" class="form-horizontal mb-lg" action="{{route('scoreboard')}}">
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-2 control-label">{{__("Date")}} {{__('range')}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                        <input type="text" class="form-control date-picker" name="start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="end">
                    </div>
                </div>
                <label class="col-md-2 control-label">{{__("Date")}}</label>
                <div class="col-md-2">
                    <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                        <input type="text" name="single_date" class="form-control date-picker" placeholder="" id="single_date" spellcheck=""/>
                    </div>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <button type="submit" class="btn btn-primary" id="btn-pie">{{__('Show')}}</button>
                </div>
            </div>
        </footer>
    </form>
</section>

@foreach($montSynth as $key=>$item)
<section class="panel" id="optics_s">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Montage")}} {{__("Synthetics").' ('.$item['status'].')'}}</h2>
        @if($key==0)
        <div class="panel-actions">
            <button class="btn btn-small btn-primary" id="search_button"><i class="fa fa-search"></i></button>
            <button class="btn btn-small btn-warning" id="hide_button" style="display:none"><i class="fa fa-minus"></i></button>
        </div>
        @endif
    </header>
    <div class="table-mobile">
        <div class="panel-body">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <tbody>
                <tr style="background-color: #2baab1; color:white">
                    <th>{{__("Montage type")}}</th>
                    <th>{{__("Montages count")}}</th>
                    <th>{{__("Price")}}</th>
                    <th>{{__("Amount")}}</th>
                </tr>
                <tr>
                    <td>N</td>
                    <td>{{number_format($item['n'], 2, ',', '.')}}</td>
                    <td>{{number_format($item['nPrice'], 2, ',', '.')}}</td>
                    <td style="text-align:right">{{number_format($item['nTotal'], 2, ',', '.')}}</td>
                </tr>
                <tr>
                    <td>P</td>
                    <td>{{number_format($item['p'], 2, ',', '.')}}</td>
                    <td>{{number_format($item['pPrice'], 2, ',', '.')}}</td>
                    <td style="text-align:right">{{number_format($item['pTotal'], 2, ',', '.')}}</td>
                </tr>
                <tr>
                    <td>PO</td>
                    <td>{{number_format($item['po'], 2, ',', '.')}}</td>
                    <td>{{number_format($item['poPrice'], 2, ',', '.')}}</td>
                    <td style="text-align:right">{{number_format($item['poTotal'], 2, ',', '.')}}</td>
                </tr>
                <tr>
                    <td colspan="3" style="text-align:right"><strong>{{__("Total")}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($item['total'], 2, ',', '.')}}</strong></td>
                </tr>
                </tbody>
                <tbody>
            </table>
        </div>
    </div>
</section>
@endforeach

<section class="panel" id="optics_a">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Montage")}} {{__("Analytics")}}</h2>
    </header>
    <div class="table-mobile">
        <div class="panel-body">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <tbody>
                <tr style="background-color: #2baab1; color:white">
                    <th>{{__("Fitter")}}</th>
                    <th>{{__("User")}}</th>
                    <th>{{__("Cluster")}}</th>
                    <th>{{__("Pan")}}</th>
                    <th>{{__("Montage type")}}</th>
                    <th>{{__("Status")}}</th>
                    <th>{{__("Price")}}</th>
                </tr>
                <?php $totalOpt = 0; $totalMounted=0; $totalNotReleased=0; $totalDelayActivation=0; $totalActivation=0;?>
                @foreach($montAnalyth as $fitter=>$clients)
                @foreach($clients as $client)
                <?php 
                if($client['status_id'] == 5) $totalMounted += $client['price'];  if($client['status_id'] == 21) $totalNotReleased += $client['price'];
                if($client['status_id'] == 31) $totalDelayActivation += $client['price']; if($client['status_id'] == 32) $totalActivation += $client['price'];
                $totalOpt += $client['price'];
                ?>
                <tr>
                    <td>{{$fitter}}</td>
                    <td>{{$client['name']}}</td>
                    <td>{{$client['cluster']}}</td>
                    <td>{{$client['pan']}}</td>
                    <td>{{$client['montage_type']}}</td>
                    <td>{{$client['status']}}</td>
                    <td style="text-align:right">{{number_format($client['price'], 2, ',', '.')}}</td>
                </tr>
                @endforeach
                @endforeach
                <tr>
                    <td colspan="6" style="text-align:right"><strong>{{__("Total")}} {{__("Mounted")}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalMounted, 2, ',', '.')}}</strong></td>
                </tr>
                <tr>
                    <td colspan="6" style="text-align:right"><strong>{{__("Total")}} {{__("Not released")}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalNotReleased, 2, ',', '.')}}</strong></td>
                </tr>
                <tr>
                    <td colspan="6" style="text-align:right"><strong>{{__("Total")}} {{__("Subsequent activation")}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalDelayActivation, 2, ',', '.')}}</strong></td>
                </tr>
                <tr>
                    <td colspan="6" style="text-align:right"><strong>{{__("Total")}} {{__("Activation")}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalActivation, 2, ',', '.')}}</strong></td>
                </tr>
                <tr>
                    <td colspan="6" style="text-align:right"><strong>{{__("Total")}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalOpt, 2, ',', '.')}}</strong></td>
                </tr>
                </tbody>
                <tbody>
            </table>
        </div>
    </div>
</section>

<section class="panel" id="de_sites">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Construction log")}}</h2>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                <tr style="background-color: #a5b100; color:white">
                    <th>{{__("Date")}}</th>
                    <th>{{__("Column leader")}}</th>
                    <th>{{__("Pan")}}</th>
                    <th>{{__("Place")}}</th>
                    <th>{{__("Street")}}</th>
                    <th>{{__("Total")}}</th>
                </tr>
                </thead>
                <tbody>
                <?php $totalDe = 0; ?>
                @foreach($constructionSites as $site)
                    <tr class="gradeX @if($site->report_confirmed == 1) success  @endif" >
                        <td>{{date('d.m.Y.', strtotime($site->date))}}</td>
                        <td>{{$site->name.' '.$site->surname}}</td>
                        <td>{{$site->pan}}</td>
                        <td>{{$site->place}}</td>
                        <td>{{$site->street}}</td>
                        <td style="text-align: right">{{number_format($deMod->totalForSite($site->id), 2, ',', '.')}}</td>
                    </tr>
                    <?php $totalDe += $deMod->totalForSite($site->id);?>
                @endforeach
                <tr>
                    <td colspan="5" style="text-align: right"><strong>{{__("Total")}}:</strong></td>
                    <td style="text-align: right"><strong>{{number_format($totalDe, 2, ',', '.')}}</strong></td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</section>

<section class="panel" id="sale_s">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Sale")}} {{__("Synthetics")}}</h2>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                <tr class="warning">
                    <th>{{__("Team leader")}}</th>
                    <th>{{__("Seller")}}</th>
                    <th>{{__("Requests")}}</th>
                    <th>{{__("Price")}}</th>
                    <th>{{__("Amount")}}</th>
                </tr>
                </thead>
                <?php $totalSaleS = 0; ?>
                @foreach($saleSynt as $item)
                    <tr>    
                        <td>@if($item->team_name){{$item->team_name.' '.$item->team_surname}}@endif</td>
                        <td>@if($item->seller_name){{$item->seller_name.' '.$item->seller_surname}}@endif</td>
                        <td>{{$item->count}}</td>
                        <td>{{$salePrice}}</td>
                        <td style="text-align:right">{{number_format($salePrice*$item->count, 2, ',', '.')}}</td>
                    </tr>
                    <?php $totalSaleS += $salePrice*$item->count;?>
                @endforeach
                <tr>
                    <td colspan="4" style="text-align:right"><strong>{{__("Total")}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalSaleS, 2, ',', '.')}}</strong></td>
                </tr>
            </table>
        </div>
    </div>
</section>
<section class="panel" id="sale_a">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Sale")}} {{__("Analytics")}}</h2>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                <tr class="warning">
                    <th>{{__("Team leader")}}</th>
                    <th>{{__("Seller")}}</th>
                    <th>{{__("Cluster")}}</th>
                    <th>{{__("USER ID")}}</th>
                </tr>
                </thead>
                @foreach($saleAnalyth as $item)
                    <tr>    
                        <td>{{$item->team_surname.' '.$item->team_surname}}</td>
                        <td>{{$item->seller_name.' '.$item->seller_surname}}</td>
                        <td>{{$item->cluster}}</td>
                        <td>{{$item->fobos_id}}</td>
                    </tr>
                @endforeach
            </table>
        </div>
    </div>
</section>
@endsection