@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
            $('#loading').hide();
            $(".btn-shortcut").click(function(){
                var param = $(this).attr('param');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	"{{route('msat_search_shortcut')}}",
                    data    :   {
                        "_token" : _token,
                        'param'  : param
                    },
                    success : function(){
                        window.location="{{route('msat_shortcut_result')}}";
                    }
                });
            });
        });
    </script>
    <form id="form" method="get" action="{{route('search.index').'/1'}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary" id="search">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__("Filters")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contract number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="br_ugovora" class="form-control" placeholder="" id="br_ugovora" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("JMBG")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="status[]" id="status">
                            <optgroup label="{{__('Status')}}">
                                @foreach($statusi as $s)
                                    <option value="{{$s->id}}">{{__($s->status)}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_zakazivanja" class="form-control date-picker" placeholder="" id="datum_zakazivanja" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_odlaganja" class="form-control date-picker" placeholder="" id="datum_odlaganja" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_odustajanja" class="form-control date-picker" placeholder="" id="datum_odustajanja"
                                   spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Montage date')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_montaze" class="form-control date-picker" placeholder="" id="datum_montaze"
                                   spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Fitter")}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="user" id="user">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Without status")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="bez_statusa" data-plugin-ios-switch />
                        </div>
                        <div class="switch switch-warning" data-toggle="tooltip" data-placement="top"
                             data-original-title="{{__('Append clients without status')}}">
                            <input type="checkbox" name="append" data-plugin-ios-switch />
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">TIS ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Reclamation fitter")}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="fitter_reclamation" id="fitter_reclamation">
                            <option value="">-- {{__("Reclamation fitter")}} --</option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__("Interventions")}} </label>
                    <div class="col-sm-2 col-md-2 col-lg-1">
                        <button type="button" class="btn btn-warning btn-shortcut" param="intervention-open">{{__("Open")}}</button>
                    </div>
                    <div class="col-sm-2">
                        <button type="button" class="btn btn-success btn-shortcut" param="intervention-closed">{{__("Closed")}}</button>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__("Dismantling")}} </label>
                    <div class="col-sm-2 col-md-2 col-lg-1">
                        <button type="button" class="btn btn-warning btn-shortcut" param="dismantling-open">{{__("Open")}}</button>
                    </div>
                    <div class="col-sm-2">
                        <button type="button" class="btn btn-success btn-shortcut" param="dismantling-closed">{{__("Closed")}}</button>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__("Dismantling")}} {{__("Debt")}}</label>
                    <div class="col-sm-2 col-md-2 col-lg-1">
                        <button type="button" class="btn btn-warning btn-shortcut" param="debt-open">{{__("Open")}}</button>
                    </div>
                    <div class="col-sm-2">
                        <button type="button" class="btn btn-success btn-shortcut" param="debt-closed">{{__("Closed")}}</button>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <a href="#historyModal" class="btn btn-sm btn-info btn-listing modal-with-form" style="float:right"
                           data-toggle="tooltip" data-placement="top"
                           data-original-title="{{__('Contract')}}"><i class="fa fa-eye"></i></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    <div id="historyModal" class="modal-block modal-block-primary mfp-hide">
        <form id="istorija" class="form-horizontal mb-lg" novalidate="novalidate" action="{{route('device_history')}}"  method="post">
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Equipment history')}}</h2>
                </header>
                <div class="panel-body">

                    @csrf
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Serial number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="serijski_broj" class="form-control" placeholder="Unesi serijski broj..." required/>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-info" type="submit">{{__("Check out")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection