@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("klijentId");
                $('#id_klijent').val(id);
            });
        });
    </script>

    <form action="{{route('export')}}" method="POST">
        @csrf
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Clients")}} ({{$count}})</h2>
                @if(!empty($klijenti))
                    <div class="panel-actions">
                        <a href="{{route('session_ids', ['param' => 'msat', 'ids' => $ids])}}"
                           data-toggle="tooltip" data-placement="top"
                           data-original-title="{{__('Add to session')}}"><button type="button" class="btn btn-info btn-session"><i class="fa fa-cloud-upload"></i></button>
                        </a>
                        <button type="submit" class="btn btn-warning">{{__("Export")}} <i class="fa fa-file-excel-o"></i></button>
                        <div class="switch switch-success" data-toggle="tooltip" data-placement="top"
                             data-original-title="{{__("Export with notes, returned devices, intervention reasons and 'for payment' status")}}">
                            <input type="checkbox" name="comments" data-plugin-ios-switch />
                        </div>
                    </div>
                @endif
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Client")}}</th>
                            <th>{{__("Installation address")}}</th>
                            <th>{{__("Network group")}}</th>
                            <th>{{__("Status")}}</th>
                            <th>{{__("Packet")}}</th>
                            <th>{{__('Extra STB')}}</th>
                            <th>{{__('Fitter')}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($klijenti as $k)
                            <?php $pulse = '';?>
                            @if($k->datum_odustajanja)
                                @if(date('Y-m-d',strtotime($k->datum_odustajanja)) == date('Y-m-d'))
                                    <?php $pulse = 'alarm-pulse'?>
                                @else {{$pulse = ''}}
                                @endif
                            @endif
                            <tr class="gradeX {{$pulse}} @if($k->filed && $k->id_status_intervencije == 2) marker-gray @endif"
                                @if($comCheck->hasComment($k->id_user, $k->id) && $k->status_id == 1 && date('Y-m-d', strtotime($k->datum_zakazivanja)) == date('Y-m-d'))
                                style="color:red" @endif>
                                <td>{{$k->ime.' '.$k->prezime}}</td>
                                <td>{{$k->adresa_instalacije}}</td>
                                <td>{{$k->mrezna_grupa}}</td>
                                <td>{{$k->status}}</td>
                                <td>{{$k->paket}}</td>
                                <td>{{$k->dodatni_stb}}</td>
                                <td>{{$k->user_ime.' '.$k->user_prezime}} @if($k->monter_int_ime)<strong>{!! nl2br(" \n".'Monter reklamacije: '.$k->monter_int_ime.' '.$k->monter_int_prezime)!!}</strong>@endif</td>
                                <td class="btn-center">
                                    <a href="/klijent/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                                                                data-toggle="tooltip" data-placement="top"
                                                                                data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('klijent.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                                                                            data-toggle="tooltip" data-placement="top"
                                                                                            data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                                    @if($isSuperAdmin)
                                        <a href="#deleteKlijentModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" klijentId="{{$k->id}}"
                                           data-toggle="tooltip" data-placement="top"
                                           data-original-title="{{__("Delete")}}"><i class="fa fa-trash-o"></i></a>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </form>

    <div id="deleteKlijentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('klijent.destroy', 'test')}}">
            <input type="hidden" name="id_klijent" id="id_klijent">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
