@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('state.update', [$state->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("State")}} <span class="required">*</span></label>
                        <div class="col-lg-3 @if($errors->has('state')){{'has-error'}} @endif">
                        <input type="text" name="state" class="form-control" placeholder="" id="state" spellcheck="false" value="{{$state->state}}"/>
                            @if($errors->has('state'))
                                <label for="state" class="error">{{$errors->first('state')}}</label>
                            @endif
                        </div>
                        <label class="col-lg-2 control-label">{{__("Abbreviation")}} <span class="required">*</span></label>
                        <div class="col-lg-3 @if($errors->has('state_short')){{'has-error'}} @endif">
                        <input type="text" name="state_short" class="form-control" placeholder="" id="state_short" spellcheck="false" value="{{$state->state_short}}"/>
                            @if($errors->has('state_short'))
                                <label for="state_short" class="error">{{$errors->first('state_short')}}</label>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('state.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection