@extends('layouts.app')
@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });

            $('#btn-pie').click(function(){
                var route = $(this).attr('route');
                $.ajax({
                    type	:	"GET",
                    cache	: 	false,
                    url		:	route,
                    data	: 	$("#frmPie").serialize(),
                    success	: function(){
                        document.location.reload();
                    }
                });
            });
        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Statistic range')}} ({{$from.' - '.$to}})</h2>
        </header>
        <div class="panel-body">
            <form id="frmPie" method="get" class="form-horizontal mb-lg">
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__("Created at")}} {{__('range')}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Fitter')}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="monter" id="monter">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $mont)
                                <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2"><button type="submit" class="btn btn-primary" id="btn-pie" route="{{route('montaza_analitika')}}">{{__('Show')}}</button></div>
                </div>
            </form>
        </div>
    </section>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("RUNE")}}</h2>
            <p class="panel-subtitle">{{$monter}}</p>
        </header>
        <div class="panel-body">
            <div class="chart chart-md" id="optika"></div>
            <script type="text/javascript">
                var optikaData = [];
                @foreach($statisticOptika as $status=>$quantity)
                    @if($quantity != 0)
                        optikaData.push({label: '<?php echo $status?>', value: '<?php echo $quantity?>'});
                    @endif
                @endforeach
            </script>
            <table class="table table-bordered table-striped table-condensed mb-none">
                @foreach($statisticOptika as $status=>$quantity)
                <tr>
                    <td>{{$status}}</td>
                    <td>{{$quantity}}</td>
                </tr>
                @endforeach
            </table>
        </div>
    </section>
@endsection