@extends('layouts.app')
@section('content')
    <script type="text/javascript">
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Used equipment')}} </h2>
            <div class="panel-actions">
                <button type="button" class="btn btn-info btn-sm m-xs"  id="info-button" data-toggle="popover" data-container="body" data-placement="bottom"
                        data-content="{{__('If no date range is entered, the program shows results for the current month.')}}">
                    <i class="fa fa-info-circle"></i></button>
            </div>
        </header>
        <div class="panel-body">
            <form id="frmPoints" method="get" class="form-horizontal mb-lg">
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__('Date')}} {{__('range')}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__('Equipment')}}</label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="equipment" id="equipment">
                            <option value="">-- {{__("Equipment")}} --</option>
                            @foreach($equipment as $eq)
                                <option value="{{$eq->id}}">{{$eq->naziv}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2">
                        <button type="submit" class="btn btn-primary" id="btn-pie" route="{{route('used_equipment_statistic')}}">{{__('Show')}}</button>
                    </div>
                </div>
            </form>
        </div>
    </section>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Used equipment')}}: </h2>
        </header>
        <div class="panel-body">
            <table class="table table-bordered table-striped table-condensed mb-none">
                <th>{{__('Equipment')}}: </th>
                <th>{{__('Quantity')}}: </th>
                <tr>
                    <td>{{$equipmentName}}</td>
                    <td>{{$quantity}}</td>
                </tr>
            </table>
        </div>
    </section>

@endsection