@extends('layouts.app')
@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $('#btn-work-days').click(function(){
                var route = $(this).attr('route');
                $.ajax({
                    type	:	"GET",
                    cache	: 	false,
                    url		:	route,
                    data	: 	$("#frmWorkDays").serialize(),
                    success	: function(){
                        document.location.reload();
                    }
                });
            });
        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Work days")}} </h2>
        </header>
        <div class="panel-body">
            <form id="frmWorkDays" method="get" class="form-horizontal mb-lg">
                @csrf
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__("Montage date")}} {{__("range")}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Fitter')}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="fitter[]" id="fitter">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($fitters as $mont)
                                <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2"><button type="submit" class="btn btn-primary" id="btn-work-days" route="{{route('work_days')}}">{{__('Show')}}</button></div>
                </div>
            </form>
        </div>
    </section>

    @if(!empty($workDays))
    <section class="panel">
        <div class="panel-body">
            <table class="table table-bordered table-striped mb-none">
                <thead>
                    <th>{{__('Fitter')}}</th>
                    <th>{{__("Number of work days")}}</th>
                </thead>
                @foreach($workDays as $worker=>$days)
                <tr class="gradeX">
                    <td>{{$worker}}</td>
                    <td>{{$days}}</td>
                </tr>
                @endforeach
            </table>
        </div>
    </section>
    @endif
@endsection