@extends('layouts.app')
@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });

            $('#btn-pie').click(function(){
                var route = $(this).attr('route');
                $.ajax({
                    type	:	"GET",
                    cache	: 	false,
                    url		:	route,
                    data	: 	$("#frmPie").serialize(),
                    success	: function(){
                        document.location.reload();
                    }
                });
            });
        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Statistic range')}} ({{$from.' - '.$to}})</h2>
        </header>
        <div class="panel-body">
            <form id="frmPie" method="get" class="form-horizontal mb-lg">
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__("Appointment date")}} {{__("range")}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Fitter')}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="monter" id="monter">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $mont)
                                <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2"><button type="submit" class="btn btn-primary" id="btn-pie" route="{{route('montaza_analitika')}}">{{__('Show')}}</button></div>
                </div>
            </form>
        </div>
    </section>
    <section class="panel col-md-6">
        <header class="panel-heading">
            <h2 class="panel-title">M:SAT DTH </h2>
            <p class="panel-subtitle">{{$monter}}</p>
        </header>
        <div class="panel-body">
            <div class="chart chart-md" id="dth"></div>
            <script type="text/javascript">
                var dthData = [];
                @foreach($statisticDth as $status=>$stat)
                    @if($stat != 0)
                        dthData.push({label: '<?php echo $status?>', value: '<?php echo $stat?>'});
                @endif
                @endforeach

            </script>
            <table class="table table-bordered table-striped table-condensed mb-none">
                <thead>
                @foreach($statisticDth as $status=>$stat)
                    <th>{{$status}}</th>
                @endforeach
                </thead>
                <tr>
                    @foreach($statisticDth as $status=>$stat)
                        <td>{{$stat}}</td>
                    @endforeach
                </tr>
            </table>
        </div>
    </section>
    <section class="panel col-md-6">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("OPTICS")}}" </h2>
            <p class="panel-subtitle">{{$monter}}</p>
        </header>
        <div class="panel-body">
            <div class="chart chart-md" id="optika"></div>
            <script type="text/javascript">
                var optikaData = [];
                @foreach($statisticOptika as $status=>$stat)
                    @if($stat != 0)
                        optikaData.push({label: '<?php echo $status?>', value: '<?php echo $stat?>'});
                @endif
                @endforeach
            </script>
            <table class="table table-bordered table-striped table-condensed mb-none">
                <thead>
                @foreach($statisticOptika as $status=>$stat)
                    <th>{{$status}}</th>
                @endforeach
                </thead>
                <tr>
                    @foreach($statisticOptika as $status=>$stat)
                        <td>{{$stat}}</td>
                    @endforeach
                </tr>
            </table>
        </div>
    </section>
    <section class="panel col-md-6">
        <header class="panel-heading">
            <h2 class="panel-title">SUPERNOVA </h2>
            <p class="panel-subtitle">{{$monter}}</p>
        </header>
        <div class="panel-body">
            <div class="chart chart-md" id="supernova"></div>
            <script type="text/javascript">
                var supernovaData = [];
                @foreach($statisticSupernova as $status=>$stat)
                    @if($stat != 0)
                        supernovaData.push({label: '<?php echo $status?>', value: '<?php echo $stat?>'});
                @endif
                @endforeach
            </script>
            <table class="table table-bordered table-striped table-condensed mb-none">
                <thead>
                @foreach($statisticSupernova as $status=>$stat)
                    <th>{{$status}}</th>
                @endforeach
                </thead>
                <tr>
                    @foreach($statisticSupernova as $status=>$stat)
                        <td>{{$stat}}</td>
                    @endforeach
                </tr>
            </table>
        </div>
    </section>
    <section class="panel col-md-6">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("COPPER")}}"</h2>
            <p class="panel-subtitle">{{$monter}}</p>
        </header>
        <div class="panel-body">
            <div class="chart chart-md" id="bakar"></div>
            <script type="text/javascript">
                var bakarData = [];
                @foreach($statisticBakar as $status=>$stat)
                    @if($stat != 0)
                        bakarData.push({label: '<?php echo $status?>', value: '<?php echo $stat?>'});
                @endif
                @endforeach
            </script>
            <table class="table table-bordered table-striped table-condensed mb-none">
                <thead>
                @foreach($statisticBakar as $status=>$stat)
                    <th>{{$status}}</th>
                @endforeach
                </thead>
                <tr>
                    @foreach($statisticBakar as $status=>$stat)
                        <td>{{$stat}}</td>
                    @endforeach
                </tr>
            </table>
        </div>
    </section>
@endsection