@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.btn-delete-mats').click(function(){
            $('#delete_id').val($(this).attr('deleteId'));
        });
    });
</script>
<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Material")}} @if($takenBy)({{$takenBy}}) @endif</h2>
            <div class="panel-actions">
                <a class="modal-with-form" href="#materialModal"><button class="btn btn-success" type="button">{{__("Add material")}} <i class="fa fa-wrench"></i></button></a>
            </div>
        </header>
    </header>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-condensed mb-none">
                <thead>
                <tr>
                    <th class="text-center">{{__("No.")}}</th>
                    <th class="text-center">{{__("Code")}}</th>
                    <th class="text-center">{{__("Material")}}</th>
                    <th class="text-center">{{__("Quantity")}}</th>
                    <th class="text-center">{{__("Creation date")}}</th>
                    <th></th>
                </tr>
                </thead>
                @foreach($mats as $br=>$m)
                    <tr>
                        <td class="text-center">{{($br+1).'.'}}</td>
                        <td class="text-center">{{$m->code}}</td>
                        <td class="text-center">{{$m->material}}</td>
                        <td class="text-center">{{$m->quantity}}</td>
                        <td class="text-center">@if($m->created_at){{date('d.m.Y. H:i:s', strtotime($m->created_at))}}@endif</td>
                        <td class="btn-center">
                            <a href="#deleteModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-mats btn-sm"
                               deleteId="{{$m->id}}"><i class="fa fa-trash-o"></i></a>
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
    </div>
    <footer class="panel-footer">
        <div class="row">
            <div class="col-sm-12 btn-confirmation">
                <a href="{{route('dispatch_notes')}}" class="btn btn-primary"><i class="fa fa-backward"></i> {{__("Back")}}</a>
                <a href="{{route('material_pdf', ['dn_id' => $dispatchId])}}" class="btn btn-warning">Pdf export <i class="fa fa-file-pdf-o"></i></a>
            </div>
        </div>
    </footer>
</section>

<div id="materialModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Add material")}}</h2>
        </header>
        <form id="material_scan" method="post" class="form-horizontal mb-lg" action="{{route('dispatch_notes_scan', ['dispatchId' => $dispatchId, 'worker' => $worker])}}">
            @csrf
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label">{{__("Warehouse")}}</label>
                    <div class="col-sm-9">
                        <select class="form-control" data-plugin-selectTwo name="warehouse" id="warehouse">
                            <option value=""> --{{__("Warehouse")}} --</option>
                            @foreach($magz as $mag)
                                <option value="{{$mag->id}}">{{$mag->naziv}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label">{{__("Material")}}</label>
                    <div class="col-sm-9">
                        <select class="form-control" data-plugin-selectTwo name="material" id="material">
                            <option value="0"> --{{__("Material")}} --</option>
                            @foreach($allMats as $m)
                                <option value="{{$m->id}}">{{$m->material}} @if($m->code) ({{$m->code}})@endif</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                    <div class="col-sm-9">
                        <input type="text" name="quantity" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>

<div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('delete_material_from_document', ['param' => 'dispatch'])}}">
        <input type="hidden" name="delete_id" id="delete_id">
        {{ method_field('delete') }}
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-times-circle"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Deletion")}}</h4>
                        <p>{{__("Are you sure you want to delete data?")}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__("YES")}}</button>
                        <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
@endsection