@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete-dn').click(function () {
                var id = $(this).attr("dnId");
                $('#dn_id').val(id);
            });
        });
    </script>
    <form id="form" method="post" action="{{route('add_tool_delivery_note')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>

                <h2 class="panel-title">{{__("Add new")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Storekeeper")}} </label>
                    <div class="col-sm-4">
                        <input type="text" readonly name="storekeeper" value="{{$storekeeper}}" class="form-control" placeholder="" id="storekeeper" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Goods taken by")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="taken_by" class="form-control" placeholder="" id="taken_by" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Fitter")}} </label>
                    <div class="col-sm-4">
                        <select name="fitter_id" class="form-control" id="fitter_id">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($fitters as $fitter)
                                <option value="{{$fitter->id}}">{{$fitter->ime.' '.$fitter->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
        </section>
    </form>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Delivery notes")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Storekeeper")}}</th>
                        <th class="text-center">{{__("Goods taken by")}}</th>
                        <th class="text-center">{{__("Created at")}}</th>
                        <th class="text-center">{{__("Add goods")}}</th>
                    </tr>
                    </thead>
                    @foreach($deliveryNotes as $dn)
                        <tr>
                            <td class="text-center">{{$dn->id.'.'}}</td>
                            <td class="text-center">{{$dn->storekeeper_name.' '.$dn->storekeeper_surname}}</td>
                            @if($dn->fitter_name)
                                <td class="text-center">{{$dn->fitter_name.' '.$dn->fitter_surname}}</td>
                            @else
                                <td class="text-center">{{$dn->taken_by}}</td>
                            @endif
                            <td class="text-center">@if($dn->created_at){{date('d.m.Y. H:i:s', strtotime($dn->created_at))}}@endif</td>
                            <td class="btn-center">
                                <a href="{{route('tool_dn_device',['dn_id' => $dn->id, 'taken_by' => $dn->taken_by])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-plus"></i></button></a>
                                <a href="#deleteModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-dn btn-sm" dnId="{{$dn->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$deliveryNotes->links()}}
                </div>
            </div>
        </div>
    </section>

    <div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_tool_dn', 'test')}}">
            <input type="hidden" name="dn_id" id="dn_id">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="editModal" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit delivery note")}}</h2>
            </header>
            <form method="post" class="form-horizontal mb-lg" action="{{route('warehouse_edit', ['param' => 'otpremnica'])}}">
                <input type="hidden" id="e_otpremnica_id" name="e_otpremnica_id">
                @csrf
                <div class="panel-body">
                        <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Company")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_firma" id="e_firma" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Goods taken by")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_robu_preuzeo" id="e_robu_preuzeo" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("ID card number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_br_lk" id="e_br_lk" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Plate number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_reg_br" id="e_reg_br" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("JMBG")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_jmbg" id="e_jmbg" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Phone")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_tel" id="e_tel" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Fitter")}}</label>
                        <div class="col-sm-9">
                            <select name="e_monter" class="form-control" id="e_monter">
                                <option value="">-- {{__("Fitter")}} --</option>
                                @foreach($fitters as $fitter)
                                    <option value="{{$fitter->id}}">{{$fitter->ime.' '.$fitter->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Save")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
@endsection

