@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            document.getElementById("serial").focus();
            $('.btn-delete-dn').click(function () {
                var dnId = $(this).attr("dnId");
                $('#dn_id').val(dnId);
            });
            $('.btn-delete-device').click(function(){
                var deviceId = $(this).attr('deviceId');
                $('#device_id').val(deviceId);
            });
        });
    </script>
    <form id="form" method="get" action="{{route('tool_dn_scanning')}}" class="form-horizontal">
        <input type="hidden" name="dn_id" value="{{$dnId}}" id="dn_id">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>

                <h2 class="panel-title">{{__("Add device")}} ({{__("Delivery note number")}} {{$dnId}})</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Serial number")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="serial" class="form-control" placeholder="" id="serial" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">QR {{__("code")}}</label>
                    <div class="col-sm-4">
                        <textarea type="text" name="qr_code" class="form-control" placeholder="" id="qr_code" spellcheck="false" rows="6"></textarea>
                    </div>
                </div>
            </div>
        </section>
    </form>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Delivery note")}} {{__("for")}} {{$takenBy}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Serial")}}</th>
                        <th class="text-center">{{__("Device")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    @foreach($deliveredGoods as $br=>$otp)
                        <tr>
                            <td class="text-center">{{($br+1).'.'}}</td>
                            <td class="text-center">{{$otp->serial}}</td>
                            <td class="text-center">{{$otp->device}}</td>
                            <td class="btn-center">
                                <a href="#deleteDeviceModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-device btn-sm" deviceId="{{$otp->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <a href="{{route('tool_delivery_notes')}}" class="btn btn-primary"><i class="fa fa-backward"></i> {{__("Back")}}</a>
                </div>
            </div>
        </footer>
    </section>
    <div id="deleteDeviceModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_tool_dn_device')}}">
            <input type="hidden" name="device_id" id="device_id">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection