@extends('layouts.app')
@section('content')
    @foreach($workers as $worker)
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{$worker->ime.' '.$worker->prezime.' ('.$worker->email.')'}}</h2>
                    <div class="panel-actions">
                         <a href="{{route('worker_uniform_storage', ['id' => $worker->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                         <a href="{{route('uniforms_print', ['id' => $worker->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-warning btn-sm"><i class="fa fa-print"></i></button></a>
                    </div>
                </header>
                <?php $uniforms = $wuMod->uniforms_for_user($worker->id);?>
                @if(!$uniforms->isEmpty())
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__('Type')}}</th>
                            <th>{{__('Uniform')}}</th>
                            <th>{{__('Color')}}</th>
                            <th>{{__('Size')}}</th>
                            <th>{{__('Quantity')}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($uniforms as $uni)
                            <tr class="gradeX">
                                <td>{{$uni->type}}</td>
                                <td>{{$uni->uniform}}</td>
                                <td>{{$uni->color}}</td>
                                <td>{{$uni->size}}</td>
                                <td>{{$uni->quantity}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                @endif
            </div>
        </div>
    </section>
    @endforeach
@endsection