@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('team.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Team name")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('naziv')){{'has-error'}} @endif">
                        <input type="text" name="naziv" class="form-control" placeholder="" id="naziv" spellcheck="false" value="{{old('naziv')}}"/>
                        @if($errors->has('naziv'))
                            <label for="marka" class="error">{{$errors->first('naziv')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Team leader")}} </label>
                    <div class="col-lg-3">
                        <select name="lider[]" id="lider" data-plugin-selectTwo class="form-control populate">
                            @foreach($lideri as $lider)
                                <option value="{{$lider->id}}">{{$lider->ime.' '.$lider->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Seller')}}</label>
                    <div class="col-sm-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="prodavac[]" id="prodavac">
                            <optgroup label="{{__('Seller')}}">
                                @foreach($prodavci as $prodavac)
                                    <option value="{{$prodavac->id}}">{{$prodavac->ime.' '.$prodavac->prezime}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('team.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection