@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("sellerId");
                $('#id_seller').val(id);
            });

        });
    </script>
    <form id="form" method="post" action="{{route('team.update', [$team->id])}}" class="form-horizontal">
        <input type="hidden" name="_method" value="put">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Team name")}} <span class="required">*</span></label>
                    <div class="col-lg-3">
                        <input type="text" name="naziv" class="form-control" placeholder="" id="naziv" spellcheck="false" value="{{$team->naziv}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Team leader")}} </label>
                    <div class="col-lg-3">
                        <select name="lider[]" id="lider" data-plugin-selectTwo class="form-control populate">
                            @foreach($lideri as $lider)
                                <option value="{{$lider->id}}" <?php if ($lider->id == $team->id_lider) echo 'selected = "selected"' ?>>{{$lider->ime.' '.$lider->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Seller')}}</label>
                    <div class="col-lg-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="prodavac[]" id="prodavac">
                            <optgroup label="{{__('Seller')}}">
                                @foreach($prodavci as $prodavac)
                                    <option value="{{$prodavac->id}}">{{$prodavac->ime.' '.$prodavac->prezime}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    @foreach($sellers as $sell)
                        <div class="row">
                            <div class="col-sm-3 sellers">
                                <p>{{$sell->ime.' '.$sell->prezime}} <a href="#deleteSellerModal" class="modal-basic btn-delete" sellerId="{{$sell->id_prodavac}}"><i class="fa fa-trash-o seller-trash"></i></a></p>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a id="icon-without-border-success" href="{{route('team.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    <div id="deleteSellerModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('seller_delete')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_seller" value="" id="id_seller">
            <input type="hidden" name="id_team" value="{{$team->id}}" id="id_team">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to remove seller from the team?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection