@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{ route('store_ticket') }}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" id="type" name="type" value="{{$type}}">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Create')}} {{__('ticket')}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Title')}} </label>
                    <div class="col-sm-10 @if($errors->has('title')){{'has-error'}} @endif">
                        <input type="text" name="title" class="form-control" placeholder="" id="title" spellcheck="false" value="{{old('title')}}"/>
                        @if($errors->has('title'))
                            <label for="title" class="error">{{$errors->first('title')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Issue')}} </label>
                    <div class="col-sm-10 @if($errors->has('issue')){{'has-error'}} @endif">
                        <textarea name="issue" rows="5" class="form-control" placeholder="" id="issue" spellcheck="false">{{old('issue')}}</textarea>
                        @if($errors->has('issue'))
                            <label for="issue" class="error">{{$errors->first('issue')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Worker')}} </label>
                    <div class="col-lg-10">
                        <select name="worker" id="worker" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__('Choose worker')}} --</option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}" <?php if ($user->id == old('worker')) echo 'selected = "selected"' ?>>{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Create')}} <i class="fa fa-plus"></i></button>
                        @if(session('ticket_type') == 0)
                            <a href="{{route('construction_tickets')}}" class="btn btn-default">{{__('Cancel')}}</a>
                        @elseif(session('ticket_type') == 1)
                            <a href="{{route('hw_tickets')}}" class="btn btn-default">{{__('Cancel')}}</a>
                        @endif
                    </div>
                </div>
            </footer>
        </section>
    </form>
@endsection