@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('tool.update', [$tool->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Tools")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('tool')){{'has-error'}} @endif">
                    <input type="text" name="tool" class="form-control" placeholder="" id="tool" spellcheck="false" value="{{$tool->tool}}"/>
                        @if($errors->has('tool'))
                            <label for="tool" class="error">{{$errors->first('tool')}}</label>
                        @endif
                    </div>
                    <div class="form-group">
                        <label class="col-lg-1 control-label">{{__("Type")}}</label>
                        <div class="col-lg-3">
                            <select name="type" class="form-control">
                                <option value="">-- {{__("Type")}} --</option>
                                @foreach($toolTypes as $type)
                                    <option value="{{$type->id}}" @if($type->id == $tool->type_id) selected @endif>{{$type->type}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Provider")}}</label>
                    <div class="col-lg-3">
                        <select name="provider" class="form-control">
                            <option value="">-- {{__("Provider")}} --</option>
                            @foreach($providers as $prov)
                                <option value="{{$prov->id}}" @if($prov->id == $tool->provider_id) selected @endif>{{$prov->provider}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-lg-1 control-label">{{__("Invoice number")}}</label>
                    <div class="col-lg-3">
                        <input type="text" name="invoice_number" class="form-control" id="invoice_number" spellcheck="false" value="{{$tool->invoice_number}}">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Origin")}}</label>
                    <div class="col-lg-3">
                        <select name="origin" class="form-control">
                            <option value="">-- {{__("Origin")}} --</option>
                            @foreach($origins as $origin)
                                <option value="{{$origin->id}}" @if($origin->id == $tool->origin_id) selected @endif>{{$origin->origin}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-lg-1 control-label">{{__("Serial number")}}</label>
                    <div class="col-lg-3">
                        <input type="text" name="serial_number" class="form-control" id="serial_number" spellcheck="false" value="{{$tool->serial_number}}">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Price")}}</label>
                    <div class="col-lg-3">
                        <input type="text" name="price" class="form-control" id="price" spellcheck="false" value="{{$tool->price}}">
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('tool.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection