@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('unit.update', [$unit->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Edit')}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Unit')}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('unit')){{'has-error'}} @endif">
                    <input type="text" name="unit" class="form-control" placeholder="" id="unit" spellcheck="false" value="{{$unit->unit}}"/>
                        @if($errors->has('unit'))
                            <label for="unit" class="error">{{$errors->first('unit')}}</label>
                        @endif
                    </div>
                    <label class="col-lg-2 control-label">{{__('Unit')}} {{__('short')}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('unit_short')){{'has-error'}} @endif">
                    <input type="text" name="unit_short" class="form-control" placeholder="" id="unit_short" spellcheck="false" value="{{$unit->unit_short}}"/>
                        @if($errors->has('unit_short'))
                            <label for="unit_short" class="error">{{$errors->first('unit_short')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('unit.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection