@extends('layouts.app')

@section('content')

    <form id="form_final" method="post" action="{{route('vehicle_cards.update', [$card->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Card number")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('card_number')){{'has-error'}} @endif">
                        <input type="text" name="card_number" class="form-control" placeholder="" id="card_number" spellcheck="false" value="{{$card->card_number}}"/>
                        @if($errors->has('card_number'))
                            <label for="card_number" class="error">{{$errors->first('card_number')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Company")}}</label>
                    <div class="col-lg-3">
                        <select name="company" id="company" class="form-control">
                            <option value="">{{__("Company")}}</option>
                            @foreach ($companies as $company)
                                <option value="{{$company->id}}" @if($company->id == $card->company_id) selected @endif>{{$company->company}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Type")}}</label>
                    <div class="col-lg-3">
                        <select name="type" id="type" class="form-control">
                            <option value="">{{__("Type")}}</option>
                            @foreach ($types as $type)
                                <option value="{{$type->id}}" @if($type->id == $card->type_id) selected @endif>{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('vehicle_cards.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection