@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('vehicleEquipment.update', [$equipment->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit equipment")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Equipment')}}" <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('equipment')){{'has-error'}} @endif">
                        <input type="text" name="equipment" class="form-control" placeholder="" id="equipment" spellcheck="false" value="{{$equipment->equipment}}"/>
                        @if($errors->has('equipment'))
                            <label for="equipment" class="error">{{$errors->first('equipment')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('vehicleEquipment.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection