<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>Callisto</title>
        <!-- Fonts -->
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">
        <link href="{{asset('assets/stylesheets/welcome.css')}}" rel="stylesheet">
        <script src="{{asset('assets/vendor/jquery/jquery.js')}}"></script>
        <script src="{{asset('assets/javascripts/welcome.js')}}"></script>
    </head>
    <body>
        <div class="flex-center position-ref full-height" id="welcome">
            @if (Route::has('login'))
                <div class="top-right links">
                    @auth
                        <a href="{{ url('/home') }}">Home</a>
                    @else
                        <a href="{{ route('login') }}">Login</a>
                    @endauth
                </div>
            @endif

            <div class="content">
                <div class="title m-b-md">
                    Callisto
                </div>

                <div class="links">
                    <a href="#" id="program_link">{{__("About application")}}</a>
                    {{-- <a href="#" id="update_link">Update log</a> --}}
                    {{-- <a href="#" id="contact_link">{{__("Contact")}}</a> --}}
                    @if(Route::has('login'))
                        <a href="{{route('login')}}">{{__("Login")}}</a>
                    @endif
                </div>

                <div class="link-text-container">
                    <div class ="links-text" id="program">
                        <p>{{__("The program is primarily intended for companies that install equipment and construction. The program is used for keeping records of clients, performing client searches according to all criteria, for importing and exporting data, printing contracts and work orders, construction, sales and other services. ")}}</p>
                    </div>
                    {{-- <div class ="links-text lines" id="update">
                        <p>Verzija 10.5.3 - Prilikom vraćanja uređaja kod nekog klijenta koji ima više brojeva ugovora tj. koji je više puta dodat u bazu, aplikacija briše montiran uređaj tamo gde je isti JMBG ili TIS ID. (01.10.2021)</p>
                        <p>Verzija 10.5.2 - Iz liste trebovanja je sada moguće direktno zaduživati radnike ili vraćati robu u odabrani magacin. (29.09.2021)</p>
                        <p>Verzija 10.5.1 - Zabranjen unos uređaja koji su već montirani. Dodat datum zakazivanja splajsovanja. (28.09.2021)</p>
                        <p>Verzija 10.5.0 - Magacin za alat.(23.09.2021)</p>
                        <p>Verzija 10.4.0 - Huawei: dodati monter i status za splajsovanje. Novo polje 'opština'.(20.09.2021)</p>
                        <p>Verzija 10.3.3 - Uvoz HUAWEI klijenata. Filtriranje klijenata koji imaju montiran isti tip uređaja više puta kod optike. (19.09.2021)</p>
                        <p>Verzija 10.3.2 - Dodat tip opreme. Šef gradilišta može da trebuje samo robu koja se nalazi na stanju. (18.09.2021)</p>
                        <p>Verzija 10.3.1 - Dodate nove role (šef gradilišta i projektant). Magacioner može da vidi listu trebovanja kod izgradnje. (17.09.2021)</p>
                        <p>Verzija 10.3.0 - Dodato upravljanje voznim parkom. (16.09.2021)</p>
                        <p>Verzija 10.2.1 - Dodato trebovanje opreme kod Huawei gradilišta. (11.09.2021)</p>
                        <p>Verzija 10.2.0 - Dodata nova polja kod unosa opreme u magacin. Pretraga logova unosa robe u magacin. Omogućen unos ZIP fajlova. (09.09.2021)</p>
                        <p>Verzija 10.1.2 - Kod Huawei gradilišta se kod pregleda vidi i šef gradilišta. Gradilišta ostaju radnoj tabli kada je status zakazan, bez obzira na datum zakazivanja. (07.09.2021)</p>
                        <p>Verzija 10.1.1 - Uvoz reklamacija (novi templejt). (06.09.2021)</p>
                        <p>Verzija 10.1.0 - Omogućeno dodavanje opreme i radova. Izvoz podataka u Excel. Nova rola "huawei admin". (02.09.2021)</p>
                        <p>Verzija 10.0.0 - Dodata nova sekcija HUAWEI. (26.08.2021)</p>
                        <p>Verzija 9.8.0 - Super admin može da menja role. Dodata mogućnost uvoza reklamacija za M:SAT. (17.08.2021)</p>
                        <p>Verzija 9.7.1 - Dodato grupno dodavanje korisnika i porekla kod optičkih klijenata. (19.07.2021)</p>
                        <p>Verzija 9.7.0 - Dodato polje "poreklo" kod optičkih klijenata i uređaja. (17.07.2021)</p>
                        <p>Verzija 9.6.1 - Ukoliko monter unese status montiran ili odustao na montaži, a ne unese datume, datumi se automatski ispisuju kao današnji. (17.07.2021)</p>
                        <p>Verzija 9.6.0 - Dodato dugme kod pretrage za dodavanje klijenata bez statusa. Moguć pregled uređaja u magacinu bez uređaja na reversu kao i pregled uređaja koji se nalaze
                            kod montera. Dodato dugme za export u excel vraćenih uređaja. (14.07.2021)</p>
                        <p>Verzija 9.5.1 - Izvoz napomena kod optike. (13.07.2021)</p>
                        <p>Verzija 9.5.0 - Promena područja kod zaposlenih. Otpremnice sada skidaju stanje opreme iz magacina. (06.07.2021)</p>
                        <p>Verzija 9.4.0 - Superadmin može da menja broj bodova kod prodaje iako je klijent uvezen u montaže. Vidljiv callisto ID kod imena korisnika.
                            Polja za bodove prihvataju i zarez kao delimetar za decimale. Prilikom vraćanja uređaja u magacin, iz montaže se brišu samo uređaji koji su vezani JMBG klijenta.
                            Kod grupnog dodavanja dodata mogućnost zamene podataka između dva klijenta. (29.06.2021)</p>
                        <p>Verzija 9.3.0 - Dodat tip slika kod montaže. (28.06.2021)</p>
                        <p>Verzija 9.2.0 - Dodat pregled bodova prodavaca kod statistike. Omogućeno dodavanje pdf fajlova kod montaže. (25.06.2021)</p>
                        <p>Verzija 9.1.0 - Dodate baze za bakar. (24.06.2021)</p>
                        <p>Verzija 9.0.0 - Dodat tok projekta. (09.06.2021)</p>
                        <p>Verzija 8.9.0 - Grupno dodavanje uređaja u otpremnice, povratnice i reverse. (23.04.2021)</p>
                        <p>Verzija 8.8.1 - Monter sada vidi samo radnu tablu. Prilokom stampanja izvestaja kod M:SAT korisnika, potrebno kliknuti na dugme kako bi se stampali vraćeni uređaji,
                            razlozi intervencije i status "za naplatu".(21.04.2021)</p>
                        <p>Verzija 8.8.0 - Ubačene otpremnice kod izgradnje. Moguće dodavanje excel i pdf fajlova kod klijenata izgradnje. (15.04.2021)</p>
                        <p>Verzija 8.7.0 - Pojadinačno brisanje opreme iz otpremnice. (12.04.2021)</p>
                        <p>Verzija 8.6.3 - Ispravljen bug kod select polja prilikom kreiranja novog klijenta kod montaže. Polje se sada popunjava starim vrednostima ukoliko forma bude nevalidna. (31.03.2021)</p>
                        <p>Verzija 8.6.2 - Kod pretrage klijenata montaže umesto svih radnika, u selekt se pojavljuju samo monteri. (22.03.2021)</p>
                        <p>Verzija 8.6.1 - Super admin kroz administraciju može da menja lozinku zaposlenih. (16.03.2021)</p>
                        <p>Verzija 8.6.0 - Oprema može da bude aktivna ili neaktivna. (15.03.2021)</p>
                        <p>Verzija 8.5.5 - Vreme poslednjeg logovanja korisnika. Validacija polja za vreme kod unosa uređaja. (12.03.2021)</p>
                        <p>Verzija 8.5.4 - Pretraga po Callisto ID-u. (10.03.2021)</p>
                        <p>Verzija 8.5.3 - Pretraga klijenata kod montaže po prodavcu. (27.02.2021)</p>
                        <p>Verzija 8.5.2 - Grupno dodavanje statusa "za naplatu". (25.02.2021)</p>
                        <p>Verzija 8.5.1 - Pregled logova kod izgradnje. (24.02.2021)</p>
                        <p>Verzija 8.5.0 - Broj radnih dana montera u statistici. (23.02.2021)</p>
                        <p>Verzija 8.4.2 - U naprednu pretragu dodato polje "za naplatu".(18.02.2021)</p>
                        <p>Verzija 8.4.1 - Kod prikaza montaža starijih od 2 godine se umesto montera i montera reklamacije se prikazuju razlozi reklamacije. (17.02.2021)</p>
                        <p>Verzija 8.4.0 - Prikaz montaža starijih od 2 godine. Dodato dugme "Za naplatu". (15.02.2021)</p>
                        <p>Verzija 8.3.2 - Rotacija slika. (13.02.2021)</p>
                        <p>Verzija 8.3.1 - Pregled i unos zarada za sve ostale role. (10.02.2021)</p>
                        <p>Verzija 8.2.1 - Dodat izvoz rezultata pretrage kod izgradnje u Excel. (05.02.2021)</p>
                        <p>Verzija 8.1.3 - Dodato novo custom polje kod reversa. (03.02.2021)</p>
                        <p>Verzija 8.1.2 - Ispravljen bug kod unosa negativnih vrednosti u magacin. (28.01.2021)</p>

                        <a href="#" id="jos">Prikaži još...</a>
                        <span id="more">
                            <p>Verzija 8.1.1 - Izbačeno polje za promenu serijskog broja kod izmene uređaja kod povratnice. (27.01.2021)</p>
                            <p>Verzija 8.1.0 - Dodata pretraga po datumu kreiranja izveštaja. Dodata mogućnost izmene podataka o uređaju kod povratnice. Dodata nova polja kod izgradnje. (18.01.2021)</p>
                            <p>Verzija 8.0.0 - Dodata mogućnost kreiranja izveštaja i ocenjivanje montera od strane supervizora. U statistici se vidi prosečna ocena montera. (17.01.2021)</p>
                            <p>Verzija 7.5.1 - Popravljen dizajn na pojedinim stranicama. Dodata mogućnost eksportovanja M:SAT klijenata sa i bez napomena. (04.01.2021)</p>
                            <p>Verzija 7.5.0 - Monteri sada mogu da namontiraju samo opremu koja im je dodeljena iz magacina. (28.12.2020)</p>
                            <p>Verzija 7.4.1 - Kod pregleda radnika, moze da se vidi i oprema koja se nalazi kod njih. (23.12.2020)</p>
                            <p>Verzija 7.4.0 - Dodat CRUD za magacin. Sada super admin može da dodeli magacin magacionerima. Dodato polje za skeniranje QR koda kod otpremnica (23.12.2020)</p>
                            <p>Verzija 7.3.1 - Omogućeno dodavanje opreme umesto radnika. (23.12.2020)</p>
                            <p>Verzija 7.3.0 - Olakšano ubacivanje slike kod izgradnje. Dodata mogućnost pregleda i štampanja stanja na povratnicama. (22.12.2020)</p>
                            <p>Verzija 7.2.1 - Ispravljen bug kod dugmića za odustajanje od izmene na celoj aplikaciji. (22.12.2020)</p>
                            <p>Verzija 7.2.0 - Dodat CRUD za jedinice mere, jedinice mere povezane sa radovima. Jedinice ubačene kod izvoza excel fajla. (21.12.2020)</p>
                            <p>Verzija 7.1.0 - Omogućeno skeniranje QR koda prilikom unosa uređaja u magacin. (18.12.2020)</p>
                            <p>Verzija 7.0.0 - Dodat magacin za izgradnju. Administratori za gradilište sada mogu da vide ili kreiraju samo gradilišta koja su vezana za
                            njihovu poslovnu jedinicu. Magacin mogu da vide samo administratori, radnici, magacioneri kojima je taj magacin dodeljen. (13.12.2020)</p>
                            <p>Verzija 6.2.0 - Dodat CRUD za mesta, zemlje i kategorije uređaja u sekciji "Upravljanje". Omogućen pregled faktura vezane za Callisto. (08.12.2020)</p>
                            <p>Verzija 6.1.1 - Kod izgradnje dodata polja za datum zakazivanja, datum realizacije, datum odlaganja i datum odustajanja. Monteri mogu da
                            vode gradilište i na dashboard im izlaze gradilišta zakazana za danas. Kod pretrage ubačeno radio dugme "bez statusa", kod napredne pretrage
                            ubačen opseg realizacije. Mogućnost odabira montera iz selekta. Dodeli radniku više nije obavezno polje. (28.11.2020)</p>
                            <p>Verzija 6.1.0 - Dodata polja za kontakt telefon i JMBG kod kreiranja otpremnice, i dodata mogućnost izmene montera. Dotati tipovi
                            uređaja. (13.11.2020)</p>
                            <p>Verzija 6.0.0 - U program dodate baze prodaje. Nekadašnji program Fobos ugrađen u Callisto. (12.11.2020)</p>
                            <p>Verzija 5.0.0 - U program dodata izgradnja, mogućnost ubacivnja uređaja, mrežnih grupa, i dodat opseg datuma kod statistike (09.10.2020)</p>
                            <p>Verzija 4.8.0 - Dodata pretraga logova unosa uređaja (16.09.2020)</p>
                            <p>Verzija 4.7.1 - Export kod pretrage (optika, supernova,bakar) izbacuje sve podatke (08.09.2020)</p>
                            <p>Verzija 4.7.0 - Ubačeni logovi unosa uređaja kod klijenta (01.09.2020)</p>
                            <p>Verzija 4.6.1 - Kod uvoza zahteva, broj bodova je obavezno polje. Dodata opcija unošenja uređaja i opreme, kao i vraćene opreme umesto
                                montera (27.08.2020)</p>
                            <p>Verzija 4.6.0 - Oprema se više ne grupise kod pregleda, brisanje radi pojedinačno. Promenjen redosled razloga vraćanja uređaja. Kod dth pretrage ubačena kolona "dodatni STB".
                            Kod pretrage vraćenih uređaja ubačen omogućeno pretraživanje po razlogu vraćanja. Ubačene kolone za datum kreiranja i TIS ID kod vraćene robe. (20.08.2020)</p>
                            <p>Verzija 4.5.2 - Posle izmene klijenta kod pretrage, vraca se stranica sa rezultatima pretrage (02.07.2020)</p>
                            <p>Verzija 4.5.1 - Vizualne ispravke kod statistike. Program sada monteru dozvoljava da unosi samo one uređaje koje ima na reversu (30.06.2020)</p>
                            <p>Verzija 4.5.0 - Omogućeno dodavanje vrste paketa kod upravljanja. Dodatni filteri kod statistike za prodaju (29.06.2020)</p>
                            <p>Verzija 4.5.0 - Omogućeno dodavanje vrste paketa kod upravljanja. Dodatni filteri kod statistike za prodaju (29.06.2020)</p>
                            <p>Verzija 4.5.0 - Omogućeno dodavanje vrste paketa kod upravljanja. Dodatni filteri kod statistike za prodaju (29.06.2020)</p>
                            <p>Verzija 4.4.0 - Dodate grupne akcije (28.06.2020)</p>
                            <p>Verzija 4.3.3 - kod prodaje super admin može da menja tip klijenta ukoliko dođe do greške (26.06.2020)</p>
                            <p>Verzija 4.3.2 - dodata sintetika kod statistike potrošnje opreme (23.06.2020)</p>
                            <p>Verzija 4.3.1 - dodati tooltipovi kod pojedinih dugmića i ispravka bugova vezanih za istoriju izmena kod BAKAR i SUPERNOVA klijenata (23.06.2020)</p>
                            <p>Verzija 4.3.0 - prosecna količina opreme po korisniku (22.06.2020)</p>
                            <p>Verzija 4.2.0 - ubačena statistika intervencija (sintetika i analitika) (18.06.2020)</p>
                            <p>Verzija 4.1.0 - ubačena statistika klijenata prodaje (sintetika i analitika) (16.06.2020)</p>
                            <p>Verzija 4.1.0 - ubačena statistika klijenata prodaje (sintetika i analitika) (16.06.2020)</p>
                            <p>Verzija 4.0.0 - ubačena statistika (sintetika i analitika) (12.06.2020)</p>
                            <p>Verzija 3.8.0 - ubačena pretraga kod vraćenih uređaja (03.06.2020)</p>
                            <p>Verzija 3.7.2 - sređen dizajn na ne nekim stranicama (01.06.2020)</p>
                            <p>Verzija 3.7.1 - sređena bela strana kod otpremnica kad nema uređaja (01.06.2020)</p>
                            <p>Verzija 3.7.0 - omogućeno praćenje stanja opreme preko magacina (24.05.2020)</p>
                            <p>Verzija 3.6.1 - dodat opseg datuma montaže kod napredne pretrage za supernovu (22.05.2020)</p>
                            <p>Verzija 3.6.0 - dodati bakar klijenti (21.05.2020)</p>
                            <p>Verzija 3.5.0 - dodato razduzenje opreme u sekciji "magacin" (18.05.2020)</p>
                            <p>Verzija 3.4.0 - statusi, paketi, razlozi intervencije i oprema stavljeni u padajući meni "Upravljanje" (17.05.2020)</p>
                            <p>Verzija 3.3.0 - dodavanje supernova klijenata preko zahteva (15.05.2020)</p>
                            <p>Verzija 3.2.0 - prodavci mogu da šalju zahteve za optićke klijente, omogućeno dodavanje opreme kod reversa,
                            omogućeno dodavanje stanja i statusa opreme. (07.05.2020)</p>
                            <p>Verzija 3.1.0 - Omogućeno dodavanje uređaja i opreme kod optičkog klijenta (01.05.2020)</p>
                            <p>Verzija 3.0.0 - Dodati supernova klijenti (24.04.2020)</p>
                            <p>Verzija 2.8.0 - dodata pretraga napomene kod svih klijenata (02.04.2020)</p>
                            <p>Verzija 2.7.0 - dodate povratnice u sekciji magacin (25.03.2020)</p>
                            <p>Verzija 2.6.0 - razduženje kod reversa (03.03.2020)</p>
                            <p>Verzija 2.7.0 - dodate povratnice u sekciji magacin (25.03.2020)</p>
                            <p>Verzija 2.5.0 - dodati timovi i tim lideri (29.02.2020)</p>
                            <p>Verzija 2.4.0 - optimizacija i pretraga otpremnica (27.02.2020)</p>
                            <p>Verzija 2.3.0 - history log kod robe u magacinu (26.02.2020)</p>
                            <p>Verzija 2.2.0 - optimizacija i pretraga kod reversa (25.02.2020)</p>
                            <p>Verzija 2.1.0 - dodata mogućnost postavljanja zahteva na čekanje (10.02.2020)</p>
                            <p>Verzija 2.0.2 - prodavci mogu da vide status montaže (09.02.2020)</p>
                            <p>Verzija 2.0.1 - tip montaže prebačen kod optičkog klijenta (06.02.2020)</p>
                            <p>Verzija 2.0.0 - u novoj verziji programa, prodavci mogu da koriste program u posebnom odeljku za prodaju (28.01.2020)</p>
                            <p>Verzija 1.6.1 - ispravljen bug kod pretrage po tis id (20.01.2020)</p>
                            <p>Verzija 1.6.0 - dodat razlog intervencije (16.01.2020)</p>
                            <p>Verzija 1.5.2 - dodata polja "monter" i "status intervencije" kod izvoza u excel tabelu (16.01.2020)</p>
                            <p>Verzija 1.5.1 - ispravljen bag kod prikaza optickih klijenata (14.01.2020)</p>
                            <p>Verzija 1.5.0 - omogućeno dodavanje video zapisa kod optičkih klijenata (09.01.2020)</p>
                            <p>Verzija 1.4.0 - dodat novi tip klijenata za montažu optičke opreme (02.01.2020)</p>
                            <p>Verzija 1.3.1 - omogućeno dodavanje pomoćnika monterima i obračun zarade za pomoćnike (10.11.2019)</p>
                            <p>Verzija 1.3.0 - magacin i upravljanje magacinom. revers, otpremnice, stampanje otpremnica i reversa (23.10.2019)</p>
                            <p>Verzija 1.2.0 - administracija, pregled zaposlenih, obračun zarade za određeni period (15.10.2019)</p>
                            <p>Verzija 1.1.0 - dodato štampanje pdf ugovora i radnih naloga (06.10.2019)</p>
                            <p>Verzija 1.0.0 - lansirana početna verzija programa (20.09.2019)</p>

                            <a href="#" id="manje">Zatvori...</a>
                        </span>
                    </div> --}}
                    <div class ="links-text lines" id="contact">
                        <p>{{__("You can contact the Orange Cube company via email support@orangecube.rs, by phone +381638895045, or via the orangecube.rs website")}}</p>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>


