@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('project.store')}}" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Project')}} <span class="required">*</span></label>
                    <div class="col-lg-6 @if($errors->has('project')){{'has-error'}} @endif">
                        <input type="text" name="project" class="form-control" placeholder="" id="project" spellcheck="false" value="{{old('project')}}"/>
                        @if($errors->has('project'))
                            <label for="project" class="error">{{$errors->first('project')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Start of the project')}} <span class="required">*</span></label>
                    <div class="col-lg-4 @if($errors->has('start_date')){{'has-error'}} @endif">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="start_date" class="form-control date-picker" placeholder="" id="start_date" spellcheck="false" value="{{old('start_date')}}"/>
                        </div>
                        @if($errors->has('start_date'))
                            <label for="start_date" class="error">{{$errors->first('start_date')}}</label>
                        @endif
                    </div>
                    <div class="col-lg-2">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </span>
                            <input type="text" data-plugin-timepicker="" class="form-control" data-plugin-options="{ &quot;showMeridian&quot;: false }" 
                            name="start_time" id="start_time" value="{{old('start_time')}}">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('End of the project')}} <span class="required">*</span></label>
                    <div class="col-lg-4 @if($errors->has('end_date')){{'has-error'}} @endif">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="end_date" class="form-control date-picker" placeholder="" id="end_date" spellcheck="false" value="{{old('end_date')}}"/>
                        </div>
                        @if($errors->has('end_date'))
                            <label for="end_date" class="error">{{$errors->first('end_date')}}</label>
                        @endif
                    </div>
                    <div class="col-lg-2">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </span>
                            <input type="text" data-plugin-timepicker="" class="form-control" data-plugin-options="{ &quot;showMeridian&quot;: false }" 
                            name="end_time" id="end_time" value="{{old('end_time')}}">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Assign to user')}} </label>
                    <div class="col-lg-6">
                        <select data-plugin-selectTwo class="form-control populate" name="project_user" id="project_user">
                            <option value="">-- {{__('User')}} --</option>
                                @foreach($users as $user)
                                    <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                                @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Task')}} </label>
                    <div class="col-lg-6">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="task[]" id="task">
                            <optgroup label="-- {{__('Task')}} --">
                                @foreach($tasks as $task)
                                    <option value="{{$task->id}}">{{$task->task}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('User')}} ({{__('Task')}}) </label>
                    <div class="col-lg-6">
                        <select data-plugin-selectTwo class="form-control populate" name="user" id="user">
                            <option value="">-- {{__('User')}} --</option>
                                @foreach($users as $user)
                                    <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                                @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('project.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection