@extends('layouts.app')
@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("projectId");
                $('#id_project').val(id);
            });
        });
    </script>
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Projects')}} ({{$count}})</h2>
                    <form name="export_form" method="POST" action={{route('wf_export')}}>
                        @csrf
                        <div class="panel-actions">
                           <button type="submit" class="btn btn-warning">{{__("Export")}} <i class="fa fa-file-excel-o"></i></button>
                        </div>
                    </form>
                </header>
                <div class="panel-body">
                    <div class="table-mobile">
                        <table class="table table-bordered table-striped mb-none" id="datatable-default">
                            <thead>
                            <tr>
                                <th>{{__("No.")}}</th>
                                <th>{{__('Project')}}</th>
                                <th>{{__('Period')}}</th>
                                @foreach($allTasks as $task)
                                    <th style="width: 150px; text-align:center">{{$task->task}}</th>
                                @endforeach
                                <th style="text-align:center">{{__('Total progress')}}</th>
                                <th>{{__('User')}}</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $totalDone = 0; $totalUndone = 0; $totalProgress = 0;?>
                            @foreach($projects as $rbr => $project)
                                <?php 
                                    $done = $tMod->doneUndone($project->id, 1);
                                    $undone = $tMod->doneUndone($project->id, 0);
                                    if($undone->isEmpty())
                                        $totalProgress = 100;
                                    elseif(!$done->isEmpty())
                                        $totalProgress = number_format($done->count()*100/($done->count()+$undone->count()));
                                    else
                                        $totalProgress = 0;
                                ?>
                                <tr class="gradeX @if($totalProgress == 100) marker-green
                                @elseif(date('Y-m-d') > $project->end_date) alarm-pulse-red @endif">
                                    <td>{{($rbr+1).'.'}}</td>
                                    <td>{{$project->project_name}}</td>
                                    <td>{{date('d.m.Y.', strtotime($project->start_date)).' - '.date('d.m.Y.', strtotime($project->end_date))}}
                                    @if($isAdmin)
                                    <?php $tasks = $tMod->tasks($project->id); ?>
                                    @foreach($tasks as $task)
                                    <td style="text-align:center">
                                        <?php 
                                        $specificWorks = $wMod->works($task->id); 
                                        $doneWorks = 0;
                                        $undoneWorks = 0; 
                                        $percentage = 0;
                                        foreach($specificWorks as $swork){
                                            if($swork->done == 0) {
                                                $undoneWorks++;
                                            }
                                            else {
                                                $doneWorks++;
                                            }
                                        }
                                        if($doneWorks > 0 || $undoneWorks > 0)
                                            $percentage = number_format($doneWorks*100/($doneWorks+$undoneWorks));
                                        ?>
                                        <div class="tm-icon">{{$percentage}}%</div>
                                    </td>
                                    @endforeach
                                    @endif 
                                    <td style="text-align:center">
                                        {{$totalProgress}}%
                                    </td>
                                    <td>{{$project->name.' '.$project->surname}}</td>
                                    <td class="btn-center">
                                        @if($isAdmin)
                                        <a href="/workflow/project/{{$project->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                        @endif
                                        <a href="{{route('project.index').'/'.$project->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                        @if($isAdmin)
                                        <a href="#deleteProjectModal" class="modal-basic"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" projectId="{{$project->id}}"><i class="fa fa-trash-o"></i></button></a>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    @if(!$percentageIsSet)
                    <div class="row datatables-footer">
                        <div class="col-sm-12 col-md-6">
                            {{$projects->appends(request()->query())->links()}}
                        </div>
                    </div>
                    @endif
                </div>
            </div>
        </div>
    </section>

    <div id="deleteProjectModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('project.destroy', 'test')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_project" value="" id="id_project">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__('Are you sure you want to delete data?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
