@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('task.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Task')}} <span class="required">*</span></label>
                    <div class="col-lg-6 @if($errors->has('task')){{'has-error'}} @endif">
                        <input type="text" name="task" class="form-control" placeholder="" id="task" spellcheck="false" value="{{old('task')}}"/>
                        @if($errors->has('task'))
                            <label for="task" class="error">{{$errors->first('task')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Street')}}</label>
                    <div class="col-lg-6">
                        <input type="text" name="street" id="street" class="form-control" value="{{old('street')}}">
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('task.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection