@extends('layouts.app')
@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("taskId");
                $('#id_task').val(id);
            });
        });
    </script>
    @if(!$tasks->isEmpty())
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Tasks")}}</h2>
                </header>
                <div class="panel-body">
                    <div class="table-mobile">
                        <table class="table table-bordered table-striped mb-none" id="datatable-default">
                            <thead>
                            <tr>
                                <th>{{__("No.")}}</th>
                                <th>{{__("Task")}}</th>
                                <th>{{__("Street")}}</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($tasks as $rbr => $task)
                                <tr class="gradeX">
                                    <td>{{($rbr+1).'.'}}</td>
                                    <td>{{$task->task}}</td>
                                    <td>{{$task->street}}</td>
                                    <td class="btn-center">
                                        <a href="/workflow/task/{{$task->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                        <a href="{{route('task.index').'/'.$task->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                        <a href="#deleteTaskModal" class="modal-basic"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" taskId="{{$task->id}}"><i class="fa fa-trash-o"></i></button></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="row datatables-footer">
                        <div class="col-sm-12 col-md-6">
                            {{$tasks->links()}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    @endif

    <div id="deleteTaskModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('task.destroy', 'test')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_task" value="" id="id_task">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
