<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home')->middleware('allUsers');

//klijent


Route::get('/klijent', 'KlijentController@create')->name('klijent')->middleware('allUsers');

Route::get('/klijent', 'KlijentController@index')->name('klijentIndex')->middleware('allUsers');

Route::get('/klijent', 'KlijentController@edit')->name('klijentEdit')->middleware('allUsers');

Route::get('/klijentiProdaja/odlozeni', 'KlijentController@odlozeni')->name('klijent_odlozeni')->middleware('admin');

Route::delete('/klijent/odlozen_destroy', 'KlijentController@odlozen_destroy')->name('odlozen_destroy')->middleware('admin');

Route::delete('/klijent', 'KlijentController@deleteImage')->name('delete_image')->middleware('allUsers');

Route::post('/image/rotate_image', 'ImageController@rotate_image')->name('rotate_image')->middleware('allUsers');

Route::delete('/klijent/delete_video', 'KlijentController@deleteVideo')->name('delete_video')->middleware('allUsers');

Route::delete('/klijent/delete_napomena', 'KlijentController@deleteNapomena')->name('delete_napomena')->middleware('allUsers');

Route::delete('/klijent/delete_doc', 'KlijentController@deleteDoc')->name('delete_doc')->middleware('allUsers');

Route::get('/search/napomena_search', 'SearchController@napomena_search')->name('napomena_search')->middleware('admin');

Route::post('/search/napomena_result', 'SearchController@napomena_result')->name('napomena_result')->middleware('admin');

Route::get('/search/redirector', 'SearchController@redirector')->name('redirector')->middleware('allUsers');

Route::get('/klijent/old_montages', 'KlijentController@old_montages')->name('old_montages')->middleware('admin');

Route::get('/klijent/price_recalculation_msat', 'KlijentController@price_recalculation')->name('price_recalculation_msat')->middleware('superAdmin');

Route::post('/klijent/recalculate_msat', 'KlijentController@recalculate')->name('recalculate_msat')->middleware('superAdmin');

Route::resource('klijent', 'KlijentController')->middleware('allUsers');

//status


Route::resource('status', 'StatusController')->middleware('admin');

//razlozi intervencije

Route::resource('/razlog_intervencije', 'RazlogIntervencijeController')->middleware('admin');

//search
Route::get('/search', 'SearchController@index')->name('search')->middleware('admin');

Route::get('/search/advanced_search', 'SearchController@advanced_search')->name('advanced_search')->middleware('admin');

Route::get('/search/advanced_search_result', 'SearchController@advanced_search_result')->name('advanced_search_result')->middleware('admin');

Route::post('/search/export', 'SearchController@export')->name('export')->middleware('allUsers');

Route::post('/search/optika_export', 'SearchController@optika_export')->name('optika_export')->middleware('admin');

Route::post('/search/bakar_export', 'SearchController@bakar_export')->name('bakar_export')->middleware('admin');

Route::get('/search/optika_advanced_search', 'SearchController@optika_advanced_search')->name('optika_advanced_search')->middleware('admin');

Route::get('/search/optika_advanced_search_result', 'SearchController@optika_advanced_search_result')->name('optika_advanced_search_result')->middleware('admin');

Route::get('/search/bakar_advanced_search_result', 'SearchController@bakar_advanced_search_result')->name('bakar_advanced_search_result')->middleware('admin');

Route::get('/search/optika_search', 'SearchController@optika_search')->name('optika_search')->middleware('admin');

Route::get('/search/optika_result', 'SearchController@optika_result')->name('optika_result')->middleware('admin');

Route::get('/search/supernova_search', 'SearchController@supernova_search')->name('supernova_search')->middleware('admin');

Route::get('/search/supernova_advanced_search', 'SearchController@supernova_advanced_search')->name('supernova_advanced_search')->middleware('admin');

Route::get('/search/supernova_result', 'SearchController@supernova_result')->name('supernova_result')->middleware('admin');

Route::get('/search/bakar_search', 'SearchController@bakar_search')->name('bakar_search')->middleware('admin');

Route::get('/search/bakar_advanced_search', 'SearchController@bakar_advanced_search')->name('bakar_advanced_search')->middleware('admin');

Route::get('/search/bakar_result', 'SearchController@bakar_result')->name('bakar_result')->middleware('admin');

Route::get('/search/session_ids', 'SearchController@session_ids')->name('session_ids')->middleware('teamLeader');

Route::post('/search/device_history', 'SearchController@device_history')->name('device_history')->middleware('admin');

Route::post('/search/msat_search_shortcut', 'SearchController@msat_search_shortcut')->name('msat_search_shortcut')->middleware('admin');

Route::get('/search/msat_shortcut_result', 'SearchController@msat_shortcut_result')->name('msat_shortcut_result')->middleware('admin');

Route::resource('search', 'SearchController')->middleware('admin');

//import

Route::get('/import', 'ImportController@index')->name('import')->middleware('admin');

Route::get('/import/optika', 'ImportController@optika')->name('optika')->middleware('admin');

Route::get('/import/supernova', 'ImportController@supernova')->name('supernova')->middleware('admin');

Route::get('/import/bakar', 'ImportController@bakar')->name('bakar')->middleware('admin');

Route::post('/import/import_optika', 'ImportController@import_optika')->name('import_optika')->middleware('admin');

Route::post('/import/import_supernova', 'ImportController@import_supernova')->name('import_supernova')->middleware('admin');

Route::post('/import/import_bakar', 'ImportController@import_bakar')->name('import_bakar')->middleware('admin');

Route::get('/import/mustra', 'ImportController@mustra')->name('mustra')->middleware('allUsers');

Route::resource('import', 'ImportController')->middleware('admin');


//export
Route::get('/export/otpremnica_pdf', 'ExportController@otpremnica_pdf')->name('otpremnica_pdf')->middleware('magacioner');

Route::get('/export/revers_pdf', 'ExportController@revers_pdf')->name('revers_pdf')->middleware('magacioner');

Route::post('/export/supernova_export', 'ExportController@supernova_export')->name('supernova_export')->middleware('admin');

Route::get('/export', 'ExportController@export_pdf')->name('export_pdf')->middleware('allUsers');

Route::post('/export', 'ExportController@export_magacin')->name('export_magacin')->middleware('allUsers');

Route::get('/export/sale_pdf', 'ExportController@sale_pdf')->name('sale_pdf')->middleware('admin');

//administracija
Route::get('/administracija/obracun_zarada', 'AdministracijaController@obracun_zarada')->name('obracun_zarada')->middleware('superAdmin');

Route::post('/administracija/obracun_bodovi_zarada', 'AdministracijaController@obracun_bodovi_zarada')->name('obracun_bodovi_zarada')->middleware('superAdmin');

Route::get('/administracija/zarada_unos', 'AdministracijaController@zarada_unos')->name('zarada_unos')->middleware('superAdmin');

Route::get('/administracija/vozila_pregled', 'AdministracijaController@vozila_pregled')->name('vozila_pregled')->middleware('superAdmin');

Route::get('/administracija/vehicle_rent', 'VehicleController@vehicle_rent')->name('vehicle_rent')->middleware('superAdmin');

Route::get('/administracija/vehicle_rent_list', 'VehicleController@vehicle_rent_list')->name('vehicle_rent_list')->middleware('superAdmin');

Route::get('/administracija/{rent}/vehicle_rent_edit', 'VehicleController@vehicle_rent_edit')->name('vehicle_rent_edit')->middleware('superAdmin');

Route::get('/administracija/vehicle_images', 'VehicleController@vehicle_images')->name('vehicle_images')->middleware('superAdmin');

Route::put('/administracija/vehicle_rent_update/{rent}', 'VehicleController@vehicle_rent_update')->name('vehicle_rent_update')->middleware('superAdmin');

Route::delete('/administracija/vehicle_image_delete', 'VehicleController@vehicle_image_delete')->name('vehicle_image_delete')->middleware('superAdmin');

Route::delete('/administracija/vehicle_delete_comment', 'VehicleController@vehicle_delete_comment')->name('vehicle_delete_comment')->middleware('superAdmin');

Route::delete('/administracija/delete_rent', 'VehicleController@delete_rent')->name('delete_rent')->middleware('superAdmin');

Route::post('/administracija/rent_a_vehicle', 'VehicleController@rent_a_vehicle')->name('rent_a_vehicle')->middleware('superAdmin');

Route::get('/administracija/useri_pregled', 'AdministracijaController@useri_pregled')->name('useri_pregled')->middleware('superAdmin');

Route::get('/administracija/edit_user', 'AdministracijaController@edit_user')->name('edit_user')->middleware('superAdmin');

Route::get('/administracija/show_user', 'AdministracijaController@show_user')->name('show_user')->middleware('superAdmin');

Route::post('/administracija/update_user', 'AdministracijaController@update_user')->name('update_user')->middleware('superAdmin');

Route::get('/administracija/pomocnici_index', 'AdministracijaController@pomocnici_index')->name('pomocnici_index')->middleware('superAdmin');

Route::get('/administracija/pomocnik_create', 'AdministracijaController@pomocnik_create')->name('pomocnik_create')->middleware('superAdmin');

Route::delete('/administracija/pomocnik_delete', 'AdministracijaController@pomocnik_delete')->name('pomocnik_delete')->middleware('superAdmin');

Route::post('/administracija/pomocnik_store', 'AdministracijaController@pomocnik_store')->name('pomocnik_store')->middleware('superAdmin');

Route::get('/administracija/pomocnik_edit', 'AdministracijaController@pomocnik_edit')->name('pomocnik_edit')->middleware('superAdmin');

Route::post('/administracija/pomocnik_update', 'AdministracijaController@pomocnik_update')->name('pomocnik_update')->middleware('superAdmin');

Route::get('/administracija/pomocnik_show', 'AdministracijaController@pomocnik_show')->name('pomocnik_show')->middleware('superAdmin');

Route::post('/administracija/add_terrain_ammount', 'AjaxController@add_terrain_ammount')->name('add_terrain_ammount')->middleware('superAdmin');

Route::get('/administracija/work_days_index', 'AdministracijaController@work_days_index')->name('work_days_index')->middleware('admin');

Route::post('/administracija/work_days_calendar', 'AdministracijaController@work_days_calendar')->name('work_days_calendar')->middleware('admin');

Route::delete('/administracija/card_delete', 'AdministracijaController@card_delete')->name('card_delete')->middleware('admin');

Route::get('/administracija/vehicle_search', 'AdministracijaController@vehicle_search')->name('vehicle_search')->middleware('admin');

Route::get('/administracija/vehicle_search_result', 'AdministracijaController@vehicle_search_result')->name('vehicle_search_result')->middleware('admin');

Route::resource('/administracija/vehicle_cards', 'VehicleCardsController')->middleware('superAdmin');

Route::resource('/administracija/vehicle_owners', 'VehicleOwnersController')->middleware('superAdmin');

Route::resource('administracija', 'AdministracijaController')->middleware('superAdmin');



//magacin
Route::get('/magacin/magacin_dodavanje', 'MagacinController@magacin_dodavanje')->name('magacin_dodavanje')->middleware('magacioner');

Route::get('/magacin/dodavanje_uredjaja', 'MagacinController@dodavanje_uredjaja')->name('dodavanje_uredjaja')->middleware('magacioner');

Route::get('/magacin/irregularities', 'MagacinController@irregularities')->name('irregularities')->middleware('magacioner');

Route::post('/magacin/find_irregularities', 'MagacinController@find_irregularities')->name('find_irregularities')->middleware('magacioner');

Route::get('/magacin/skeniranje', 'MagacinController@skeniranje')->name('skeniranje')->middleware('magacioner');

Route::get('/magacin/revers', 'MagacinController@revers')->name('revers')->middleware('magacioner');

Route::get('/magacin/otpremnica_dodavanje', 'MagacinController@otpremnica_dodavanje')->name('otpremnica_dodavanje')->middleware('magacioner');

Route::get('/magacin/revers_skeniranje', 'MagacinController@revers_skeniranje')->name('revers_skeniranje')->middleware('magacioner');

Route::get('/magacin/worker_device_search', 'MagacinController@worker_device_search')->name('worker_device_search')->middleware('magacioner');

Route::get('/magacin/worker_devices', 'MagacinController@worker_devices')->name('worker_devices')->middleware('magacioner');

Route::get('magacin', 'MagacinController@index')->name('magacin.index')->middleware('magacioner');

Route::delete('/magacin/delete_otpremnica', 'MagacinController@delete_otpremnica')->name('delete_otpremnica')->middleware('magacioner');

Route::delete('/magacin/delete_revers', 'MagacinController@delete_revers')->name('delete_revers')->middleware('magacioner');

Route::delete('/magacin/delete_roba_revers', 'MagacinController@delete_roba_revers')->name('delete_roba_revers')->middleware('magacioner');

Route::delete('/magacin/delete_oprema_revers', 'MagacinController@delete_oprema_revers')->name('delete_oprema_revers')->middleware('magacioner');

Route::delete('/magacin/delete_oprema_otpremnica', 'MagacinController@delete_oprema_otpremnica')->name('delete_oprema_otpremnica')->middleware('magacioner');

Route::delete('/magacin/delete_artikl', 'MagacinController@delete_artikl')->name('delete_artikl')->middleware('magacioner');

Route::get('/magacin/revers_uredjaj', 'MagacinController@revers_uredjaj')->name('revers_uredjaj')->middleware('magacioner');

Route::get('/magacin/vrati_robu', 'MagacinController@vrati_robu')->name('vrati_robu')->middleware('magacioner');

Route::get('/magacin/otpremnice', 'MagacinController@otpremnice')->name('otpremnice')->middleware('magacioner');

Route::get('/magacin/otpremnica_uredjaj', 'MagacinController@otpremnica_uredjaj')->name('otpremnica_uredjaj')->middleware('magacioner');

Route::get('/magacin/otpremnica_skeniranje', 'MagacinController@otpremnica_skeniranje')->name('otpremnica_skeniranje')->middleware('magacioner');

Route::get('/magacin/revers_dodavanje', 'MagacinController@revers_dodavanje')->name('revers_dodavanje')->middleware('magacioner');

Route::get('/magacin/magacin_pretraga', 'MagacinController@magacin_pretraga')->name('magacin_pretraga')->middleware('magacioner');

Route::get('/magacin/magacin_history', 'MagacinController@magacin_history')->name('magacin_history')->middleware('magacioner');

Route::get('/magacin/magacin_pretraga_result', 'MagacinController@magacin_pretraga_result')->name('magacin_pretraga_result')->middleware('magacioner');

Route::get('/magacin/revers_pretraga', 'MagacinController@revers_pretraga')->name('revers_pretraga')->middleware('magacioner');

Route::get('/magacin/revers_pretraga_result', 'MagacinController@revers_pretraga_result')->name('revers_pretraga_result')->middleware('magacioner');

Route::get('/magacin/otpremnica_search', 'MagacinController@otpremnica_search')->name('otpremnica_search')->middleware('magacioner');

Route::get('/magacin/otpremnica_search_result', 'MagacinController@otpremnica_search_result')->name('otpremnica_search_result')->middleware('magacioner');

Route::get('/magacin/revers_montaza', 'MagacinController@revers_montaza')->name('revers_montaza')->middleware('magacioner');

Route::get('/magacin/revers_montaza_result', 'MagacinController@revers_montaza_result')->name('revers_montaza_result')->middleware('magacioner');

Route::get('/magacin/oprema_razduzenje', 'MagacinController@oprema_razduzenje')->name('oprema_razduzenje')->middleware('magacioner');

Route::get('/magacin/equipment_result', 'MagacinController@equipment_result')->name('equipment_result')->middleware('magacioner');

Route::get('/magacin/stockpile', 'MagacinController@stockpile')->name('mont_stockpile')->middleware('magacioner');

Route::get('/magacin/package_storage', 'MagacinController@package_storage')->name('package_storage')->middleware('magacioner');

Route::get('/magacin/package_search', 'MagacinController@package_search')->name('package_search')->middleware('magacioner');

Route::post('/magacin/package_result', 'MagacinController@package_result')->name('package_result')->middleware('magacioner');

Route::get('/magacin/storage', 'MagacinController@storage')->name('mont_storage')->middleware('magacioner');

Route::get('/magacin/worker_storage', 'MagacinController@worker_storage')->name('mont_worker_storage')->middleware('magacioner');

Route::get('/magacin/equipment_storage', 'MagacinController@equipment_storage')->name('mont_equipment_storage')->middleware('magacioner');

Route::get('/magacin/storages', 'MagacinController@storages')->name('mont_storages')->middleware('magacioner');

Route::get('/magacin/storage_logs', 'MagacinController@storage_logs')->name('mont_storage_logs')->middleware('magacioner');

Route::get('/magacin/mont_storage_logs_search', 'MagacinController@storage_logs_search')->name('mont_storage_logs_search')->middleware('magacioner');

Route::get('/magacin/equipment_logs_export', 'ExportController@equipment_logs_export')->name('equipment_logs_export')->middleware('allUsers');

Route::post('/ajax/mont_fill_storage', 'AjaxController@mont_fill_storage')->name('mont_fill_storage')->middleware('magacioner');

Route::delete('/magacin/delete_device_delivery', 'MagacinController@delete_device')->name('delete_device_delivery')->middleware('magacioner');

Route::get('magacin/device_serials_session', 'MagacinController@device_serials_session')->name('device_serials_session')->middleware('magacioner');

Route::post('magacin/add_devices_to_document', 'MagacinController@add_devices_to_document')->name('add_devices_to_document')->middleware('magacioner');

Route::get('magacin/magacin_group_entry', 'MagacinController@magacin_group_entry')->name('magacin_group_entry')->middleware('magacioner');

Route::get('magacin/clear_device_session', 'MagacinController@clear_device_session')->name('clear_device_session')->middleware('magacioner');

Route::get('magacin/fitter_stock', 'MagacinController@fitter_stock')->name('fitter_stock')->middleware('magacioner');

Route::post('magacin/returned_devices_export', 'ExportController@returned_devices_export')->name('returned_devices_export')->middleware('magacioner');

Route::get('magacin/fitter_stock', 'MagacinController@fitter_stock')->name('fitter_stock')->middleware('magacioner');

Route::post('magacin/revers_change_status', 'MagacinController@revers_change_status')->name('revers_change_status')->middleware(['magacioner']);

Route::get('magacin/serial_checker', 'MagacinController@serial_checker')->name('serial_checker')->middleware(['magacioner']);

Route::post('magacin/check_serials', 'MagacinController@check_serials')->name('check_serials')->middleware(['magacioner']);

//equipment

Route::post('/equipment/add_device', 'EquipmentController@add_device')->name('add_device')->middleware('allUsers');

Route::post('/equipment/add_device_construction', 'EquipmentController@add_device_construction')->name('add_device_construction')->middleware('allUsers');

Route::post('/equipment/return_device', 'EquipmentController@return_device')->name('return_device')->middleware('allUsers');

Route::post('/equipment/add_equipment', 'EquipmentController@add_equipment')->name('add_equipment')->middleware('allUsers');

Route::post('/equipment/add_site_equipment', 'EquipmentController@add_site_equipment')->name('add_site_equipment')->middleware('allUsers');

Route::post('/equipment/return_equipment_to_worker', 'EquipmentController@return_equipment_to_worker')->name('return_equipment_to_worker')->middleware('allUsers');

Route::delete('/equipment/delete_device', 'EquipmentController@delete_device')->name('delete_device')->middleware('allUsers');

Route::delete('/equipment/delete_device_construction', 'EquipmentController@delete_device_construction')->name('delete_device_construction')->middleware('allUsers');

Route::delete('/equipment/delete_equipment', 'EquipmentController@delete_equipment')->name('delete_equipment')->middleware('allUsers');

Route::delete('/equipment/delete_site_equipment', 'EquipmentController@delete_site_equipment')->name('delete_site_equipment')->middleware('allUsers');

Route::post('/equipment/take_back', 'EquipmentController@take_back')->name('take_back')->middleware('allUsers');

//klijenti optika

Route::delete('/klijentiOptika/delete_supervisor_comment', 'KlijentiOptikaController@delete_supervisor_comment')->name('delete_supervisor_comment')->middleware('allUsers');

Route::post('/klijentiOptika/report_update', 'KlijentiOptikaController@report_update')->name('report_update')->middleware('admin');

Route::get('/klijentiOptika/price_recalculation_optics', 'KlijentiOptikaController@price_recalculation')->name('price_recalculation_optics')->middleware('superAdmin');

Route::post('/klijentiOptika/recalculate_optics', 'KlijentiOptikaController@recalculate')->name('recalculate_optics')->middleware('superAdmin');

Route::resource('klijentiOptika', 'KlijentiOptikaController')->middleware('allUsers');

//rune optics
Route::delete('/runeOptics/delete_rune_image', 'RuneOpticsController@delete_image')->name('delete_rune_image')->middleware('superAdmin');

Route::delete('/runeOptics/delete_rune_comment', 'RuneOpticsController@delete_comment')->name('delete_rune_comment')->middleware('superAdmin');

Route::get('/rune_search/search', 'RuneOpticsController@search')->name('rune_search')->middleware('allUsers');

Route::get('/rune_search/advanced_search', 'RuneOpticsController@advanced_search')->name('rune_advanced_search')->middleware('allUsers');

Route::get('/rune_search_rune/search_result', 'RuneOpticsController@search_result')->name('rune_search_result')->middleware('allUsers');

Route::get('/runeOptics/kir_import', 'RuneOpticsController@kir_import')->name('rune_kir_import')->middleware('allUsers');

Route::post('/rune_search_rune/rune_export', 'RuneOpticsController@export')->name('rune_export')->middleware('allUsers');

Route::post('/rune_search_rune/export_equipment', 'RuneOpticsController@export_equipment')->name('export_equipment')->middleware('allUsers');

Route::resource('runeOptics', 'RuneOpticsController')->middleware('allUsers');

//klijenti supernova

Route::resource('klijentiSupernova', 'KlijentiSupernovaController', ['parameters' => ['klijentiSupernova' => 'klijenti_supernova']])->middleware('allUsers');

//klijenti bakar

Route::resource('klijentiBakar', 'KlijentiBakarController', ['parameters' => ['klijentiBakar' => 'klijenti_bakar']])->middleware('allUsers');

//klijenti prodaja i ekspedicija

Route::get('/klijentiProdaja/prodaja_search', 'KlijentiProdajaController@prodaja_search')->name('prodaja_search')->middleware('prodavac');

Route::get('/klijentiProdaja/create_optika', 'KlijentiProdajaController@create_optika')->name('klijentiProdaja.create_optika')->middleware('prodavac');

Route::get('/klijentiProdaja/create_supernova', 'KlijentiProdajaController@create_supernova')->name('klijentiProdaja.create_supernova')->middleware('prodavac');

Route::get('/klijentiProdaja/create_bakar', 'KlijentiProdajaController@create_bakar')->name('klijentiProdaja.create_bakar')->middleware('prodavac');

Route::get('/klijentiProdaja/prodaja_search_result', 'KlijentiProdajaController@prodaja_search_result')->name('prodaja_pretraga_result')->middleware('prodavac');

Route::post('/klijentiProdaja/expedicija', 'KlijentiProdajaController@expedicija')->name('expedicija')->middleware('prodavac');

Route::post('/klijentiProdaja/change_type', 'KlijentiProdajaController@change_type')->name('change_type')->middleware('superAdmin');

Route::post('/klijentiProdaja/edit_points', 'KlijentiProdajaController@edit_points')->name('edit_points')->middleware('superAdmin');

Route::get('/zahtevi', 'ZahteviController@index')->name('zahtevi')->middleware('admin');

Route::post('/zahtevi/vrati', 'ZahteviController@vrati')->name('vrati')->middleware('admin');

Route::post('/zahtevi/prihvati', 'ZahteviController@prihvati')->name('prihvati')->middleware('admin');

Route::get('/zahtevi/edit', 'ZahteviController@edit')->name('zahtevi.edit')->middleware('admin');

Route::get('/zahtevi/show', 'ZahteviController@show')->name('zahtevi.show')->middleware('admin');

Route::post('/zahtevi/update', 'ZahteviController@update')->name('zahtevi.update')->middleware('admin');

Route::post('/zahtevi/naCekanju', 'ZahteviController@naCekanju')->name('na_cekanju')->middleware('admin');

Route::get('/zahtevi/cekanjeIndex', 'ZahteviController@cekanjeIndex')->name('cekanje_index')->middleware('admin');

Route::get('/klijentiProdaja/vraceni_zahtevi', 'KlijentiProdajaController@vraceni_zahtevi')->name('vraceni_zahtevi')->middleware('prodavac');

Route::get('/zahtevi/zahteviSearch', 'ZahteviController@zahteviSearch')->name('zahtevi_search')->middleware('admin');

Route::get('/zahtevi/zahteviSearchResult', 'ZahteviController@zahteviSearchResult')->name('zahtevi_search_result')->middleware('admin');

Route::get('/eksport/zahteviExport', 'ExportController@zahteviExport')->name('zahtevi_export')->middleware('admin');

Route::get('/klijentiProdaja/commissions', 'CommissionController@commissions')->name('commissions')->middleware('superAdmin');

Route::get('/klijentiProdaja/commissions/create', 'CommissionController@create')->name('commission.create')->middleware('superAdmin');

Route::post('/klijentiProdaja/commissions/store', 'CommissionController@store')->name('commission.store')->middleware('superAdmin');

Route::delete('/klijentiProdaja/commissions/destroy', 'CommissionController@destroy')->name('commission.destroy')->middleware('superAdmin');

Route::get('/klijentiProdaja/commissions/statistic', 'CommissionController@statistic')->name('commission.statistic')->middleware('superAdmin');

Route::resource('klijentiProdaja', 'KlijentiProdajaController')->middleware('prodavac');

//timovi

Route::delete('team/seller_delete', 'TeamController@seller_delete')->name('seller_delete')->middleware('superAdmin');

Route::resource('team', 'TeamController', ['parameters' => ['team' => 'teams']])->middleware('superAdmin');

Route::delete('constTeam/worker_delete', 'ConstTeamController@worker_delete')->name('const_worker_delete')->middleware('superAdmin');

Route::resource('constTeam', 'ConstTeamController')->middleware('superAdmin');

//oprema
Route::get('/oprema/equipment_filter', 'OpremaController@filter')->name('equipment_filter')->middleware('superAdmin');

Route::get('/oprema/equipment_filter_result', 'OpremaController@filter_result')->name('equipment_filter_result')->middleware('superAdmin');

Route::resource('/oprema', 'OpremaController')->middleware('magacioner');
////
Route::resource('/statusi_uredjaja', 'StatusiUredjajaController')->middleware('magacioner');

Route::resource('/stanje_uredjaja', 'StanjeUredjajaController')->middleware('magacioner');

Route::resource('/mont_equipment_category', 'EquipmentCategoryController')->middleware('magacioner');

//povratnica

Route::get('/magacin/povratnica_search', 'MagacinController@povratnica_search')->name('povratnica_search')->middleware('magacioner');

Route::get('/magacin/return_devices_search', 'MagacinController@return_devices_search')->name('return_devices_search')->middleware('magacioner');

Route::get('/magacin/return_devices_result', 'MagacinController@return_devices_result')->name('return_devices_result')->middleware('magacioner');

Route::get('/magacin/device_list_export', 'ExportController@device_list_export')->name('device_list_export')->middleware('magacioner');

Route::get('/magacin/vraceni', 'MagacinController@vraceni')->name('vraceni')->middleware('magacioner');

Route::delete('/magacin/delete_vraceni', 'MagacinController@delete_vraceni')->name('delete_vraceni')->middleware('magacioner');

Route::get('/magacin/povratnica_search_result', 'MagacinController@povratnica_search_result')->name('povratnica_search_result')->middleware('magacioner');

Route::get('/export/povratnica_pdf', 'ExportController@povratnica_pdf')->name('povratnica_pdf')->middleware('magacioner');

Route::get('/magacin/povratnica_dodavanje', 'MagacinController@povratnica_dodavanje')->name('povratnica_dodavanje')->middleware('magacioner');

Route::delete('/magacin/delete_povratnica', 'MagacinController@delete_povratnica')->name('delete_povratnica')->middleware('magacioner');

Route::get('/magacin/povratnica_uredjaj/{povratnica}', 'MagacinController@povratnica_uredjaj')->name('povratnica_uredjaj')->middleware('magacioner');

Route::get('/magacin/povratnica_skeniranje', 'MagacinController@povratnica_skeniranje')->name('povratnica_skeniranje')->middleware('magacioner');

Route::get('/magacin/povratnice', 'MagacinController@povratnice')->name('povratnice')->middleware('magacioner');

Route::delete('/magacin/delete_roba_povratnica', 'MagacinController@delete_roba_povratnica')->name('delete_roba_povratnica')->middleware('magacioner');

Route::post('/magacin/dodaj_opremu', 'MagacinController@dodaj_opremu')->name('dodaj_opremu')->middleware('magacioner');

Route::delete('/magacin/delete_oprema_povratnica', 'MagacinController@delete_oprema_povratnica')->name('delete_oprema_povratnica')->middleware('magacioner');

Route::post('/magacin/warehouse_edit', 'MagacinController@warehouse_edit')->name('warehouse_edit')->middleware('magacioner');

Route::post('/magacin/return_device_update', 'MagacinController@return_device_update')->name('return_device_update')->middleware('magacioner');

//paketi

Route::resource('/paketi', 'PaketController')->middleware('admin');

//nov servis

Route::resource('/nov_servis', 'NovServisController', ['parameters' => ['nov_servis' => 'nov']])->middleware('admin');

//ajax

Route::post('/ajax/add_picture', 'AjaxController@add_picture')->name('add_picture')->middleware('constructionWorker');

Route::post('/ajax/operation', 'AjaxController@operation')->name('operation')->middleware('magacioner');

Route::post('/ajax/add_required_equipment', 'AjaxController@add_required_equipment')->name('add_required_equipment')->middleware('allUsers');

Route::post('/ajax/find_equipment', 'AjaxController@find_equipment')->name('find_equipment')->middleware('allUsers');

Route::post('/ajax/required_equipment_supply', 'StorageController@required_equipment_supply')->name('required_equipment_supply')->middleware('allUsers');

//statistika

Route::get('/statistika/montaza_sintetika', 'StatistikaController@montaza_sintetika')->name('montaza_sintetika')->middleware('admin');

Route::get('/statistika/montaza_analitika', 'StatistikaController@montaza_analitika')->name('montaza_analitika')->middleware('admin');

Route::get('/statistika/zakazan_montiran', 'StatistikaController@zakazan_montiran')->name('zakazan_montiran')->middleware('admin');

Route::get('/statistika/prodaja_sintetika', 'StatistikaController@prodaja_sintetika')->name('prodaja_sintetika')->middleware('admin');

Route::get('/statistika/prodaja_analitika', 'StatistikaController@prodaja_analitika')->name('prodaja_analitika')->middleware('admin');

Route::get('/statistika/intervention_sintetika', 'StatistikaController@intervention_sintetika')->name('intervention_sintetika')->middleware('admin');

Route::get('/statistika/intervention_analitika', 'StatistikaController@intervention_analitika')->name('intervention_analitika')->middleware('admin');

Route::get('/statistika/upotreba_opreme', 'StatistikaController@upotreba_opreme')->name('upotreba_opreme')->middleware('admin');

Route::get('/statistika/monter_marks', 'StatistikaController@monter_marks')->name('monter_marks')->middleware('admin');

Route::get('/statistika/seller_points', 'StatistikaController@seller_points')->name('seller_points')->middleware('admin');

Route::get('/statistika/work_days', 'StatistikaController@work_days')->name('work_days')->middleware('admin');

Route::get('/statistika/used_equipment_statistic', 'StatistikaController@used_equipment')->name('used_equipment_statistic')->middleware('admin');

//grupni unos

Route::post('/groupEntry/add', 'GroupEntryController@add')->name('group_action')->middleware('admin');

Route::get('/groupEntry/index', 'GroupEntryController@index')->name('group_index')->middleware('admin');

Route::get('/groupEntry/clear_session', 'GroupEntryController@clear_session')->name('clear_session')->middleware('admin');

Route::get('/groupEntry/group_entry_optics', 'GroupEntryController@group_entry_optics')->name('group_entry_optics')->middleware('admin');

Route::post('/groupEntry/group_action_optics', 'GroupEntryController@group_action_optics')->name('group_action_optics')->middleware('admin');

// vrste paketa

Route::resource('/vrste_paketa', 'VrstePaketaController', ['parameters' => ['vrste_paketa' => 'vrste_paketa']])->middleware('admin');

//gm area

Route::get('/gm_area', 'GmController@gm_users')->name('gm_users')->middleware('superAdmin');

Route::get('/gm_area/{user}/edit', 'GmController@gm_user_edit')->name('gm_user_edit')->middleware('superAdmin');

Route::put('/gm_area/{user}', 'GmController@gm_user_update')->name('gm_user_update')->middleware('superAdmin');

Route::get('/gm_area/create', 'GmController@gm_user_create')->name('gm_user_create')->middleware('superAdmin');

Route::post('/gm_area', 'GmController@gm_user_store')->name('gm_user_store')->middleware('superAdmin');

//logs

Route::get('/device_log', 'LogController@device_log')->name('device_log');

//tickets

Route::get('/ticket/hw_tickets', 'TicketController@hw_tickets')->name('hw_tickets')->middleware('allUsers');

Route::get('/ticket/hw_create_ticket', 'TicketController@hw_create_ticket')->name('hw_create_ticket')->middleware('allUsers');

Route::get('/const_ticket/construction_tickets', 'TicketController@construction_tickets')->name('construction_tickets')->middleware('allUsers');

Route::get('/const_ticket/construction_create_ticket', 'TicketController@construction_create_ticket')->name('construction_create_ticket')->middleware('allUsers');

Route::post('/ticket/store_ticket', 'TicketController@store_ticket')->name('store_ticket')->middleware('allUsers');

Route::post('/ticket/resolve', 'TicketController@resolve')->name('resolve')->middleware('allUsers');

Route::delete('/ticket/delete_ticket', 'TicketController@delete_ticket')->name('delete_ticket')->middleware('allUsers');

Route::get('/ticket/ticket_comments/{ticket_id}', 'TicketController@ticket_comments')->name('ticket_comments')->middleware('allUsers');

Route::post('/ticket/create_ticket_comment/{ticket_id}', 'TicketController@create_ticket_comment')->name('create_ticket_comment')->middleware('allUsers');

Route::delete('/ticket/delete_ticket_comment', 'TicketController@delete_ticket_comment')->name('delete_ticket_comment')->middleware('allUsers');

//construction

Route::get('/construction_sites/construction_search_result', 'ConstructionSitesController@construction_search_result')->name('construction_search_result')->middleware('constructionWorker');

Route::get('/construction_sites/construction_search', 'ConstructionSitesController@construction_search')->name('construction_search')->middleware('constructionWorker');

Route::get('/construction_sites/construction_advanced_search', 'ConstructionSitesController@construction_advanced_search')->name('construction_advanced_search')->middleware('constructionWorker');

Route::delete('/construction_sites/delete_equipment_works', 'ConstructionSitesController@delete_equipment_works')->name('delete_equipment_works')->middleware('constructionWorker');

Route::delete('/construction_sites/delete_comment', 'ConstructionSitesController@delete_comment')->name('delete_comment')->middleware('admin');

Route::delete('/construction_sites/delete_construction_image', 'ConstructionSitesController@delete_construction_image')->name('delete_construction_image')->middleware('constructionWorker');

Route::get('/construction_sites/import_equipment', 'ConstructionSitesController@import_equipment')->name('import_equipment')->middleware('admin');

Route::get('/construction_sites/import_construction_works', 'ConstructionSitesController@import_construction_works')->name('import_construction_works')->middleware('admin');

Route::resource('construction_sites', 'ConstructionSitesController')->middleware('constructionWorker');

Route::post('/ajax/equipment_populate', 'AjaxController@equipment_populate')->name('equipment_populate')->middleware('allUsers');

Route::post('/ajax/mont_equipment_populate', 'AjaxController@mont_equipment_populate')->name('mont_equipment_populate')->middleware('allUsers');

Route::post('/ajax/worker_equipment_populate', 'AjaxController@worker_equipment_populate')->name('worker_equipment_populate')->middleware('allUsers');

Route::post('/ajax/work_populate', 'AjaxController@work_populate')->name('work_populate')->middleware('allUsers');

Route::post('/ajax/add_construction_equipment', 'AjaxController@add_construction_equipment')->name('add_construction_equipment')->middleware('constructionWorker');

Route::post('/ajax/add_construction_work', 'AjaxController@add_construction_work')->name('add_construction_work')->middleware('constructionWorker');

Route::post('/import/import_construction', 'ImportController@import_construction')->name('import_construction')->middleware('admin');

Route::post('/export/construction_sites_export', 'ExportController@construction_sites_export')->name('construction_sites_export')->middleware('construction_area_admin');

Route::resource('area', 'AreaController')->middleware('admin');

Route::resource('construction_status', 'ConstructionStatusController')->middleware('admin');

Route::resource('currency', 'CurrencyController')->middleware('admin');

Route::resource('contractor', 'ContractorController')->middleware('admin');

Route::resource('image_type', 'ImageTypeController')->middleware('admin');

Route::resource('const_equipment', 'ConstEquipmentController')->middleware('admin');

Route::resource('const_equipment_type', 'ConstEquipmentTypeController')->middleware('admin');

Route::resource('const_work', 'ConstWorkController')->middleware('admin');

Route::resource('const_work_type', 'ConstWorkTypeController', ['parameters' => ['const_work_type' => 'work_category']])->middleware('admin');

Route::resource('network_group', 'NetworkGroupController')->middleware('admin');

Route::resource('device', 'DeviceController')->middleware('admin');

//huawei

Route::post('/export/huawei_export', 'ExportController@huawei_export')->name('huawei_export')->middleware('allUsers');

Route::get('/hwexport/situations', 'HwExportController@situations')->name('hw_situations')->middleware('huaweiAdmin');

Route::get('/huawei/huawei_import_index', 'HuaweiController@huawei_import_index')->name('huawei_import_index')->middleware('huaweiAdmin');

Route::get('/huawei/hw_export_works', 'HwExportController@export_works')->name('hw_export_works')->middleware('allUsers');

Route::post('/huawei/huawei_import', 'ImportController@huawei_import')->name('huawei_import')->middleware('huaweiAdmin');

Route::delete('/huawei/delete_equipment_works', 'HuaweiController@delete_equipment_works')->name('hw_delete_equipment_works')->middleware('huaweiConstructionWorker');

Route::get('/huawei/huawei_search', 'HuaweiController@huawei_search')->name('huawei_search')->middleware('huaweiConstructionWorker');

Route::get('/huawei/huawei_advanced_search', 'HuaweiController@huawei_advanced_search')->name('huawei_advanced_search')->middleware('huaweiConstructionWorker');

Route::get('/huawei/huawei_search_result', 'HuaweiController@huawei_search_result')->name('huawei_search_result')->middleware('huaweiConstructionWorker');

Route::delete('/huawei/delete_comment', 'HuaweiController@delete_comment')->name('huawei_delete_comment')->middleware('admin');

Route::delete('/huawei/delete_image', 'HuaweiController@delete_image')->name('huawei_delete_image')->middleware('huaweiAdmin');

Route::get('/huawei/hw_documentation', 'HuaweiController@documentation')->name('hw_documentation')->middleware('allUsers');

Route::get('/huawei/hw_documentation_create', 'HuaweiController@documentation_create')->name('hw_documentation_create');

Route::post('/huawei/hw_documentation_store', 'HuaweiController@documentation_store')->name('hw_documentation_store');

Route::delete('huawei/delete_hw_document', 'FileController@delete_hw_document')->name('delete_hw_document')->middleware('superAdmin');

Route::post('huawei/add_fixed_access_work', 'HuaweiController@add_fixed_access_work')->name('add_fixed_access_work')->middleware('huaweiConstructionWorker');

Route::post('huawei/predict_work', 'HuaweiController@predict_work')->name('predict_work')->middleware('huaweiConstructionWorker');

Route::resource('huawei', 'HuaweiController')->middleware('allUsers');

Route::post('/ajax/add_hw_work', 'AjaxController@add_hw_work')->name('add_hw_work')->middleware('huaweiConstructionWorker');

Route::post('/ajax/add_hw_equipment', 'AjaxController@add_hw_equipment')->name('add_hw_equipment')->middleware('huaweiConstructionWorker');

Route::post('/ajax/equipment_select_search', 'AjaxController@equipment_select_search')->name('equipment_select_search')->middleware('huaweiAdmin');


Route::resource('/hw_works/hw_work_category', 'HwWorkCategoryController')->middleware('huaweiAdmin');

Route::resource('/hw_works/hw_access_work', 'HwAccessWorksController')->middleware('huaweiAdmin');

Route::resource('/hw_works/hw_vertical_work', 'HwVerticalWorksController')->middleware('huaweiAdmin');

Route::resource('/hw_status/hw_access_status', 'HwAccessStatusController')->middleware('huaweiAdmin');

Route::resource('/hw_status/hw_vertical_status', 'HwVerticalStatusController')->middleware('huaweiAdmin');

Route::resource('/hw_status/hw_final_status', 'HwFinalStatusController')->middleware('huaweiAdmin');

Route::delete('/equipment/delete_required_equipment', 'EquipmentController@delete_required_equipment')->name('delete_required_equipment')->middleware('allUsers');


//storage

Route::get('/storage/stockpile', 'ConstructionStorageController@stockpile')->name('stockpile')->middleware('magacioner');

Route::get('/storage/stockpile_goods/{type}', 'ConstructionStorageController@stockpile_goods')->name('stockpile_goods')->middleware('magacioner');

Route::get('/storage/construction_storage', 'ConstructionStorageController@construction_storage')->name('construction_storage')->middleware('magacioner');

Route::get('/storage/worker_storage', 'ConstructionStorageController@worker_storage')->name('worker_storage')->middleware('magacioner');

Route::get('/storage/equipment_storage', 'ConstructionStorageController@equipment_storage')->name('equipment_storage')->middleware('magacioner');

Route::get('/storage/storages', 'ConstructionStorageController@storages')->name('storages')->middleware('magacioner');

Route::get('/storage/equipment_requirement_list', 'StorageController@equipment_requirement_list')->name('equipment_requirement_list')->middleware('magacioner');

Route::get('/storage/equipment_requirement_list_kir', 'StorageController@equipment_requirement_list_kir')->name('equipment_requirement_list_kir')->middleware('magacioner');

Route::get('/storage/requirement_search', 'StorageController@requirement_search')->name('requirement_search')->middleware('magacioner');

Route::get('/storage/requirement_search_kir', 'StorageController@requirement_search_kir')->name('requirement_search_kir')->middleware('magacioner');

Route::get('/storage/requirement_search_result', 'StorageController@requirement_search_result')->name('requirement_search_result')->middleware('magacioner');

Route::get('/storage/requirement_export', 'ExportController@requirement_export')->name('requirement_export')->middleware('magacioner');

Route::get('/storage/populate', 'StorageController@populate')->name('storage_populate')->middleware('magacioner');

Route::get('/storage/storage_logs', 'ConstructionStorageController@storage_logs')->name('storage_logs')->middleware('magacioner');

Route::get('/storage/storage_logs_search', 'ConstructionStorageController@storage_logs_search')->name('storage_logs_search')->middleware('magacioner');

Route::post('fill_storage', 'AjaxController@fill_storage')->name('fill_storage')->middleware('magacioner');

Route::get('construction_export', 'ExportController@construction_export')->name('construction_export')->middleware('admin');

Route::get('/storage/delivery_notes', 'ConstructionStorageController@delivery_notes')->name('delivery_notes')->middleware('magacioner');

Route::get('/storage/delivery_notes_equipment', 'ConstructionStorageController@delivery_notes_equipment')->name('delivery_notes_equipment')->middleware('magacioner');

Route::post('/storage/delivery_notes_scan', 'ConstructionStorageController@delivery_notes_scan')->name('delivery_notes_scan')->middleware('magacioner');

Route::post('/storage/add_delivery_note', 'ConstructionStorageController@add_delivery_note')->name('add_delivery_note')->middleware('magacioner');

Route::post('/storage/edit_delivery_note', 'ConstructionStorageController@edit_delivery_note')->name('edit_delivery_note')->middleware('magacioner');

Route::delete('/storage/delete_delivery_note', 'ConstructionStorageController@delete_delivery_note')->name('delete_delivery_note')->middleware('magacioner');

Route::delete('/storage/delete_equipment_from_documents', 'ConstructionStorageController@delete_equipment_from_documents')->name('delete_equipment_from_documents')->middleware('magacioner');

Route::get('/storage/delivery_search', 'ConstructionStorageController@delivery_search')->name('delivery_search')->middleware('magacioner');

Route::get('/storage/construction_pdf', 'ExportController@construction_pdf')->name('construction_pdf')->middleware('magacioner');

//Fobos baze

Route::get('/fobos/search', 'FobosController@search')->name('fobos_search')->middleware('prodavac');

Route::get('/fobos/search_result', 'FobosController@search_result')->name('fobos_search_result')->middleware('prodavac');

Route::post('/fobos/expedition', 'FobosController@expedition')->name('fobos_expedition')->middleware('prodavac');

Route::post('/fobos/accept', 'FobosController@accept')->name('fobos_accept')->middleware('salesManager');

Route::post('/fobos/return', 'FobosController@return')->name('fobos_return')->middleware('salesManager');

Route::get('/fobos/claims', 'FobosController@claims')->name('fobos_claims')->middleware('salesManager');

Route::get('/fobos/import_index', 'FobosController@import_index')->name('fobos_import_index')->middleware('salesManager');

Route::post('/fobos/import', 'FobosController@import')->name('fobos_import')->middleware('salesManager');

Route::get('/fobos/expire_list', 'FobosController@expire_list')->name('expire_list')->middleware('prodavac');

Route::delete('fobos_delete_comment', 'FobosController@delete_comment')->name('fobos_delete_comment')->middleware('salesManager');

Route::resource('fobos', 'FobosController')->middleware('prodavac');

Route::post('/fobos_copper/expedition', 'FobosCopperController@expedition')->name('fobos_copper_expedition')->middleware('prodavac');

Route::post('/fobos_copper/accept', 'FobosCopperController@accept')->name('fobos_copper_accept')->middleware('prodavac');

Route::post('/fobos_copper/return', 'FobosCopperController@return')->name('fobos_copper_return')->middleware('prodavac');

Route::get('/fobos_copper/claims', 'FobosCopperController@claims')->name('fobos_copper_claims')->middleware('prodavac');

Route::get('/fobos_copper/expire_list', 'FobosCopperController@expire_list')->name('copper_expire_list')->middleware('prodavac');

Route::get('/fobos_copper/import_index', 'FobosCopperController@import_index')->name('fobos_copper_import_index')->middleware('salesManager');

Route::post('/fobos_copper/import', 'FobosCopperController@import')->name('fobos_copper_import')->middleware('salesManager');

Route::get('/fobos_copper/search', 'FobosCopperController@search')->name('fobos_copper_search')->middleware('prodavac');

Route::get('/fobos_copper/search_result', 'FobosCopperController@search_result')->name('fobos_copper_search_result')->middleware('prodavac');

Route::get('/fobos_rune/statistic', 'FobosRuneController@statistic')->name('fobos_rune_statistic')->middleware('teamLeader');

Route::get('/fobos_rune/export_statistic', 'FobosRuneController@export_statistic')->name('export_fobos_statistic')->middleware('teamLeader');

Route::get('/fobos_rune/search', 'FobosRuneController@search')->name('fobos_rune_search')->middleware('prodavac');

Route::get('/fobos_rune/search_result', 'FobosRuneController@search_result')->name('fobos_rune_search_result')->middleware('prodavac');

Route::post('/fobos_rune/expedition', 'FobosRuneController@expedition')->name('fobos_rune_expedition')->middleware('prodavac');

Route::post('/fobos_rune/accept', 'FobosRuneController@accept')->name('fobos_rune_accept')->middleware('salesManager');

Route::post('/fobos_rune/return', 'FobosRuneController@return')->name('fobos_rune_return')->middleware('salesManager');

Route::get('/fobos_rune/claims', 'FobosRuneController@claims')->name('fobos_rune_claims')->middleware('prodavac');

Route::get('/fobos_rune/import_index', 'FobosRuneController@import_index')->name('fobos_rune_import_index')->middleware('salesManager');

Route::post('/fobos_rune/import', 'FobosRuneController@import')->name('fobos_rune_import')->middleware('salesManager');

Route::post('/fobos_rune/export', 'FobosRuneController@export')->name('fobos_rune_export')->middleware('teamLeader');

Route::get('/fobos_rune/group_entry', 'FobosRuneController@group_entry')->name('fobos_rune_group_entry')->middleware('prodavac');

Route::post('/fobos_rune/group_action', 'FobosRuneController@group_action')->name('fobos_rune_group_action')->middleware('prodavac');

Route::get('/fobos_rune/rune_expire_list', 'FobosRuneController@expire_list')->name('rune_expire_list')->middleware('prodavac');

Route::delete('fobos_rune_delete_comment', 'FobosRuneController@delete_comment')->name('fobos_rune_delete_comment')->middleware('admin');

Route::delete('/fobos_delete_image', 'FobosRuneController@delete_image')->name('fobos_delete_image')->middleware('superAdmin');

Route::post('/fobos_rune/find_construction_manager_by_cluster', 'FobosRuneController@find_construction_manager_by_cluster')->name('find_construction_manager_by_cluster');

Route::resource('fobos_rune', 'FobosRuneController')->middleware('prodavac');

Route::resource('/base_management/postpaid_tariff', 'PostpaidTariffController')->middleware('salesManager');

Route::resource('/base_management/campain', 'CampainsController')->middleware('salesManager');

Route::resource('fobos_copper', 'FobosCopperController')->middleware('prodavac');



Route::resource('city', 'CityController')->middleware('admin');

Route::resource('state', 'StateController')->middleware('admin');

Route::resource('device_type', 'DeviceTypeController', ['parameters' => ['device_type' => 'type']])->middleware('admin');

//Bills

Route::get('/callisto_bills', 'BillController@bills')->name('callisto_bills')->middleware('superAdmin');

Route::get('/callisto_bills/create', 'BillController@create')->name('callisto_bills_create')->middleware('gm');

Route::get('/callisto_bills/edit', 'BillController@edit')->name('callisto_bills_edit')->middleware('gm');

Route::post('/callisto_bills/update', 'BillController@update')->name('callisto_bills_update')->middleware('gm');

Route::post('/callisto_bills/store', 'BillController@store')->name('callisto_bills_store')->middleware('gm');

//Magz

Route::delete('magz/storekeeper_delete', 'MagzController@storekeeper_delete')->name('storekeeper_delete')->middleware('superAdmin');

Route::resource('magz', 'MagzController', ['parameters' => ['magz' => 'mag']])->middleware('superAdmin');

//Units

Route::resource('unit', 'UnitController')->middleware('superAdmin');

//Settings

Route::get('/administracija/settings/index', 'SettingsController@index')->name('settings_index')->middleware('superAdmin');

Route::post('/administracija/settings/update', 'SettingsController@update')->name('settings_update')->middleware('superAdmin');

//Salary

Route::get('/salary/index', 'SalariesController@index')->name('salary_index')->middleware('superAdmin');

Route::post('/salary/store', 'SalariesController@store')->name('salary_store')->middleware('superAdmin');

Route::delete('/salary/destroy', 'SalariesController@destroy')->name('salary_destroy')->middleware('superAdmin');

//Images

Route::get('/image/rotation', 'ImageController@image_rotation')->name('image_rotation')->middleware('allUsers');

//Files

Route::delete('file/delete_file', 'FileController@delete_file')->name('delete_file')->middleware('superAdmin');

Route::delete('file/delete_de_files', 'FileController@delete_de_file')->name('delete_de_file')->middleware('superAdmin');

//Database scripts

Route::get('/scripts/run', 'ScriptsController@run')->name('run')->middleware('allUsers');

//Workflow

Route::get('/workflow/search', 'WorkflowController@search')->name('project_search')->middleware('allUsers');

Route::get('/workflow/search_result', 'WorkflowController@search_result')->name('project_search_result')->middleware('allUsers');

Route::get('/workflow/images_form', 'WorkflowController@images_form')->name('wf_images_form')->middleware('allUsers');

Route::get('/workflow/images/{ptId}/{workId}/{projectId}', 'WorkflowController@images')->name('wf_images')->middleware('allUsers');

Route::delete('/workflow/delete_image', 'WorkflowController@delete_image')->name('wf_delete_image')->middleware('superAdmin');

Route::post('/workflow/upload_images', 'WorkflowController@upload_images')->name('wf_upload_images')->middleware('allUsers');


Route::get('/workflow/files_form', 'WorkflowController@files_form')->name('wf_files_form')->middleware('allUsers');

Route::get('/workflow/files/{ptId}/{workId}/{projectId}', 'WorkflowController@files')->name('wf_files')->middleware('allUsers');

Route::delete('/workflow/delete_file', 'WorkflowController@delete_file')->name('wf_delete_file')->middleware('superAdmin');

Route::post('/workflow/upload_files', 'WorkflowController@upload_files')->name('wf_upload_files')->middleware('allUsers');

Route::post('/workflow/export', 'WorkflowController@export')->name('wf_export')->middleware('allUsers');


Route::get('/workflow/project_task/{taskId}', 'WorkflowController@project_task')->name('project_task')->middleware('allUsers');

Route::post('/workflow/add_task', 'WorkflowController@add_task')->name('add_task')->middleware('allUsers');

Route::post('/workflow/add_work', 'WorkflowController@add_work')->name('add_work')->middleware('allUsers');

Route::post('/workflow/mark_done', 'WorkflowController@mark_done')->name('mark_done')->middleware('allUsers');

Route::post('/workflow/add_user', 'WorkflowController@add_user')->name('wf_add_user')->middleware('admin');

Route::post('/workflow/add_task_time', 'WorkflowController@add_task_time')->name('add_task_time')->middleware('admin');

Route::post('/workflow/add_status', 'WorkflowController@add_status')->name('wf_add_status')->middleware('allUsers');

Route::delete('workflow/delete_task', 'WorkflowController@delete_task')->name('delete_task')->middleware('superAdmin');

Route::delete('workflow/delete_work', 'WorkflowController@delete_work')->name('delete_work')->middleware('allUsers');

Route::post('/workflow/add_equipment', 'WorkflowController@add_equipment')->name('wf_add_equipment')->middleware('allUsers');

Route::resource('/workflow/project', 'ProjectController')->middleware('allUsers');

Route::resource('/workflow/task', 'TaskController')->middleware('admin');

Route::resource('/workflow/wf_work', 'WfWorksController')->middleware('admin');

Route::resource('/workflow/wf_status', 'WfStatusesController')->middleware('admin');

Route::get('/groupEntry/data_transfer', 'GroupEntryController@data_transfer')->name('data_transfer')->middleware('admin');

Route::post('/groupEntry/transfer', 'GroupEntryController@transfer')->name('transfer')->middleware('admin');

Route::get('/storage_logs/worker_storage_logs', 'StorageController@worker_storage_logs')->name('worker_storage_logs')->middleware('magacioner');

//tools

Route::get('storage_tools/stockpile_tools', 'StorageToolsController@stockpile_tools')->name('stockpile_tools')->middleware('magacioner');

Route::get('storage_tools/worker_tools', 'StorageToolsController@worker_tools')->name('worker_tools')->middleware('magacioner');

Route::get('storage_tools/storages_tools', 'StorageToolsController@storages')->name('storages_tools')->middleware('magacioner');

Route::get('storage_tools/storage_tool', 'StorageToolsController@storage_tool')->name('storage_tool')->middleware('magacioner');

Route::get('storage_tools/worker_tool_storage', 'StorageToolsController@worker_tool_storage')->name('worker_tool_storage')->middleware('magacioner');

Route::post('storage_tools/fill_tool_storage', 'StorageToolsController@fill_tool_storage')->name('fill_tool_storage')->middleware('magacioner');

Route::post('storage_tools/tool_populate', 'StorageToolsController@tool_populate')->name('tool_populate')->middleware('magacioner');

Route::get('storage_tools/tool_logs', 'StorageToolsController@tool_logs')->name('tool_logs')->middleware('magacioner');

Route::get('storage_tools/tools_print', 'StorageToolsController@tools_print')->name('tools_print')->middleware('magacioner');

Route::get('storage_tools/tool_devices_inventory', 'StorageToolsController@tool_devices_inventory')->name('tool_devices_inventory')->middleware('magacioner');

Route::get('/storage_tools/tool_device', 'StorageToolsController@tool_device')->name('tool_device')->middleware('magacioner');

Route::get('/storage_tools/tool_device_scan', 'StorageToolsController@tool_device_scan')->name('tool_device_scan')->middleware('magacioner');

Route::get('/storage_tools/tool_device_add', 'StorageToolsController@tool_device_add')->name('tool_device_add')->middleware('magacioner');

Route::get('/storage_tools/reverse', 'StorageToolsController@reverse')->name('tool_reverse')->middleware('magacioner');

Route::get('/storage_tools/reverse_scanning', 'StorageToolsController@reverse_scanning')->name('tool_reverse_scanning')->middleware('magacioner');

Route::get('/storage_tools/reverse_device', 'StorageToolsController@reverse_device')->name('tool_reverse_device')->middleware('magacioner');

Route::delete('/storage_tools/delete_reverse', 'StorageToolsController@delete_reverse')->name('delete_tool_reverse')->middleware('magacioner');

Route::delete('/storage_tools/delete_goods_reverse', 'StorageToolsController@delete_goods_reverse')->name('delete_goods_tool_reverse')->middleware('magacioner');

Route::get('/storage_tools/add_reverse', 'StorageToolsController@add_reverse')->name('add_tool_reverse')->middleware('magacioner');

Route::get('/storage_tools/reverse_search', 'StorageToolsController@reverse_search')->name('tool_reverse_search')->middleware('magacioner');

Route::get('/storage_tools/reverse_search_result', 'StorageToolsController@reverse_search_result')->name('tool_reverse_search_result')->middleware('magacioner');

Route::get('/storage_tools/tool_device_search', 'StorageToolsController@tool_device_search')->name('tool_device_search')->middleware('magacioner');

Route::get('/storage_tools/tool_device_search_result', 'StorageToolsController@tool_device_search_result')->name('tool_device_search_result')->middleware('magacioner');

Route::post('/storage_tools/tool_storage_history', 'StorageToolsController@tool_storage_history')->name('tool_storage_history')->middleware('magacioner');

Route::get('/storage_tools/tool_export_pdf', 'StorageToolsController@export_pdf')->name('tool_export_pdf')->middleware('magacioner');

Route::post('/storage_tools/update_device_state', 'StorageToolsController@update_device_state')->name('update_device_state')->middleware('magacioner');

Route::post('/storage_tools/revers_change_status', 'StorageToolsController@revers_change_status')->name('tool_revers_change_status')->middleware(['magacioner']);

Route::get('/storage_tools/worker_tool_devices', 'StorageToolsController@worker_tool_devices')->name('worker_tool_devices')->middleware(['magacioner']);

Route::post('/storage_tools/tool_devices_for_worker', 'StorageToolsController@tool_devices_for_worker')->name('tool_devices_for_worker')->middleware(['magacioner']);

Route::get('/storage_tools/tool_delivery_notes', 'StorageToolsController@tool_delivery_notes')->name('tool_delivery_notes')->middleware('magacioner');

Route::get('/storage_tools/tool_delivery_notes_search', 'StorageToolsController@tool_delivery_notes_search')->name('tool_delivery_notes_search')->middleware('magacioner');

Route::get('/storage_tools/tool_delivery_notes_result', 'StorageToolsController@tool_delivery_notes_result')->name('tool_delivery_notes_result')->middleware('magacioner');

Route::post('/storage_tools/add_tool_delivery_note', 'StorageToolsController@add_delivery_note')->name('add_tool_delivery_note')->middleware('magacioner');

Route::get('/storage_tools/tool_dn_device', 'StorageToolsController@tool_dn_device')->name('tool_dn_device')->middleware('magacioner');

Route::delete('/storage_tools/delete_tool_dn', 'StorageToolsController@delete_tool_dn')->name('delete_tool_dn')->middleware('magacioner');

Route::delete('/storage_tools/delete_tool_dn_device', 'StorageToolsController@delete_dn_device')->name('delete_tool_dn_device')->middleware('magacioner');

Route::get('/storage_tools/tool_dn_scanning', 'StorageToolsController@dn_scanning')->name('tool_dn_scanning')->middleware('magacioner');

Route::resource('/tool/tool_type', 'ToolTypesController')->middleware('magacioner');

Route::resource('storage_tools/tool_provider', 'ToolProvidersController')->middleware('magacioner');

Route::resource('tool', 'ToolsController')->middleware('magacioner');

Route::resource('toolDevice', 'ToolDeviceController')->middleware('admin');

//materials

Route::post('/material/add_material', 'MaterialController@add_material')->name('add_material')->middleware('allUsers');

Route::get('storage_materials/stockpile_materials', 'StorageMaterialsController@stockpile_materials')->name('stockpile_materials')->middleware('magacioner');

Route::get('storage_materials/worker_materials', 'StorageMaterialsController@worker_materials')->name('worker_materials')->middleware('magacioner');

Route::get('storage_materials/storages_materials', 'StorageMaterialsController@storages')->name('storages_materials')->middleware('magacioner');

Route::get('storage_materials/storage_material', 'StorageMaterialsController@storage_material')->name('storage_material')->middleware('magacioner');

Route::get('storage_materials/worker_material_storage', 'StorageMaterialsController@worker_material_storage')->name('worker_material_storage')->middleware('magacioner');

Route::get('storage_materials/worker_material_log', 'StorageMaterialsController@worker_material_log')->name('worker_material_log')->middleware('magacioner');

Route::post('storage_materials/fill_material_storage', 'StorageMaterialsController@fill_material_storage')->name('fill_material_storage')->middleware('magacioner');

Route::get('storage_materials/material_logs', 'StorageMaterialsController@material_logs')->name('material_logs')->middleware('magacioner');

Route::get('/storage_materials/dispatch_notes', 'StorageMaterialsController@dispatch_notes')->name('dispatch_notes')->middleware('magacioner');

Route::get('/storage_materials/dispatch_notes_materials', 'StorageMaterialsController@dispatch_notes_materials')->name('dispatch_notes_materials')->middleware('magacioner');

Route::post('/storage_materials/dispatch_notes_scan', 'StorageMaterialsController@dispatch_notes_scan')->name('dispatch_notes_scan')->middleware('magacioner');

Route::post('/storage_materials/add_dispatch_note', 'StorageMaterialsController@add_dispatch_note')->name('add_dispatch_note')->middleware('magacioner');

Route::post('/storage_materials/edit_dispatch_note', 'StorageMaterialsController@edit_dispatch_note')->name('edit_dispatch_note')->middleware('magacioner');

Route::delete('/storage_materials/delete_dispatch_note', 'StorageMaterialsController@delete_dispatch_note')->name('delete_dispatch_note')->middleware('magacioner');

Route::delete('/storage_materials/delete_material_from_document', 'StorageMaterialsController@delete_material_from_document')->name('delete_material_from_document')->middleware('magacioner');

Route::delete('/storage_materials/delete_material', 'MaterialController@delete_material')->name('delete_material')->middleware('superAdmin');

Route::get('/storage_materials/material_pdf', 'StorageMaterialsController@material_pdf')->name('material_pdf')->middleware('allUsers');

Route::resource('material', 'MaterialController')->middleware('magacioner');

//uniforms

Route::get('storage_uniforms/stockpile_uniforms', 'StorageUniformsController@stockpile_uniforms')->name('stockpile_uniforms')->middleware('magacioner');

Route::get('storage_uniforms/worker_uniforms', 'StorageUniformsController@worker_uniforms')->name('worker_uniforms')->middleware('magacioner');

Route::get('storage_uniforms/storages_uniforms', 'StorageUniformsController@storages')->name('storages_uniforms')->middleware('magacioner');

Route::get('storage_uniforms/storage_uniform', 'StorageUniformsController@storage_uniform')->name('storage_uniform')->middleware('magacioner');

Route::get('storage_uniforms/worker_uniform_storage', 'StorageUniformsController@worker_uniform_storage')->name('worker_uniform_storage')->middleware('magacioner');

Route::post('storage_uniforms/fill_uniform_storage', 'StorageUniformsController@fill_uniform_storage')->name('fill_uniform_storage')->middleware('magacioner');

Route::post('storage_uniforms/uniform_populate', 'StorageUniformsController@uniform_populate')->name('uniform_populate')->middleware('magacioner');

Route::get('storage_uniforms/uniform_logs', 'StorageUniformsController@uniform_logs')->name('uniform_logs')->middleware('magacioner');

Route::get('storage_uniforms/uniforms_print', 'StorageUniformsController@uniforms_print')->name('uniforms_print')->middleware('magacioner');

Route::resource('/uniform/uniform_type', 'UniformTypeController')->middleware('magacioner');

Route::resource('uniform', 'UniformController')->middleware('magacioner');

//vehicle equipment

Route::get('storage_vehicle_equipment/stockpile_vehicle_equipment', 'StorageVehicleEquipmentController@stockpile_vehicle_equipment')->name('stockpile_vehicle_equipment')->middleware('magacioner');

Route::get('storage_vehicle_equipment/worker_vehicle_equipment', 'StorageVehicleEquipmentController@worker_vehicle_equipment')->name('worker_vehicle_equipment')->middleware('magacioner');

Route::get('storage_vehicle_equipment/storages_vehicle_equipment', 'StorageVehicleEquipmentController@storages')->name('storages_vehicle_equipment')->middleware('magacioner');

Route::get('storage_vehicle_equipment/storage_vehicle_equipment', 'StorageVehicleEquipmentController@storage_vehicle_equipment')->name('storage_vehicle_equipment')->middleware('magacioner');

Route::get('storage_vehicle_equipment/worker_vehicle_storage', 'StorageVehicleEquipmentController@worker_vehicle_storage')->name('worker_vehicle_storage')->middleware('magacioner');

Route::post('storage_vehicle_equipment/fill_vehicle_equipment', 'StorageVehicleEquipmentController@fill_vehicle_equipment')->name('fill_vehicle_equipment')->middleware('magacioner');

Route::get('storage_vehicle_equipment/vehicle_equipment_log', 'StorageVehicleEquipmentController@vehicle_equipment_log')->name('vehicle_equipment_log')->middleware('magacioner');

Route::get('storage_vehicle_equipment/vehicle_equipment_print', 'StorageVehicleEquipmentController@vehicle_equipment_print')->name('vehicle_equipment_print')->middleware('magacioner');


//equipment and device demand

Route::get('demand/personal_list/{demand}', 'DemandController@personal_list')->name('demand_personal_list')->middleware('allUsers');

Route::post('demand/add_demand_comment/{demand}', 'DemandController@add_comment')->name('add_demand_comment')->middleware('allUsers');

Route::get('magacin/general_list/{demand}', 'DemandController@general_list')->name('demand_general_list')->middleware('allUsers');

Route::get('magacin/demand_warehouse', 'DemandController@demand_warehouse')->name('demand_warehouse')->middleware('allUsers');

Route::get('demand/index', 'DemandController@index')->name('demand_index')->middleware('allUsers');

Route::get('demand/demand_edit/{demand}', 'DemandController@edit')->name('demand_edit')->middleware('allUsers');

Route::put('demand/demand_update/{demand}', 'DemandController@update')->name('demand_update')->middleware('allUsers');

Route::post('demand', 'DemandController@demand')->name('demand')->middleware('allUsers');

Route::post('demand/supply', 'DemandController@supply')->name('supply_demand')->middleware('allUsers');

Route::post('demand/store', 'DemandController@store')->name('store_demand')->middleware('allUsers');

Route::post('demand/store_demand_item', 'DemandController@store_demand_item')->name('store_demand_item')->middleware('allUsers');

Route::delete('demand/delete', 'DemandController@destroy')->name('delete_demand')->middleware('allUsers');

Route::post('demand/item_update', 'DemandController@item_update')->name('demand_item_update')->middleware('allUsers');

Route::resource('folder', 'FolderController')->middleware('huaweiAdmin');

Route::get('fitter/inventory', 'FitterController@inventory')->name('fitter_inventory')->middleware('allUsers');

//scoreboard

Route::get('scoreboard', 'HomeController@scoreboard')->name('scoreboard')->middleware('superAdmin');

//prices

Route::get('price/hw_prices', 'PricesController@hw_prices')->name('hw_prices')->middleware('superAdmin');

Route::get('price/create_hw_price', 'PricesController@create_hw_price')->name('create_hw_price')->middleware('superAdmin');

Route::post('price/store_hw_price', 'PricesController@store_hw_price')->name('store_hw_price')->middleware('superAdmin');

Route::get('price/dth_prices', 'PricesController@dth_prices')->name('dth_prices')->middleware('superAdmin');

Route::get('price/create_dth_price', 'PricesController@create_dth_price')->name('create_dth_price')->middleware('superAdmin');

Route::post('price/store_dth_price', 'PricesController@store_dth_price')->name('store_dth_price')->middleware('superAdmin');

Route::get('price/optics_prices', 'PricesController@optics_prices')->name('optics_prices')->middleware('superAdmin');

Route::get('price/create_optics_price', 'PricesController@create_optics_price')->name('create_optics_price')->middleware('superAdmin');

Route::post('price/store_optics_price', 'PricesController@store_optics_price')->name('store_optics_price')->middleware('superAdmin');

//kir

Route::post('/export/kir_export', 'ExportController@kir_export')->name('kir_export')->middleware('allUsers');

Route::get('/hwexport/situations', 'HwExportController@situations')->name('hw_situations')->middleware('huaweiAdmin');

Route::get('/kir/kir_import_index', 'KirController@import_index')->name('kir_import_index')->middleware('huaweiAdmin');

Route::get('/kir/kir_export_works', 'KirExportController@export_works')->name('kir_export_works')->middleware('allUsers');

Route::post('/kir/add_kir_equipment', 'KirController@add_kir_equipment')->name('add_kir_equipment')->middleware('huaweiConstructionWorker');

Route::post('/kir/add_kir_work', 'KirController@add_kir_work')->name('add_kir_work')->middleware('huaweiConstructionWorker');

Route::post('/kir/kir_import', 'KirController@kir_import')->name('kir_import')->middleware('huaweiAdmin');

Route::delete('/kir/delete_equipment_works', 'KirController@delete_equipment_works')->name('kir_delete_equipment_works')->middleware('constructionWorker');

Route::get('/kir/kir_search', 'KirController@kir_search')->name('kir_search')->middleware('huaweiConstructionWorker');

Route::get('/kir/kir_advanced_search', 'KirController@kir_advanced_search')->name('kir_advanced_search')->middleware('huaweiConstructionWorker');

Route::get('/kir/kir_search_result', 'KirController@kir_search_result')->name('kir_search_result')->middleware('huaweiConstructionWorker');

Route::get('/huawei/hw_documentation', 'HuaweiController@documentation')->name('hw_documentation')->middleware('allUsers');

Route::delete('huawei/delete_hw_document', 'FileController@delete_hw_document')->name('delete_hw_document')->middleware('superAdmin');

Route::post('kir/add_fixed_access_work', 'KirController@add_fixed_access_work')->name('add_fixed_access_work_kir')->middleware('huaweiConstructionWorker');

Route::resource('/kir_works/kir_work_category', 'KirWorkCategoryController')->middleware('admin');

Route::resource('/kir_works/kir_access_work', 'KirAccessWorksController')->middleware('admin');

Route::resource('/kir_works/kir_vertical_work', 'KirVerticalWorksController')->middleware('admin');

Route::resource('kir', 'KirController')->middleware('constructionWorker');

//kir demands
Route::get('kir/demand/list', 'KirDemandsController@list')->name('kir_demand_list')->middleware('allUsers');

Route::get('kir/demand/create', 'KirDemandsController@create')->name('kir_demand_create')->middleware('allUsers');

Route::post('kir/demand/store', 'KirDemandsController@store')->name('kir_demand_store')->middleware('allUsers');

Route::get('kir/demand/set_quantity', 'KirDemandsController@set_quantity')->name('set_quantity')->middleware('allUsers');

Route::get('kir/demand/info/{demand}', 'KirDemandsController@info')->name('kir_demand_info')->middleware('allUsers');

Route::post('kir/demand/add_row', 'KirDemandsController@add_row')->name('demand_add_row')->middleware('allUsers');

Route::delete('kir/demand/delete_row', 'KirDemandsController@delete_row')->name('demand_delete_row')->middleware('allUsers');

Route::get('magacin/warehouse_demand_info/{demand}', 'StorageController@warehouse_info')->name('warehouse_demand_info')->middleware('allUsers');

//DEUTCHLAND CROATIA
Route::delete('/de_construction_sites/de_delete_comment', 'DeConstructionSitesController@delete_comment')->name('de_delete_comment')->middleware('superAdmin');

Route::delete('/de_construction_sites/de_delete_image', 'DeConstructionSitesController@delete_image')->name('de_delete_image')->middleware('superAdmin');

Route::get('/de_construction_sites/de_search', 'DeConstructionSitesController@search')->name('de_search')->middleware('columnLeader');

Route::get('/de_construction_sites/de_advanced_search', 'DeConstructionSitesController@advanced_search')->name('de_advanced_search')->middleware('columnLeader');

Route::get('/de_construction_sites/de_search_result', 'DeConstructionSitesController@search_result')->name('de_search_result')->middleware('columnLeader');

Route::post('de_construction_sites/add_de_work', 'DeConstructionSitesController@add_de_work')->name('add_de_work');

Route::get('de_construction_sites/search', 'DeConstructionSitesController@search')->name('de_search');

Route::get('de_construction_sites/search_result', 'DeConstructionSitesController@search_result')->name('de_search_result');

Route::get('de_construction_sites/statistic', 'DeConstructionSitesController@statistic')->name('de_statistic');

Route::get('de_construction_sites/target', 'DeConstructionSitesController@target')->name('de_target');

Route::get('de_construction_sites/target_calculate', 'DeConstructionSitesController@target_calculate')->name('de_target_calculate');

Route::post('de_construction_sites/set_target', 'DeConstructionSitesController@set_target')->name('set_target')->middleware('superAdmin');

Route::get('de_construction_sites/create_target', 'DeConstructionSitesController@create_target')->name('create_target')->middleware('superAdmin');

Route::get('de_construction_sites/synt_form', 'DeConstructionSitesController@synt_form')->name('de_synt_form')->middleware('superAdmin');

Route::get('de_construction_sites/work_form', 'DeConstructionSitesController@work_form')->name('de_work_form')->middleware('superAdmin');

Route::get('de_construction_sites/equipment_form', 'DeConstructionSitesController@equipment_form')->name('de_equipment_form')->middleware('superAdmin');

Route::post('de_construction_sites/statistic_synt', 'DeConstructionSitesController@statistic_synt')->name('de_statistic_synt')->middleware('superAdmin');

Route::post('de_construction_sites/statistic_works', 'DeConstructionSitesController@statistic_works')->name('de_statistic_works')->middleware('superAdmin');

Route::post('de_construction_sites/statistic_equipment', 'DeConstructionSitesController@statistic_equipment')->name('de_statistic_equipment')->middleware('superAdmin');

Route::get('de_construction_sites/group_entry', 'DeConstructionSitesController@group_entry')->name('de_group_entry')->middleware('superAdmin');

Route::post('de_construction_sites/group_action', 'DeConstructionSitesController@group_action')->name('de_group_action')->middleware('superAdmin');

Route::post('de_construction_sites/export', 'DeConstructionSitesController@export')->name('de_export')->middleware('superAdmin');

Route::resource('/de_construction_sites/de_works', 'DeWorksController')->middleware('superAdmin');

Route::resource('de_construction_sites', 'DeConstructionSitesController')->middleware('columnLeader');


//doc works

Route::resource('/doc_work', 'DocWorksController')->middleware('huaweiAdmin');

Route::post('add_fixed_doc_work_kir', 'KirController@add_doc_work')->name('add_fixed_doc_work_kir')->middleware('huaweiConstructionWorker');

Route::post('add_fixed_doc_work_hw', 'HuaweiController@add_doc_work')->name('add_fixed_doc_work_hw')->middleware('huaweiConstructionWorker');

//vehicle equipment
Route::resource('vehicleEquipment', 'VehicleEquipmentController')->middleware('superAdmin');

//providers
Route::resource('provider', 'ProviderController')->middleware('superAdmin');
Route::delete('/destroy_provider', 'AdministracijaController@destroy_provider')->name('destroy_provider')->middleware('superAdmin');

//clusters
Route::resource('cluster', 'ClusterController')->middleware('superAdmin');
Route::delete('/destroy_cluster', 'AdministracijaController@destroy_cluster')->name('destroy_cluster')->middleware('superAdmin');

//GERMANY
Route::delete('/ger_construction_sites/ger_delete_comment', 'GerConstructionSitesController@delete_comment')->name('ger_delete_comment')->middleware('superAdmin');

Route::delete('/ger_construction_sites/ger_delete_image', 'GerConstructionSitesController@delete_image')->name('ger_delete_image')->middleware('superAdmin');

Route::get('/ger_construction_sites/ger_search', 'GerConstructionSitesController@search')->name('ger_search')->middleware('columnLeader');

Route::get('/ger_construction_sites/ger_search_result', 'GerConstructionSitesController@search_result')->name('ger_search_result')->middleware('columnLeader');

Route::post('ger_construction_sites/add_ger_work', 'GerConstructionSitesController@add_ger_work')->name('add_ger_work');

Route::get('ger_construction_sites/search', 'GerConstructionSitesController@search')->name('ger_search');

Route::get('ger_construction_sites/search_result', 'GerConstructionSitesController@search_result')->name('ger_search_result');

Route::get('ger_construction_sites/statistic', 'GerConstructionSitesController@statistic')->name('ger_statistic');

Route::resource('/ger_construction_sites/ger_works', 'GerWorksController')->middleware('superAdmin');

Route::resource('ger_construction_sites', 'GerConstructionSitesController')->middleware('columnLeader');

//origin

Route::resource('origin', 'OriginController')->middleware('superAdmin');

//pan

Route::resource('pan', 'PanController')->middleware('superAdmin');

//distributive knot

Route::resource('distributive_knot', 'DistributiveKnotController', ['parameters' => ['distributive_knot' => 'knot']])->middleware('superAdmin');




